/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved	*/
/*    Product:          SIMATIC PDM							*/
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      Include fr Modul 4yxx und 5yxx		*/
/*												            */
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.16  $                                    */
/*  $Date:   16 Mar 2000 13:41:04  $                        */
/*----------------------------------------------------------*/

/*******************************************************************************/
/*****	Variables Kanal1 Index1 ************************************************/
/*******************************************************************************/

Mod4y5y_P1_Slot1	LIKE VARIABLE	P0_Slot0
{
}

VARIABLE    Mod4y5y_P1_Index1
{
     LABEL      [P0_Index0];
     HELP       [P0_Index0_help];
     TYPE       UNSIGNED_INTEGER
     {
        DEFAULT_VALUE 1;
     }
     CLASS      CONTAINED;
     HANDLING   READ;
}

Mod4y5y_P1_Tag		LIKE VARIABLE	P0_Tag
{
	REDEFINE HELP	[P1_Tag_help];
}

VARIABLE	Mod4y5y_P1_State
{
	LABEL		[P1_State];
	HELP		[P1_State_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{ 0,	[automatic]		},
		{ 1,	[simulation] 	}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	Mod4y5y_P1_ErrMode
{
	LABEL		[P1_ErrMode];
	HELP		[P1_ErrMode_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{ 0,	[aktuellen_wert]	},
		{ 1,	[ersatzwert]		},
		{ 2,	[letzten_wert]		}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

/********** SIMULATION *****************/

VARIABLE	Mod4y5y_P1_SimVal
{
	LABEL		[P1_SimVal];
	HELP		[P1_SimVal_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_01	(Mod4y5y_P1_SimVal, Loc_Mod4y5y_P1_SimVal)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_Mod4y5y_P1_SimVal
{
	LABEL		[P1_SimVal];
	HELP		[P1_SimVal_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 125.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}
	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_01 (Mod4y5y_P1_SimVal, Loc_Mod4y5y_P1_SimVal)
	}
	HANDLING		READ & WRITE;
}

VARIABLE	Mod4y5y_P1_SimState_Data
{
	LABEL		[P1_SimState_Data];
	HELP		[P1_SimState_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x00,	[no_error]		},
		{	0x01,	[line_fault]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_NOT_0(Mod4y5y_P1_SimOption);
}

VARIABLE	Mod4y5y_P1_SimState_Bit0
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	Mod4y5y_P1_SimState_Bit2
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	Mod4y5y_P1_SimState_Bit3
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	Mod4y5y_P1_SimState_Bit4_7
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER;
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	Mod4y5y_P1_SimOption
{
	LABEL		[P1_SimOption];
	HELP		[P1_SimOption_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x00,	[ohne_status]	},
		{	0x01,	[mit_status]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

/********** Ersatzwerte *****************/

VARIABLE	Mod4y5y_P1_ErrVal
{
	LABEL		[P1_ErrVal];
	HELP		[P1_ErrVal_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	CONSTANT_UNIT	[Percent];
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_01	(Mod4y5y_P1_ErrVal, Loc_Mod4y5y_P1_ErrVal)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_Mod4y5y_P1_ErrVal
{
	LABEL		[P1_ErrVal];
	HELP		[P1_ErrVal_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 125.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}
	CONSTANT_UNIT	[Percent];	
	CLASS			LOCAL;
	HANDLING		READ & WRITE;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_01 (Mod4y5y_P1_ErrVal, Loc_Mod4y5y_P1_ErrVal)
	}
}


VARIABLE	Mod4y5y_P1_ErrState_Data
{
	LABEL		[P1_ErrState_Data];
	HELP		[P1_ErrState_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x00,	[no_error]		},
		{	0x01,	[line_fault]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_NOT_0(Mod4y5y_P1_ErrOption);
}

VARIABLE	Mod4y5y_P1_ErrState_Bit0
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	Mod4y5y_P1_ErrState_Bit2
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	Mod4y5y_P1_ErrState_Bit3
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	Mod4y5y_P1_ErrState_Bit4_7
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER;
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	Mod4y5y_P1_ErrOption
{
	LABEL		[P1_ErrOption];
	HELP		[P1_ErrOption_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x00,	[ohne_status]		},
		{	0x01,	[mit_status]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}


VARIABLE	Mod4y5y_P1_Map
{
	LABEL		[P1_Map];
	HELP		[P1_Map_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	Mod4y5y_P1_DUMMY
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ASCII (18);
	CLASS		CONTAINED;
	HANDLING	READ;
}

/*******************************************************************************/
/*****	Variables Kanal2 Index3 ************************************************/
/*******************************************************************************/

Mod4y5y_P2_Slot3				LIKE VARIABLE	P0_Slot0
{
}

Mod4y5y_P2_Index3				LIKE VARIABLE	Mod4y5y_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 3;
	}
}

Mod4y5y_P2_Tag					LIKE VARIABLE	Mod4y5y_P1_Tag
{
}

Mod4y5y_P2_State				LIKE VARIABLE	Mod4y5y_P1_State
{
}

Mod4y5y_P2_ErrMode				LIKE VARIABLE	Mod4y5y_P1_ErrMode
{
}

VARIABLE	Mod4y5y_P2_SimVal
{
	LABEL		[P2_SimVal];
	HELP		[P2_SimVal_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_02	(Mod4y5y_P2_SimVal, Loc_Mod4y5y_P2_SimVal)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_Mod4y5y_P2_SimVal
{
	LABEL		[P2_SimVal];
	HELP		[P2_SimVal_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 125.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}
	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_02 (Mod4y5y_P2_SimVal, Loc_Mod4y5y_P2_SimVal)
	}
	HANDLING		READ & WRITE;
}

Mod4y5y_P2_SimState_Data		LIKE VARIABLE	Mod4y5y_P1_SimState_Data
{
}

Mod4y5y_P2_SimState_Bit0		LIKE VARIABLE	Mod4y5y_P1_SimState_Bit0
{
}

Mod4y5y_P2_SimState_Bit2		LIKE VARIABLE	Mod4y5y_P1_SimState_Bit2
{
}

Mod4y5y_P2_SimState_Bit3		LIKE VARIABLE	Mod4y5y_P1_SimState_Bit3	
{
}

Mod4y5y_P2_SimState_Bit4_7		LIKE VARIABLE	Mod4y5y_P1_SimState_Bit4_7
{
}

Mod4y5y_P2_SimOption			LIKE VARIABLE	Mod4y5y_P1_SimOption
{
}

VARIABLE	Mod4y5y_P2_ErrVal
{
	LABEL		[P2_ErrVal];
	HELP		[P2_ErrVal_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	CONSTANT_UNIT	[Percent];
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_02	(Mod4y5y_P2_ErrVal, Loc_Mod4y5y_P2_ErrVal)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_Mod4y5y_P2_ErrVal
{
	LABEL		[P2_ErrVal];
	HELP		[P2_ErrVal_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 125.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}
	CONSTANT_UNIT	[Percent];	
	CLASS			LOCAL;
	HANDLING		READ & WRITE;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_02 (Mod4y5y_P2_ErrVal, Loc_Mod4y5y_P2_ErrVal)
	}
}

Mod4y5y_P2_ErrState_Data		LIKE VARIABLE	Mod4y5y_P1_ErrState_Data
{
}

Mod4y5y_P2_ErrState_Bit0		LIKE VARIABLE	Mod4y5y_P1_ErrState_Bit0
{
}

Mod4y5y_P2_ErrState_Bit2		LIKE VARIABLE	Mod4y5y_P1_ErrState_Bit2
{
}

Mod4y5y_P2_ErrState_Bit3		LIKE VARIABLE	Mod4y5y_P1_ErrState_Bit3
{
}

Mod4y5y_P2_ErrState_Bit4_7		LIKE VARIABLE	Mod4y5y_P1_ErrState_Bit4_7
{
}

Mod4y5y_P2_ErrOption			LIKE VARIABLE	Mod4y5y_P1_ErrOption
{
}


Mod4y5y_P2_Map					LIKE VARIABLE	Mod4y5y_P1_Map
{
}

Mod4y5y_P2_DUMMY				LIKE VARIABLE	Mod4y5y_P1_DUMMY
{
}

/*******************************************************************************/
/*****	Variables Kanal3 Index5 ************************************************/
/*******************************************************************************/

Mod4y5y_P3_Slot5				LIKE VARIABLE	P0_Slot0
{
}

Mod4y5y_P3_Index5				LIKE VARIABLE	Mod4y5y_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 5;
	}
}

Mod4y5y_P3_Tag					LIKE VARIABLE	Mod4y5y_P1_Tag
{
}

Mod4y5y_P3_State				LIKE VARIABLE	Mod4y5y_P1_State
{
}

Mod4y5y_P3_ErrMode				LIKE VARIABLE	Mod4y5y_P1_ErrMode
{
}

VARIABLE	Mod4y5y_P3_SimVal
{
	LABEL		[P3_SimVal];
	HELP		[P3_SimVal_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_03	(Mod4y5y_P3_SimVal, Loc_Mod4y5y_P3_SimVal)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_Mod4y5y_P3_SimVal
{
	LABEL		[P3_SimVal];
	HELP		[P3_SimVal_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 125.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}
	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_03 (Mod4y5y_P3_SimVal, Loc_Mod4y5y_P3_SimVal)
	}
	HANDLING		READ & WRITE;
}

Mod4y5y_P3_SimState_Data		LIKE VARIABLE	Mod4y5y_P1_SimState_Data
{
}

Mod4y5y_P3_SimState_Bit0		LIKE VARIABLE	Mod4y5y_P1_SimState_Bit0
{
}

Mod4y5y_P3_SimState_Bit2		LIKE VARIABLE	Mod4y5y_P1_SimState_Bit2
{
}

Mod4y5y_P3_SimState_Bit3		LIKE VARIABLE	Mod4y5y_P1_SimState_Bit3	
{
}

Mod4y5y_P3_SimState_Bit4_7		LIKE VARIABLE	Mod4y5y_P1_SimState_Bit4_7
{
}

Mod4y5y_P3_SimOption			LIKE VARIABLE	Mod4y5y_P1_SimOption
{
}

VARIABLE	Mod4y5y_P3_ErrVal
{
	LABEL		[P3_ErrVal];
	HELP		[P3_ErrVal_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	CONSTANT_UNIT	[Percent];
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_03	(Mod4y5y_P3_ErrVal, Loc_Mod4y5y_P3_ErrVal)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_Mod4y5y_P3_ErrVal
{
	LABEL		[P3_ErrVal];
	HELP		[P3_ErrVal_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 125.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}
	CONSTANT_UNIT	[Percent];	
	CLASS			LOCAL;
	HANDLING		READ & WRITE;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_03 (Mod4y5y_P3_ErrVal, Loc_Mod4y5y_P3_ErrVal)
	}
}

Mod4y5y_P3_ErrState_Data		LIKE VARIABLE	Mod4y5y_P1_ErrState_Data
{
}

Mod4y5y_P3_ErrState_Bit0		LIKE VARIABLE	Mod4y5y_P1_ErrState_Bit0
{
}

Mod4y5y_P3_ErrState_Bit2		LIKE VARIABLE	Mod4y5y_P1_ErrState_Bit2
{
}

Mod4y5y_P3_ErrState_Bit3		LIKE VARIABLE	Mod4y5y_P1_ErrState_Bit3
{
}

Mod4y5y_P3_ErrState_Bit4_7		LIKE VARIABLE	Mod4y5y_P1_ErrState_Bit4_7
{
}

Mod4y5y_P3_ErrOption			LIKE VARIABLE	Mod4y5y_P1_ErrOption
{
}


Mod4y5y_P3_Map					LIKE VARIABLE	Mod4y5y_P1_Map
{
}

Mod4y5y_P3_DUMMY				LIKE VARIABLE	Mod4y5y_P1_DUMMY
{
}

/*******************************************************************************/
/*****	Variables Kanal4 Index7 ************************************************/
/*******************************************************************************/

Mod4y5y_P4_Slot7				LIKE VARIABLE	P0_Slot0
{
}

Mod4y5y_P4_Index7				LIKE VARIABLE	Mod4y5y_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 7;
	}
}

Mod4y5y_P4_Tag					LIKE VARIABLE	Mod4y5y_P1_Tag
{
}

Mod4y5y_P4_State				LIKE VARIABLE	Mod4y5y_P1_State
{
}

Mod4y5y_P4_ErrMode				LIKE VARIABLE	Mod4y5y_P1_ErrMode
{
}

VARIABLE	Mod4y5y_P4_SimVal
{
	LABEL		[P4_SimVal];
	HELP		[P4_SimVal_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_04	(Mod4y5y_P4_SimVal, Loc_Mod4y5y_P4_SimVal)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_Mod4y5y_P4_SimVal
{
	LABEL		[P4_SimVal];
	HELP		[P4_SimVal_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 125.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}
	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_04 (Mod4y5y_P4_SimVal, Loc_Mod4y5y_P4_SimVal)
	}
	HANDLING		READ & WRITE;
}

Mod4y5y_P4_SimState_Data		LIKE VARIABLE	Mod4y5y_P1_SimState_Data
{
}

Mod4y5y_P4_SimState_Bit0		LIKE VARIABLE	Mod4y5y_P1_SimState_Bit0
{
}

Mod4y5y_P4_SimState_Bit2		LIKE VARIABLE	Mod4y5y_P1_SimState_Bit2
{
}

Mod4y5y_P4_SimState_Bit3		LIKE VARIABLE	Mod4y5y_P1_SimState_Bit3	
{
}

Mod4y5y_P4_SimState_Bit4_7		LIKE VARIABLE	Mod4y5y_P1_SimState_Bit4_7
{
}

Mod4y5y_P4_SimOption			LIKE VARIABLE	Mod4y5y_P1_SimOption
{
}

VARIABLE	Mod4y5y_P4_ErrVal
{
	LABEL		[P4_ErrVal];
	HELP		[P4_ErrVal_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE	0;
	}
	CONSTANT_UNIT	[Percent];
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float_04	(Mod4y5y_P4_ErrVal, Loc_Mod4y5y_P4_ErrVal)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_Mod4y5y_P4_ErrVal
{
	LABEL		[P4_ErrVal];
	HELP		[P4_ErrVal_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 125.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}
	CONSTANT_UNIT	[Percent];	
	CLASS			LOCAL;
	HANDLING		READ & WRITE;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float_04 (Mod4y5y_P4_ErrVal, Loc_Mod4y5y_P4_ErrVal)
	}
}

Mod4y5y_P4_ErrState_Data		LIKE VARIABLE	Mod4y5y_P1_ErrState_Data
{
}

Mod4y5y_P4_ErrState_Bit0		LIKE VARIABLE	Mod4y5y_P1_ErrState_Bit0
{
}

Mod4y5y_P4_ErrState_Bit2		LIKE VARIABLE	Mod4y5y_P1_ErrState_Bit2
{
}

Mod4y5y_P4_ErrState_Bit3		LIKE VARIABLE	Mod4y5y_P1_ErrState_Bit3
{
}

Mod4y5y_P4_ErrState_Bit4_7		LIKE VARIABLE	Mod4y5y_P1_ErrState_Bit4_7
{
}

Mod4y5y_P4_ErrOption			LIKE VARIABLE	Mod4y5y_P1_ErrOption
{
}


Mod4y5y_P4_Map					LIKE VARIABLE	Mod4y5y_P1_Map
{
}

Mod4y5y_P4_DUMMY				LIKE VARIABLE	Mod4y5y_P1_DUMMY
{
}

/*******************************************************************************/
/*****	COMMAND				*****************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	Kanal1	Index1	    ****************************************************/
/*******************************************************************************/

COMMAND read_Mod4y5y_index1
{
	SLOT		Loc_P0_Slot0;
	INDEX		1;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			Mod4y5y_P1_Slot1,
			Mod4y5y_P1_Index1,
			Mod4y5y_P1_Tag,
			Mod4y5y_P1_State,
			Mod4y5y_P1_ErrMode,
			Mod4y5y_P1_SimVal,
			Mod4y5y_P1_SimState_Bit4_7		<0xF0>,
			Mod4y5y_P1_SimState_Bit3		<0x08>,
			Mod4y5y_P1_SimState_Bit2		<0x04>,
			Mod4y5y_P1_SimState_Data		<0x02>,
			Mod4y5y_P1_SimState_Bit0		<0x01>,
			Bit1_7							<0xFE>,
			Mod4y5y_P1_SimOption			<0x01>,
			Mod4y5y_P1_ErrVal,
			Mod4y5y_P1_ErrState_Bit4_7		<0xF0>,
			Mod4y5y_P1_ErrState_Bit3		<0x08>,
			Mod4y5y_P1_ErrState_Bit2		<0x04>,
			Mod4y5y_P1_ErrState_Data		<0x02>,
			Mod4y5y_P1_ErrState_Bit0		<0x01>,
			Bit1_7							<0xFE>,
			Mod4y5y_P1_ErrOption			<0x01>,
			Mod4y5y_P1_DUMMY,
			Mod4y5y_P1_Map
		}
	}
}

COMMAND write_Mod4y5y_index1
{
	SLOT		Loc_P0_Slot0;
	INDEX		1;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Mod4y5y_P1_Slot1,
			Mod4y5y_P1_Index1,
			Mod4y5y_P1_Tag,
			Mod4y5y_P1_State,
			Mod4y5y_P1_ErrMode,
			Mod4y5y_P1_SimVal,
			Mod4y5y_P1_SimState_Bit4_7		<0xF0>,
			Mod4y5y_P1_SimState_Bit3		<0x08>,
			Mod4y5y_P1_SimState_Bit2		<0x04>,
			Mod4y5y_P1_SimState_Data		<0x02>,
			Mod4y5y_P1_SimState_Bit0		<0x01>,
			Bit1_7							<0xFE>,
			Mod4y5y_P1_SimOption			<0x01>,
			Mod4y5y_P1_ErrVal,
			Mod4y5y_P1_ErrState_Bit4_7		<0xF0>,
			Mod4y5y_P1_ErrState_Bit3		<0x08>,
			Mod4y5y_P1_ErrState_Bit2		<0x04>,
			Mod4y5y_P1_ErrState_Data		<0x02>,
			Mod4y5y_P1_ErrState_Bit0		<0x01>,
			Bit1_7							<0xFE>,
			Mod4y5y_P1_ErrOption			<0x01>,
			0, 0, 0, 0, 0, 0, 0, 0,			0, 0, 0, 0, 0, 0, 0, 0,				//20 Byte
			0, 0, 0, 0
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Kanal2	Index3		****************************************************/
/*******************************************************************************/

COMMAND read_Mod4y5y_index3
{
	SLOT		Loc_P0_Slot0;
	INDEX		3;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			Mod4y5y_P2_Slot3,
			Mod4y5y_P2_Index3,
			Mod4y5y_P2_Tag,
			Mod4y5y_P2_State,
			Mod4y5y_P2_ErrMode,
			Mod4y5y_P2_SimVal,
			Mod4y5y_P2_SimState_Bit4_7		<0xF0>,
			Mod4y5y_P2_SimState_Bit3		<0x08>,
			Mod4y5y_P2_SimState_Bit2		<0x04>,
			Mod4y5y_P2_SimState_Data		<0x02>,
			Mod4y5y_P2_SimState_Bit0		<0x01>,
			Bit1_7							<0xFE>,
			Mod4y5y_P2_SimOption			<0x01>,
			Mod4y5y_P2_ErrVal,
			Mod4y5y_P2_ErrState_Bit4_7		<0xF0>,
			Mod4y5y_P2_ErrState_Bit3		<0x08>,
			Mod4y5y_P2_ErrState_Bit2		<0x04>,
			Mod4y5y_P2_ErrState_Data		<0x02>,
			Mod4y5y_P2_ErrState_Bit0		<0x01>,
			Bit1_7							<0xFE>,
			Mod4y5y_P2_ErrOption			<0x01>,
			Mod4y5y_P2_DUMMY,
			Mod4y5y_P2_Map
		}
	}
}

COMMAND write_Mod4y5y_index3
{
	SLOT		Loc_P0_Slot0;
	INDEX		3;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Mod4y5y_P2_Slot3,
			Mod4y5y_P2_Index3,
			Mod4y5y_P2_Tag,
			Mod4y5y_P2_State,
			Mod4y5y_P2_ErrMode,
			Mod4y5y_P2_SimVal,
			Mod4y5y_P2_SimState_Bit4_7		<0xF0>,
			Mod4y5y_P2_SimState_Bit3		<0x08>,
			Mod4y5y_P2_SimState_Bit2		<0x04>,
			Mod4y5y_P2_SimState_Data		<0x02>,
			Mod4y5y_P2_SimState_Bit0		<0x01>,
			Bit1_7							<0xFE>,
			Mod4y5y_P2_SimOption			<0x01>,
			Mod4y5y_P2_ErrVal,
			Mod4y5y_P2_ErrState_Bit4_7		<0xF0>,
			Mod4y5y_P2_ErrState_Bit3		<0x08>,
			Mod4y5y_P2_ErrState_Bit2		<0x04>,
			Mod4y5y_P2_ErrState_Data		<0x02>,
			Mod4y5y_P2_ErrState_Bit0		<0x01>,
			Bit1_7							<0xFE>,
			Mod4y5y_P2_ErrOption			<0x01>,
			0, 0, 0, 0, 0, 0, 0, 0,			0, 0, 0, 0, 0, 0, 0, 0,				//20 Byte
			0, 0, 0, 0
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Kanal3	Index5	   *****************************************************/
/*******************************************************************************/

COMMAND read_Mod4y5y_index5
{
	SLOT		Loc_P0_Slot0;
	INDEX		5;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			Mod4y5y_P3_Slot5,
			Mod4y5y_P3_Index5,
			Mod4y5y_P3_Tag,
			Mod4y5y_P3_State,
			Mod4y5y_P3_ErrMode,
			Mod4y5y_P3_SimVal,
			Mod4y5y_P3_SimState_Bit4_7		<0xF0>,
			Mod4y5y_P3_SimState_Bit3		<0x08>,
			Mod4y5y_P3_SimState_Bit2		<0x04>,
			Mod4y5y_P3_SimState_Data		<0x02>,
			Mod4y5y_P3_SimState_Bit0		<0x01>,
			Bit1_7							<0xFE>,
			Mod4y5y_P3_SimOption			<0x01>,
			Mod4y5y_P3_ErrVal,
			Mod4y5y_P3_ErrState_Bit4_7		<0xF0>,
			Mod4y5y_P3_ErrState_Bit3		<0x08>,
			Mod4y5y_P3_ErrState_Bit2		<0x04>,
			Mod4y5y_P3_ErrState_Data		<0x02>,
			Mod4y5y_P3_ErrState_Bit0		<0x01>,
			Bit1_7							<0xFE>,
			Mod4y5y_P3_ErrOption			<0x01>,
			Mod4y5y_P3_DUMMY,
			Mod4y5y_P3_Map
		}
	}
}

COMMAND write_Mod4y5y_index5
{
	SLOT		Loc_P0_Slot0;
	INDEX		5;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Mod4y5y_P3_Slot5,
			Mod4y5y_P3_Index5,
			Mod4y5y_P3_Tag,
			Mod4y5y_P3_State,
			Mod4y5y_P3_ErrMode,
			Mod4y5y_P3_SimVal,
			Mod4y5y_P3_SimState_Bit4_7		<0xF0>,
			Mod4y5y_P3_SimState_Bit3		<0x08>,
			Mod4y5y_P3_SimState_Bit2		<0x04>,
			Mod4y5y_P3_SimState_Data		<0x02>,
			Mod4y5y_P3_SimState_Bit0		<0x01>,
			Bit1_7							<0xFE>,
			Mod4y5y_P3_SimOption			<0x01>,
			Mod4y5y_P3_ErrVal,
			Mod4y5y_P3_ErrState_Bit4_7		<0xF0>,
			Mod4y5y_P3_ErrState_Bit3		<0x08>,
			Mod4y5y_P3_ErrState_Bit2		<0x04>,
			Mod4y5y_P3_ErrState_Data		<0x02>,
			Mod4y5y_P3_ErrState_Bit0		<0x01>,
			Bit1_7							<0xFE>,
			Mod4y5y_P3_ErrOption			<0x01>,
			0, 0, 0, 0, 0, 0, 0, 0,			0, 0, 0, 0, 0, 0, 0, 0,				//20 Byte
			0, 0, 0, 0
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Kanal4	Index7	    ****************************************************/
/*******************************************************************************/

COMMAND read_Mod4y5y_index7
{
	SLOT		Loc_P0_Slot0;
	INDEX		7;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			Mod4y5y_P4_Slot7,
			Mod4y5y_P4_Index7,
			Mod4y5y_P4_Tag,
			Mod4y5y_P4_State,
			Mod4y5y_P4_ErrMode,
			Mod4y5y_P4_SimVal,
			Mod4y5y_P4_SimState_Bit4_7		<0xF0>,
			Mod4y5y_P4_SimState_Bit3		<0x08>,
			Mod4y5y_P4_SimState_Bit2		<0x04>,
			Mod4y5y_P4_SimState_Data		<0x02>,
			Mod4y5y_P4_SimState_Bit0		<0x01>,
			Bit1_7							<0xFE>,
			Mod4y5y_P4_SimOption			<0x01>,
			Mod4y5y_P4_ErrVal,
			Mod4y5y_P4_ErrState_Bit4_7		<0xF0>,
			Mod4y5y_P4_ErrState_Bit3		<0x08>,
			Mod4y5y_P4_ErrState_Bit2		<0x04>,
			Mod4y5y_P4_ErrState_Data		<0x02>,
			Mod4y5y_P4_ErrState_Bit0		<0x01>,
			Bit1_7							<0xFE>,
			Mod4y5y_P4_ErrOption			<0x01>,
			Mod4y5y_P4_DUMMY,
			Mod4y5y_P4_Map
		}
	}
}

COMMAND write_Mod4y5y_index7
{
	SLOT		Loc_P0_Slot0;
	INDEX		7;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			Mod4y5y_P4_Slot7,
			Mod4y5y_P4_Index7,
			Mod4y5y_P4_Tag,
			Mod4y5y_P4_State,
			Mod4y5y_P4_ErrMode,
			Mod4y5y_P4_SimVal,
			Mod4y5y_P4_SimState_Bit4_7		<0xF0>,
			Mod4y5y_P4_SimState_Bit3		<0x08>,
			Mod4y5y_P4_SimState_Bit2		<0x04>,
			Mod4y5y_P4_SimState_Data		<0x02>,
			Mod4y5y_P4_SimState_Bit0		<0x01>,
			Bit1_7							<0xFE>,
			Mod4y5y_P4_SimOption			<0x01>,
			Mod4y5y_P4_ErrVal,
			Mod4y5y_P4_ErrState_Bit4_7		<0xF0>,
			Mod4y5y_P4_ErrState_Bit3		<0x08>,
			Mod4y5y_P4_ErrState_Bit2		<0x04>,
			Mod4y5y_P4_ErrState_Data		<0x02>,
			Mod4y5y_P4_ErrState_Bit0		<0x01>,
			Bit1_7							<0xFE>,
			Mod4y5y_P4_ErrOption			<0x01>,
			0, 0, 0, 0, 0, 0, 0, 0,			0, 0, 0, 0, 0, 0, 0, 0,				//20 Byte
			0, 0, 0, 0
		}
		REPLY
		{
		}
	}
}

