/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved  */
/*    Product:          SIMATIC PDM                         */
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Communication:    PROFIBUS DP                         */
/*    Description:      Buskoppler/Allgemeine Daten         */
/*                                                          */
/*    Dictionary:       SI__DC01.dct, PFDP_DC_V6.dct        */
/*                                                          */
/*  $Revision:   1.38A  $                                   */
/*  $Date:   17.10.2019 $                                   */
/*----------------------------------------------------------*/


MANUFACTURER    93,
DEVICE_TYPE     1,
DEVICE_REVISION 0x0200,
DD_REVISION     38


#define         DIR_INDEX

#include    "SI_OptM.inc"           // MENU Options 
#include    "SI_FileM.inc"          // MENU File 
#include    "SI_HlpM.inc"           // MENU Help

#define		DEFAULT_VALUE_CommError_Delay_Read		300 
#define		DEFAULT_VALUE_CommError_Delay_Write		300
//#include    "SIPAST_CommError.inc" 

#define     MODUL_TYPE      P0_BK_Type

#include    "PFDP__GEN_01.inc"      // Include fr globale Definitionen

#include    "PFDP__MBar01.inc"      // MENU BAR 
#include    "PFDP__CMD_01.inc"      // Include fr Service Commands

#include    "PFDP__BKST01.inc"      // Include fr OnlineDialog "Modul-Status"
#include    "PFDP__BKCS01.inc"      // Include fr OnlineDialog "Configuration String"

#include    "PNO_Profile_DP_HART.inc"   // Include fr DP-HART Modul nach PNO-Richtlinie

/*******************************************************************************/
/*****  METHODEN    ************************************************************/
/*******************************************************************************/

METHOD method_set_slots_BK
{
    DEFINITION
    {
        P0_BK_Slot0 = Loc_P0_BK_Slot0;
        P0_BK_Slot1 = Loc_P0_BK_Slot0;
        P1_BK_Slot2 = Loc_P0_BK_Slot0;
        P2_BK_Slot3 = Loc_P0_BK_Slot0;
    }
}

/*******************************************************************************/
/*****  Variables   ************************************************************/
/*******************************************************************************/
VARIABLE    P0_BK_Slot0
{
     LABEL     [P0_Slot0];
     HELP      [P0_Slot0_help];
     TYPE      ENUMERATED(1)
     {
        DEFAULT_VALUE 0;
        { 0, [slot_0] }
     }
    CLASS       CONTAINED;
    PRE_WRITE_ACTIONS
    {
        method_set_slots_BK        
    }
	 POST_WRITE_ACTIONS
    {
	 DEFINITION
		{
           ReadCommand(check_drv_write_Status_BK);			 
		}
    }

    HANDLING    READ & WRITE;
}


Loc_P0_BK_Slot0     LIKE VARIABLE   P0_BK_Slot0
{
    REDEFINE    CLASS   LOCAL;
    REDEFINE    PRE_EDIT_ACTIONS
    {
        method_set_slots_BK
    }
    REDEFINE    POST_EDIT_ACTIONS
    { 
        method_set_slots_BK 
    }
}


VARIABLE    P0_BK_Index0
{
     LABEL      [P0_Index0];
     HELP       [P0_Index0_help];
     TYPE       UNSIGNED_INTEGER
     {
        DEFAULT_VALUE 0;
     }
     CLASS      CONTAINED;
     HANDLING   READ;
}

VARIABLE    P0_BK_Tag
{
    LABEL       [P0_Tag];
    HELP        [P0_BK_Tag_help];
    TYPE        ASCII (32)
    {
        DEFAULT_VALUE "";
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_Channel
{
    LABEL       [P0_Channel1];
    HELP        [P0_Channel1_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 1;
        {   1,  [single]        },
        {   2,  [redundant]     }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_Sector
{
    LABEL       [P0_Sector];
    HELP        [P0_Sector_help];
    TYPE        UNSIGNED_INTEGER
    {
        DEFAULT_VALUE 4;
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_BK_Option_FBNetzteil
{
    LABEL       [P0_Option_FBNetzteil];
    HELP        [P0_Option_FBNetzteil_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0,  [V24_DC]    },
        {   1,  [V24_DC_gal]},
        {   2,  [V230_AC]   },
        {   3,  [V115_AC]   }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
    VALIDITY    VALID_IF_TRUE (P0_BK_Option_System == 1)
}

VARIABLE    P0_BK_Option_Bit3
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER (1);
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_Option_Bit7
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER (1);
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}
/*
VARIABLE    P0_BK_Option_Bit8
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER (1);
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}
*/
/*
//siehe untern, neu definiert 2014-06-10 fbi
VARIABLE    P0_BK_Option_Erweiterung
{
    LABEL       [P0_Option_Erweiterung];
    HELP        [P0_Option_Erweiterung_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0,  [Erweiterungen_0]   },

		IF (!(P0_BK_Option_LBAufbau == 5 ))
		{
			{   1,  [Erweiterung_1]	}
		}
		IF ((P0_BK_Option_LBAufbau == 0 ) || (P0_BK_Option_LBAufbau == 1 ))
		{
			{   2,  [Erweiterungen_2]	},
			{   3,  [Erweiterungen_3]	},
			{   4,  [Erweiterungen_4]	},
			{   5,  [Erweiterungen_5]	}
		}
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}
*/
//umdefiniert am 2014-06-10 fbi
VARIABLE    P0_BK_Option_Erweiterung
{
    LABEL       [P0_Option_Erweiterung];
    HELP        [P0_Option_Erweiterung_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0,  [Erweiterungen_0]   }

		IF ((P0_BK_Option_LBAufbau == 0 ) || (P0_BK_Option_LBAufbau == 1 ))
		{
	//fbi	2015-07-20		,
			{   1,  [Erweiterung_1]		},
			{   2,  [Erweiterungen_2]	},
			{   3,  [Erweiterungen_3]	},
			{   4,  [Erweiterungen_4]	},
			{   5,  [Erweiterungen_5]	}
		}
		IF ((P0_BK_Option_LBAufbau == 2 ) || (P0_BK_Option_LBAufbau == 3 ) || (P0_BK_Option_LBAufbau == 4 ))
		{
	//fbi	2015-07-20			,
			{   1,  [Erweiterung_1]		}
		}
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_Option_FBTemperaturklasse
{
    LABEL       [P0_Option_FBTemperaturklasse];
    HELP        [P0_Option_FBTemperaturklasse_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0,  [T4]        },
        {   1,  [T6]        }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
    VALIDITY    VALID_IF_TRUE (P0_BK_Option_System == 1)
}

VARIABLE    P0_BK_Option_FBAufbau
{
    LABEL       [P0_Option_FBAufbau];
    HELP        [P0_Option_FBAufbau_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0,  [Aufbau_24]     },
        {   1,  [Aufbau_48]     },
        {   2,  [Aufbau_10]     }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
    VALIDITY    VALID_IF_TRUE (P0_BK_Option_System == 1)
}

VARIABLE    P0_BK_Option_LBAufbau
{
    LABEL       [P0_Option_LBAufbau];
    HELP        [P0_Option_LBAufbau_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0,  [Single_6_8]	},
        {   1,  [Red_8]			},
        {   2,  [Redu_22_24]    }
/*        {   0,  [Single]		},
        {   1,  [Red_6_8]		},
        {   2,  [Red_22_24]     },
        {   3,  [Single_8_neu]  },
        {   4,  [Single_16_neu] },
        {   5,  [Red_12_neu]    }
		*/
    }
    CLASS       CONTAINED;
    POST_EDIT_ACTIONS
    {
        DEFINITION
        {
            if ((P0_BK_Option_LBAufbau > 1) &&
                (P0_BK_Option_Erweiterung > 1))
            {
                P0_BK_Option_Erweiterung = 0;
            }
        }
    }
    HANDLING    READ & WRITE;
    VALIDITY    VALID_IF_TRUE (P0_BK_Option_System == 0)
}

VARIABLE    P0_BK_Option_LBNetzteil
{
    LABEL       [P0_Option_LBNetzteil];
    HELP        [P0_Option_LBNetzteil_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0,  [V24_DC_old]    },
        {   1,  [V24_DC_new]	}
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
    VALIDITY    VALID_IF_TRUE (P0_BK_Option_System == 0)
}

VARIABLE    P0_BK_Option_System
{
    LABEL       [P0_Option_System];
    HELP        [P0_Option_System_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 1;
        {   0,  [LB]        },
        {   1,  [FB]        }
    }
    CLASS       CONTAINED;
    PRE_WRITE_ACTIONS
    {
        method_set_option_system
    }
    HANDLING    READ & WRITE;
}

VARIABLE P0_BK_CfgMode
{
    LABEL   [P0_CfgMode];
    HELP	[P0_CfgMode_help];
	CLASS  	CONTAINED;
    TYPE	ENUMERATED (2)
    {
        DEFAULT_VALUE 0x0000;
		{0x0000,	[Cfg_Standard]	},
		{0x0100,		[Cfg_2I2O]	},
		{0x0200,		[Cfg_4I4O]	},
		{0x0300,		[Cfg_8I8O]	}
    }    
    HANDLING	READ & WRITE;
}

VARIABLE    ChildAddressMin
{
    LABEL       [ChildAddressMin];
    TYPE        UNSIGNED_INTEGER (2)
    {
        MIN_VALUE 0x1;
        MAX_VALUE 0x3;
        DEFAULT_VALUE 0x1;
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    ChildAddressMax
{
    LABEL       [ChildAddressMax];
    TYPE        UNSIGNED_INTEGER (2)
    {
        MIN_VALUE 0x1;
        MAX_VALUE 0x48;
        DEFAULT_VALUE 0x8;
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_BK_Type
{
    LABEL       [P0_Type];
    HELP        [P0_Type_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0x8205;
        { 0x8105,   [buskoppler_LB_V6] },
		{ 0x8205,   [buskoppler_FB_V6] },
        { 0x8109,   [buskoppler_LB_V9] },
		{ 0x8209,   [buskoppler_FB_V9] }
    }
    CLASS       CONTAINED;
    POST_EDIT_ACTIONS
    {
        method_set_option_system
    }
    HANDLING    READ & WRITE;
}

METHOD method_set_option_system
{
    DEFINITION
    {
        if ((P0_BK_Type == 0x8105) || (P0_BK_Type == 0x8109))
            P0_BK_Option_System = 0;
        else
			P0_BK_Option_System = 1;
    }
}

VARIABLE    P0_BK_Revision
{
    LABEL       [P0_Revision];
    HELP        [P0_BK_Revision_help];
    TYPE        UNSIGNED_INTEGER (4)
    {
        MIN_VALUE 0x0;
        MAX_VALUE 0xFFFFFFFF;
        DEFAULT_VALUE 0x0;
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_BK_Time
{
    LABEL       [P0_Time];
    HELP        [P0_Time_help];
    TYPE        UNSIGNED_INTEGER (4)
    {
        DISPLAY_FORMAT "x";
        MIN_VALUE 0x0;
        MAX_VALUE 0xFFFFFFFF;
        DEFAULT_VALUE 0x0;
    }
    CONSTANT_UNIT   [sec];
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_BK_Power_Option1
{
    LABEL       [P0_BK_Power_Option1];
    HELP        [P0_BK_Power_Option_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0,	[ueberw_aus]	},
        {   1,	[ueberw_ein]	}
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_Power_Option2
{
    LABEL       [P0_BK_Power_Option2];
    HELP        [P0_BK_Power_Option_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0,	[ueberw_aus]	},
        {   1,	[ueberw_ein]	}
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_Power_Option3
{
    LABEL       [P0_BK_Power_Option3];
    HELP        [P0_BK_Power_Option_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0,	[ueberw_aus]	},
        {   1,	[ueberw_ein]	}
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_Power_Option4
{
    LABEL       [P0_BK_Power_Option4];
    HELP        [P0_BK_Power_Option_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0,	[ueberw_aus]	},
        {   1,	[ueberw_ein]	}
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_Power_Option5
{
    LABEL       [P0_BK_Power_Option5];
    HELP        [P0_BK_Power_Option_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0,	[ueberw_aus]	},
        {   1,	[ueberw_ein]	}
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_Power_Option6
{
    LABEL       [P0_BK_Power_Option6];
    HELP        [P0_BK_Power_Option_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0,	[ueberw_aus]	},
        {   1,	[ueberw_ein]	}
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_Power_Option1_Auswertung
{
    LABEL       [P0_BK_Power_Option1];
    HELP        [P0_BK_Power_Option_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0,	[no_error]			},
        {   1,	[netzteilfehler]	}
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_BK_Power_Option2_Auswertung
{
    LABEL       [P0_BK_Power_Option2];
    HELP        [P0_BK_Power_Option_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0,	[no_error]			},
        {   1,	[netzteilfehler]	}
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_BK_Power_Option3_Auswertung
{
    LABEL       [P0_BK_Power_Option3];
    HELP        [P0_BK_Power_Option_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0,	[no_error]			},
        {   1,	[netzteilfehler]	}
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_BK_Power_Option4_Auswertung
{
    LABEL       [P0_BK_Power_Option4];
    HELP        [P0_BK_Power_Option_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0,	[no_error]			},
        {   1,	[netzteilfehler]	}
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_BK_Power_Option5_Auswertung
{
    LABEL       [P0_BK_Power_Option5];
    HELP        [P0_BK_Power_Option_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0,	[no_error]			},
        {   1,	[netzteilfehler]	}
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_BK_Power_Option6_Auswertung
{
    LABEL       [P0_BK_Power_Option6];
    HELP        [P0_BK_Power_Option_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0,	[no_error]			},
        {   1,	[netzteilfehler]	}
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_BK_DUMMY
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (10);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_BK_Reserviert
{
    LABEL       [P0_Reserviert];
    HELP        [P0_Reserviert_help];
    TYPE        UNSIGNED_INTEGER (2)
    {
        DEFAULT_VALUE 0;
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}


/*******************************************************************************/
/*****  Variables Modul     ****************************************************/
/*******************************************************************************/

P0_BK_Slot1     LIKE VARIABLE   P0_BK_Slot0
{
}

P0_BK_Index1    LIKE VARIABLE   P0_BK_Index0
{
    REDEFINE TYPE   UNSIGNED_INTEGER
            {
                DEFAULT_VALUE 1;
            }
}

VARIABLE    P0_BK_ServiceAdr
{
    LABEL       [P0_ServiceAdr];
    HELP        [P0_ServiceAdr_help];
    TYPE        UNSIGNED_INTEGER
    {
        MIN_VALUE 0;
        MAX_VALUE 119;
        DEFAULT_VALUE 119;
    }

    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_ServiceOpt
{
    LABEL       [P0_ServiceOpt];
    HELP        [P0_ServiceOpt_help];
    TYPE        UNSIGNED_INTEGER
    {
        DEFAULT_VALUE 132;
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_BK_BusTo1
{
    LABEL       [P0_BusTo1];
    HELP        [P0_BusTo1_help];
    TYPE        UNSIGNED_INTEGER (2)
    {
        MIN_VALUE 0;
        MAX_VALUE 60000;
        DEFAULT_VALUE 2000;
        { 0,    [off]   }
    }
    CONSTANT_UNIT   [msec];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_BusTo2
{
    LABEL       [P0_BusTo2];
    HELP        [P0_BusTo2_help];
    TYPE        UNSIGNED_INTEGER (2)
    {
        MIN_VALUE 0;
        MAX_VALUE 60000;
        DEFAULT_VALUE 1000;
        { 0,    [off]   }
    }
    CONSTANT_UNIT   [msec];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
    VALIDITY    VALID_IF_TRUE (P0_BK_Channel == 2)
}

VARIABLE    P0_BK_Mode_Bus
{
    LABEL       [P0_Mode_Bus];
    HELP        [P0_Mode_Bus_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 1;
        { 0,    [servicebus]    },
        { 1,    [profibus]  }

    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_Mode_Red
{
    LABEL       [P0_Mode_Red];
    HELP        [P0_Mode_Red_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        { 0,    [applikation_red]   },
        { 1,    [linien_red]        }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
    VALIDITY    VALID_IF_TRUE (P0_BK_Channel == 2)
}


VARIABLE    P0_BK_Mode_Ueberw
{
    LABEL       [P0_Mode_Ueberw];
    HELP        [P0_Mode_Ueberw_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        { 0,    [zus_busueberwach_ein]      },
        { 1,    [zus_busueberwach_aus]      }

    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_Mode_hot_adress
{
    LABEL       [P0_Mode_hot_adress];
    HELP        [P0_Mode_hot_adress_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 1;
        { 0,    [hot_adress_out]      },
        { 1,    [hot_adress_on]       }

    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_Option_Bit4_7
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER;
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_DpFlags_Modul
{
    LABEL       [P0_DpFlags_Modul];
    HELP        [P0_DpFlags_Modul_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        { 0,    [no]        },
        { 1,    [yes]       }

    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_DpFlags_State
{
    LABEL       [P0_DpFlags_State];
    HELP        [P0_DpFlags_State_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        { 0,    [no]        },
        { 1,    [yes]       }

    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_DpFlags_Clear
{
    LABEL       [P0_DpFlags_Clear];
    HELP        [P0_DpFlags_Clear_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        { 0,    [clear_ausfuehren]      },
        { 1,    [clear_unterdruecken]   }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_DpFlags_ModulDiag
{
    LABEL       [P0_DpFlags_Modul];
    HELP        [P0_DpFlags_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        { 0,    [standard]      },
        { 1,    [Siemens]       }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_DpFlags_Bit0
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER;
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_DpFlags_Bit5_7
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER;
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_DUMMY2
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (2);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_BK_Power_Option_Dummy
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
//    TYPE        UNSIGNED_INTEGER (10);		//fbi 06.10.2009	Fehlermeldung Siemens
    TYPE        UNSIGNED_INTEGER (2);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_BK_Power_Option_Dummy_Auswertung
{
    LABEL       [netzteilfehler_ueber];
    TYPE        ENUMERATED
    {
        DEFAULT_VALUE 0xFF;
        { 0x80,   [no_netzteilfehler]	},
        { 0xa7,   [netzteilfehler]		}
	}
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_BK_Power_Option_Dummy_Auswertung2
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER (1);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_BK_Power_Option_Dummy2
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER (2);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_BK_ConfRev
{
    LABEL       [P0_ConfRev];
    HELP        [P0_ConfRev_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0xFFFF;
        { 0x0000,   "P&F-DTM"      },
        { 0xFFFF,   "SIMATIC PDM"   }
    }
    CLASS       CONTAINED;
    SCALE_ACTIONS
    {
        DEFINITION
        {
            if (P0_BK_ConfRev.DEVICE == 0xFFFF)
                P0_BK_ConfRev.DISPLAY = 0xFFFF;
            else
                P0_BK_ConfRev.DISPLAY = 0x0000;
        }
    }
    HANDLING    READ;
}

VARIABLE    P0_BK_PbId
{
    LABEL       [P0_PbId];
    HELP        [P0_PbId_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0x1710;
        { 0x1710,   "0x1710" }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}
/*
VARIABLE    P0_BK_DUMMY1
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (48);
    CLASS       CONTAINED;
    HANDLING    READ;
}
*/
VARIABLE    P0_BK_DUMMY12	//fbi 
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (12);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_DiagOffset_wert
{
    LABEL       [P0_DiagOffset_wert];
    HELP        [P0_DiagOffset_wert_help];
    TYPE        UNSIGNED_INTEGER
    {
        MIN_VALUE 0;
        MAX_VALUE 255;
        DEFAULT_VALUE 0;
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_DiagOffset_12_Byte_aktiv
{
    LABEL       [P0_DiagOffset_12_Byte_aktiv];
    HELP        [P0_DiagOffset_12_Byte_aktiv_help];
    TYPE        ENUMERATED (1)
    {
		{	1,	[byte_12_active]		},
		{	0,	[byte_12_passive]		}
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_DUMMY9_13
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (5);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_DiagOffset_aktiv
{
    LABEL       [P0_DiagOffset_aktiv];
    HELP        [P0_DiagOffset_aktiv_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
		{	0,	[passive]		},
		{	1,	[active]		}
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_BK_DUMMY34
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (34);
    CLASS       CONTAINED;
    HANDLING    READ;
}


/*******************************************************************************/
/*****  Variables primrer BK   ************************************************/
/*******************************************************************************/

P1_BK_Slot2     LIKE VARIABLE   P0_BK_Slot0
{
}

P1_BK_Index2    LIKE VARIABLE   P0_BK_Index0
{
    REDEFINE TYPE   UNSIGNED_INTEGER
            {
                DEFAULT_VALUE 2;
            }
}

P1_BK_Tag       LIKE VARIABLE   P0_BK_Tag
{
}

VARIABLE    P1_FbAdr
{
    LABEL       [profibus_dp_adr];
    HELP        [profibus_dp_adr1_help];
    TYPE        UNSIGNED_INTEGER
    {
        MIN_VALUE 0;
        MAX_VALUE 126;
        DEFAULT_VALUE 126;
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
    VALIDITY    VALID_IF_TRUE (P0_BK_Mode_Bus == 1)
}

VARIABLE    P1_BK_FbOpt
{
    LABEL       [profibus_dp_adr];
    HELP        [profibus_dp_adr1_help];
    TYPE        UNSIGNED_INTEGER
    {
        DEFAULT_VALUE 0;
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
    VALIDITY    VALID_IF_TRUE (P0_BK_Mode_Bus == 1)
}


VARIABLE    P1_BK_DUMMY
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (28);
    CLASS       CONTAINED;
    HANDLING    READ;
}


/*******************************************************************************/
/*****  Variables sekundrer BK     ********************************************/
/*******************************************************************************/

P2_BK_Slot3     LIKE VARIABLE   P0_BK_Slot0
{
}

P2_BK_Index3    LIKE VARIABLE   P0_BK_Index0
{
    REDEFINE    TYPE    UNSIGNED_INTEGER
                {
                    DEFAULT_VALUE 3;
                }
}

P2_BK_Tag       LIKE VARIABLE   P0_BK_Tag
{
    REDEFINE    VALIDITY    VALID_IF_TRUE (P0_BK_Channel == 2)
}

VARIABLE    P2_FbAdr
{
    LABEL       [profibus_dp_adr];
    HELP        [profibus_dp_adr2_help];
    TYPE        UNSIGNED_INTEGER
    {
        MIN_VALUE 0;
        MAX_VALUE 126;
        DEFAULT_VALUE 126;
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
    VALIDITY    VALID_IF_TRUE ((P0_BK_Mode_Bus == 1) && (P0_BK_Channel == 2))
}


P2_BK_FbOpt     LIKE VARIABLE   P1_BK_FbOpt
{
    REDEFINE    HELP        [profibus_dp_adr2_help];
}

P2_BK_DUMMY     LIKE VARIABLE   P1_BK_DUMMY
{
}


/*******************************************************************************/
/*****  METHODEN Allgemeine Daten   ********************************************/
/*******************************************************************************/

METHOD method_set_slot49
{
    DEFINITION
    {
        int slot;
        slot = ivar_value(P0_DA_Slot0); 
        iassign(P0_DA_Slot1, slot);
    }
}

METHOD method_set_loc_p0_da_slot0
{
    LABEL "method_set_loc_p0_da_slot0";

    DEFINITION
    {
        int local_slot;
        local_slot = ivar_value(P0_DA_Slot0);
        iassign(Loc_P0_DA_Slot0, local_slot);
    }
}

METHOD method_set
{
        LABEL           [transfer];
        HELP            [transfer_help];
        DEFINITION
        {
        }
}


/*******************************************************************************/
/*****  Variables: Allgemeine Daten ********************************************/
/*******************************************************************************/

VARIABLE    P0_DA_Slot0
{
     LABEL     [P0_Slot0];
     HELP      [P0_Slot0_help];
     TYPE      ENUMERATED(1)
     {
        DEFAULT_VALUE 49;
        { 49, [slot_49] }
     }
    CLASS       CONTAINED;
    POST_EDIT_ACTIONS
    {
        method_set_loc_p0_da_slot0,
        method_set_slot49
    }
    POST_READ_ACTIONS
    {
        method_set_loc_p0_da_slot0,
        method_set_slot49
    }
    HANDLING    READ & WRITE;

}

Loc_P0_DA_Slot0 LIKE VARIABLE P0_DA_Slot0
{
    REDEFINE CLASS LOCAL;
}

VARIABLE    P0_DA_Index0
{
     LABEL      [P0_Index0];
     HELP       [P0_Index0_help];
     TYPE       UNSIGNED_INTEGER
     {
        DEFAULT_VALUE 0;
     }
     CLASS      CONTAINED;
     HANDLING   READ;
}

P0_DA_Tag       LIKE VARIABLE   P0_BK_Tag
{
    REDEFINE    HELP        [P0_DA_Tag_help];
}

VARIABLE    P0_DA_Type
{
    LABEL       [P0_Type];
    HELP        [P0_Type_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0x1000;
        { 0x1000,   [allg_Daten], [allg_Daten_help]},
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    P0_DA_Channel
{
    LABEL       [P0_Channel];
    HELP        [P0_Channel_help];
    TYPE        UNSIGNED_INTEGER
    {
        DEFAULT_VALUE 0;
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_DA_Sector
{
    LABEL       [P0_Sector];
    HELP        [P0_Sector_help];
    TYPE        UNSIGNED_INTEGER
    {
        DEFAULT_VALUE 1;
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_DA_Option
{
    LABEL       [P0_Option_Kaltstartzaehler];
    HELP        [P0_Option_Kaltstartzaehler_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0x0000;
        {   0x0000, [zaehler_inaktiv]   },
        {   0x0001, [zaehler_aktiv]     }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}


VARIABLE    P0_DA_Time
{
    LABEL       [P0_Time];
    HELP        [P0_Time_help];
    TYPE        UNSIGNED_INTEGER (4)
    {
        DISPLAY_FORMAT "x";
        MIN_VALUE 0x0;
        MAX_VALUE 0xFFFFFFFF;
        DEFAULT_VALUE 0x0;
    }
    CONSTANT_UNIT   [sec];
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_DA_Revision
{
    LABEL       [P0_Revision];
    HELP        [P0_BK_Revision_help];
    TYPE        UNSIGNED_INTEGER (4)
    {
        MIN_VALUE 0x0;
        MAX_VALUE 0xFFFFFFFF;
        DEFAULT_VALUE 0x0;
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_DA_DUMMY
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (16);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    Bit1_15_BK
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER (2);
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}


/*******************************************************************************/
/*****  Variables: Module  *****************************************************/
/*******************************************************************************/

P0_DA_Slot1 LIKE VARIABLE   P0_DA_Slot0
{
}

P0_DA_Index1    LIKE VARIABLE   P0_DA_Index0
{
    REDEFINE TYPE   UNSIGNED_INTEGER
            {
                DEFAULT_VALUE 1;
            }
}

VARIABLE    P0_DA_PicRev
{
    LABEL       [P0_PicRev];
    HELP        [P0_PicRev_help];
    TYPE        UNSIGNED_INTEGER (2)
    {
        DISPLAY_FORMAT "x";
        MIN_VALUE 0x0;
        MAX_VALUE 0xFFFF;
        DEFAULT_VALUE 0x0135;
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

Loc_P0_DA_PicRev    LIKE VARIABLE   P0_DA_PicRev
{
    REDEFINE    TYPE        ASCII (16);
    REDEFINE    CLASS       LOCAL;
    REDEFINE    PRE_EDIT_ACTIONS
    {
        method_scale_revision_P0_DA_PicRev(P0_DA_PicRev),
        DEFINITION
        {
            Loc_P0_DA_PicRev = Loc_strRevision_P0_DA_PicRev;
        }
    }
}

VARIABLE    P0_DA_HrdRev
{
    LABEL       [P0_HrdRev];
    HELP        [P0_HrdRev_help];
    TYPE        UNSIGNED_INTEGER (2)
    {
        DISPLAY_FORMAT "x";
        MIN_VALUE 0x0;
        MAX_VALUE 0xFFFF;
        DEFAULT_VALUE 0x0600;
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

Loc_P0_DA_HrdRev    LIKE VARIABLE   P0_DA_HrdRev
{
    REDEFINE    TYPE        ASCII (16);
    REDEFINE    CLASS       LOCAL;
    REDEFINE    PRE_EDIT_ACTIONS
    {
        method_scale_revision_P0_DA_HrdRev(P0_DA_HrdRev),
        DEFINITION
        {
            Loc_P0_DA_HrdRev = Loc_strRevision_P0_DA_HrdRev;
        }
    }
}

VARIABLE    P0_DA_SerNo
{
    LABEL       [P0_SerNo];
    HELP        [P0_SerNo_help];
    TYPE        UNSIGNED_INTEGER (4)
    {
        MIN_VALUE 0x0;
        MAX_VALUE 0xFFFFFFFF;
        DEFAULT_VALUE 0xFFFFFFFF;
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_DA_Kstrt
{
    LABEL       [P0_Kstrt];
    HELP        [P0_Kstrt_help];
    TYPE        UNSIGNED_INTEGER (4)
    {
        MIN_VALUE 0x0;
        MAX_VALUE 0xFFFFFFFF;
        DEFAULT_VALUE 0x0;
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE    P0_DA_FirmRev
{
    LABEL       [P0_FirmRev];
    HELP        [P0_FirmRev_help];
    TYPE        UNSIGNED_INTEGER (2)
    {
        DISPLAY_FORMAT "x";
        DEFAULT_VALUE 0x0400;
    }
    CLASS       CONTAINED;
    HANDLING    READ;
}

Loc_P0_DA_FirmRev   LIKE VARIABLE   P0_DA_FirmRev
{
    REDEFINE    TYPE        ASCII (16);
    REDEFINE    CLASS       LOCAL;
    REDEFINE    PRE_EDIT_ACTIONS
    {
        method_scale_revision_P0_DA_FirmRev(P0_DA_FirmRev),
        DEFINITION
        {
            Loc_P0_DA_FirmRev = Loc_strRevision_P0_DA_FirmRev;
        }
    }
}

VARIABLE    P0_DA_DUMMY1
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (48);
    CLASS       CONTAINED;
    PRE_WRITE_ACTIONS
    {
        DEFINITION
        {
            P0_DA_DUMMY1 = "";
        }
    }
    HANDLING    READ & WRITE;
}


/*******************************************************************************/
/*****  Module  Configuration   ************************************************/
/*******************************************************************************/

VARIABLE    P0_Type_Slot_1
{
    LABEL       [slot_1];
    HELP        [P0_Type_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE MODUL_LEER;
			{ MODUL_LEER,   "---"				},
			{ MODUL_1y01,   [conf_modul_1y01]	},
			{ MODUL_1y02,	[conf_modul_1y02]	},	
			{ MODUL_1y03,	[conf_modul_1y03]	},	
			{ MODUL_1y07,	[conf_modul_1y07]	},	
			{ MODUL_1y08,	[conf_modul_1y08]	},	
			{ MODUL_1y09,	[conf_modul_1y09]	},	
			{ MODUL_2y01,	[conf_modul_2y01]	},	
			{ MODUL_2y02,	[conf_modul_2y02]	},	
			{ MODUL_2y03,	[conf_modul_2y03]	},	
			{ MODUL_2y04,	[conf_modul_2y04]	},	
			{ MODUL_2y05,	[conf_modul_2y05]	},	
			{ MODUL_2y06,	[conf_modul_2y06]	},	
			{ MODUL_2y07,	[conf_modul_2y07]	},	
			{ MODUL_2y08,	[conf_modul_2y08]	},	
			{ MODUL_2y09,	[conf_modul_2y09]	},	
			{ MODUL_2y10,	[conf_modul_2y10]	},	
			{ MODUL_2y11,	[conf_modul_2y11]	},	
			{ MODUL_2y12,	[conf_modul_2y12]	},	
			{ MODUL_2y13,	[conf_modul_2y13]	},	
			{ MODUL_2y14,	[conf_modul_2y14]	},	
			{ MODUL_2y15,	[conf_modul_2y15]	},	
			{ MODUL_2y16,	[conf_modul_2y16]	},	
			{ MODUL_2y17,	[conf_modul_2y17]	},	
//			{ MODUL_Ay03,	[conf_modul_Ay03]	},	
//			{ MODUL_Ay04,	[conf_modul_Ay04]	},	
			{ MODUL_3y01,	[conf_modul_3y01]	},	
			{ MODUL_3y02,	[conf_modul_3y02]	},	
			{ MODUL_3y03,	[conf_modul_3y03]	},	
			{ MODUL_3y04,	[conf_modul_3y04]	},	
			{ MODUL_3y05,	[conf_modul_3y05]	},	
			{ MODUL_3y06,	[conf_modul_3y06]	},	
			{ MODUL_3y07,	[conf_modul_3y07]	},	
			{ MODUL_4y01,	[conf_modul_4y01]	},	
			{ MODUL_4y02,	[conf_modul_4y02]	},	
			{ MODUL_4y03,	[conf_modul_4y03]	},	
			{ MODUL_4y04,	[conf_modul_4y04]	},	
			{ MODUL_4y05,	[conf_modul_4y05]	},	
			{ MODUL_4y06,	[conf_modul_4y06]	},	
			{ MODUL_5y01,	[conf_modul_5y01]	},	
			{ MODUL_5y02,	[conf_modul_5y02]	},	
			{ MODUL_5y04,	[conf_modul_5y04]	},	
			{ MODUL_5y05,	[conf_modul_5y05]	},	
			{ MODUL_5y06,	[conf_modul_5y06]	},	
			{ MODUL_6y01,	[conf_modul_6y01]	},	
			{ MODUL_6y02,	[conf_modul_6y02]	},	
			{ MODUL_6y05,	[conf_modul_6y05]	},	
			{ MODUL_6y06,	[conf_modul_6y06]	},	
			{ MODUL_6y08,	[conf_modul_6y08]	},
			{ MODUL_6y10,	[conf_modul_6y10]	},
			{ MODUL_6y11,	[conf_modul_6y11]	},
			{ MODUL_6y12,	[conf_modul_6y12]	},
			{ MODUL_6y13,	[conf_modul_6y13]	},
			{ MODUL_6y14,	[conf_modul_6y14]	},
			{ MODUL_6y15,	[conf_modul_6y15]	},
			{ MODUL_6y16,	[conf_modul_6y16]	},
			{ MODUL_6y17,	[conf_modul_6y17]	},
//			{ MODUL_Ay01,	[conf_modul_Ay01]	},
//			{ MODUL_Ay02,	[conf_modul_Ay02]	},
            { MODUL_7y04,   [conf_modul_7y04]   }
    }
    CLASS       CONTAINED & DYNAMIC;
    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_1)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_1.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_1.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_1.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
    HANDLING    READ;
}

P0_Type_Slot_2  LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_2];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_2)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_2.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_2.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_2.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_3  LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_3];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_3)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_3.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_3.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;
		

			P0_Type_Slot_3.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_4  LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_4];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_4)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_4.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_4.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_4.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_5  LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_5];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_5)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_5.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_5.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_5.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_6  LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_6];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_6)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_6.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_6.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_6.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_7  LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_7];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_7)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_7.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_7.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_7.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_8  LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_8];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_8)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_8.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_8.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_8.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_9  LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_9];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_9)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_9.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_9.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_9.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_10 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_10];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_10)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_10.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_10.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_10.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_11 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_11];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_11)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_11.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_11.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_11.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_12 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_12];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_12)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_12.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_12.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_12.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_13 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_13];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_13)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_13.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_13.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_13.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_14 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_14];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_14)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_14.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_14.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_14.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_15 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_15];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_15)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_15.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_15.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_15.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_16 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_16];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_16)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_16.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_16.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_16.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_17 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_17];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_17)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_17.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_17.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_17.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_18 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_18];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_18)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_18.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_18.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_18.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_19 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_19];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_19)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_19.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_19.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_19.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_20 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_20];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_20)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_20.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_20.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_20.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_21 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_21];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_21)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_21.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_21.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_21.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_22 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_22];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_22)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_22.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_22.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_22.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_23 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_23];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_23)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_23.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_23.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_23.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_24 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_24];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_24)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_24.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_24.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_24.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_25 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_25];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_25)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_25.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_25.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_25.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_26 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_26];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_26)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_26.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_26.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_26.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_27 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_27];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_27)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_27.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_27.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_27.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_28 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_28];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_28)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_28.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_28.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_28.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_29 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_29];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_29)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_29.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_29.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_29.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_30 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_30];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_30)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_30.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_30.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_30.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_31 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_31];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_31)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_31.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_31.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_31.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_32 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_32];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_32)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_32.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_32.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_32.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_33 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_33];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_33)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_33.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_33.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_33.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_34 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_34];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_34)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_34.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_34.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_34.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_35 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_35];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_35)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_35.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_35.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_35.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_36 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_36];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_36)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_36.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_36.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_36.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_37 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_37];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_37)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_37.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_37.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_37.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_38 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_38];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_38)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_38.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_38.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_38.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_39 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_39];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_39)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_39.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_39.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_39.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_40 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_40];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_40)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_40.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_40.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_40.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_41 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_41];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_41)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_41.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_41.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_41.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_42 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_42];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_42)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_42.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_42.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_42.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_43 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_43];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_43)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_43.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_43.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_43.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_44 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_44];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_44)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_44.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_44.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_44.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_45 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_45];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_45)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_45.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_45.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_45.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_46 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_46];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_46)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_46.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_46.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_46.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_47 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_47];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_47)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_47.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_47.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_47.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}

P0_Type_Slot_48 LIKE    VARIABLE    P0_Type_Slot_1
{
    REDEFINE    LABEL   [slot_48];
    REDEFINE    SCALE_ACTIONS
    {
// fbi:        method_scale_modul_type(P0_Type_Slot_48)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-01			subType_0 = P0_Type_Slot_48.DEVICE & 0x00FF;
			subType_0 = P0_Type_Slot_48.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			P0_Type_Slot_48.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
    }
}


VARIABLE    Loc_Modul_Num
{
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER (4)
    {
        DEFAULT_VALUE   1;
    }
    HANDLING    READ;
}

VARIABLE    Loc_Modul_Type
{
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER;
    HANDLING    READ;
}

VARIABLE    Loc_DUMMY_3
{
    CLASS       LOCAL;
    TYPE        ASCII (3);
    HANDLING    READ;
}


COMMAND read_BK_config_slot_01_24
{
    SLOT        101;
    INDEX       1;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            P0_Type_Slot_1,
            P0_Type_Slot_2,
            P0_Type_Slot_3,
            P0_Type_Slot_4,
            P0_Type_Slot_5,
            P0_Type_Slot_6,
            P0_Type_Slot_7,
            P0_Type_Slot_8,
            P0_Type_Slot_9,
            P0_Type_Slot_10,
            P0_Type_Slot_11,
            P0_Type_Slot_12,
            P0_Type_Slot_13,
            P0_Type_Slot_14,
            P0_Type_Slot_15,
            P0_Type_Slot_16,
            P0_Type_Slot_17,
            P0_Type_Slot_18,
            P0_Type_Slot_19,
            P0_Type_Slot_20,
            P0_Type_Slot_21,
            P0_Type_Slot_22,
            P0_Type_Slot_23,
            P0_Type_Slot_24
        }
    }
}

COMMAND read_BK_config_slot_25_48
{
    SLOT        101;
    INDEX       25;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            P0_Type_Slot_25,
            P0_Type_Slot_26,
            P0_Type_Slot_27,
            P0_Type_Slot_28,
            P0_Type_Slot_29,
            P0_Type_Slot_30,
            P0_Type_Slot_31,
            P0_Type_Slot_32,
            P0_Type_Slot_33,
            P0_Type_Slot_34,
            P0_Type_Slot_35,
            P0_Type_Slot_36,
            P0_Type_Slot_37,
            P0_Type_Slot_38,
            P0_Type_Slot_39,
            P0_Type_Slot_40,
            P0_Type_Slot_41,
            P0_Type_Slot_42,
            P0_Type_Slot_43,
            P0_Type_Slot_44,
            P0_Type_Slot_45,
            P0_Type_Slot_46,
            P0_Type_Slot_47,
            P0_Type_Slot_48
        }
    }
}


/*******************************************************************************/
/*****  COMMAND DOWN-/UP-LOAD           ****************************************/
/*******************************************************************************/

MENU download_variables
{
    LABEL       [menu_load_to_PC];
    ITEMS
    {
        P0_BK_Slot0,                    
        P0_BK_Index0,                   
        P0_BK_Tag,                      
        P0_BK_Type,                     
        P0_BK_Channel,                  
        P0_BK_Sector, 
		P0_BK_Option_LBNetzteil,
        P0_BK_Option_FBNetzteil,          
        P0_BK_Option_Erweiterung,
        P0_BK_Option_FBTemperaturklasse,
		P0_BK_Option_FBAufbau,          
        P0_BK_Option_LBTemperaturklasse,
        P0_BK_Option_LBAufbau,          
        P0_BK_Option_System,            
        P0_BK_Time,                     
        P0_BK_Revision, 
		P0_BK_Power_Option1,                
		P0_BK_Power_Option2,                
		P0_BK_Power_Option3,                
		P0_BK_Power_Option4,                
		P0_BK_Power_Option5,                
		P0_BK_Power_Option6,                
//        P0_BK_CfgMode,
        P0_BK_Slot1,                    
        P0_BK_Index1,                   
        P0_BK_ServiceAdr,               
        P0_BK_ServiceOpt,               
        P0_BK_BusTo1,                   
        P0_BK_BusTo2,                   
        P0_BK_Mode_Bus,                 
        P0_BK_Mode_Red,                 
        P0_BK_Mode_Ueberw,              
        P0_BK_DpFlags_Modul,            
        P0_BK_DpFlags_State,            
        P0_BK_DpFlags_Clear,            
        P0_BK_DpFlags_ModulDiag,
        P0_BK_ConfRev,                  
        P0_BK_PbId,   
		P0_DiagOffset_aktiv,
		P0_DiagOffset_12_Byte_aktiv,
		P0_DiagOffset_wert,
        P1_BK_Slot2,                    
        P1_BK_Index2,                   
        P1_BK_Tag,                      
        P1_FbAdr,                       
        P2_BK_Slot3,                    
        P2_BK_Index3,                   
        P2_BK_Tag,                      
        P2_FbAdr,                       
        P0_DA_Slot0,                    
        P0_DA_Index0,                   
        P0_DA_Tag,                      
        P0_DA_Type,                     
        P0_DA_Channel,                  
        P0_DA_Sector,                   
        P0_DA_Option,                   
        P0_DA_Time,                     
        P0_DA_FirmRev,                  
        P0_DA_Revision,                 
        P0_DA_Slot1,                    
        P0_DA_Index1,                   
        P0_DA_PicRev,                   
        P0_DA_HrdRev,                   
        P0_DA_SerNo,                    
        P0_DA_Kstrt,
        P0_Type_Slot_1,
        P0_Type_Slot_2,
        P0_Type_Slot_3,
        P0_Type_Slot_4,
        P0_Type_Slot_5,
        P0_Type_Slot_6,
        P0_Type_Slot_7,
        P0_Type_Slot_8,
        P0_Type_Slot_9,
        P0_Type_Slot_10,
        P0_Type_Slot_11,
        P0_Type_Slot_12,
        P0_Type_Slot_13,
        P0_Type_Slot_14,
        P0_Type_Slot_15,
        P0_Type_Slot_16,
        P0_Type_Slot_17,
        P0_Type_Slot_18,
        P0_Type_Slot_19,
        P0_Type_Slot_20,
        P0_Type_Slot_21,
        P0_Type_Slot_22,
        P0_Type_Slot_23,
        P0_Type_Slot_24,
        P0_Type_Slot_25,
        P0_Type_Slot_26,
        P0_Type_Slot_27,
        P0_Type_Slot_28,
        P0_Type_Slot_29,
        P0_Type_Slot_30,
        P0_Type_Slot_31,
        P0_Type_Slot_32,
        P0_Type_Slot_33,
        P0_Type_Slot_34,
        P0_Type_Slot_35,
        P0_Type_Slot_36,
        P0_Type_Slot_37,
        P0_Type_Slot_38,
        P0_Type_Slot_39,
        P0_Type_Slot_40,
        P0_Type_Slot_41,
        P0_Type_Slot_42,
        P0_Type_Slot_43,
        P0_Type_Slot_44,
        P0_Type_Slot_45,
        P0_Type_Slot_46,
        P0_Type_Slot_47,
        P0_Type_Slot_48
    }
}

MENU upload_variables
{
    LABEL       [menu_load_to_device];
    ITEMS
    {
        IF (Loc_DoLoad != 0)
        {
            P0_BK_Tag,
//            P0_DA_DUMMY1,
            P0_BK_Type,                     
            P0_BK_Channel,                  
            P0_BK_Option_FBNetzteil,          
            P0_BK_Option_Erweiterung,
			P0_BK_Option_FBTemperaturklasse,
            P0_BK_Option_FBAufbau,          
            P0_BK_Option_System,  
			P0_BK_Option_LBNetzteil,
			P0_BK_Option_LBAufbau,
			P0_BK_Power_Option1,                
			P0_BK_Power_Option2,                
			P0_BK_Power_Option3,                
			P0_BK_Power_Option4,                
			P0_BK_Power_Option5,                
			P0_BK_Power_Option6,                
            P0_BK_ServiceAdr,
			P0_BK_ServiceOpt,               
//            P0_BK_CfgMode,
            P0_BK_BusTo1,                   
            P0_BK_BusTo2,                   
            P0_BK_Mode_Red,                 
            P0_BK_Mode_Ueberw,              
            P0_BK_DpFlags_Modul,            
            P0_BK_DpFlags_State,            
            P0_BK_DpFlags_Clear,
            P0_BK_DpFlags_ModulDiag,
            P0_BK_PbId,                     
            P1_BK_Tag,                      
            P2_BK_Tag
        }
    }
    PRE_WRITE_ACTIONS
    {
	    method_pre_write_variablesBK
    }
    POST_WRITE_ACTIONS
    {
        DEFINITION
        {
            WriteCommand(close_config_BK);
            
            var_drv_write_Status_BK = 0x0002;
 
            while(var_drv_write_Status_BK != 0x0000)
            {
                ReadCommand(check_drv_write_Status_BK);
            }
        }
    }
}

VARIABLE    Loc_DoLoad
{
    TYPE        UNSIGNED_INTEGER;
    CLASS       LOCAL;
}


id_P0_BK_Type   LIKE    VARIABLE    P0_BK_Type  
{
    REDEFINE    CLASS       LOCAL;
}

/*******************************************************************************/
/*****  Methods     ************************************************************/
/*******************************************************************************/

METHOD  method_pre_write_variablesBK
{
    CLASS       INPUT;
    ACCESS      OFFLINE;
    DEFINITION
    {
        int     error;

        Loc_DoLoad  = 1;			
        
        P0_BK_DpFlags_ModulDiag = P0_BK_DpFlags_ModulDiag.DEFAULT_VALUE;
        error = ReadCommand (id_read_P0_BK_Type);

        if (id_P0_BK_Type != lvar_value(P0_BK_Type))
        {
            Loc_DoLoad  = 0;
            ACKNOWLEDGE([info_mismatch_bus_coupler]);
        }
 		WriteCommand(open_config_BK);

		ReadCommand(check_drv_write_Status_BK);
    }
}


/*******************************************************************************/
/*****  COMMAND         ********************************************************/
/*******************************************************************************/


COMMAND id_read_P0_BK_Type
{
    SLOT        Loc_P0_BK_Slot0;        // P0_BK_Slot0;
    INDEX       0;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            0,                                                  // P0_BK_Slot0,
            0,                                                  // P0_BK_Index0,
            0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   // P0_BK_Tag,
            0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   // P0_BK_Tag,
            id_P0_BK_Type,
            0,                                                  // P0_BK_Channel,
            0,                                                  // P0_BK_Sector,
            0, 0,                                               // P0_BK_Option_...
            0, 0, 0, 0,                                         // P0_BK_Time,
            0, 0, 0, 0,                                         // P0_BK_Revision,
		0,0,						// P0_BK_DUMMY2,
		0,0,						// P0_BK_Power_Option,
		0,0,						// P0_BK_AdvOption,
		0,0,						// P0_BK_CfgMode,		
		0, 0, 0, 0, 0, 0,	 	                // P0_BK_DUMMY,
            0, 0                                                // P0_BK_Reserviert
        }
    }
}

// fbi hier muss gendert werden

COMMAND read_parameter_index0
{
    SLOT        Loc_P0_BK_Slot0;        // P0_BK_Slot0;
    INDEX       0;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            P0_BK_Slot0,
            P0_BK_Index0,
            P0_BK_Tag,
            P0_BK_Type,
            P0_BK_Channel,
            P0_BK_Sector,
			P0_BK_Option_System                     <0x8000>,
            P0_BK_Option_LBNetzteil				    <0x6000>,
			P0_BK_Option_LBAufbau                   <0x1800>,
            P0_BK_Option_FBAufbau                   <0x0600>,
            P0_BK_Option_FBTemperaturklasse         <0x0100>,
			P0_BK_Option_Bit7				        <0x0080>,
            P0_BK_Option_Erweiterung                <0x0070>,
			P0_BK_Option_Bit3				        <0x0008>,
			P0_BK_Option_FBNetzteil					<0x0007>,
            P0_BK_Time,
            P0_BK_Revision,
			P0_BK_DUMMY2,
			P0_BK_Power_Option_Dummy				<0xFFC0>,                
			P0_BK_Power_Option6						<0x0020>,                
			P0_BK_Power_Option5						<0x0010>,                
			P0_BK_Power_Option4						<0x0008>,                
			P0_BK_Power_Option3						<0x0004>,                
			P0_BK_Power_Option2						<0x0002>,                
			P0_BK_Power_Option1						<0x0001>,                
//			0, 0,										//P0_BK_Power_Option,
            P0_BK_DUMMY,
            P0_BK_Reserviert
        }
    }

}
// fbi hier muss gendert werden

COMMAND write_parameter_index0
{
    SLOT        Loc_P0_BK_Slot0;        // P0_BK_Slot0;
    INDEX       0;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            P0_BK_Slot0,
            P0_BK_Index0,
            P0_BK_Tag,
            P0_BK_Type,
            P0_BK_Channel,
            P0_BK_Sector,
            P0_BK_Option_System                     <0x8000>,
            P0_BK_Option_LBNetzteil				    <0x6000>,
			P0_BK_Option_LBAufbau                   <0x1800>,
            P0_BK_Option_FBAufbau                   <0x0600>,
            P0_BK_Option_FBTemperaturklasse         <0x0100>,
			P0_BK_Option_Bit7				        <0x0080>,
            P0_BK_Option_Erweiterung                <0x0070>,
			P0_BK_Option_Bit3				        <0x0008>,
			P0_BK_Option_FBNetzteil					<0x0007>,
            P0_BK_Time,
	        0, 0, 0, 0, 								//P0_BK_Revision,
			0, 0,										//P0_BK_DUMMY2,
//			P0_BK_Power_Option,
			P0_BK_Power_Option_Dummy				<0xFFC0>,                
			P0_BK_Power_Option6						<0x0020>,                
			P0_BK_Power_Option5						<0x0010>,                
			P0_BK_Power_Option4						<0x0008>,                
			P0_BK_Power_Option3						<0x0004>,                
			P0_BK_Power_Option2						<0x0002>,                
			P0_BK_Power_Option1						<0x0001>,                
            0, 0, 0, 0, 0, 0, 0, 0,		0, 0,				//P0_BK_DUMMY
            0, 0                                        // P0_BK_Reserviert
        }
        REPLY
        {
        }
    }
}

COMMAND read_modul_index1
{
    SLOT        Loc_P0_BK_Slot0;        // P0_BK_Slot0;
    INDEX       1;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            P0_BK_Slot1,
            P0_BK_Index1,
            P0_BK_ServiceAdr,
            P0_BK_ServiceOpt,
            P0_BK_BusTo1,
            P0_BK_BusTo2,
            P0_BK_Option_Bit4_7                     <0xF0>,
            P0_BK_Mode_hot_adress                   <0x08>,
            P0_BK_Mode_Ueberw                       <0x04>,
            P0_BK_Mode_Red                          <0x02>,
            P0_BK_Mode_Bus                          <0x01>,
            P0_BK_DpFlags_Bit5_7                    <0xE0>,
            P0_BK_DpFlags_Clear                     <0x10>,
            P0_BK_DpFlags_ModulDiag                 <0x08>,
            P0_BK_DpFlags_State                     <0x04>,
            P0_BK_DpFlags_Modul                     <0x02>,
            P0_BK_DpFlags_Bit0                      <0x01>,
            P0_BK_DUMMY2,
            P0_BK_ConfRev,
            P0_BK_PbId,
//            P0_BK_DUMMY1
			P0_BK_DUMMY12,					
			P0_DiagOffset_aktiv						<0x8000>,
			P0_BK_DUMMY9_13							<0x7E00>,
			P0_DiagOffset_12_Byte_aktiv				<0x0100>,
			P0_DiagOffset_wert						<0x00FF>,
			P0_BK_DUMMY34
        }
    }
}


COMMAND write_modul_index1
{
    SLOT        Loc_P0_BK_Slot0;        // P0_BK_Slot0;
    INDEX       1;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {

            P0_BK_Slot1,
            P0_BK_Index1,
            P0_BK_ServiceAdr,
            P0_BK_ServiceOpt,
            P0_BK_BusTo1,
            P0_BK_BusTo2,
            P0_BK_Option_Bit4_7                     <0xF0>,
            P0_BK_Mode_hot_adress					<0x08>,
			P0_BK_Mode_Ueberw                       <0x04>,
            P0_BK_Mode_Red                          <0x02>,
            P0_BK_Mode_Bus                          <0x01>,
            P0_BK_DpFlags_Bit5_7                    <0xE0>,
            P0_BK_DpFlags_Clear                     <0x10>,
            P0_BK_DpFlags_ModulDiag                 <0x08>,
            P0_BK_DpFlags_State                     <0x04>,
            P0_BK_DpFlags_Modul                     <0x02>,
            P0_BK_DpFlags_Bit0                      <0x01>,
            P0_BK_DUMMY2,
            0xFF, 0xFF,                                         // P0_BK_ConfRev,
            P0_BK_PbId,
//            0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   // P0_BK_DUMMY1
  //          0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   // P0_BK_DUMMY1
    //        0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0    // P0_BK_DUMMY1
			P0_BK_DUMMY12,					
			P0_DiagOffset_aktiv						<0x8000>,
			P0_BK_DUMMY9_13							<0x7E00>,
			P0_DiagOffset_12_Byte_aktiv				<0x0100>,
			P0_DiagOffset_wert						<0x00FF>,
			P0_BK_DUMMY34
		}
        REPLY
        {
        }
    }
}

COMMAND read_primaerBK_index2
{
    SLOT        Loc_P0_BK_Slot0;        // P0_BK_Slot0;
    INDEX       2;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            P1_BK_Slot2,
            P1_BK_Index2,
            P1_BK_Tag,
            P1_FbAdr,
            P1_BK_FbOpt,
            P1_BK_DUMMY
        }
    }
}

COMMAND write_primaerBK_index2
{
    SLOT        Loc_P0_BK_Slot0;        // P0_BK_Slot0;
    INDEX       2;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            P1_BK_Slot2,
            P1_BK_Index2,
            P1_BK_Tag,
            P1_FbAdr,
            P1_BK_FbOpt,
            0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   // P1_BK_DUMMY		28 Byte
            0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0                // 
        }
        REPLY
        {
        }
    }
}

COMMAND read_sekundaerBK_index3
{
    SLOT        Loc_P0_BK_Slot0;        // P0_BK_Slot0;
    INDEX       3;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            P2_BK_Slot3,
            P2_BK_Index3,
            P2_BK_Tag,
            P2_FbAdr,
            P2_BK_FbOpt,
            P2_BK_DUMMY
        }
    }
}

COMMAND write_sekundaerBK_index3
{
    SLOT        Loc_P0_BK_Slot0;        // P0_BK_Slot0;
    INDEX       3;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            P2_BK_Slot3,
            P2_BK_Index3,
            P2_BK_Tag,
            P2_FbAdr,
            P2_BK_FbOpt,
            0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   // P2_BK_DUMMY		28 Byte
            0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0                // 
        }
        REPLY
        {
        }
    }
}

/*******************************************************************************/
/*****  COMMAND Allg. Daten     *************************************************/
/*******************************************************************************/


COMMAND read_index0
{
    SLOT        Loc_P0_DA_Slot0     /*P0_DA_Slot0*/;
    INDEX       0;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            P0_DA_Slot0,
            P0_DA_Index0,
            P0_DA_Tag,
            P0_DA_Type,
            P0_DA_Channel,
            P0_DA_Sector,
            Bit1_15_BK          <0xFFFE>,
			P0_DA_Option        <0x0001>,
            P0_DA_Time,
            P0_DA_Revision,
            P0_DA_DUMMY
        }
    }
}

COMMAND write_index0
{
    SLOT        P0_DA_Slot0;
    INDEX       0;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            P0_DA_Slot0,
            P0_DA_Index0,
            P0_DA_Tag,
            P0_DA_Type,
            P0_DA_Channel,
            P0_DA_Sector,
            Bit1_15_BK          <0xFFFE>,
            P0_DA_Option        <0x0001>,
            P0_DA_Time,
            P0_DA_Revision,
            0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0    // P0_DA_DUMMY
        }
        REPLY
        {
        }
    }
}

COMMAND read_index1
{
    SLOT        Loc_P0_DA_Slot0     /*P0_DA_Slot0*/;
    INDEX       1;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            P0_DA_Slot1
            P0_DA_Index1,
            P0_DA_PicRev,
            P0_DA_HrdRev,
            P0_DA_SerNo,
            P0_DA_Kstrt,
            P0_DA_FirmRev,
            P0_DA_DUMMY1
        }
    }
}


COMMAND write_index1
{
    SLOT        P0_DA_Slot0;
    INDEX       1;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            P0_DA_Slot1,
            P0_DA_Index1,
            P0_DA_PicRev,
            P0_DA_HrdRev,
            P0_DA_SerNo,
            P0_DA_Kstrt,
            P0_DA_FirmRev,
            P0_DA_DUMMY1
        }
        REPLY
        {
        }
    }
}

/*------------------------------------------------------------------------------*/
/* OPEN CONFIG                                                                  */
/*------------------------------------------------------------------------------*/

COMMAND open_config_BK
{
    SLOT        0;
    INDEX       49;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            0x00,
            const_17_BK,
            0x00,
            0x00,
            0x00,
            0x00
        }
        REPLY
        {
        }
    }
}

VARIABLE const_17_BK
{
    LABEL       "17";
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER (1)
    {
        DEFAULT_VALUE   17;
    }
    HANDLING    READ;
}

/*------------------------------------------------------------------------------*/
/* CLOSE CONFIG                                                                 */
/*------------------------------------------------------------------------------*/

COMMAND close_config_BK
{
    SLOT        0;
    INDEX       49;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            0x00,
            const_18_BK,
            0x00,
            0x00,
            0x00,
            0x00
        }
        REPLY
        {
        }
    }
}

VARIABLE const_18_BK
{
    LABEL       "18";
    CLASS       LOCAL;
    TYPE        UNSIGNED_INTEGER (1)
    {
        DEFAULT_VALUE   18;
    }
    HANDLING    READ;
}

/*------------------------------------------------------------------------------*/
/* CHECK_DRV_WRITE_STATUS_BK                                                    */
/*------------------------------------------------------------------------------*/

COMMAND check_drv_write_Status_BK
{
    SLOT        0;
    INDEX       42;//43;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            var_drv_write_Status_BK
        }
    }
}


//COMMAND check_HResult_Status
COMMAND check_HResult_Status_BK
{
    SLOT        0;
    INDEX       48;//43;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            var_drv_write_Status_BK
        }
    }
}

VARIABLE var_drv_write_Status_BK
{
    LABEL       "var_drv_write_Status_BK";
    CLASS       CONTAINED;
    TYPE        UNSIGNED_INTEGER (2);
    HANDLING    READ;
}

/*******************************************************************************/
/*****  Table: Specialist  *****************************************************/
/*******************************************************************************/

MENU Table_Main_Specialist
{
    LABEL
        SELECT (P0_BK_Type)         
        {                       
            CASE 0x8105:        [buskoppler_LB_V6];
            CASE 0x8205:        [buskoppler_FB_V6];
            CASE 0x8109:        [buskoppler_LB_V9];
            CASE 0x8209:        [buskoppler_FB_V9];
        }       
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_ident,
        Tab_s_redundanz,
        Tab_s_bk1,
        Tab_s_bk2,
        Tab_s_kommunikation,
		
		IF ((P0_BK_Type == 0x8105) || (P0_BK_Type == 0x8109))
			{	
				Tab_s_const_LB
			}
        ELSE
			{	
				Tab_s_const_FB
			}
    }
}

MENU Tab_s_ident
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_BK_Tag,
		// P0_BK_Type,
		Tab_s_ident_device,
		Tab_s_ident_offset
    }
}

MENU Tab_s_ident_device
{
    LABEL       [menu_ident_device];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_BK_Type,
        P0_BK_ConfRev,
        P0_BK_PbId,
        P0_BK_Revision,
		P0_BK_Mode_Bus//,
// 	P0_Size//,
	//P0_BK_CfgMode
   }
}

MENU Tab_s_ident_offset
{
    LABEL       [menu_ident_offset];
    ACCESS      OFFLINE;
    ITEMS
    {
		P0_DiagOffset_wert,
		P0_DiagOffset_12_Byte_aktiv,
		P0_DiagOffset_aktiv
    }
}

MENU Tab_s_bk1
{
    LABEL       [Buskoppler1];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_ident_bk1,
    }
}

MENU Tab_s_ident_bk1
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        P1_BK_Tag,
        P1_FbAdr                        (READ_ONLY)
    }
}

MENU Tab_s_bk2
{
    LABEL       [Buskoppler2];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_ident_bk2,
    }
    VALIDITY    VALID_IF_TRUE (P0_BK_Channel == 2)
}

MENU Tab_s_ident_bk2
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        P2_BK_Tag,
        P2_FbAdr                        (READ_ONLY)
    }
}

MENU Tab_s_redundanz
{
    LABEL       [Redundanz];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_BK_Channel,
        P0_BK_Mode_Red,
    }
}

MENU Tab_s_kommunikation
{
    LABEL       [kommunikation];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_feldbus,
        Tab_s_servicebus
    }
}

MENU Tab_s_feldbus
{
    LABEL       [feldbus];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_BK_Mode_Ueberw,
        Tab_s_anbesprechueberwachung,
        Tab_s_dp_modus
    }
    VALIDITY    VALID_IF_TRUE (P0_BK_Mode_Bus == 1)
}

MENU Tab_s_anbesprechueberwachung
{
    LABEL       [anbesprechueberwachung];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_BK_BusTo1,
        P0_BK_BusTo2,
    }
}

MENU Tab_s_dp_modus
{
    LABEL       [DP_modus];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_BK_DpFlags_Modul,
        P0_BK_DpFlags_State,
        P0_BK_DpFlags_Clear
    }
}

MENU Tab_s_servicebus
{
    LABEL       [servicebus];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_BK_ServiceAdr,
		P0_BK_ServiceOpt
    }
    VALIDITY    VALID_IF_TRUE (P0_BK_Mode_Bus == 0)
}

MENU Tab_s_const_FB
{
    LABEL       [menu_construct];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_const_design_FB,
        Tab_config_slot
    }
    VALIDITY    VALID_IF_TRUE ( P0_BK_Option_System == 1 )
}

MENU Tab_m_const_FB
{
    LABEL       [menu_construct];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_const_design_FB,
        Tab_config_slot
    }
    VALIDITY    VALID_IF_TRUE ( P0_BK_Option_System == 1 )
}

MENU Tab_s_const_design_FB
{
    LABEL       [menu_const_design];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_BK_Option_System                 (READ_ONLY),
        P0_BK_Option_FBNetzteil,
//		P0_BK_Option_Erweiterung,
		P0_BK_Option_FBTemperaturklasse,
        P0_BK_Option_FBAufbau,
		P0_BK_Power_Option1,
		P0_BK_Power_Option2,
		P0_BK_Power_Option3,
		P0_BK_Power_Option4//,
//		P0_BK_Power_Option5,
//		P0_BK_Power_Option6

    }
}

MENU Tab_s_const_LB
{
    LABEL       [menu_construct];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_const_design_LB,
        Tab_config_slot
    }
    VALIDITY    VALID_IF_TRUE ( P0_BK_Option_System == 0 )
}

MENU Tab_s_const_design_LB
{
    LABEL       [menu_const_design];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_BK_Option_System                 (READ_ONLY),
        P0_BK_Option_LBNetzteil,
		P0_BK_Option_Erweiterung,
        P0_BK_Option_LBAufbau,
		P0_BK_Power_Option1,
		P0_BK_Power_Option2,
		P0_BK_Power_Option3,
		P0_BK_Power_Option4,
		P0_BK_Power_Option5,
		P0_BK_Power_Option6
    }
}

MENU Tab_config_slot
{
    LABEL       [menu_config_slot];
    ITEMS
	{
		IF (P0_BK_Option_System == 0)		//LB
		{
			SELECT (P0_BK_Option_LBAufbau) 		
			{						
				CASE 0:	
				{
					SELECT (P0_BK_Option_Erweiterung) 
					{
						CASE 0:	Tab_config_slot_1	
						CASE 1:	Tab_config_slot_1, Tab_config_slot_2	
						CASE 2:	Tab_config_slot_1, Tab_config_slot_2, Tab_config_slot_3
						CASE 3:	Tab_config_slot_1, Tab_config_slot_2, Tab_config_slot_3,
								Tab_config_slot_4
						CASE 4:	Tab_config_slot_1, Tab_config_slot_2, Tab_config_slot_3,
								Tab_config_slot_4, Tab_config_slot_5
						CASE 5:	Tab_config_slot_1, Tab_config_slot_2, Tab_config_slot_3,
								Tab_config_slot_4, Tab_config_slot_5, Tab_config_slot_6
					}
				}
				CASE 1:		
				{
					SELECT (P0_BK_Option_Erweiterung) 
					{
						CASE 0:	Tab_config_slot_7	
						CASE 1:	Tab_config_slot_7, Tab_config_slot_2	
						CASE 2:	Tab_config_slot_7, Tab_config_slot_2, Tab_config_slot_3
						CASE 3:	Tab_config_slot_7, Tab_config_slot_2, Tab_config_slot_3,
								Tab_config_slot_4
						CASE 4:	Tab_config_slot_7, Tab_config_slot_2, Tab_config_slot_3,
								Tab_config_slot_4, Tab_config_slot_5
						CASE 5:	Tab_config_slot_7, Tab_config_slot_2, Tab_config_slot_3,
								Tab_config_slot_4, Tab_config_slot_5, Tab_config_slot_6
					}
				}
				CASE 2:		
				{
					SELECT (P0_BK_Option_Erweiterung) 
					{
						CASE 0:	Tab_config_slot_8	
						CASE 1:	Tab_config_slot_8, Tab_config_slot_9	
					}
				}
				CASE 3:	
				{
					SELECT (P0_BK_Option_Erweiterung) 
					{
						CASE 0:	Tab_config_slot_1	
						CASE 1:	Tab_config_slot_1, Tab_config_slot_2	
					}
				}			
				CASE 4:
								{
					SELECT (P0_BK_Option_Erweiterung) 
					{
						CASE 0:	Tab_config_slot_16	
						CASE 1:	Tab_config_slot_16, Tab_config_slot_17	
					}
				}
				CASE 5:
								{
					SELECT (P0_BK_Option_Erweiterung) 
					{
						CASE 0:	Tab_config_slot_18
					}
				}
			}
		}
		ELSE
		{
			SELECT (P0_BK_Option_FBAufbau) 		
			{						
				CASE 0:	Tab_config_slot_11, Tab_config_slot_12
				CASE 1:	Tab_config_slot_11, Tab_config_slot_12,
						Tab_config_slot_13, Tab_config_slot_14
				CASE 2:	Tab_config_slot_15
			}
		}
	}
}


MENU Tab_config_slot_1				//LB KB Single Slot1..8
{
    LABEL       [menu_config_slot_1];
    ITEMS
    {
        P0_Type_Slot_1,
        P0_Type_Slot_2,
        P0_Type_Slot_3,
        P0_Type_Slot_4,
        P0_Type_Slot_5,
        P0_Type_Slot_6,
        P0_Type_Slot_7,
        P0_Type_Slot_8
    }
}

MENU Tab_config_slot_2				//LB BK Slot1..8 + Slot9..16
{
    LABEL       [menu_config_slot_2];
    ITEMS
    {
        P0_Type_Slot_9,
        P0_Type_Slot_10,
        P0_Type_Slot_11,
        P0_Type_Slot_12,
        P0_Type_Slot_13,
        P0_Type_Slot_14,
        P0_Type_Slot_15,
        P0_Type_Slot_16
    }
}

MENU Tab_config_slot_3				//LB BK Slot1..8 + Slot9..16 + ..24	
{
    LABEL       [menu_config_slot_3];
    ITEMS
    {
        P0_Type_Slot_17,
        P0_Type_Slot_18,
        P0_Type_Slot_19,
        P0_Type_Slot_20,
        P0_Type_Slot_21,
        P0_Type_Slot_22,
        P0_Type_Slot_23,
        P0_Type_Slot_24
    }
}

MENU Tab_config_slot_4				//LB BK Slot1..8 + Slot9..16 + ..24	+ ..32
{
    LABEL       [menu_config_slot_4];
    ITEMS
    {
        P0_Type_Slot_25,
        P0_Type_Slot_26,
        P0_Type_Slot_27,
        P0_Type_Slot_28,
        P0_Type_Slot_29,
        P0_Type_Slot_30,
        P0_Type_Slot_31,
        P0_Type_Slot_32
    }
}

MENU Tab_config_slot_5				//LB BK Slot1..8 + Slot9..16 + ..24	+ ..32 + .. 40
{
    LABEL       [menu_config_slot_5];
    ITEMS
    {
        P0_Type_Slot_33,
        P0_Type_Slot_34,
        P0_Type_Slot_35,
        P0_Type_Slot_36,
        P0_Type_Slot_37,
        P0_Type_Slot_38,
        P0_Type_Slot_39,
        P0_Type_Slot_40
    }
}

MENU Tab_config_slot_6				//LB BK Slot1..8 + Slot9..16 + ..24	+ ..32 + .. 40 + .. 48
{
    LABEL       [menu_config_slot_6];
    ITEMS
    {
        P0_Type_Slot_41,
        P0_Type_Slot_42,
        P0_Type_Slot_43,
        P0_Type_Slot_44,
        P0_Type_Slot_45,
        P0_Type_Slot_46,
        P0_Type_Slot_47,
        P0_Type_Slot_48
    }
}

MENU Tab_config_slot_7				//LB BK Red. Slot3..8
{
    LABEL       [menu_config_slot_7];
    ITEMS
    {
        P0_Type_Slot_3,
        P0_Type_Slot_4,
        P0_Type_Slot_5,
        P0_Type_Slot_6,
        P0_Type_Slot_7,
        P0_Type_Slot_8
	}
}

MENU Tab_config_slot_8				//LB BK Red. Slot3..24
{
    LABEL       [menu_config_slot_8];
    ITEMS
    {
        P0_Type_Slot_3,
        P0_Type_Slot_4,
        P0_Type_Slot_5,
        P0_Type_Slot_6,
        P0_Type_Slot_7,
        P0_Type_Slot_8,
        P0_Type_Slot_9,
        P0_Type_Slot_10,
        P0_Type_Slot_11,
        P0_Type_Slot_12,
        P0_Type_Slot_13,
        P0_Type_Slot_14,
        P0_Type_Slot_15,
        P0_Type_Slot_16,
        P0_Type_Slot_17,
        P0_Type_Slot_18,
        P0_Type_Slot_19,
        P0_Type_Slot_20,
        P0_Type_Slot_21,
        P0_Type_Slot_22,
        P0_Type_Slot_23,
        P0_Type_Slot_24
    }
}

MENU Tab_config_slot_9				//LB BK Red. Slot3..24 + .. 48
{
    LABEL       [menu_config_slot_9];
    ITEMS
    {
        P0_Type_Slot_25,
        P0_Type_Slot_26,
        P0_Type_Slot_27,
        P0_Type_Slot_28,
        P0_Type_Slot_29,
        P0_Type_Slot_30,
        P0_Type_Slot_31,
        P0_Type_Slot_32,
        P0_Type_Slot_33,
        P0_Type_Slot_34,
        P0_Type_Slot_35,
        P0_Type_Slot_36,
        P0_Type_Slot_37,
        P0_Type_Slot_38,
        P0_Type_Slot_39,
        P0_Type_Slot_40,
        P0_Type_Slot_41,
        P0_Type_Slot_42,
        P0_Type_Slot_43,
        P0_Type_Slot_44,
        P0_Type_Slot_45,
        P0_Type_Slot_45,
        P0_Type_Slot_46,
        P0_Type_Slot_47,
        P0_Type_Slot_48
    }
}

MENU Tab_config_slot_11				//FB BK  Slot1..12
{
    LABEL       [menu_config_slot_11];
    ITEMS
    {
        P0_Type_Slot_1,
        P0_Type_Slot_2,
        P0_Type_Slot_3,
        P0_Type_Slot_4,
        P0_Type_Slot_5,
        P0_Type_Slot_6,
        P0_Type_Slot_7,
        P0_Type_Slot_8,
        P0_Type_Slot_9,
        P0_Type_Slot_10,
        P0_Type_Slot_11,
        P0_Type_Slot_12
    }
}

MENU Tab_config_slot_12				//FB BK  Slot1..12 + .. 24
{
    LABEL       [menu_config_slot_12];
    ITEMS
    {
        P0_Type_Slot_13,
        P0_Type_Slot_14,
        P0_Type_Slot_15,
        P0_Type_Slot_16,
        P0_Type_Slot_17,
        P0_Type_Slot_18,
        P0_Type_Slot_19,
        P0_Type_Slot_20,
        P0_Type_Slot_21,
        P0_Type_Slot_22,
        P0_Type_Slot_23,
        P0_Type_Slot_24
    }
}

MENU Tab_config_slot_13				//FB BK  Slot1..12 + .. 24 + .. 36
{
    LABEL       [menu_config_slot_13];
    ITEMS
    {
        P0_Type_Slot_25,
        P0_Type_Slot_26,
        P0_Type_Slot_27,
        P0_Type_Slot_28,
        P0_Type_Slot_29,
        P0_Type_Slot_30,
        P0_Type_Slot_31,
        P0_Type_Slot_32,
        P0_Type_Slot_33,
        P0_Type_Slot_34,
        P0_Type_Slot_35,
        P0_Type_Slot_36,
    }
}

MENU Tab_config_slot_14				//FB BK  Slot1..12 + .. 24 + .. 36 + .. 48
{
    LABEL       [menu_config_slot_14];
    ITEMS
    {
        P0_Type_Slot_37,
        P0_Type_Slot_38,
        P0_Type_Slot_39,
        P0_Type_Slot_40,
        P0_Type_Slot_41,
        P0_Type_Slot_42,
        P0_Type_Slot_43,
        P0_Type_Slot_44,
        P0_Type_Slot_45,
        P0_Type_Slot_45,
        P0_Type_Slot_46,
        P0_Type_Slot_47,
        P0_Type_Slot_48
    }
}

MENU Tab_config_slot_15				//FB BK  Slot1..10
{
    LABEL       [menu_config_slot_15];
    ITEMS
    {
        P0_Type_Slot_1,
        P0_Type_Slot_2,
        P0_Type_Slot_3,
        P0_Type_Slot_4,
        P0_Type_Slot_5,
        P0_Type_Slot_6,
        P0_Type_Slot_7,
        P0_Type_Slot_8,
        P0_Type_Slot_9,
        P0_Type_Slot_10
    }
}

MENU Tab_config_slot_16				//LB BK  Slot1..16
{
    LABEL       [menu_config_slot_16];
    ITEMS
    {
        P0_Type_Slot_1,
        P0_Type_Slot_2,
        P0_Type_Slot_3,
        P0_Type_Slot_4,
        P0_Type_Slot_5,
        P0_Type_Slot_6,
        P0_Type_Slot_7,
        P0_Type_Slot_8,
        P0_Type_Slot_9,
        P0_Type_Slot_10,
        P0_Type_Slot_11,
        P0_Type_Slot_12,
        P0_Type_Slot_13,
        P0_Type_Slot_14,
        P0_Type_Slot_15,
        P0_Type_Slot_16
    }
}

MENU Tab_config_slot_17				//LB BK Slot1..16 + Slot17..32
{
    LABEL       [menu_config_slot_17];
    ITEMS
    {
        P0_Type_Slot_17,
        P0_Type_Slot_18,
        P0_Type_Slot_19,
        P0_Type_Slot_20,
        P0_Type_Slot_21,
        P0_Type_Slot_22,
        P0_Type_Slot_23,
        P0_Type_Slot_24,
        P0_Type_Slot_25,
        P0_Type_Slot_26,
        P0_Type_Slot_27,
        P0_Type_Slot_28,
        P0_Type_Slot_29,
        P0_Type_Slot_30,
        P0_Type_Slot_31,
        P0_Type_Slot_32
    }
}

MENU Tab_config_slot_18				//LB BK  Slot3..14
{
    LABEL       [menu_config_slot_18];
    ITEMS
    {
        P0_Type_Slot_3,
        P0_Type_Slot_4,
        P0_Type_Slot_5,
        P0_Type_Slot_6,
        P0_Type_Slot_7,
        P0_Type_Slot_8,
        P0_Type_Slot_9,
        P0_Type_Slot_10,
        P0_Type_Slot_11,
        P0_Type_Slot_12,
        P0_Type_Slot_13,
        P0_Type_Slot_14
    }
}


/*******************************************************************************/
/*****  Table: Maintenance  *****************************************************/
/*******************************************************************************/

MENU Table_Main_Maintenance
{
    LABEL
        SELECT (P0_BK_Type)         
        {                       
            CASE 0x8105:        [buskoppler_LB_V6];
			CASE 0x8205:        [buskoppler_FB_V6];
            CASE 0x8109:        [buskoppler_LB_V9];
			CASE 0x8209:        [buskoppler_FB_V9];
        }       
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_ident,
        Tab_m_redundanz,
        Tab_m_bk1,
        Tab_m_bk2,
        Tab_m_kommunikation,

		IF ((P0_BK_Type == 0x8105) || (P0_BK_Type == 0x8109))
			{	
				Tab_m_const_LB
			}
        ELSE
			{	
				Tab_m_const_FB
			}
	}
}

MENU Tab_m_ident
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_BK_Tag,
        Tab_m_ident_device,
		Tab_m_ident_offset
    }
}

MENU Tab_m_ident_device
{
    LABEL       [menu_ident_device];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_BK_Type                      (READ_ONLY),
        P0_BK_ConfRev                   (READ_ONLY),
        P0_BK_PbId                      (READ_ONLY),
        P0_BK_Revision                  (READ_ONLY),
		P0_BK_Mode_Bus                  (READ_ONLY)//,
// 	P0_Size				(READ_ONLY)//,
//	P0_BK_CfgMode			(READ_ONLY)
    }
}

MENU Tab_m_ident_offset
{
    LABEL       [menu_ident_offset];
    ACCESS      OFFLINE;
    ITEMS
    {
		P0_DiagOffset_wert					(READ_ONLY),
		P0_DiagOffset_12_Byte_aktiv			(READ_ONLY),
		P0_DiagOffset_aktiv					(READ_ONLY)
    }
}

MENU Tab_m_bk1
{
    LABEL       [Buskoppler1];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_ident_bk1,
    }
}

MENU Tab_m_ident_bk1
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        P1_BK_Tag,
        P1_FbAdr                        (READ_ONLY)
    }
}

MENU Tab_m_bk2
{
    LABEL       [Buskoppler2];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_ident_bk2,
    }
    VALIDITY    VALID_IF_TRUE (P0_BK_Channel == 2)
}

MENU Tab_m_ident_bk2
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        P2_BK_Tag,
        P2_FbAdr                        (READ_ONLY)
    }
}

MENU Tab_m_redundanz
{
    LABEL       [Redundanz];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_BK_Channel                   (READ_ONLY),
        P0_BK_Mode_Red                  (READ_ONLY)
    }
}

MENU Tab_m_kommunikation
{
    LABEL       [kommunikation];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_feldbus,
        Tab_m_servicebus
    }
}

MENU Tab_m_feldbus
{
    LABEL       [feldbus];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_BK_Mode_Ueberw                   (READ_ONLY),
        Tab_m_anbesprechueberwachung,
        Tab_m_dp_modus
    }
    VALIDITY    VALID_IF_TRUE (P0_BK_Mode_Bus == 1)
}

MENU Tab_m_anbesprechueberwachung
{
    LABEL       [anbesprechueberwachung];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_BK_BusTo1                        (READ_ONLY),
        P0_BK_BusTo2                        (READ_ONLY),
    }
}

MENU Tab_m_dp_modus
{
    LABEL       [DP_modus];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_BK_DpFlags_Modul                     (READ_ONLY),
        P0_BK_DpFlags_State                     (READ_ONLY),
        P0_BK_DpFlags_Clear                     (READ_ONLY)
    }
}

MENU Tab_m_servicebus
{
    LABEL       [servicebus];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_BK_ServiceAdr                        (READ_ONLY),
		P0_BK_ServiceOpt						(READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (P0_BK_Mode_Bus == 0)
}

MENU Tab_m_const_design_FB
{
    LABEL       [menu_const_design];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_BK_Option_System                     (READ_ONLY),
        P0_BK_Option_FBNetzteil					(READ_ONLY),
//		P0_BK_Option_Erweiterung				(READ_ONLY),
        P0_BK_Option_FBTemperaturklasse         (READ_ONLY),
        P0_BK_Option_FBAufbau                   (READ_ONLY),
//		P0_BK_Power_Option						(READ_ONLY),
		P0_BK_Power_Option1						(READ_ONLY),
		P0_BK_Power_Option2						(READ_ONLY),
		P0_BK_Power_Option3						(READ_ONLY),
		P0_BK_Power_Option4						(READ_ONLY)//,
//		P0_BK_Power_Option5						(READ_ONLY),
//		P0_BK_Power_Option6						(READ_ONLY)
    }
}

MENU Tab_m_const_LB
{
    LABEL       [menu_construct];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_const_design_LB,
        Tab_config_slot
    }
    VALIDITY    VALID_IF_TRUE ( P0_BK_Option_System == 0 )
}

MENU Tab_m_const_design_LB
{
    LABEL       [menu_const_design];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_BK_Option_System                 (READ_ONLY),
        P0_BK_Option_LBNetzteil				(READ_ONLY),
		P0_BK_Option_Erweiterung			(READ_ONLY),
        P0_BK_Option_LBAufbau				(READ_ONLY),
		P0_BK_Power_Option1					(READ_ONLY),
		P0_BK_Power_Option2					(READ_ONLY),
		P0_BK_Power_Option3					(READ_ONLY),
		P0_BK_Power_Option4					(READ_ONLY),
		P0_BK_Power_Option5					(READ_ONLY),
		P0_BK_Power_Option6					(READ_ONLY)

    }
}

