/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved	*/
/*    Product:          SIMATIC PDM                         */
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      Binreingang 15 Kanle               */
/*                      Namur				                */
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.15  $                                    */
/*  $Date:   21.11.2002  $								    */
/*----------------------------------------------------------*/
//PFDP__DI15C01.inc

/*******************************************************************************/
/*****	Variables Kanal1	****************************************************/
/*******************************************************************************/

DI15C01_P1_Slot1		LIKE VARIABLE	P0_Slot0
{
}

DI15C01_P1_Index1	LIKE VARIABLE	P0_Index0
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 1;
	}
}

DI15C01_P1_Tag		LIKE VARIABLE	P0_Tag
{
	REDEFINE HELP	[P1_Tag_help];
}

VARIABLE	DI15C01_P1_State
{
	LABEL		[P1_State];
	HELP		[P1_State_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{ 0,	[automatic] 	},
		{ 1,	[simulation] 	}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI15C01_P1_ErrMode
{
	LABEL		[P1_ErrMode];
	HELP		[P1_ErrMode_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{ 0,	[aktuellen_wert]	},
		{ 1,	[ersatzwert]		},
		{ 2,	[letzten_wert]		}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI15C01_P1_SimVal_Data
{
	LABEL		[P1_SimVal];
	HELP		[P1_SimVal_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"	},
		{	0x01,	"1"	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI15C01_P1_SimVal_State
{
	LABEL		[P1_SimVal_State];
	HELP		[P1_SimVal_State_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	[daten_ok]			},
		{	0x01,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI15C01_P1_SimVal_Bit2_7
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER;
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI15C01_P1_ErrVal_Data
{
	LABEL		[P1_ErrVal];
	HELP		[P1_ErrVal_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"	},
		{	0x01,	"1"	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI15C01_P1_ErrVal_State
{
	LABEL		[P1_ErrVal_State];
	HELP		[P1_ErrVal_State_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x00,	[no_error]		},
		{	0x01,	[line_fault]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI15C01_P1_ErrVal_Bit2_7
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER;
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI15C01_P1_Option_Invert
{
	LABEL		[P1_Option_Invert];
	HELP		[P1_Option_Invert_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{	0x0000,	[inv_normal]		},
		{	0x0001,	[inv_invers]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI15C01_P1_Option_Leitung
{
	LABEL		[P1_Option_Leitung];
	HELP		[P1_Option_Leitung_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 1;
		{ 0,	[no]		},
		{ 1,	[yes]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI15C01_P1_Option_Bit2_14
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER(2);
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI15C01_P1_Option_Kanal
{
	LABEL		[P1_Option_Kanal];
	HELP		[P1_Option_Kanal_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{ 0,	[kanal_aktiv]		},
		{ 1,	[kanal_inaktiv]		}
	}
	CLASS		CONTAINED;
//	HANDLING	READ & WRITE;
	HANDLING	READ;
}

VARIABLE	DI15C01_P1_OnDelay
{
	LABEL		[P1_OnDelay];
	HELP		[P1_OnDelay_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 60000;
		DEFAULT_VALUE 0;
	}
	CONSTANT_UNIT	[msec];
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI15C01_P1_OffDelay
{
	LABEL		[P1_OffDelay];
	HELP		[P1_OffDelay_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 60000;
		DEFAULT_VALUE 0;
	}
	CONSTANT_UNIT	[msec];
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI15C01_P1_Map
{
	LABEL		[P1_Map];
	HELP		[P1_Map_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	DI15C01_P1_Mode
{
	LABEL		[P1_Mode];
	HELP		[P1_Mode_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
        { 0,    [NAMUR]    },
        { 1,    [Volt_24]   },
        { 2,    [Volt_5]    }
 	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI15C01_DUMMY_4
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ASCII (4);
	CLASS		CONTAINED;
	HANDLING	READ;
}
VARIABLE	DI15C01_DUMMY_6
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ASCII (6);
	CLASS		CONTAINED;
	HANDLING	READ;
}
VARIABLE	DI15C01_DUMMY_30
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ASCII (30);
	CLASS		CONTAINED;
	HANDLING	READ;
}


/*******************************************************************************/
/*****	Variables Kanal2	****************************************************/
/*******************************************************************************/


DI15C01_P2_Tag				LIKE VARIABLE	DI15C01_P1_Tag
{
}

DI15C01_P2_State				LIKE VARIABLE	DI15C01_P1_State
{
}

DI15C01_P2_ErrMode			LIKE VARIABLE	DI15C01_P1_ErrMode
{
}

DI15C01_P2_SimVal_Data		LIKE VARIABLE	DI15C01_P1_SimVal_Data
{
}

DI15C01_P2_SimVal_State		LIKE VARIABLE	DI15C01_P1_SimVal_State
{
}

DI15C01_P2_SimVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_SimVal_Bit2_7
{
}

DI15C01_P2_ErrVal_Data		LIKE VARIABLE	DI15C01_P1_ErrVal_Data
{
}

DI15C01_P2_ErrVal_State		LIKE VARIABLE	DI15C01_P1_ErrVal_State
{
}

DI15C01_P2_ErrVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_ErrVal_Bit2_7
{
}

DI15C01_P2_Option_Invert		LIKE VARIABLE	DI15C01_P1_Option_Invert
{
}

DI15C01_P2_Option_Leitung	LIKE VARIABLE	DI15C01_P1_Option_Leitung
{
}

DI15C01_P2_Option_Bit2_14	LIKE VARIABLE	DI15C01_P1_Option_Bit2_14
{
}

DI15C01_P2_Option_Kanal		LIKE VARIABLE	DI15C01_P1_Option_Kanal
{
}

DI15C01_P2_OnDelay			LIKE VARIABLE	DI15C01_P1_OnDelay
{
}

DI15C01_P2_OffDelay			LIKE VARIABLE	DI15C01_P1_OffDelay
{
}

DI15C01_P2_Map				LIKE VARIABLE	DI15C01_P1_Map
{
}

DI15C01_P2_Mode				LIKE VARIABLE	DI15C01_P1_Mode
{
}


/*******************************************************************************/
/*****	Variables Kanal3	****************************************************/
/*******************************************************************************/

DI15C01_P3_Slot2				LIKE VARIABLE	P0_Slot0
{
}

DI15C01_P3_Index2			LIKE VARIABLE	DI15C01_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 2;
	}
}

DI15C01_P3_Tag				LIKE VARIABLE	DI15C01_P1_Tag
{
}

DI15C01_P3_State				LIKE VARIABLE	DI15C01_P1_State
{
}

DI15C01_P3_ErrMode			LIKE VARIABLE	DI15C01_P1_ErrMode
{
}

DI15C01_P3_SimVal_Data		LIKE VARIABLE	DI15C01_P1_SimVal_Data
{
}

DI15C01_P3_SimVal_State		LIKE VARIABLE	DI15C01_P1_SimVal_State
{
}

DI15C01_P3_SimVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_SimVal_Bit2_7
{
}

DI15C01_P3_ErrVal_Data		LIKE VARIABLE	DI15C01_P1_ErrVal_Data
{
}

DI15C01_P3_ErrVal_State		LIKE VARIABLE	DI15C01_P1_ErrVal_State
{
}

DI15C01_P3_ErrVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_ErrVal_Bit2_7
{
}

DI15C01_P3_Option_Invert		LIKE VARIABLE	DI15C01_P1_Option_Invert
{
}

DI15C01_P3_Option_Leitung	LIKE VARIABLE	DI15C01_P1_Option_Leitung
{
}

DI15C01_P3_Option_Bit2_14	LIKE VARIABLE	DI15C01_P1_Option_Bit2_14
{
}

DI15C01_P3_Option_Kanal		LIKE VARIABLE	DI15C01_P1_Option_Kanal
{
}

DI15C01_P3_OnDelay			LIKE VARIABLE	DI15C01_P1_OnDelay
{
}

DI15C01_P3_OffDelay			LIKE VARIABLE	DI15C01_P1_OffDelay
{
}

DI15C01_P3_Map				LIKE VARIABLE	DI15C01_P1_Map
{
}

DI15C01_P3_Mode				LIKE VARIABLE	DI15C01_P1_Mode
{
}


/*******************************************************************************/
/*****	Variables Kanal4	****************************************************/
/*******************************************************************************/


DI15C01_P4_Tag				LIKE VARIABLE	DI15C01_P1_Tag
{
}

DI15C01_P4_State				LIKE VARIABLE	DI15C01_P1_State
{
}

DI15C01_P4_ErrMode			LIKE VARIABLE	DI15C01_P1_ErrMode
{
}

DI15C01_P4_SimVal_Data		LIKE VARIABLE	DI15C01_P1_SimVal_Data
{
}

DI15C01_P4_SimVal_State		LIKE VARIABLE	DI15C01_P1_SimVal_State
{
}

DI15C01_P4_SimVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_SimVal_Bit2_7
{
}

DI15C01_P4_ErrVal_Data		LIKE VARIABLE	DI15C01_P1_ErrVal_Data
{
}

DI15C01_P4_ErrVal_State		LIKE VARIABLE	DI15C01_P1_ErrVal_State
{
}

DI15C01_P4_ErrVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_ErrVal_Bit2_7
{
}

DI15C01_P4_Option_Invert		LIKE VARIABLE	DI15C01_P1_Option_Invert
{
}

DI15C01_P4_Option_Leitung	LIKE VARIABLE	DI15C01_P1_Option_Leitung
{
}

DI15C01_P4_Option_Bit2_14	LIKE VARIABLE	DI15C01_P1_Option_Bit2_14
{
}

DI15C01_P4_Option_Kanal		LIKE VARIABLE	DI15C01_P1_Option_Kanal
{
}

DI15C01_P4_OnDelay			LIKE VARIABLE	DI15C01_P1_OnDelay
{
}

DI15C01_P4_OffDelay			LIKE VARIABLE	DI15C01_P1_OffDelay
{
}

DI15C01_P4_Map				LIKE VARIABLE	DI15C01_P1_Map
{
}

DI15C01_P4_Mode				LIKE VARIABLE	DI15C01_P1_Mode
{
}


/*******************************************************************************/
/*****	Variables Kanal5	****************************************************/
/*******************************************************************************/

DI15C01_P5_Slot3				LIKE VARIABLE	P0_Slot0
{
}

DI15C01_P5_Index3			LIKE VARIABLE	DI15C01_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 3;
	}
}

DI15C01_P5_Tag				LIKE VARIABLE	DI15C01_P1_Tag
{
}

DI15C01_P5_State				LIKE VARIABLE	DI15C01_P1_State
{
}

DI15C01_P5_ErrMode			LIKE VARIABLE	DI15C01_P1_ErrMode
{
}

DI15C01_P5_SimVal_Data		LIKE VARIABLE	DI15C01_P1_SimVal_Data
{
}

DI15C01_P5_SimVal_State		LIKE VARIABLE	DI15C01_P1_SimVal_State
{
}

DI15C01_P5_SimVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_SimVal_Bit2_7
{
}

DI15C01_P5_ErrVal_Data		LIKE VARIABLE	DI15C01_P1_ErrVal_Data
{
}

DI15C01_P5_ErrVal_State		LIKE VARIABLE	DI15C01_P1_ErrVal_State
{
}

DI15C01_P5_ErrVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_ErrVal_Bit2_7
{
}

DI15C01_P5_Option_Invert		LIKE VARIABLE	DI15C01_P1_Option_Invert
{
}

DI15C01_P5_Option_Leitung	LIKE VARIABLE	DI15C01_P1_Option_Leitung
{
}

DI15C01_P5_Option_Bit2_14	LIKE VARIABLE	DI15C01_P1_Option_Bit2_14
{
}

DI15C01_P5_Option_Kanal		LIKE VARIABLE	DI15C01_P1_Option_Kanal
{
}

DI15C01_P5_OnDelay			LIKE VARIABLE	DI15C01_P1_OnDelay
{
}

DI15C01_P5_OffDelay			LIKE VARIABLE	DI15C01_P1_OffDelay
{
}

DI15C01_P5_Map				LIKE VARIABLE	DI15C01_P1_Map
{
}

DI15C01_P5_Mode				LIKE VARIABLE	DI15C01_P1_Mode
{
}


/*******************************************************************************/
/*****	Variables Kanal6	****************************************************/
/*******************************************************************************/


DI15C01_P6_Tag				LIKE VARIABLE	DI15C01_P1_Tag
{
}

DI15C01_P6_State				LIKE VARIABLE	DI15C01_P1_State
{
}

DI15C01_P6_ErrMode			LIKE VARIABLE	DI15C01_P1_ErrMode
{
}

DI15C01_P6_SimVal_Data		LIKE VARIABLE	DI15C01_P1_SimVal_Data
{
}

DI15C01_P6_SimVal_State		LIKE VARIABLE	DI15C01_P1_SimVal_State
{
}

DI15C01_P6_SimVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_SimVal_Bit2_7
{
}

DI15C01_P6_ErrVal_Data		LIKE VARIABLE	DI15C01_P1_ErrVal_Data
{
}

DI15C01_P6_ErrVal_State		LIKE VARIABLE	DI15C01_P1_ErrVal_State
{
}

DI15C01_P6_ErrVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_ErrVal_Bit2_7
{
}

DI15C01_P6_Option_Invert		LIKE VARIABLE	DI15C01_P1_Option_Invert
{
}

DI15C01_P6_Option_Leitung	LIKE VARIABLE	DI15C01_P1_Option_Leitung
{
}

DI15C01_P6_Option_Bit2_14	LIKE VARIABLE	DI15C01_P1_Option_Bit2_14
{
}

DI15C01_P6_Option_Kanal		LIKE VARIABLE	DI15C01_P1_Option_Kanal
{
}

DI15C01_P6_OnDelay			LIKE VARIABLE	DI15C01_P1_OnDelay
{
}

DI15C01_P6_OffDelay			LIKE VARIABLE	DI15C01_P1_OffDelay
{
}

DI15C01_P6_Map				LIKE VARIABLE	DI15C01_P1_Map
{
}

DI15C01_P6_Mode				LIKE VARIABLE	DI15C01_P1_Mode
{
}


/*******************************************************************************/
/*****	Variables Kanal7	****************************************************/
/*******************************************************************************/

DI15C01_P7_Slot4				LIKE VARIABLE	P0_Slot0
{
}

DI15C01_P7_Index4			LIKE VARIABLE	DI15C01_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 4;
	}
}

DI15C01_P7_Tag				LIKE VARIABLE	DI15C01_P1_Tag
{
}

DI15C01_P7_State				LIKE VARIABLE	DI15C01_P1_State
{
}

DI15C01_P7_ErrMode			LIKE VARIABLE	DI15C01_P1_ErrMode
{
}

DI15C01_P7_SimVal_Data		LIKE VARIABLE	DI15C01_P1_SimVal_Data
{
}

DI15C01_P7_SimVal_State		LIKE VARIABLE	DI15C01_P1_SimVal_State
{
}

DI15C01_P7_SimVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_SimVal_Bit2_7
{
}

DI15C01_P7_ErrVal_Data		LIKE VARIABLE	DI15C01_P1_ErrVal_Data
{
}

DI15C01_P7_ErrVal_State		LIKE VARIABLE	DI15C01_P1_ErrVal_State
{
}

DI15C01_P7_ErrVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_ErrVal_Bit2_7
{
}

DI15C01_P7_Option_Invert		LIKE VARIABLE	DI15C01_P1_Option_Invert
{
}

DI15C01_P7_Option_Leitung	LIKE VARIABLE	DI15C01_P1_Option_Leitung
{
}

DI15C01_P7_Option_Bit2_14	LIKE VARIABLE	DI15C01_P1_Option_Bit2_14
{
}

DI15C01_P7_Option_Kanal		LIKE VARIABLE	DI15C01_P1_Option_Kanal
{
}

DI15C01_P7_OnDelay			LIKE VARIABLE	DI15C01_P1_OnDelay
{
}

DI15C01_P7_OffDelay			LIKE VARIABLE	DI15C01_P1_OffDelay
{
}

DI15C01_P7_Map				LIKE VARIABLE	DI15C01_P1_Map
{
}

DI15C01_P7_Mode				LIKE VARIABLE	DI15C01_P1_Mode
{
}


/*******************************************************************************/
/*****	Variables Kanal8	****************************************************/
/*******************************************************************************/


DI15C01_P8_Tag				LIKE VARIABLE	DI15C01_P1_Tag
{
}

DI15C01_P8_State				LIKE VARIABLE	DI15C01_P1_State
{
}

DI15C01_P8_ErrMode			LIKE VARIABLE	DI15C01_P1_ErrMode
{
}

DI15C01_P8_SimVal_Data		LIKE VARIABLE	DI15C01_P1_SimVal_Data
{
}

DI15C01_P8_SimVal_State		LIKE VARIABLE	DI15C01_P1_SimVal_State
{
}

DI15C01_P8_SimVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_SimVal_Bit2_7
{
}

DI15C01_P8_ErrVal_Data		LIKE VARIABLE	DI15C01_P1_ErrVal_Data
{
}

DI15C01_P8_ErrVal_State		LIKE VARIABLE	DI15C01_P1_ErrVal_State
{
}

DI15C01_P8_ErrVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_ErrVal_Bit2_7
{
}

DI15C01_P8_Option_Invert		LIKE VARIABLE	DI15C01_P1_Option_Invert
{
}

DI15C01_P8_Option_Leitung	LIKE VARIABLE	DI15C01_P1_Option_Leitung
{
}

DI15C01_P8_Option_Bit2_14	LIKE VARIABLE	DI15C01_P1_Option_Bit2_14
{
}

DI15C01_P8_Option_Kanal		LIKE VARIABLE	DI15C01_P1_Option_Kanal
{
}

DI15C01_P8_OnDelay			LIKE VARIABLE	DI15C01_P1_OnDelay
{
}

DI15C01_P8_OffDelay			LIKE VARIABLE	DI15C01_P1_OffDelay
{
}

DI15C01_P8_Map				LIKE VARIABLE	DI15C01_P1_Map
{
}

DI15C01_P8_Mode				LIKE VARIABLE	DI15C01_P1_Mode
{
}


/*******************************************************************************/
/*****	Variables Kanal9	****************************************************/
/*******************************************************************************/

DI15C01_P9_Slot5				LIKE VARIABLE	P0_Slot0
{
}

DI15C01_P9_Index5			LIKE VARIABLE	DI15C01_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 5;
	}
}

DI15C01_P9_Tag				LIKE VARIABLE	DI15C01_P1_Tag
{
}

DI15C01_P9_State				LIKE VARIABLE	DI15C01_P1_State
{
}

DI15C01_P9_ErrMode			LIKE VARIABLE	DI15C01_P1_ErrMode
{
}

DI15C01_P9_SimVal_Data		LIKE VARIABLE	DI15C01_P1_SimVal_Data
{
}

DI15C01_P9_SimVal_State		LIKE VARIABLE	DI15C01_P1_SimVal_State
{
}

DI15C01_P9_SimVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_SimVal_Bit2_7
{
}

DI15C01_P9_ErrVal_Data		LIKE VARIABLE	DI15C01_P1_ErrVal_Data
{
}

DI15C01_P9_ErrVal_State		LIKE VARIABLE	DI15C01_P1_ErrVal_State
{
}

DI15C01_P9_ErrVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_ErrVal_Bit2_7
{
}

DI15C01_P9_Option_Invert		LIKE VARIABLE	DI15C01_P1_Option_Invert
{
}

DI15C01_P9_Option_Leitung	LIKE VARIABLE	DI15C01_P1_Option_Leitung
{
}

DI15C01_P9_Option_Bit2_14	LIKE VARIABLE	DI15C01_P1_Option_Bit2_14
{
}

DI15C01_P9_Option_Kanal		LIKE VARIABLE	DI15C01_P1_Option_Kanal
{
}

DI15C01_P9_OnDelay			LIKE VARIABLE	DI15C01_P1_OnDelay
{
}

DI15C01_P9_OffDelay			LIKE VARIABLE	DI15C01_P1_OffDelay
{
}

DI15C01_P9_Map				LIKE VARIABLE	DI15C01_P1_Map
{
}

DI15C01_P9_Mode				LIKE VARIABLE	DI15C01_P1_Mode
{
}


/*******************************************************************************/
/*****	Variables Kanal10	****************************************************/
/*******************************************************************************/

DI15C01_P10_Tag				LIKE VARIABLE	DI15C01_P1_Tag
{
}

DI15C01_P10_State				LIKE VARIABLE	DI15C01_P1_State
{
}

DI15C01_P10_ErrMode			LIKE VARIABLE	DI15C01_P1_ErrMode
{
}

DI15C01_P10_SimVal_Data		LIKE VARIABLE	DI15C01_P1_SimVal_Data
{
}

DI15C01_P10_SimVal_State		LIKE VARIABLE	DI15C01_P1_SimVal_State
{
}

DI15C01_P10_SimVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_SimVal_Bit2_7
{
}

DI15C01_P10_ErrVal_Data		LIKE VARIABLE	DI15C01_P1_ErrVal_Data
{
}

DI15C01_P10_ErrVal_State		LIKE VARIABLE	DI15C01_P1_ErrVal_State
{
}

DI15C01_P10_ErrVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_ErrVal_Bit2_7
{
}

DI15C01_P10_Option_Invert		LIKE VARIABLE	DI15C01_P1_Option_Invert
{
}

DI15C01_P10_Option_Leitung	LIKE VARIABLE	DI15C01_P1_Option_Leitung
{
}

DI15C01_P10_Option_Bit2_14	LIKE VARIABLE	DI15C01_P1_Option_Bit2_14
{
}

DI15C01_P10_Option_Kanal		LIKE VARIABLE	DI15C01_P1_Option_Kanal
{
}

DI15C01_P10_OnDelay			LIKE VARIABLE	DI15C01_P1_OnDelay
{
}

DI15C01_P10_OffDelay			LIKE VARIABLE	DI15C01_P1_OffDelay
{
}

DI15C01_P10_Map				LIKE VARIABLE	DI15C01_P1_Map
{
}

DI15C01_P10_Mode				LIKE VARIABLE	DI15C01_P1_Mode
{
}


/*******************************************************************************/
/*****	Variables Kanal11	****************************************************/
/*******************************************************************************/

DI15C01_P11_Slot6				LIKE VARIABLE	P0_Slot0
{
}

DI15C01_P11_Index6			LIKE VARIABLE	DI15C01_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 6;
	}
}

DI15C01_P11_Tag				LIKE VARIABLE	DI15C01_P1_Tag
{
}

DI15C01_P11_State				LIKE VARIABLE	DI15C01_P1_State
{
}

DI15C01_P11_ErrMode			LIKE VARIABLE	DI15C01_P1_ErrMode
{
}

DI15C01_P11_SimVal_Data		LIKE VARIABLE	DI15C01_P1_SimVal_Data
{
}

DI15C01_P11_SimVal_State		LIKE VARIABLE	DI15C01_P1_SimVal_State
{
}

DI15C01_P11_SimVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_SimVal_Bit2_7
{
}

DI15C01_P11_ErrVal_Data		LIKE VARIABLE	DI15C01_P1_ErrVal_Data
{
}

DI15C01_P11_ErrVal_State		LIKE VARIABLE	DI15C01_P1_ErrVal_State
{
}

DI15C01_P11_ErrVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_ErrVal_Bit2_7
{
}

DI15C01_P11_Option_Invert		LIKE VARIABLE	DI15C01_P1_Option_Invert
{
}

DI15C01_P11_Option_Leitung	LIKE VARIABLE	DI15C01_P1_Option_Leitung
{
}

DI15C01_P11_Option_Bit2_14	LIKE VARIABLE	DI15C01_P1_Option_Bit2_14
{
}

DI15C01_P11_Option_Kanal		LIKE VARIABLE	DI15C01_P1_Option_Kanal
{
}

DI15C01_P11_OnDelay			LIKE VARIABLE	DI15C01_P1_OnDelay
{
}

DI15C01_P11_OffDelay			LIKE VARIABLE	DI15C01_P1_OffDelay
{
}

DI15C01_P11_Map				LIKE VARIABLE	DI15C01_P1_Map
{
}

DI15C01_P11_Mode				LIKE VARIABLE	DI15C01_P1_Mode
{
}


/*******************************************************************************/
/*****	Variables Kanal12	****************************************************/
/*******************************************************************************/


DI15C01_P12_Tag				LIKE VARIABLE	DI15C01_P1_Tag
{
}

DI15C01_P12_State				LIKE VARIABLE	DI15C01_P1_State
{
}

DI15C01_P12_ErrMode			LIKE VARIABLE	DI15C01_P1_ErrMode
{
}

DI15C01_P12_SimVal_Data		LIKE VARIABLE	DI15C01_P1_SimVal_Data
{
}

DI15C01_P12_SimVal_State		LIKE VARIABLE	DI15C01_P1_SimVal_State
{
}

DI15C01_P12_SimVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_SimVal_Bit2_7
{
}

DI15C01_P12_ErrVal_Data		LIKE VARIABLE	DI15C01_P1_ErrVal_Data
{
}

DI15C01_P12_ErrVal_State		LIKE VARIABLE	DI15C01_P1_ErrVal_State
{
}

DI15C01_P12_ErrVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_ErrVal_Bit2_7
{
}

DI15C01_P12_Option_Invert		LIKE VARIABLE	DI15C01_P1_Option_Invert
{
}

DI15C01_P12_Option_Leitung	LIKE VARIABLE	DI15C01_P1_Option_Leitung
{
}

DI15C01_P12_Option_Bit2_14	LIKE VARIABLE	DI15C01_P1_Option_Bit2_14
{
}

DI15C01_P12_Option_Kanal		LIKE VARIABLE	DI15C01_P1_Option_Kanal
{
}

DI15C01_P12_OnDelay			LIKE VARIABLE	DI15C01_P1_OnDelay
{
}

DI15C01_P12_OffDelay			LIKE VARIABLE	DI15C01_P1_OffDelay
{
}

DI15C01_P12_Map				LIKE VARIABLE	DI15C01_P1_Map
{
}

DI15C01_P12_Mode				LIKE VARIABLE	DI15C01_P1_Mode
{
}


/*******************************************************************************/
/*****	Variables Kanal13	****************************************************/
/*******************************************************************************/

DI15C01_P13_Slot7				LIKE VARIABLE	P0_Slot0
{
}

DI15C01_P13_Index7			LIKE VARIABLE	DI15C01_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 7;
	}
}

DI15C01_P13_Tag				LIKE VARIABLE	DI15C01_P1_Tag
{
}

DI15C01_P13_State				LIKE VARIABLE	DI15C01_P1_State
{
}

DI15C01_P13_ErrMode			LIKE VARIABLE	DI15C01_P1_ErrMode
{
}

DI15C01_P13_SimVal_Data		LIKE VARIABLE	DI15C01_P1_SimVal_Data
{
}

DI15C01_P13_SimVal_State		LIKE VARIABLE	DI15C01_P1_SimVal_State
{
}

DI15C01_P13_SimVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_SimVal_Bit2_7
{
}

DI15C01_P13_ErrVal_Data		LIKE VARIABLE	DI15C01_P1_ErrVal_Data
{
}

DI15C01_P13_ErrVal_State		LIKE VARIABLE	DI15C01_P1_ErrVal_State
{
}

DI15C01_P13_ErrVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_ErrVal_Bit2_7
{
}

DI15C01_P13_Option_Invert		LIKE VARIABLE	DI15C01_P1_Option_Invert
{
}

DI15C01_P13_Option_Leitung	LIKE VARIABLE	DI15C01_P1_Option_Leitung
{
}

DI15C01_P13_Option_Bit2_14	LIKE VARIABLE	DI15C01_P1_Option_Bit2_14
{
}

DI15C01_P13_Option_Kanal		LIKE VARIABLE	DI15C01_P1_Option_Kanal
{
}

DI15C01_P13_OnDelay			LIKE VARIABLE	DI15C01_P1_OnDelay
{
}

DI15C01_P13_OffDelay			LIKE VARIABLE	DI15C01_P1_OffDelay
{
}

DI15C01_P13_Map				LIKE VARIABLE	DI15C01_P1_Map
{
}

DI15C01_P13_Mode				LIKE VARIABLE	DI15C01_P1_Mode
{
}


/*******************************************************************************/
/*****	Variables Kanal14	****************************************************/
/*******************************************************************************/


DI15C01_P14_Tag				LIKE VARIABLE	DI15C01_P1_Tag
{
}

DI15C01_P14_State				LIKE VARIABLE	DI15C01_P1_State
{
}

DI15C01_P14_ErrMode			LIKE VARIABLE	DI15C01_P1_ErrMode
{
}

DI15C01_P14_SimVal_Data		LIKE VARIABLE	DI15C01_P1_SimVal_Data
{
}

DI15C01_P14_SimVal_State		LIKE VARIABLE	DI15C01_P1_SimVal_State
{
}

DI15C01_P14_SimVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_SimVal_Bit2_7
{
}

DI15C01_P14_ErrVal_Data		LIKE VARIABLE	DI15C01_P1_ErrVal_Data
{
}

DI15C01_P14_ErrVal_State		LIKE VARIABLE	DI15C01_P1_ErrVal_State
{
}

DI15C01_P14_ErrVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_ErrVal_Bit2_7
{
}

DI15C01_P14_Option_Invert		LIKE VARIABLE	DI15C01_P1_Option_Invert
{
}

DI15C01_P14_Option_Leitung	LIKE VARIABLE	DI15C01_P1_Option_Leitung
{
}

DI15C01_P14_Option_Bit2_14	LIKE VARIABLE	DI15C01_P1_Option_Bit2_14
{
}

DI15C01_P14_Option_Kanal		LIKE VARIABLE	DI15C01_P1_Option_Kanal
{
}

DI15C01_P14_OnDelay			LIKE VARIABLE	DI15C01_P1_OnDelay
{
}

DI15C01_P14_OffDelay			LIKE VARIABLE	DI15C01_P1_OffDelay
{
}

DI15C01_P14_Map				LIKE VARIABLE	DI15C01_P1_Map
{
}

DI15C01_P14_Mode				LIKE VARIABLE	DI15C01_P1_Mode
{
}



/*******************************************************************************/
/*****	Variables Kanal15	****************************************************/
/*******************************************************************************/

DI15C01_P15_Slot8				LIKE VARIABLE	P0_Slot0
{
}

DI15C01_P15_Index8			LIKE VARIABLE	DI15C01_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 8;
	}
}

DI15C01_P15_Tag				LIKE VARIABLE	DI15C01_P1_Tag
{
}

DI15C01_P15_State				LIKE VARIABLE	DI15C01_P1_State
{
}

DI15C01_P15_ErrMode			LIKE VARIABLE	DI15C01_P1_ErrMode
{
}

DI15C01_P15_SimVal_Data		LIKE VARIABLE	DI15C01_P1_SimVal_Data
{
}

DI15C01_P15_SimVal_State		LIKE VARIABLE	DI15C01_P1_SimVal_State
{
}

DI15C01_P15_SimVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_SimVal_Bit2_7
{
}

DI15C01_P15_ErrVal_Data		LIKE VARIABLE	DI15C01_P1_ErrVal_Data
{
}

DI15C01_P15_ErrVal_State		LIKE VARIABLE	DI15C01_P1_ErrVal_State
{
}

DI15C01_P15_ErrVal_Bit2_7		LIKE VARIABLE	DI15C01_P1_ErrVal_Bit2_7
{
}

DI15C01_P15_Option_Invert		LIKE VARIABLE	DI15C01_P1_Option_Invert
{
}

DI15C01_P15_Option_Leitung	LIKE VARIABLE	DI15C01_P1_Option_Leitung
{
}

DI15C01_P15_Option_Bit2_14	LIKE VARIABLE	DI15C01_P1_Option_Bit2_14
{
}

DI15C01_P15_Option_Kanal		LIKE VARIABLE	DI15C01_P1_Option_Kanal
{
}

DI15C01_P15_OnDelay			LIKE VARIABLE	DI15C01_P1_OnDelay
{
}

DI15C01_P15_OffDelay			LIKE VARIABLE	DI15C01_P1_OffDelay
{
}

DI15C01_P15_Map				LIKE VARIABLE	DI15C01_P1_Map
{
}

DI15C01_P15_Mode				LIKE VARIABLE	DI15C01_P1_Mode
{
}


/*******************************************************************************/
/*****	COMMAND				*****************************************************/
/*******************************************************************************/

#define DOWNLOAD_DI15C01					\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
			P0_Revision,				\
			P0_Size,					\
			P0_CfgMode,					\
			DI15C01_P1_Slot1,			\
			DI15C01_P1_Index1,			\
			DI15C01_P1_Tag,				\
			DI15C01_P1_State,			\
			DI15C01_P1_ErrMode,			\
			DI15C01_P1_SimVal_Data,		\
			DI15C01_P1_SimVal_State,	\
			DI15C01_P1_ErrVal_Data,		\
			DI15C01_P1_Option_Invert,	\
			DI15C01_P2_Tag,				\
			DI15C01_P2_State,			\
			DI15C01_P2_ErrMode,			\
			DI15C01_P2_SimVal_Data,		\
			DI15C01_P2_SimVal_State,	\
			DI15C01_P2_ErrVal_Data,		\
			DI15C01_P2_Option_Invert,	\
			DI15C01_P3_Slot2,			\
			DI15C01_P3_Index2,			\
			DI15C01_P3_Tag,				\
			DI15C01_P3_State,			\
			DI15C01_P3_ErrMode,			\
			DI15C01_P3_SimVal_Data,		\
			DI15C01_P3_SimVal_State,	\
			DI15C01_P3_ErrVal_Data,		\
			DI15C01_P3_Option_Invert,	\
			DI15C01_P4_Tag,				\
			DI15C01_P4_State,			\
			DI15C01_P4_ErrMode,			\
			DI15C01_P4_SimVal_Data,		\
			DI15C01_P4_SimVal_State,	\
			DI15C01_P4_ErrVal_Data,		\
			DI15C01_P4_Option_Invert,	\
			DI15C01_P5_Slot3,			\
			DI15C01_P5_Index3,			\
			DI15C01_P5_Tag,				\
			DI15C01_P5_State,			\
			DI15C01_P5_ErrMode,			\
			DI15C01_P5_SimVal_Data,		\
			DI15C01_P5_SimVal_State,	\
			DI15C01_P5_ErrVal_Data,		\
			DI15C01_P5_Option_Leitung,	\
			DI15C01_P6_Tag,				\
			DI15C01_P6_State,			\
			DI15C01_P6_ErrMode,			\
			DI15C01_P6_SimVal_Data,		\
			DI15C01_P6_SimVal_State,	\
			DI15C01_P6_ErrVal_Data,		\
			DI15C01_P6_Option_Invert,	\
			DI15C01_P7_Slot4,			\
			DI15C01_P7_Index4,			\
			DI15C01_P7_Tag,				\
			DI15C01_P7_State,			\
			DI15C01_P7_ErrMode,			\
			DI15C01_P7_SimVal_Data,		\
			DI15C01_P7_SimVal_State,	\
			DI15C01_P7_ErrVal_Data,		\
			DI15C01_P7_Option_Invert,	\
			DI15C01_P8_Tag,				\
			DI15C01_P8_State,			\
			DI15C01_P8_ErrMode,			\
			DI15C01_P8_SimVal_Data,		\
			DI15C01_P8_SimVal_State,	\
			DI15C01_P8_ErrVal_Data,		\
			DI15C01_P8_Option_Invert,	\
  			DI15C01_P9_Slot5,			\
			DI15C01_P9_Index5,			\
			DI15C01_P9_Tag,				\
			DI15C01_P9_State,			\
			DI15C01_P9_ErrMode,			\
			DI15C01_P9_SimVal_Data,		\
			DI15C01_P9_SimVal_State,	\
			DI15C01_P9_ErrVal_Data,		\
			DI15C01_P9_Option_Invert,	\
			DI15C01_P10_Tag,				\
			DI15C01_P10_State,			\
			DI15C01_P10_ErrMode,			\
			DI15C01_P10_SimVal_Data,		\
			DI15C01_P10_SimVal_State,	\
			DI15C01_P10_ErrVal_Data,		\
			DI15C01_P10_Option_Invert,	\
  			DI15C01_P11_Slot6,			\
			DI15C01_P11_Index6,			\
			DI15C01_P11_Tag,				\
			DI15C01_P11_State,			\
			DI15C01_P11_ErrMode,			\
			DI15C01_P11_SimVal_Data,		\
			DI15C01_P11_SimVal_State,	\
			DI15C01_P11_ErrVal_Data,		\
			DI15C01_P11_Option_Invert,	\
			DI15C01_P12_Tag,				\
			DI15C01_P12_State,			\
			DI15C01_P12_ErrMode,			\
			DI15C01_P12_SimVal_Data,		\
			DI15C01_P12_SimVal_State,	\
			DI15C01_P12_ErrVal_Data,		\
			DI15C01_P12_Option_Invert,	\
  			DI15C01_P13_Slot7,			\
			DI15C01_P13_Index7,			\
			DI15C01_P13_Tag,				\
			DI15C01_P13_State,			\
			DI15C01_P13_ErrMode,			\
			DI15C01_P13_SimVal_Data,		\
			DI15C01_P13_SimVal_State,	\
			DI15C01_P13_ErrVal_Data,		\
			DI15C01_P13_Option_Invert,	\
			DI15C01_P13_Option_Leitung,	\
			DI15C01_P14_Tag,				\
			DI15C01_P14_State,			\
			DI15C01_P14_ErrMode,			\
			DI15C01_P14_SimVal_Data,		\
			DI15C01_P14_SimVal_State,	\
			DI15C01_P14_ErrVal_Data,		\
			DI15C01_P14_Option_Invert,	\
  			DI15C01_P15_Slot8,			\
			DI15C01_P15_Index8,			\
			DI15C01_P15_Tag,				\
			DI15C01_P15_State,			\
			DI15C01_P15_ErrMode,			\
			DI15C01_P15_SimVal_Data,		\
			DI15C01_P15_SimVal_State,	\
			DI15C01_P15_ErrVal_Data,		\
			DI15C01_P15_Option_Invert




#define UPLOAD_DI15C01					\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
			P0_Size,					\
			P0_CfgMode,					\
			DI15C01_P1_Slot1,			\
			DI15C01_P1_Index1,			\
			DI15C01_P1_Tag,				\
			DI15C01_P1_State,			\
			DI15C01_P1_ErrMode,			\
			DI15C01_P1_SimVal_Data,		\
			DI15C01_P1_SimVal_State,	\
			DI15C01_P1_ErrVal_Data,		\
			DI15C01_P1_Option_Invert,	\
			DI15C01_P2_Tag,				\
			DI15C01_P2_State,			\
			DI15C01_P2_ErrMode,			\
			DI15C01_P2_SimVal_Data,		\
			DI15C01_P2_SimVal_State,	\
			DI15C01_P2_ErrVal_Data,		\
			DI15C01_P2_Option_Invert,	\
			DI15C01_P3_Slot2,			\
			DI15C01_P3_Index2,			\
			DI15C01_P3_Tag,				\
			DI15C01_P3_State,			\
			DI15C01_P3_ErrMode,			\
			DI15C01_P3_SimVal_Data,		\
			DI15C01_P1_SimVal_State,	\
			DI15C01_P3_ErrVal_Data,		\
			DI15C01_P3_Option_Invert,	\
			DI15C01_P4_Tag,				\
			DI15C01_P4_State,			\
			DI15C01_P4_ErrMode,			\
			DI15C01_P4_SimVal_Data,		\
			DI15C01_P4_SimVal_State,	\
			DI15C01_P4_ErrVal_Data,		\
			DI15C01_P4_Option_Invert,	\
			DI15C01_P5_Slot3,			\
			DI15C01_P5_Index3,			\
			DI15C01_P5_Tag,				\
			DI15C01_P5_State,			\
			DI15C01_P5_ErrMode,			\
			DI15C01_P5_SimVal_Data,		\
			DI15C01_P5_SimVal_State,	\
			DI15C01_P5_ErrVal_Data,		\
			DI15C01_P5_Option_Leitung,	\
			DI15C01_P6_Tag,				\
			DI15C01_P6_State,			\
			DI15C01_P6_ErrMode,			\
			DI15C01_P6_SimVal_Data,		\
			DI15C01_P6_SimVal_State,	\
			DI15C01_P6_ErrVal_Data,		\
			DI15C01_P6_Option_Invert,	\
			DI15C01_P7_Slot4,			\
			DI15C01_P7_Index4,			\
			DI15C01_P7_Tag,				\
			DI15C01_P7_State,			\
			DI15C01_P7_ErrMode,			\
			DI15C01_P7_SimVal_Data,		\
			DI15C01_P7_SimVal_State,	\
			DI15C01_P7_ErrVal_Data,		\
			DI15C01_P7_Option_Invert,	\
			DI15C01_P8_Tag,				\
			DI15C01_P8_State,			\
			DI15C01_P8_ErrMode,			\
			DI15C01_P8_SimVal_Data,		\
			DI15C01_P8_SimVal_State,	\
			DI15C01_P8_ErrVal_Data,		\
			DI15C01_P8_Option_Invert,	\
			DI15C01_P9_Slot5,			\
			DI15C01_P9_Index5,			\
			DI15C01_P9_Tag,				\
			DI15C01_P9_State,			\
			DI15C01_P9_ErrMode,			\
			DI15C01_P9_SimVal_Data,		\
			DI15C01_P9_SimVal_State,	\
			DI15C01_P9_ErrVal_Data,		\
			DI15C01_P9_Option_Invert,	\
			DI15C01_P10_Tag,				\
			DI15C01_P10_State,			\
			DI15C01_P10_ErrMode,			\
			DI15C01_P10_SimVal_Data,		\
			DI15C01_P10_SimVal_State,	\
			DI15C01_P10_ErrVal_Data,		\
			DI15C01_P10_Option_Invert,	\
  			DI15C01_P11_Slot6,			\
			DI15C01_P11_Index6,			\
			DI15C01_P11_Tag,				\
			DI15C01_P11_State,			\
			DI15C01_P11_ErrMode,			\
			DI15C01_P11_SimVal_Data,		\
			DI15C01_P11_SimVal_State,	\
			DI15C01_P11_ErrVal_Data,		\
			DI15C01_P11_Option_Invert,	\
			DI15C01_P12_Tag,				\
			DI15C01_P12_State,			\
			DI15C01_P12_ErrMode,			\
			DI15C01_P12_SimVal_Data,		\
			DI15C01_P12_SimVal_State,	\
			DI15C01_P12_ErrVal_Data,		\
			DI15C01_P12_Option_Invert,	\
  			DI15C01_P13_Slot7,			\
			DI15C01_P13_Index7,			\
			DI15C01_P13_Tag,				\
			DI15C01_P13_State,			\
			DI15C01_P13_ErrMode,			\
			DI15C01_P13_SimVal_Data,		\
			DI15C01_P13_SimVal_State,	\
			DI15C01_P13_ErrVal_Data,		\
			DI15C01_P13_Option_Invert,	\
			DI15C01_P14_Tag,				\
			DI15C01_P14_State,			\
			DI15C01_P14_ErrMode,			\
			DI15C01_P14_SimVal_Data,		\
			DI15C01_P14_SimVal_State,	\
			DI15C01_P14_ErrVal_Data,		\
			DI15C01_P14_Option_Invert,	\
  			DI15C01_P15_Slot8,			\
			DI15C01_P15_Index8,			\
			DI15C01_P15_Tag,				\
			DI15C01_P15_State,			\
			DI15C01_P15_ErrMode,			\
			DI15C01_P15_SimVal_Data,		\
			DI15C01_P15_SimVal_State,	\
			DI15C01_P15_ErrVal_Data,		\
			DI15C01_P15_Option_Invert



COMMAND read_DI15C01_index1
{
	SLOT		Loc_P0_Slot0;
	INDEX		1;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI15C01_P1_Slot1,
			DI15C01_P1_Index1,
			DI15C01_P1_Tag,
			DI15C01_P1_State,
			DI15C01_P1_ErrMode,
			DI15C01_P1_SimVal_Bit2_7	<0xFC>,
			DI15C01_P1_SimVal_State		<0x02>,
			DI15C01_P1_SimVal_Data		<0x01>,
			DI15C01_P1_ErrVal_Data,
			DI15C01_P1_Option_Invert,
			DI15C01_DUMMY_6,
			DI15C01_P2_Tag,
			DI15C01_P2_State,
			DI15C01_P2_ErrMode,
			DI15C01_P2_SimVal_Bit2_7	<0xFC>,
			DI15C01_P2_SimVal_State		<0x02>,
			DI15C01_P2_SimVal_Data		<0x01>,
			DI15C01_P2_ErrVal_Data,
			DI15C01_P2_Option_Invert,
			DI15C01_DUMMY_4
		}
	}
}

COMMAND write_DI15C01_index1
{
	SLOT		Loc_P0_Slot0;
	INDEX		1;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI15C01_P1_Slot1,
			DI15C01_P1_Index1,
			DI15C01_P1_Tag,
			DI15C01_P1_State,
			DI15C01_P1_ErrMode,
			DI15C01_P1_SimVal_Bit2_7	<0xFC>,
			DI15C01_P1_SimVal_State		<0x02>,
			DI15C01_P1_SimVal_Data		<0x01>,
			DI15C01_P1_ErrVal_Data,
			DI15C01_P1_Option_Invert,
			DI15C01_DUMMY_6,
			DI15C01_P2_Tag,
			DI15C01_P2_State,
			DI15C01_P2_ErrMode,
			DI15C01_P2_SimVal_Bit2_7	<0xFC>,
			DI15C01_P2_SimVal_State		<0x02>,
			DI15C01_P2_SimVal_Data		<0x01>,
			DI15C01_P2_ErrVal_Data,
			DI15C01_P2_Option_Invert,
			DI15C01_DUMMY_4
		}
		REPLY
		{
		}
	}
}

COMMAND read_DI15C01_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI15C01_P3_Slot2,
			DI15C01_P3_Index2,
			DI15C01_P3_Tag,
			DI15C01_P3_State,
			DI15C01_P3_ErrMode,
			DI15C01_P3_SimVal_Bit2_7	<0xFC>,
			DI15C01_P3_SimVal_State		<0x02>,
			DI15C01_P3_SimVal_Data		<0x01>,
			DI15C01_P3_ErrVal_Data,
			DI15C01_P3_Option_Invert,
			DI15C01_DUMMY_6,
			DI15C01_P4_Tag,
			DI15C01_P4_State,
			DI15C01_P4_ErrMode,
			DI15C01_P4_SimVal_Bit2_7	<0xFC>,
			DI15C01_P4_SimVal_State		<0x02>,
			DI15C01_P4_SimVal_Data		<0x01>,
			DI15C01_P4_ErrVal_Data,
			DI15C01_P4_Option_Invert,
			DI15C01_DUMMY_4
		}
	}
}

COMMAND write_DI15C01_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI15C01_P3_Slot2,
			DI15C01_P3_Index2,
			DI15C01_P3_Tag,
			DI15C01_P3_State,
			DI15C01_P3_ErrMode,
			DI15C01_P3_SimVal_Bit2_7	<0xFC>,
			DI15C01_P3_SimVal_State		<0x02>,
			DI15C01_P3_SimVal_Data		<0x01>,
			DI15C01_P3_ErrVal_Data,
			DI15C01_P3_Option_Invert,
			DI15C01_DUMMY_6,
			DI15C01_P4_Tag,
			DI15C01_P4_State,
			DI15C01_P4_ErrMode,
			DI15C01_P4_SimVal_Bit2_7	<0xFC>,
			DI15C01_P4_SimVal_State		<0x02>,
			DI15C01_P4_SimVal_Data		<0x01>,
			DI15C01_P4_ErrVal_Data,
			DI15C01_P4_Option_Invert,
			DI15C01_DUMMY_4
		}
		REPLY
		{
		}
	}
}

COMMAND read_DI15C01_index3
{
	SLOT		Loc_P0_Slot0;
	INDEX		3;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI15C01_P5_Slot3,
			DI15C01_P5_Index3,
			DI15C01_P5_Tag,
			DI15C01_P5_State,
			DI15C01_P5_ErrMode,
			DI15C01_P5_SimVal_Bit2_7	<0xFC>,
			DI15C01_P5_SimVal_State		<0x02>,
			DI15C01_P5_SimVal_Data		<0x01>,
			DI15C01_P5_ErrVal_Data,
			DI15C01_P5_Option_Invert,
			DI15C01_DUMMY_6,
			DI15C01_P6_Tag,
			DI15C01_P6_State,
			DI15C01_P6_ErrMode,
			DI15C01_P6_SimVal_Bit2_7	<0xFC>,
			DI15C01_P6_SimVal_State		<0x02>,
			DI15C01_P6_SimVal_Data		<0x01>,
			DI15C01_P6_ErrVal_Data,
			DI15C01_P6_Option_Invert,
			DI15C01_DUMMY_4
		}
	}
}

COMMAND write_DI15C01_index3
{
	SLOT		Loc_P0_Slot0;
	INDEX		3;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI15C01_P5_Slot3,
			DI15C01_P5_Index3,
			DI15C01_P5_Tag,
			DI15C01_P5_State,
			DI15C01_P5_ErrMode,
			DI15C01_P5_SimVal_Bit2_7	<0xFC>,
			DI15C01_P5_SimVal_State		<0x02>,
			DI15C01_P5_SimVal_Data		<0x01>,
			DI15C01_P5_ErrVal_Data,
			DI15C01_P5_Option_Invert,
			DI15C01_DUMMY_6,
			DI15C01_P6_Tag,
			DI15C01_P6_State,
			DI15C01_P6_ErrMode,
			DI15C01_P6_SimVal_Bit2_7	<0xFC>,
			DI15C01_P6_SimVal_State		<0x02>,
			DI15C01_P6_SimVal_Data		<0x01>,
			DI15C01_P6_ErrVal_Data,
			DI15C01_P6_Option_Invert,
			DI15C01_DUMMY_4
		}
		REPLY
		{
		}
	}
}

COMMAND read_DI15C01_index4
{
	SLOT		Loc_P0_Slot0;
	INDEX		4;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI15C01_P7_Slot4,
			DI15C01_P7_Index4,
			DI15C01_P7_Tag,
			DI15C01_P7_State,
			DI15C01_P7_ErrMode,
			DI15C01_P7_SimVal_Bit2_7	<0xFC>,
			DI15C01_P7_SimVal_State		<0x02>,
			DI15C01_P7_SimVal_Data		<0x01>,
			DI15C01_P7_ErrVal_Data,
			DI15C01_P7_Option_Invert,
			DI15C01_DUMMY_6,
			DI15C01_P8_Tag,
			DI15C01_P8_State,
			DI15C01_P8_ErrMode,
			DI15C01_P8_SimVal_Bit2_7	<0xFC>,
			DI15C01_P8_SimVal_State		<0x02>,
			DI15C01_P8_SimVal_Data		<0x01>,
			DI15C01_P8_ErrVal_Data,
			DI15C01_P8_Option_Invert,
			DI15C01_DUMMY_4
		}
	}
}

COMMAND write_DI15C01_index4
{
	SLOT		Loc_P0_Slot0;
	INDEX		4;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI15C01_P7_Slot4,
			DI15C01_P7_Index4,
			DI15C01_P7_Tag,
			DI15C01_P7_State,
			DI15C01_P7_ErrMode,
			DI15C01_P7_SimVal_Bit2_7	<0xFC>,
			DI15C01_P7_SimVal_State		<0x02>,
			DI15C01_P7_SimVal_Data		<0x01>,
			DI15C01_P7_ErrVal_Data,
			DI15C01_P7_Option_Invert,
			DI15C01_DUMMY_6,
			DI15C01_P8_Tag,
			DI15C01_P8_State,
			DI15C01_P8_ErrMode,
			DI15C01_P8_SimVal_Bit2_7	<0xFC>,
			DI15C01_P8_SimVal_State		<0x02>,
			DI15C01_P8_SimVal_Data		<0x01>,
			DI15C01_P8_ErrVal_Data,
			DI15C01_P8_Option_Invert,
			DI15C01_DUMMY_4
		}
		REPLY
		{
		}
	}
}

COMMAND read_DI15C01_index5
{
	SLOT		Loc_P0_Slot0;
	INDEX		5;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI15C01_P9_Slot5,
			DI15C01_P9_Index5,
			DI15C01_P9_Tag,
			DI15C01_P9_State,
			DI15C01_P9_ErrMode,
			DI15C01_P9_SimVal_Bit2_7	<0xFC>,
			DI15C01_P9_SimVal_State		<0x02>,
			DI15C01_P9_SimVal_Data		<0x01>,
			DI15C01_P9_ErrVal_Data,
			DI15C01_P9_Option_Invert,
			DI15C01_DUMMY_6,
			DI15C01_P10_Tag,
			DI15C01_P10_State,
			DI15C01_P10_ErrMode,
			DI15C01_P10_SimVal_Bit2_7	<0xFC>,
			DI15C01_P10_SimVal_State	<0x02>,
			DI15C01_P10_SimVal_Data		<0x01>,
			DI15C01_P10_ErrVal_Data,
			DI15C01_P10_Option_Invert,
			DI15C01_DUMMY_4
		}
	}
}

COMMAND write_DI15C01_index5
{
	SLOT		Loc_P0_Slot0;
	INDEX		5;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI15C01_P9_Slot5,
			DI15C01_P9_Index5,
			DI15C01_P9_Tag,
			DI15C01_P9_State,
			DI15C01_P9_ErrMode,
			DI15C01_P9_SimVal_Bit2_7	<0xFC>,
			DI15C01_P9_SimVal_State		<0x02>,
			DI15C01_P9_SimVal_Data		<0x01>,
			DI15C01_P9_ErrVal_Data,
			DI15C01_P9_Option_Invert,
			DI15C01_DUMMY_6,
			DI15C01_P10_Tag,
			DI15C01_P10_State,
			DI15C01_P10_ErrMode,
			DI15C01_P10_SimVal_Bit2_7	<0xFC>,
			DI15C01_P10_SimVal_State	<0x02>,
			DI15C01_P10_SimVal_Data		<0x01>,
			DI15C01_P10_ErrVal_Data,
			DI15C01_P10_Option_Invert,
			DI15C01_DUMMY_4
		}
		REPLY
		{
		}
	}
}

COMMAND read_DI15C01_index6
{
	SLOT		Loc_P0_Slot0;
	INDEX		6;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI15C01_P11_Slot6,
			DI15C01_P11_Index6,
			DI15C01_P11_Tag,
			DI15C01_P11_State,
			DI15C01_P11_ErrMode,
			DI15C01_P11_SimVal_Bit2_7	<0xFC>,
			DI15C01_P11_SimVal_State	<0x02>,
			DI15C01_P11_SimVal_Data		<0x01>,
			DI15C01_P11_ErrVal_Data,
			DI15C01_P11_Option_Invert,
			DI15C01_DUMMY_6,
			DI15C01_P12_Tag,
			DI15C01_P12_State,
			DI15C01_P12_ErrMode,
			DI15C01_P12_SimVal_Bit2_7	<0xFC>,
			DI15C01_P12_SimVal_State	<0x02>,
			DI15C01_P12_SimVal_Data		<0x01>,
			DI15C01_P12_ErrVal_Data,
			DI15C01_P12_Option_Invert,
			DI15C01_DUMMY_4
		}
	}
}

COMMAND write_DI15C01_index6
{
	SLOT		Loc_P0_Slot0;
	INDEX		6;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI15C01_P11_Slot6,
			DI15C01_P11_Index6,
			DI15C01_P11_Tag,
			DI15C01_P11_State,
			DI15C01_P11_ErrMode,
			DI15C01_P11_SimVal_Bit2_7	<0xFC>,
			DI15C01_P11_SimVal_State	<0x02>,
			DI15C01_P11_SimVal_Data		<0x01>,
			DI15C01_P11_ErrVal_Data,
			DI15C01_P11_Option_Invert,
			DI15C01_DUMMY_6,
			DI15C01_P12_Tag,
			DI15C01_P12_State,
			DI15C01_P12_ErrMode,
			DI15C01_P12_SimVal_Bit2_7	<0xFC>,
			DI15C01_P12_SimVal_State	<0x02>,
			DI15C01_P12_SimVal_Data		<0x01>,
			DI15C01_P12_ErrVal_Data,
			DI15C01_P12_Option_Invert,
			DI15C01_DUMMY_4
		}
		REPLY
		{
		}
	}
}

COMMAND read_DI15C01_index7
{
	SLOT		Loc_P0_Slot0;
	INDEX		7;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI15C01_P13_Slot7,
			DI15C01_P13_Index7,
			DI15C01_P13_Tag,
			DI15C01_P13_State,
			DI15C01_P13_ErrMode,
			DI15C01_P13_SimVal_Bit2_7	<0xFC>,
			DI15C01_P13_SimVal_State	<0x02>,
			DI15C01_P13_SimVal_Data		<0x01>,
			DI15C01_P13_ErrVal_Data,
			DI15C01_P13_Option_Invert,
			DI15C01_DUMMY_6,
			DI15C01_P14_Tag,
			DI15C01_P14_State,
			DI15C01_P14_ErrMode,
			DI15C01_P14_SimVal_Bit2_7	<0xFC>,
			DI15C01_P14_SimVal_State	<0x02>,
			DI15C01_P14_SimVal_Data		<0x01>,
			DI15C01_P14_ErrVal_Data,
			DI15C01_P14_Option_Invert,
			DI15C01_DUMMY_4
		}
	}
}


COMMAND write_DI15C01_index7
{
	SLOT		Loc_P0_Slot0;
	INDEX		7;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI15C01_P13_Slot7,
			DI15C01_P13_Index7,
			DI15C01_P13_Tag,
			DI15C01_P13_State,
			DI15C01_P13_ErrMode,
			DI15C01_P13_SimVal_Bit2_7	<0xFC>,
			DI15C01_P13_SimVal_State	<0x02>,
			DI15C01_P13_SimVal_Data		<0x01>,
			DI15C01_P13_ErrVal_Data,
			DI15C01_P13_Option_Invert,
			DI15C01_DUMMY_6,
			DI15C01_P14_Tag,
			DI15C01_P14_State,
			DI15C01_P14_ErrMode,
			DI15C01_P14_SimVal_Bit2_7	<0xFC>,
			DI15C01_P14_SimVal_State	<0x02>,
			DI15C01_P14_SimVal_Data		<0x01>,
			DI15C01_P14_ErrVal_Data,
			DI15C01_P14_Option_Invert,
			DI15C01_DUMMY_4
		}
		REPLY
		{
		}
	}
}

COMMAND read_DI15C01_index8
{
	SLOT		Loc_P0_Slot0;
	INDEX		8;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI15C01_P15_Slot8,
			DI15C01_P15_Index8,
			DI15C01_P15_Tag,
			DI15C01_P15_State,
			DI15C01_P15_ErrMode,
			DI15C01_P15_SimVal_Bit2_7	<0xFC>,
			DI15C01_P15_SimVal_State	<0x02>,
			DI15C01_P15_SimVal_Data		<0x01>,
			DI15C01_P15_ErrVal_Data,
			DI15C01_P15_Option_Invert,
			DI15C01_DUMMY_6,
			DI15C01_DUMMY_30
		}
	}
}


COMMAND write_DI15C01_index8
{
	SLOT		Loc_P0_Slot0;
	INDEX		8;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI15C01_P15_Slot8,
			DI15C01_P15_Index8,
			DI15C01_P15_Tag,
			DI15C01_P15_State,
			DI15C01_P15_ErrMode,
			DI15C01_P15_SimVal_Bit2_7	<0xFC>,
			DI15C01_P15_SimVal_State	<0x02>,
			DI15C01_P15_SimVal_Data		<0x01>,
			DI15C01_P15_ErrVal_Data,
			DI15C01_P15_Option_Invert,
			DI15C01_DUMMY_6,
			DI15C01_DUMMY_30
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Table: Specialist  *****************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	 Kanal1	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI15C01_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI15C01_ident_k1,
		Tab_s_DI15C01_input_k1
	}
}

MENU Tab_s_DI15C01_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P1_Tag
	}
}

MENU Tab_s_DI15C01_input_k1
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P1_State,
		DI15C01_P1_ErrMode,
		DI15C01_P1_Option_Invert,
		Tab_s_DI15C01_input_simulation_k1,
		Tab_s_DI15C01_input_ersatzwert_k1
	}
}

MENU Tab_s_DI15C01_input_simulation_k1
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P1_SimVal_Data
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P1_SimVal_State
		}
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P1_State == 1)
}

MENU Tab_s_DI15C01_input_ersatzwert_k1
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P1_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P1_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal2	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI15C01_kanal2
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI15C01_ident_k2,
		Tab_s_DI15C01_input_k2
	}
}

MENU Tab_s_DI15C01_ident_k2
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P2_Tag
	}
}

MENU Tab_s_DI15C01_input_k2
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P2_State,
		DI15C01_P2_ErrMode,
		DI15C01_P2_Option_Invert,
		Tab_s_DI15C01_input_simulation_k2,
		Tab_s_DI15C01_input_ersatzwert_k2
	}
}

MENU Tab_s_DI15C01_input_simulation_k2
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P2_SimVal_Data
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P2_SimVal_State
		}
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P2_State == 1)
}

MENU Tab_s_DI15C01_input_ersatzwert_k2
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P2_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P2_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal3	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI15C01_kanal3
{
	LABEL		[menu_kanal3];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI15C01_ident_k3,
		Tab_s_DI15C01_input_k3
	}
}

MENU Tab_s_DI15C01_ident_k3
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P3_Tag
	}
}

MENU Tab_s_DI15C01_input_k3
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P3_State,
		DI15C01_P3_ErrMode,
		DI15C01_P3_Option_Invert,
		Tab_s_DI15C01_input_simulation_k3,
		Tab_s_DI15C01_input_ersatzwert_k3
	}
}

MENU Tab_s_DI15C01_input_simulation_k3
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P3_SimVal_Data
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P3_SimVal_State
		}
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P3_State == 1)
}

MENU Tab_s_DI15C01_input_ersatzwert_k3
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P3_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P3_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal4	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI15C01_kanal4
{
	LABEL		[menu_kanal4];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI15C01_ident_k4,
		Tab_s_DI15C01_input_k4
	}
}

MENU Tab_s_DI15C01_ident_k4
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P4_Tag
	}
}

MENU Tab_s_DI15C01_input_k4
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P4_State,
		DI15C01_P4_ErrMode,
		DI15C01_P4_Option_Invert,
		Tab_s_DI15C01_input_simulation_k4,
		Tab_s_DI15C01_input_ersatzwert_k4
	}
}

MENU Tab_s_DI15C01_input_simulation_k4
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P4_SimVal_Data	
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P4_SimVal_State
		}

	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P4_State == 1)
}

MENU Tab_s_DI15C01_input_ersatzwert_k4
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P4_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P4_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal5	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI15C01_kanal5
{
	LABEL		[menu_kanal5];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI15C01_ident_k5,
		Tab_s_DI15C01_input_k5
	}
}

MENU Tab_s_DI15C01_ident_k5
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P5_Tag
	}
}

MENU Tab_s_DI15C01_input_k5
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P5_State,
		DI15C01_P5_ErrMode,
		DI15C01_P5_Option_Invert,
		Tab_s_DI15C01_input_simulation_k5,
		Tab_s_DI15C01_input_ersatzwert_k5
	}
}

MENU Tab_s_DI15C01_input_simulation_k5
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P5_SimVal_Data
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P5_SimVal_State
		}
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P5_State == 1)
}

MENU Tab_s_DI15C01_input_ersatzwert_k5
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P5_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P5_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal6	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI15C01_kanal6
{
	LABEL		[menu_kanal6];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI15C01_ident_k6,
		Tab_s_DI15C01_input_k6
	}
}

MENU Tab_s_DI15C01_ident_k6
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P6_Tag
	}
}

MENU Tab_s_DI15C01_input_k6
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P6_State,
		DI15C01_P6_ErrMode,
		DI15C01_P6_Option_Invert,
		Tab_s_DI15C01_input_simulation_k6,
		Tab_s_DI15C01_input_ersatzwert_k6
	}
}

MENU Tab_s_DI15C01_input_simulation_k6
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P6_SimVal_Data
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P6_SimVal_State
		}
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P6_State == 1)
}

MENU Tab_s_DI15C01_input_ersatzwert_k6
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P6_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P6_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal7	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI15C01_kanal7
{
	LABEL		[menu_kanal7];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI15C01_ident_k7,
		Tab_s_DI15C01_input_k7
	}
}

MENU Tab_s_DI15C01_ident_k7
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P7_Tag
	}
}

MENU Tab_s_DI15C01_input_k7
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P7_State,
		DI15C01_P7_ErrMode,
		DI15C01_P7_Option_Invert,
		Tab_s_DI15C01_input_simulation_k7,
		Tab_s_DI15C01_input_ersatzwert_k7
	}
}

MENU Tab_s_DI15C01_input_simulation_k7
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P7_SimVal_Data		
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P7_SimVal_State
		}

	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P7_State == 1)
}

MENU Tab_s_DI15C01_input_ersatzwert_k7
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P7_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P7_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal8	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI15C01_kanal8
{
	LABEL		[menu_kanal8];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI15C01_ident_k8,
		Tab_s_DI15C01_input_k8
	}
}

MENU Tab_s_DI15C01_ident_k8
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P8_Tag
	}
}

MENU Tab_s_DI15C01_input_k8
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P8_State,
		DI15C01_P8_ErrMode,
		DI15C01_P8_Option_Invert,
		Tab_s_DI15C01_input_simulation_k8,
		Tab_s_DI15C01_input_ersatzwert_k8
	}
}

MENU Tab_s_DI15C01_input_simulation_k8
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P8_SimVal_Data		
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P8_SimVal_State
		}

	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P8_State == 1)
}

MENU Tab_s_DI15C01_input_ersatzwert_k8
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P8_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P8_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal9	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI15C01_kanal9
{
	LABEL		[menu_kanal9];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI15C01_ident_k9,
		Tab_s_DI15C01_input_k9
	}
}

MENU Tab_s_DI15C01_ident_k9
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P9_Tag
	}
}

MENU Tab_s_DI15C01_input_k9
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P9_State,
		DI15C01_P9_ErrMode,
		DI15C01_P9_Option_Invert,
		Tab_s_DI15C01_input_simulation_k9,
		Tab_s_DI15C01_input_ersatzwert_k9
	}
}

MENU Tab_s_DI15C01_input_simulation_k9
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P9_SimVal_Data
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P9_SimVal_State
		}

	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P9_State == 1)
}

MENU Tab_s_DI15C01_input_ersatzwert_k9
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P9_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P9_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal10	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI15C01_kanal10
{
	LABEL		[menu_kanal10];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI15C01_ident_k10,
		Tab_s_DI15C01_input_k10
	}
}

MENU Tab_s_DI15C01_ident_k10
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P10_Tag
	}
}

MENU Tab_s_DI15C01_input_k10
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P10_State,
		DI15C01_P10_ErrMode,
		DI15C01_P10_Option_Invert,
		Tab_s_DI15C01_input_simulation_k10,
		Tab_s_DI15C01_input_ersatzwert_k10
	}
}

MENU Tab_s_DI15C01_input_simulation_k10
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P10_SimVal_Data
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P10_SimVal_State
		}

	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P10_State == 1)
}

MENU Tab_s_DI15C01_input_ersatzwert_k10
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P10_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P10_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal11	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI15C01_kanal11
{
	LABEL		[menu_kanal11];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI15C01_ident_k11,
		Tab_s_DI15C01_input_k11
	}
}

MENU Tab_s_DI15C01_ident_k11
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P11_Tag
	}
}

MENU Tab_s_DI15C01_input_k11
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P11_State,
		DI15C01_P11_ErrMode,
		DI15C01_P11_Option_Invert,
		Tab_s_DI15C01_input_simulation_k11,
		Tab_s_DI15C01_input_ersatzwert_k11
	}
}

MENU Tab_s_DI15C01_input_simulation_k11
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P11_SimVal_Data
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P11_SimVal_State
		}

	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P11_State == 1)
}

MENU Tab_s_DI15C01_input_ersatzwert_k11
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P11_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P11_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal12	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI15C01_kanal12
{
	LABEL		[menu_kanal12];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI15C01_ident_k12,
		Tab_s_DI15C01_input_k12
	}
}

MENU Tab_s_DI15C01_ident_k12
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P12_Tag
	}
}

MENU Tab_s_DI15C01_input_k12
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P12_State,
		DI15C01_P12_ErrMode,
		DI15C01_P12_Option_Invert,
		Tab_s_DI15C01_input_simulation_k12,
		Tab_s_DI15C01_input_ersatzwert_k12
	}
}

MENU Tab_s_DI15C01_input_simulation_k12
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P12_SimVal_Data
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P12_SimVal_State
		}

	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P12_State == 1)
}

MENU Tab_s_DI15C01_input_ersatzwert_k12
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P12_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P12_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal13	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI15C01_kanal13
{
	LABEL		[menu_kanal13];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI15C01_ident_k13,
		Tab_s_DI15C01_input_k13
	}
}

MENU Tab_s_DI15C01_ident_k13
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P13_Tag
	}
}

MENU Tab_s_DI15C01_input_k13
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P13_State,
		DI15C01_P13_ErrMode,
		DI15C01_P13_Option_Invert,
		Tab_s_DI15C01_input_simulation_k13,
		Tab_s_DI15C01_input_ersatzwert_k13
	}
}

MENU Tab_s_DI15C01_input_simulation_k13
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P13_SimVal_Data
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P13_SimVal_State
		}

	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P13_State == 1)
}

MENU Tab_s_DI15C01_input_ersatzwert_k13
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P13_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P13_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal14	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI15C01_kanal14
{
	LABEL		[menu_kanal14];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI15C01_ident_k14,
		Tab_s_DI15C01_input_k14
	}
}

MENU Tab_s_DI15C01_ident_k14
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P14_Tag
	}
}

MENU Tab_s_DI15C01_input_k14
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P14_State,
		DI15C01_P14_ErrMode,
		DI15C01_P14_Option_Invert,
		Tab_s_DI15C01_input_simulation_k14,
		Tab_s_DI15C01_input_ersatzwert_k14
	}
}

MENU Tab_s_DI15C01_input_simulation_k14
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P14_SimVal_Data
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P14_SimVal_State
		}

	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P14_State == 1)
}

MENU Tab_s_DI15C01_input_ersatzwert_k14
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P14_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P14_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal15	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI15C01_kanal15
{
	LABEL		[menu_kanal15];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI15C01_ident_k15,
		Tab_s_DI15C01_input_k15
	}
}

MENU Tab_s_DI15C01_ident_k15
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P15_Tag
	}
}

MENU Tab_s_DI15C01_input_k15
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P15_State,
		DI15C01_P15_ErrMode,
		DI15C01_P15_Option_Invert,
		Tab_s_DI15C01_input_simulation_k15,
		Tab_s_DI15C01_input_ersatzwert_k15
	}
}

MENU Tab_s_DI15C01_input_simulation_k15
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P15_SimVal_Data
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P15_SimVal_State
		}

	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P15_State == 1)
}

MENU Tab_s_DI15C01_input_ersatzwert_k15
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P15_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P15_ErrMode == 1)
}


/*******************************************************************************/
/*****	Table: Maintenance  ****************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	 Kanal1	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI15C01_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI15C01_ident_k1,
		Tab_m_DI15C01_input_k1
	}
}

MENU Tab_m_DI15C01_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P1_Tag
	}
}

MENU Tab_m_DI15C01_input_k1
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P1_State						(READ_ONLY),
		DI15C01_P1_ErrMode					(READ_ONLY),
		DI15C01_P1_Option_Invert				(READ_ONLY),
		Tab_m_DI15C01_input_simulation_k1,
		Tab_m_DI15C01_input_ersatzwert_k1
	}
}

MENU Tab_m_DI15C01_input_simulation_k1
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P1_SimVal_Data				(READ_ONLY)
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P1_SimVal_State			(READ_ONLY)
		}
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P1_State == 1)
}

MENU Tab_m_DI15C01_input_ersatzwert_k1
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P1_ErrVal_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P1_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal2	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI15C01_kanal2
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI15C01_ident_k2,
		Tab_m_DI15C01_input_k2
	}
}

MENU Tab_m_DI15C01_ident_k2
{
	LABEL		[menu_ident];
	ITEMS
	{
		DI15C01_P2_Tag
	}
}

MENU Tab_m_DI15C01_input_k2
{
	LABEL		[menu_input];
	ITEMS
	{
		DI15C01_P2_State						(READ_ONLY),
		DI15C01_P2_ErrMode					(READ_ONLY),
		DI15C01_P2_Option_Invert				(READ_ONLY),
		Tab_m_DI15C01_input_simulation_k2,
		Tab_m_DI15C01_input_ersatzwert_k2
	}
}

MENU Tab_m_DI15C01_input_simulation_k2
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P2_SimVal_Data				(READ_ONLY)
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P2_SimVal_State			(READ_ONLY)
		}
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P2_State == 1)
}

MENU Tab_m_DI15C01_input_ersatzwert_k2
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P2_ErrVal_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P2_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal3	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI15C01_kanal3
{
	LABEL		[menu_kanal3];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI15C01_ident_k3,
		Tab_m_DI15C01_input_k3
	}
}

MENU Tab_m_DI15C01_ident_k3
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P3_Tag
	}
}

MENU Tab_m_DI15C01_input_k3
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P3_State						(READ_ONLY),
		DI15C01_P3_ErrMode					(READ_ONLY),
		DI15C01_P3_Option_Invert				(READ_ONLY),
		Tab_m_DI15C01_input_simulation_k3,
		Tab_m_DI15C01_input_ersatzwert_k3
	}
}

MENU Tab_m_DI15C01_input_simulation_k3
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P3_SimVal_Data				(READ_ONLY)
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P3_SimVal_State			(READ_ONLY)
		}
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P3_State == 1)
}

MENU Tab_m_DI15C01_input_ersatzwert_k3
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P3_ErrVal_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P3_ErrMode == 1)
}


/*******************************************************************************/
/*****	 Kanal4	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI15C01_kanal4
{
	LABEL		[menu_kanal4];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI15C01_ident_k4,
		Tab_m_DI15C01_input_k4
	}
}

MENU Tab_m_DI15C01_ident_k4
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P4_Tag
	}
}

MENU Tab_m_DI15C01_input_k4
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P4_State						(READ_ONLY),
		DI15C01_P4_ErrMode					(READ_ONLY),
		DI15C01_P4_Option_Invert				(READ_ONLY),
		Tab_m_DI15C01_input_simulation_k4,
		Tab_m_DI15C01_input_ersatzwert_k4
	}
}

MENU Tab_m_DI15C01_input_simulation_k4
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P4_SimVal_Data				(READ_ONLY)
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P4_SimVal_State			(READ_ONLY)
		}
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P4_State == 1)
}

MENU Tab_m_DI15C01_input_ersatzwert_k4
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P4_ErrVal_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P4_ErrMode == 1)
}


/*******************************************************************************/
/*****	 Kanal5	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI15C01_kanal5
{
	LABEL		[menu_kanal5];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI15C01_ident_k5,
		Tab_m_DI15C01_input_k5
	}
}

MENU Tab_m_DI15C01_ident_k5
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P5_Tag
	}
}

MENU Tab_m_DI15C01_input_k5
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P5_State						(READ_ONLY),
		DI15C01_P5_ErrMode					(READ_ONLY),
		DI15C01_P5_Option_Invert				(READ_ONLY),
		Tab_m_DI15C01_input_simulation_k5,
		Tab_m_DI15C01_input_ersatzwert_k5
	}
}

MENU Tab_m_DI15C01_input_simulation_k5
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P5_SimVal_Data				(READ_ONLY)
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P5_SimVal_State			(READ_ONLY)
		}
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P5_State == 1)
}

MENU Tab_m_DI15C01_input_ersatzwert_k5
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P5_ErrVal_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P5_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal6	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI15C01_kanal6
{
	LABEL		[menu_kanal6];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI15C01_ident_k6,
		Tab_m_DI15C01_input_k6
	}
}

MENU Tab_m_DI15C01_ident_k6
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P6_Tag
	}
}

MENU Tab_m_DI15C01_input_k6
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P6_State						(READ_ONLY),
		DI15C01_P6_ErrMode					(READ_ONLY),
		DI15C01_P6_Option_Invert				(READ_ONLY),
		Tab_m_DI15C01_input_simulation_k6,
		Tab_m_DI15C01_input_ersatzwert_k6
	}
}

MENU Tab_m_DI15C01_input_simulation_k6
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P6_SimVal_Data				(READ_ONLY)
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P6_SimVal_State			(READ_ONLY)
		}
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P6_State == 1)
}

MENU Tab_m_DI15C01_input_ersatzwert_k6
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P6_ErrVal_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P6_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal7	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI15C01_kanal7
{
	LABEL		[menu_kanal7];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI15C01_ident_k7,
		Tab_m_DI15C01_input_k7
	}
}

MENU Tab_m_DI15C01_ident_k7
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P7_Tag
	}
}

MENU Tab_m_DI15C01_input_k7
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P7_State						(READ_ONLY),
		DI15C01_P7_ErrMode					(READ_ONLY),
		DI15C01_P7_Option_Invert				(READ_ONLY),
		Tab_m_DI15C01_input_simulation_k7,
		Tab_m_DI15C01_input_ersatzwert_k7
	}
}

MENU Tab_m_DI15C01_input_simulation_k7
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P7_SimVal_Data				(READ_ONLY)
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P7_SimVal_State			(READ_ONLY)
		}
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P7_State == 1)
}

MENU Tab_m_DI15C01_input_ersatzwert_k7
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P7_ErrVal_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P7_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal8	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI15C01_kanal8
{
	LABEL		[menu_kanal8];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI15C01_ident_k8,
		Tab_m_DI15C01_input_k8
	}
}

MENU Tab_m_DI15C01_ident_k8
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P8_Tag
	}
}

MENU Tab_m_DI15C01_input_k8
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P8_State						(READ_ONLY),
		DI15C01_P8_ErrMode					(READ_ONLY),
		DI15C01_P8_Option_Invert				(READ_ONLY),
		Tab_m_DI15C01_input_simulation_k8,
		Tab_m_DI15C01_input_ersatzwert_k8
	}
}

MENU Tab_m_DI15C01_input_simulation_k8
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P8_SimVal_Data				(READ_ONLY)
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P8_SimVal_State			(READ_ONLY)
		}
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P8_State == 1)
}

MENU Tab_m_DI15C01_input_ersatzwert_k8
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P8_ErrVal_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P8_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal9	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI15C01_kanal9
{
	LABEL		[menu_kanal9];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI15C01_ident_k9,
		Tab_m_DI15C01_input_k9
	}
}

MENU Tab_m_DI15C01_ident_k9
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P9_Tag

	}
}

MENU Tab_m_DI15C01_input_k9
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P9_State						(READ_ONLY),
		DI15C01_P9_ErrMode					(READ_ONLY),
		DI15C01_P9_Option_Invert				(READ_ONLY),
		Tab_m_DI15C01_input_simulation_k9,
		Tab_m_DI15C01_input_ersatzwert_k9
	}
}

MENU Tab_m_DI15C01_input_simulation_k9
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P9_SimVal_Data				(READ_ONLY)
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P9_SimVal_State			(READ_ONLY)
		}
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P9_State == 1)
}

MENU Tab_m_DI15C01_input_ersatzwert_k9
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P9_ErrVal_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P9_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal10	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI15C01_kanal10
{
	LABEL		[menu_kanal10];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI15C01_ident_k10,
		Tab_m_DI15C01_input_k10
	}
}

MENU Tab_m_DI15C01_ident_k10
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P10_Tag

	}
}

MENU Tab_m_DI15C01_input_k10
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P10_State						(READ_ONLY),
		DI15C01_P10_ErrMode					(READ_ONLY),
		DI15C01_P10_Option_Invert				(READ_ONLY),
		Tab_m_DI15C01_input_simulation_k10,
		Tab_m_DI15C01_input_ersatzwert_k10
	}
}

MENU Tab_m_DI15C01_input_simulation_k10
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P10_SimVal_Data				(READ_ONLY)
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P10_SimVal_State			(READ_ONLY)
		}
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P10_State == 1)
}

MENU Tab_m_DI15C01_input_ersatzwert_k10
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P10_ErrVal_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P10_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal11	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI15C01_kanal11
{
	LABEL		[menu_kanal11];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI15C01_ident_k11,
		Tab_m_DI15C01_input_k11
	}
}

MENU Tab_m_DI15C01_ident_k11
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P11_Tag

	}
}

MENU Tab_m_DI15C01_input_k11
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P11_State						(READ_ONLY),
		DI15C01_P11_ErrMode					(READ_ONLY),
		DI15C01_P11_Option_Invert				(READ_ONLY),
		Tab_m_DI15C01_input_simulation_k11,
		Tab_m_DI15C01_input_ersatzwert_k11
	}
}

MENU Tab_m_DI15C01_input_simulation_k11
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P11_SimVal_Data				(READ_ONLY)
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P11_SimVal_State			(READ_ONLY)
		}
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P11_State == 1)
}

MENU Tab_m_DI15C01_input_ersatzwert_k11
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P11_ErrVal_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P11_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal12	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI15C01_kanal12
{
	LABEL		[menu_kanal12];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI15C01_ident_k12,
		Tab_m_DI15C01_input_k12
	}
}

MENU Tab_m_DI15C01_ident_k12
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P12_Tag

	}
}

MENU Tab_m_DI15C01_input_k12
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P12_State						(READ_ONLY),
		DI15C01_P12_ErrMode					(READ_ONLY),
		DI15C01_P12_Option_Invert				(READ_ONLY),
		Tab_m_DI15C01_input_simulation_k12,
		Tab_m_DI15C01_input_ersatzwert_k12
	}
}

MENU Tab_m_DI15C01_input_simulation_k12
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P12_SimVal_Data				(READ_ONLY)
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P12_SimVal_State			(READ_ONLY)
		}
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P12_State == 1)
}

MENU Tab_m_DI15C01_input_ersatzwert_k12
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P12_ErrVal_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P12_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal13	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI15C01_kanal13
{
	LABEL		[menu_kanal13];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI15C01_ident_k13,
		Tab_m_DI15C01_input_k13
	}
}

MENU Tab_m_DI15C01_ident_k13
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P13_Tag

	}
}

MENU Tab_m_DI15C01_input_k13
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P13_State						(READ_ONLY),
		DI15C01_P13_ErrMode					(READ_ONLY),
		DI15C01_P13_Option_Invert				(READ_ONLY),
		Tab_m_DI15C01_input_simulation_k13,
		Tab_m_DI15C01_input_ersatzwert_k13
	}
}

MENU Tab_m_DI15C01_input_simulation_k13
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P13_SimVal_Data				(READ_ONLY)
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P13_SimVal_State			(READ_ONLY)
		}
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P13_State == 1)
}

MENU Tab_m_DI15C01_input_ersatzwert_k13
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P13_ErrVal_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P13_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal14	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI15C01_kanal14
{
	LABEL		[menu_kanal14];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI15C01_ident_k14,
		Tab_m_DI15C01_input_k14
	}
}

MENU Tab_m_DI15C01_ident_k14
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P14_Tag
	}
}

MENU Tab_m_DI15C01_input_k14
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P14_State						(READ_ONLY),
		DI15C01_P14_ErrMode					(READ_ONLY),
		DI15C01_P14_Option_Invert				(READ_ONLY),
		Tab_m_DI15C01_input_simulation_k14,
		Tab_m_DI15C01_input_ersatzwert_k14
	}
}

MENU Tab_m_DI15C01_input_simulation_k14
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P14_SimVal_Data				(READ_ONLY)
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P14_SimVal_State			(READ_ONLY)
		}
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P14_State == 1)
}

MENU Tab_m_DI15C01_input_ersatzwert_k14
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P14_ErrVal_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P14_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal15	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI15C01_kanal15
{
	LABEL		[menu_kanal15];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI15C01_ident_k15,
		Tab_m_DI15C01_input_k15
	}
}

MENU Tab_m_DI15C01_ident_k15
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P15_Tag

	}
}

MENU Tab_m_DI15C01_input_k15
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P15_State						(READ_ONLY),
		DI15C01_P15_ErrMode					(READ_ONLY),
		DI15C01_P15_Option_Invert				(READ_ONLY),
		Tab_m_DI15C01_input_simulation_k15,
		Tab_m_DI15C01_input_ersatzwert_k15
	}
}

MENU Tab_m_DI15C01_input_simulation_k15
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P15_SimVal_Data				(READ_ONLY)
		IF (P0_CfgMode == 0) 
		{
			DI15C01_P15_SimVal_State			(READ_ONLY)
		}
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P15_State == 1)
}

MENU Tab_m_DI15C01_input_ersatzwert_k15
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI15C01_P15_ErrVal_Data				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI15C01_P15_ErrMode == 1)
}
