/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved	*/
/*    Product:          SIMATIC PDM                         */
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      Binreingang 2 Kanle               */
/*                      Namur				                */
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.20  $                                    */
/*  $Date:   16 Mar 2000 13:41:22  $                        */
/*----------------------------------------------------------*/


/*******************************************************************************/
/*****	Variables Kanal1	****************************************************/
/*******************************************************************************/

DI2C01_P1_Slot1		LIKE VARIABLE	P0_Slot0
{
}

DI2C01_P1_Index1	LIKE VARIABLE	P0_Index0
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 1;
	}
}

DI2C01_P1_Tag		LIKE VARIABLE	P0_Tag
{
	REDEFINE HELP	[P1_Tag_help];
}

VARIABLE	DI2C01_P1_State
{
	LABEL		[P1_State];
	HELP		[P1_State_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{ 0,	[automatic] 	},
		{ 1,	[simulation] 	}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI2C01_P1_ErrMode
{
	LABEL		[P1_ErrMode];
	HELP		[P1_ErrMode_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{ 0,	[aktuellen_wert]	},
		{ 1,	[ersatzwert]		},
		{ 2,	[letzten_wert]		}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI2C01_P1_SimVal_Data
{
	LABEL		[P1_SimVal];
	HELP		[P1_SimVal_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"	},
		{	0x01,	"1"	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI2C01_P1_SimVal_State
{
	LABEL		[P1_SimVal_State];
	HELP		[P1_SimVal_State_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	[daten_ok]			},
		{	0x01,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI2C01_P1_SimVal_Bit2_7
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER;
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI2C01_P1_ErrVal_Data
{
	LABEL		[P1_ErrVal];
	HELP		[P1_ErrVal_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"	},
		{	0x01,	"1"	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI2C01_P1_ErrVal_State
{
	LABEL		[P1_ErrVal_State];
	HELP		[P1_ErrVal_State_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x00,	[no_error]		},
		{	0x01,	[line_fault]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI2C01_P1_ErrVal_Bit2_7
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER;
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI2C01_P1_Option_Invert
{
	LABEL		[P1_Option_Invert];
	HELP		[P1_Option_Invert_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{	0x0000,	[inv_normal]		},
		{	0x0001,	[inv_invers]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI2C01_P1_Option_Leitung
{
	LABEL		[P1_Option_Leitung];
	HELP		[P1_Option_Leitung_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 1;
		{ 0,	[no]		},
		{ 1,	[yes]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI2C01_P1_Option_Bit2_14
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER(2);
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI2C01_P1_Option_Kanal
{
	LABEL		[P1_Option_Kanal];
	HELP		[P1_Option_Kanal_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{ 0,	[kanal_aktiv]		},
		{ 1,	[kanal_inaktiv]		}
	}
	CLASS		CONTAINED;
//	HANDLING	READ & WRITE;
	HANDLING	READ;
}

VARIABLE	DI2C01_P1_OnDelay
{
	LABEL		[P1_OnDelay];
	HELP		[P1_OnDelay_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 60000;
		DEFAULT_VALUE 0;
	}
	CONSTANT_UNIT	[msec];
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI2C01_P1_OffDelay
{
	LABEL		[P1_OffDelay];
	HELP		[P1_OffDelay_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 60000;
		DEFAULT_VALUE 0;
	}
	CONSTANT_UNIT	[msec];
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI2C01_P1_Map
{
	LABEL		[P1_Map];
	HELP		[P1_Map_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	DI2C01_P1_DUMMY
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ASCII (18);
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE    DI2C01_P1_DUMMY_Bit1_15
{
    LABEL       [P0_UNIM02_P1_DUMMY];
    HELP        [P0_UNIM02_P1_DUMMY_help];
    TYPE        UNSIGNED_INTEGER (2);
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}



/*******************************************************************************/
/*****	Variables Kanal2	****************************************************/
/*******************************************************************************/

DI2C01_P2_Slot2				LIKE VARIABLE	P0_Slot0
{
}

DI2C01_P2_Index2			LIKE VARIABLE	DI2C01_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 2;
	}

}

DI2C01_P2_Tag				LIKE VARIABLE	DI2C01_P1_Tag
{
}

DI2C01_P2_State				LIKE VARIABLE	DI2C01_P1_State
{
}

DI2C01_P2_ErrMode			LIKE VARIABLE	DI2C01_P1_ErrMode
{
}

DI2C01_P2_SimVal_Data		LIKE VARIABLE	DI2C01_P1_SimVal_Data
{
}

DI2C01_P2_SimVal_State		LIKE VARIABLE	DI2C01_P1_SimVal_State
{
}

DI2C01_P2_SimVal_Bit2_7		LIKE VARIABLE	DI2C01_P1_SimVal_Bit2_7
{
}

DI2C01_P2_ErrVal_Data		LIKE VARIABLE	DI2C01_P1_ErrVal_Data
{
}

DI2C01_P2_ErrVal_State		LIKE VARIABLE	DI2C01_P1_ErrVal_State
{
}

DI2C01_P2_ErrVal_Bit2_7		LIKE VARIABLE	DI2C01_P1_ErrVal_Bit2_7
{
}

DI2C01_P2_Option_Invert		LIKE VARIABLE	DI2C01_P1_Option_Invert
{
}

DI2C01_P2_Option_Leitung	LIKE VARIABLE	DI2C01_P1_Option_Leitung
{
}

DI2C01_P2_Option_Bit2_14	LIKE VARIABLE	DI2C01_P1_Option_Bit2_14
{
}

DI2C01_P2_Option_Kanal		LIKE VARIABLE	DI2C01_P1_Option_Kanal
{
}

DI2C01_P2_OnDelay			LIKE VARIABLE	DI2C01_P1_OnDelay
{
}

DI2C01_P2_OffDelay			LIKE VARIABLE	DI2C01_P1_OffDelay
{
}

DI2C01_P2_Map				LIKE VARIABLE	DI2C01_P1_Map
{
}

DI2C01_P2_DUMMY				LIKE VARIABLE	DI2C01_P1_DUMMY
{
}

/*******************************************************************************/
/*****	COMMAND			********************************************************/
/*******************************************************************************/

#define DOWNLOAD_DI2C01					\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
			P0_Revision,				\
			P0_Size,					\
			P0_CfgMode,					\
			DI2C01_P1_Slot1,			\
			DI2C01_P1_Index1,			\
			DI2C01_P1_Tag,				\
			DI2C01_P1_State,			\
			DI2C01_P1_ErrMode,			\
			DI2C01_P1_SimVal_Data,		\
			DI2C01_P1_SimVal_State,		\
			DI2C01_P1_ErrVal_State,		\
			DI2C01_P1_ErrVal_Data,		\
			DI2C01_P1_Option_Kanal,		\
			DI2C01_P1_Option_Leitung,	\
			DI2C01_P1_Option_Invert,	\
			DI2C01_P1_OnDelay,			\
			DI2C01_P1_OffDelay,			\
			DI2C01_P2_Slot2,			\
			DI2C01_P2_Index2,			\
			DI2C01_P2_Tag,				\
			DI2C01_P2_State,			\
			DI2C01_P2_ErrMode,			\
			DI2C01_P2_SimVal_Data,		\
			DI2C01_P2_SimVal_State,		\
			DI2C01_P2_ErrVal_Data,		\
			DI2C01_P2_ErrVal_State,		\
			DI2C01_P2_Option_Kanal,		\
			DI2C01_P2_Option_Leitung,	\
			DI2C01_P2_Option_Invert,	\
			DI2C01_P2_OnDelay,			\
			DI2C01_P2_OffDelay

#define UPLOAD_DI2C01					\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
			P0_Size,					\
			P0_CfgMode,					\
			DI2C01_P1_Slot1,			\
			DI2C01_P1_Index1,			\
			DI2C01_P1_Tag,				\
			DI2C01_P1_State,			\
			DI2C01_P1_ErrMode,			\
			DI2C01_P1_SimVal_Data,		\
			DI2C01_P1_SimVal_State,		\
			DI2C01_P1_ErrVal_State,		\
			DI2C01_P1_ErrVal_Data,		\
			DI2C01_P1_Option_Leitung,	\
			DI2C01_P1_Option_Invert,	\
			DI2C01_P1_OnDelay,			\
			DI2C01_P1_OffDelay,			\
			DI2C01_P2_Slot2,			\
			DI2C01_P2_Index2,			\
			DI2C01_P2_Tag,				\
			DI2C01_P2_State,			\
			DI2C01_P2_ErrMode,			\
			DI2C01_P2_SimVal_Data,		\
			DI2C01_P2_SimVal_State,		\
			DI2C01_P2_ErrVal_Data,		\
			DI2C01_P2_ErrVal_State,		\
			DI2C01_P2_Option_Leitung,	\
			DI2C01_P2_Option_Invert,	\
			DI2C01_P2_OnDelay,			\
			DI2C01_P2_OffDelay


COMMAND read_DI2C01_index1
{
	SLOT		Loc_P0_Slot0;
	INDEX		1;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI2C01_P1_Slot1,
			DI2C01_P1_Index1,
			DI2C01_P1_Tag,
			DI2C01_P1_State,
			DI2C01_P1_ErrMode,
			DI2C01_P1_SimVal_Bit2_7		<0xFC>,
			DI2C01_P1_SimVal_State		<0x02>,
			DI2C01_P1_SimVal_Data		<0x01>,
			DI2C01_P1_ErrVal_Bit2_7		<0xFC>,
			DI2C01_P1_ErrVal_State		<0x02>,
			DI2C01_P1_ErrVal_Data		<0x01>,
			DI2C01_P1_Option_Kanal		<0x8000>,
			DI2C01_P1_Option_Bit2_14	<0x7FFC>,
			DI2C01_P1_Option_Leitung	<0x0002>,
			DI2C01_P1_Option_Invert		<0x0001>,
			DI2C01_P1_OnDelay,
			DI2C01_P1_OffDelay,
			DI2C01_P1_DUMMY,
			DI2C01_P1_Map
		}
	}
}

COMMAND write_DI2C01_index1
{
	SLOT		Loc_P0_Slot0;
	INDEX		1;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI2C01_P1_Slot1,
			DI2C01_P1_Index1,
			DI2C01_P1_Tag,
			DI2C01_P1_State,
			DI2C01_P1_ErrMode,
			DI2C01_P1_SimVal_Bit2_7		<0xFC>,
			DI2C01_P1_SimVal_State		<0x02>,
			DI2C01_P1_SimVal_Data		<0x01>,
			DI2C01_P1_ErrVal_Bit2_7		<0xFC>,
			DI2C01_P1_ErrVal_State		<0x02>,
			DI2C01_P1_ErrVal_Data		<0x01>,
//			DI2C01_P1_Option_Kanal		<0x8000>,
			DI2C01_P1_Option_Bit2_14	<0xFFFC>,
			DI2C01_P1_Option_Leitung	<0x0002>,
			DI2C01_P1_Option_Invert		<0x0001>,
			DI2C01_P1_OnDelay,
			DI2C01_P1_OffDelay,
			0, 0, 0, 0, 0, 0, 0, 0,			0, 0, 0, 0, 0, 0, 0, 0,				//20 Byte
			0, 0, 0, 0
		}
		REPLY
		{
		}
	}
}

COMMAND read_DI2C01_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI2C01_P2_Slot2,
			DI2C01_P2_Index2,
			DI2C01_P2_Tag,
			DI2C01_P2_State,
			DI2C01_P2_ErrMode,
			DI2C01_P2_SimVal_Bit2_7		<0xFC>,
			DI2C01_P2_SimVal_State		<0x02>,
			DI2C01_P2_SimVal_Data		<0x01>,
			DI2C01_P2_ErrVal_Bit2_7		<0xFC>,
			DI2C01_P2_ErrVal_State		<0x02>,
			DI2C01_P2_ErrVal_Data		<0x01>,
			DI2C01_P2_Option_Kanal		<0x8000>,
			DI2C01_P2_Option_Bit2_14	<0x7FFC>,
			DI2C01_P2_Option_Leitung	<0x0002>,
			DI2C01_P2_Option_Invert		<0x0001>,
			DI2C01_P2_OnDelay,
			DI2C01_P2_OffDelay,
			DI2C01_P2_DUMMY,
			DI2C01_P2_Map
		}
	}
}

COMMAND write_DI2C01_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI2C01_P2_Slot2,
			DI2C01_P2_Index2,
			DI2C01_P2_Tag,
			DI2C01_P2_State,
			DI2C01_P2_ErrMode,
			DI2C01_P2_SimVal_Bit2_7		<0xFC>,
			DI2C01_P2_SimVal_State		<0x02>,
			DI2C01_P2_SimVal_Data		<0x01>,
			DI2C01_P2_ErrVal_Bit2_7		<0xFC>,
			DI2C01_P2_ErrVal_State		<0x02>,
			DI2C01_P2_ErrVal_Data		<0x01>,
//			DI2C01_P2_Option_Kanal		<0x8000>,
			DI2C01_P2_Option_Bit2_14	<0xFFFC>,
			DI2C01_P2_Option_Leitung	<0x0002>,
			DI2C01_P2_Option_Invert		<0x0001>,
			DI2C01_P2_OnDelay, 
			DI2C01_P2_OffDelay,
			0, 0, 0, 0, 0, 0, 0, 0,			0, 0, 0, 0, 0, 0, 0, 0,				//20 Byte
			0, 0, 0, 0
		}
		REPLY
		{
		}
	}
}


/*******************************************************************************/
/*****	Table: Specialist  *****************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	 Kanal1	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI2C01_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI2C01_ident_k1,
		Tab_s_DI2C01_input_k1
	}
}

MENU Tab_s_DI2C01_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P1_Tag,
		DI2C01_P1_Option_Kanal
	}
}

MENU Tab_s_DI2C01_input_k1
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P1_State,
		DI2C01_P1_ErrMode,
		DI2C01_P1_Option_Invert,
		DI2C01_P1_Option_Leitung,
		Tab_s_DI2C01_input_verzoegerung_k1,
		Tab_s_DI2C01_input_simulation_k1,
		Tab_s_DI2C01_input_ersatzwert_k1
	}
}

MENU Tab_s_DI2C01_input_verzoegerung_k1
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P1_OnDelay,
		DI2C01_P1_OffDelay
	}
}

MENU Tab_s_DI2C01_input_simulation_k1
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P1_SimVal_Data,
		DI2C01_P1_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI2C01_P1_State == 1)
}

MENU Tab_s_DI2C01_input_ersatzwert_k1
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P1_ErrVal_Data,
		DI2C01_P1_ErrVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI2C01_P1_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal2	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI2C01_kanal2
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI2C01_ident_k2,
		Tab_s_DI2C01_input_k2
	}
}

MENU Tab_s_DI2C01_ident_k2
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P2_Tag,
		DI2C01_P2_Option_Kanal
	}
}

MENU Tab_s_DI2C01_input_k2
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P2_State,
		DI2C01_P2_ErrMode,
		DI2C01_P2_Option_Invert,
		DI2C01_P2_Option_Leitung,
		Tab_s_DI2C01_input_verzoegerung_k2,
		Tab_s_DI2C01_input_simulation_k2,
		Tab_s_DI2C01_input_ersatzwert_k2
	}
}

MENU Tab_s_DI2C01_input_verzoegerung_k2
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P2_OnDelay,
		DI2C01_P2_OffDelay
	}
}

MENU Tab_s_DI2C01_input_simulation_k2
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P2_SimVal_Data,
		DI2C01_P2_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI2C01_P2_State == 1)
}

MENU Tab_s_DI2C01_input_ersatzwert_k2
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P2_ErrVal_Data,
		DI2C01_P2_ErrVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI2C01_P2_ErrMode == 1)
}


/*******************************************************************************/
/*****	Table: Maintenance  ***************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	 Kanal1	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI2C01_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI2C01_ident_k1,
		Tab_m_DI2C01_input_k1
	}
}

MENU Tab_m_DI2C01_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P1_Tag,
		DI2C01_P1_Option_Kanal				(READ_ONLY)
	}
}

MENU Tab_m_DI2C01_input_k1
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P1_State						(READ_ONLY),
		DI2C01_P1_ErrMode					(READ_ONLY),
		DI2C01_P1_Option_Invert				(READ_ONLY),
		DI2C01_P1_Option_Leitung			(READ_ONLY),
		Tab_m_DI2C01_input_verzoegerung_k1,
		Tab_m_DI2C01_input_simulation_k1,
		Tab_m_DI2C01_input_ersatzwert_k1
	}
}

MENU Tab_m_DI2C01_input_verzoegerung_k1
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P1_OnDelay					(READ_ONLY),
		DI2C01_P1_OffDelay					(READ_ONLY)
	}
}

MENU Tab_m_DI2C01_input_simulation_k1
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P1_SimVal_Data				(READ_ONLY),
		DI2C01_P1_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI2C01_P1_State == 1)
}

MENU Tab_m_DI2C01_input_ersatzwert_k1
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P1_ErrVal_Data				(READ_ONLY),
		DI2C01_P1_ErrVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI2C01_P1_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal2	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI2C01_kanal2
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI2C01_ident_k2,
		Tab_m_DI2C01_input_k2
	}
}

MENU Tab_m_DI2C01_ident_k2
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P2_Tag,
		DI2C01_P2_Option_Kanal				(READ_ONLY)
	}
}

MENU Tab_m_DI2C01_input_k2
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P2_State						(READ_ONLY),
		DI2C01_P2_ErrMode					(READ_ONLY),
		DI2C01_P2_Option_Invert				(READ_ONLY),
		DI2C01_P2_Option_Leitung			(READ_ONLY),
		Tab_m_DI2C01_input_verzoegerung_k2,
		Tab_m_DI2C01_input_simulation_k2,
		Tab_m_DI2C01_input_ersatzwert_k2
	}
}

MENU Tab_m_DI2C01_input_verzoegerung_k2
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P2_OnDelay					(READ_ONLY),
		DI2C01_P2_OffDelay					(READ_ONLY)
	}
}

MENU Tab_m_DI2C01_input_simulation_k2
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P2_SimVal_Data				(READ_ONLY),
		DI2C01_P2_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI2C01_P2_State == 1)
}

MENU Tab_m_DI2C01_input_ersatzwert_k2
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI2C01_P2_ErrVal_Data				(READ_ONLY),
		DI2C01_P2_ErrVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI2C01_P2_ErrMode == 1)
}

