/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved	*/
/*    Product:          SIMATIC PDM                         */
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      Binreingang 8 Kanle               */
/*                      Namur				                */
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.15  $                                    */
/*  $Date:   21.11.2002  $								    */
/*----------------------------------------------------------*/


/*******************************************************************************/
/*****	Variables Kanal1	****************************************************/
/*******************************************************************************/

DI8C01_P1_Slot1		LIKE VARIABLE	P0_Slot0
{
}

DI8C01_P1_Index1	LIKE VARIABLE	P0_Index0
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 1;
	}
}

DI8C01_P1_Tag		LIKE VARIABLE	P0_Tag
{
	REDEFINE HELP	[P1_Tag_help];
}

VARIABLE	DI8C01_P1_State
{
	LABEL		[P1_State];
	HELP		[P1_State_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{ 0,	[automatic] 	},
		{ 1,	[simulation] 	}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI8C01_P1_ErrMode
{
	LABEL		[P1_ErrMode];
	HELP		[P1_ErrMode_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{ 0,	[aktuellen_wert]	},
		{ 1,	[ersatzwert]		},
		{ 2,	[letzten_wert]		}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI8C01_P1_SimVal_Data
{
	LABEL		[P1_SimVal];
	HELP		[P1_SimVal_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"	},
		{	0x01,	"1"	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI8C01_P1_SimVal_State
{
	LABEL		[P1_SimVal_State];
	HELP		[P1_SimVal_State_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	[daten_ok]			},
		{	0x01,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI8C01_P1_SimVal_Bit2_7
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER;
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI8C01_P1_ErrVal_Data
{
	LABEL		[P1_ErrVal];
	HELP		[P1_ErrVal_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"	},
		{	0x01,	"1"	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI8C01_P1_ErrVal_State
{
	LABEL		[P1_ErrVal_State];
	HELP		[P1_ErrVal_State_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x00,	[no_error]		},
		{	0x01,	[line_fault]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI8C01_P1_ErrVal_Bit2_7
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER;
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI8C01_P1_Option_Invert
{
	LABEL		[P1_Option_Invert];
	HELP		[P1_Option_Invert_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{	0x0000,	[inv_normal]		},
		{	0x0001,	[inv_invers]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI8C01_P1_Option_Leitung
{
	LABEL		[P1_Option_Leitung];
	HELP		[P1_Option_Leitung_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 1;
		{ 0,	[no]		},
		{ 1,	[yes]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI8C01_P1_Option_Bit2_14
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER(2);
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI8C01_P1_Option_Kanal
{
	LABEL		[P1_Option_Kanal];
	HELP		[P1_Option_Kanal_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{ 0,	[kanal_aktiv]		},
		{ 1,	[kanal_inaktiv]		}
	}
	CLASS		CONTAINED;
//	HANDLING	READ & WRITE;
	HANDLING	READ;
}

VARIABLE	DI8C01_P1_OnDelay
{
	LABEL		[P1_OnDelay];
	HELP		[P1_OnDelay_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 60000;
		DEFAULT_VALUE 0;
	}
	CONSTANT_UNIT	[msec];
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI8C01_P1_OffDelay
{
	LABEL		[P1_OffDelay];
	HELP		[P1_OffDelay_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 60000;
		DEFAULT_VALUE 0;
	}
	CONSTANT_UNIT	[msec];
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI8C01_P1_Map
{
	LABEL		[P1_Map];
	HELP		[P1_Map_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	DI8C01_P1_Mode
{
	LABEL		[P1_Mode];
	HELP		[P1_Mode_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
        { 0,    [NAMUR]    },
        { 1,    [Volt_24]   },
        { 2,    [Volt_5]    }
 	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI8C01_P1_Mode_NAMUR
{
	LABEL		[P1_Mode];
	HELP		[P1_Mode_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
        { 0,    [NAMUR]    }
 	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DI8C01_P1_DUMMY
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ASCII (16);
	CLASS		CONTAINED;
	HANDLING	READ;
}

/*******************************************************************************/
/*****	Variables Kanal2	****************************************************/
/*******************************************************************************/

DI8C01_P2_Slot2				LIKE VARIABLE	P0_Slot0
{
}

DI8C01_P2_Index2			LIKE VARIABLE	DI8C01_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 2;
	}
}

DI8C01_P2_Tag				LIKE VARIABLE	DI8C01_P1_Tag
{
}

DI8C01_P2_State				LIKE VARIABLE	DI8C01_P1_State
{
}

DI8C01_P2_ErrMode			LIKE VARIABLE	DI8C01_P1_ErrMode
{
}

DI8C01_P2_SimVal_Data		LIKE VARIABLE	DI8C01_P1_SimVal_Data
{
}

DI8C01_P2_SimVal_State		LIKE VARIABLE	DI8C01_P1_SimVal_State
{
}

DI8C01_P2_SimVal_Bit2_7		LIKE VARIABLE	DI8C01_P1_SimVal_Bit2_7
{
}

DI8C01_P2_ErrVal_Data		LIKE VARIABLE	DI8C01_P1_ErrVal_Data
{
}

DI8C01_P2_ErrVal_State		LIKE VARIABLE	DI8C01_P1_ErrVal_State
{
}

DI8C01_P2_ErrVal_Bit2_7		LIKE VARIABLE	DI8C01_P1_ErrVal_Bit2_7
{
}

DI8C01_P2_Option_Invert		LIKE VARIABLE	DI8C01_P1_Option_Invert
{
}

DI8C01_P2_Option_Leitung	LIKE VARIABLE	DI8C01_P1_Option_Leitung
{
}

DI8C01_P2_Option_Bit2_14	LIKE VARIABLE	DI8C01_P1_Option_Bit2_14
{
}

DI8C01_P2_Option_Kanal		LIKE VARIABLE	DI8C01_P1_Option_Kanal
{
}

DI8C01_P2_OnDelay			LIKE VARIABLE	DI8C01_P1_OnDelay
{
}

DI8C01_P2_OffDelay			LIKE VARIABLE	DI8C01_P1_OffDelay
{
}

DI8C01_P2_Map				LIKE VARIABLE	DI8C01_P1_Map
{
}

DI8C01_P2_Mode				LIKE VARIABLE	DI8C01_P1_Mode
{
}

DI8C01_P2_Mode_NAMUR		LIKE VARIABLE	DI8C01_P1_Mode_NAMUR
{
}

DI8C01_P2_DUMMY				LIKE VARIABLE	DI8C01_P1_DUMMY
{
}

/*******************************************************************************/
/*****	Variables Kanal3	****************************************************/
/*******************************************************************************/

DI8C01_P3_Slot3				LIKE VARIABLE	P0_Slot0
{
}

DI8C01_P3_Index3			LIKE VARIABLE	DI8C01_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 3;
	}
}

DI8C01_P3_Tag				LIKE VARIABLE	DI8C01_P1_Tag
{
}

DI8C01_P3_State				LIKE VARIABLE	DI8C01_P1_State
{
}

DI8C01_P3_ErrMode			LIKE VARIABLE	DI8C01_P1_ErrMode
{
}

DI8C01_P3_SimVal_Data		LIKE VARIABLE	DI8C01_P1_SimVal_Data
{
}

DI8C01_P3_SimVal_State		LIKE VARIABLE	DI8C01_P1_SimVal_State
{
}

DI8C01_P3_SimVal_Bit2_7		LIKE VARIABLE	DI8C01_P1_SimVal_Bit2_7
{
}

DI8C01_P3_ErrVal_Data		LIKE VARIABLE	DI8C01_P1_ErrVal_Data
{
}

DI8C01_P3_ErrVal_State		LIKE VARIABLE	DI8C01_P1_ErrVal_State
{
}

DI8C01_P3_ErrVal_Bit2_7		LIKE VARIABLE	DI8C01_P1_ErrVal_Bit2_7
{
}

DI8C01_P3_Option_Invert		LIKE VARIABLE	DI8C01_P1_Option_Invert
{
}

DI8C01_P3_Option_Leitung	LIKE VARIABLE	DI8C01_P1_Option_Leitung
{
}

DI8C01_P3_Option_Bit2_14	LIKE VARIABLE	DI8C01_P1_Option_Bit2_14
{
}

DI8C01_P3_Option_Kanal		LIKE VARIABLE	DI8C01_P1_Option_Kanal
{
}

DI8C01_P3_OnDelay			LIKE VARIABLE	DI8C01_P1_OnDelay
{
}

DI8C01_P3_OffDelay			LIKE VARIABLE	DI8C01_P1_OffDelay
{
}

DI8C01_P3_Map				LIKE VARIABLE	DI8C01_P1_Map
{
}

DI8C01_P3_Mode				LIKE VARIABLE	DI8C01_P1_Mode
{
}

DI8C01_P3_Mode_NAMUR		LIKE VARIABLE	DI8C01_P1_Mode_NAMUR
{
}

DI8C01_P3_DUMMY				LIKE VARIABLE	DI8C01_P1_DUMMY
{
}

/*******************************************************************************/
/*****	Variables Kanal4	****************************************************/
/*******************************************************************************/

DI8C01_P4_Slot4				LIKE VARIABLE	P0_Slot0
{
}

DI8C01_P4_Index4			LIKE VARIABLE	DI8C01_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 4;
	}
}

DI8C01_P4_Tag				LIKE VARIABLE	DI8C01_P1_Tag
{
}

DI8C01_P4_State				LIKE VARIABLE	DI8C01_P1_State
{
}

DI8C01_P4_ErrMode			LIKE VARIABLE	DI8C01_P1_ErrMode
{
}

DI8C01_P4_SimVal_Data		LIKE VARIABLE	DI8C01_P1_SimVal_Data
{
}

DI8C01_P4_SimVal_State		LIKE VARIABLE	DI8C01_P1_SimVal_State
{
}

DI8C01_P4_SimVal_Bit2_7		LIKE VARIABLE	DI8C01_P1_SimVal_Bit2_7
{
}

DI8C01_P4_ErrVal_Data		LIKE VARIABLE	DI8C01_P1_ErrVal_Data
{
}

DI8C01_P4_ErrVal_State		LIKE VARIABLE	DI8C01_P1_ErrVal_State
{
}

DI8C01_P4_ErrVal_Bit2_7		LIKE VARIABLE	DI8C01_P1_ErrVal_Bit2_7
{
}

DI8C01_P4_Option_Invert		LIKE VARIABLE	DI8C01_P1_Option_Invert
{
}

DI8C01_P4_Option_Leitung	LIKE VARIABLE	DI8C01_P1_Option_Leitung
{
}

DI8C01_P4_Option_Bit2_14	LIKE VARIABLE	DI8C01_P1_Option_Bit2_14
{
}

DI8C01_P4_Option_Kanal		LIKE VARIABLE	DI8C01_P1_Option_Kanal
{
}

DI8C01_P4_OnDelay			LIKE VARIABLE	DI8C01_P1_OnDelay
{
}

DI8C01_P4_OffDelay			LIKE VARIABLE	DI8C01_P1_OffDelay
{
}

DI8C01_P4_Map				LIKE VARIABLE	DI8C01_P1_Map
{
}

DI8C01_P4_Mode				LIKE VARIABLE	DI8C01_P1_Mode
{
}

DI8C01_P4_Mode_NAMUR		LIKE VARIABLE	DI8C01_P1_Mode_NAMUR
{
}

DI8C01_P4_DUMMY				LIKE VARIABLE	DI8C01_P1_DUMMY
{
}

/*******************************************************************************/
/*****	Variables Kanal5	****************************************************/
/*******************************************************************************/

DI8C01_P5_Slot5				LIKE VARIABLE	P0_Slot0
{
}

DI8C01_P5_Index5			LIKE VARIABLE	DI8C01_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 5;
	}
}

DI8C01_P5_Tag				LIKE VARIABLE	DI8C01_P1_Tag
{
}

DI8C01_P5_State				LIKE VARIABLE	DI8C01_P1_State
{
}

DI8C01_P5_ErrMode			LIKE VARIABLE	DI8C01_P1_ErrMode
{
}

DI8C01_P5_SimVal_Data		LIKE VARIABLE	DI8C01_P1_SimVal_Data
{
}

DI8C01_P5_SimVal_State		LIKE VARIABLE	DI8C01_P1_SimVal_State
{
}

DI8C01_P5_SimVal_Bit2_7		LIKE VARIABLE	DI8C01_P1_SimVal_Bit2_7
{
}

DI8C01_P5_ErrVal_Data		LIKE VARIABLE	DI8C01_P1_ErrVal_Data
{
}

DI8C01_P5_ErrVal_State		LIKE VARIABLE	DI8C01_P1_ErrVal_State
{
}

DI8C01_P5_ErrVal_Bit2_7		LIKE VARIABLE	DI8C01_P1_ErrVal_Bit2_7
{
}

DI8C01_P5_Option_Invert		LIKE VARIABLE	DI8C01_P1_Option_Invert
{
}

DI8C01_P5_Option_Leitung	LIKE VARIABLE	DI8C01_P1_Option_Leitung
{
}

DI8C01_P5_Option_Bit2_14	LIKE VARIABLE	DI8C01_P1_Option_Bit2_14
{
}

DI8C01_P5_Option_Kanal		LIKE VARIABLE	DI8C01_P1_Option_Kanal
{
}

DI8C01_P5_OnDelay			LIKE VARIABLE	DI8C01_P1_OnDelay
{
}

DI8C01_P5_OffDelay			LIKE VARIABLE	DI8C01_P1_OffDelay
{
}

DI8C01_P5_Map				LIKE VARIABLE	DI8C01_P1_Map
{
}

DI8C01_P5_Mode				LIKE VARIABLE	DI8C01_P1_Mode
{
}

DI8C01_P5_Mode_NAMUR		LIKE VARIABLE	DI8C01_P1_Mode_NAMUR
{
}

DI8C01_P5_DUMMY				LIKE VARIABLE	DI8C01_P1_DUMMY
{
}

/*******************************************************************************/
/*****	Variables Kanal6	****************************************************/
/*******************************************************************************/

DI8C01_P6_Slot6				LIKE VARIABLE	P0_Slot0
{
}

DI8C01_P6_Index6			LIKE VARIABLE	DI8C01_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 6;
	}
}

DI8C01_P6_Tag				LIKE VARIABLE	DI8C01_P1_Tag
{
}

DI8C01_P6_State				LIKE VARIABLE	DI8C01_P1_State
{
}

DI8C01_P6_ErrMode			LIKE VARIABLE	DI8C01_P1_ErrMode
{
}

DI8C01_P6_SimVal_Data		LIKE VARIABLE	DI8C01_P1_SimVal_Data
{
}

DI8C01_P6_SimVal_State		LIKE VARIABLE	DI8C01_P1_SimVal_State
{
}

DI8C01_P6_SimVal_Bit2_7		LIKE VARIABLE	DI8C01_P1_SimVal_Bit2_7
{
}

DI8C01_P6_ErrVal_Data		LIKE VARIABLE	DI8C01_P1_ErrVal_Data
{
}

DI8C01_P6_ErrVal_State		LIKE VARIABLE	DI8C01_P1_ErrVal_State
{
}

DI8C01_P6_ErrVal_Bit2_7		LIKE VARIABLE	DI8C01_P1_ErrVal_Bit2_7
{
}

DI8C01_P6_Option_Invert		LIKE VARIABLE	DI8C01_P1_Option_Invert
{
}

DI8C01_P6_Option_Leitung	LIKE VARIABLE	DI8C01_P1_Option_Leitung
{
}

DI8C01_P6_Option_Bit2_14	LIKE VARIABLE	DI8C01_P1_Option_Bit2_14
{
}

DI8C01_P6_Option_Kanal		LIKE VARIABLE	DI8C01_P1_Option_Kanal
{
}

DI8C01_P6_OnDelay			LIKE VARIABLE	DI8C01_P1_OnDelay
{
}

DI8C01_P6_OffDelay			LIKE VARIABLE	DI8C01_P1_OffDelay
{
}

DI8C01_P6_Map				LIKE VARIABLE	DI8C01_P1_Map
{
}

DI8C01_P6_Mode				LIKE VARIABLE	DI8C01_P1_Mode
{
}

DI8C01_P6_Mode_NAMUR		LIKE VARIABLE	DI8C01_P1_Mode_NAMUR
{
}

DI8C01_P6_DUMMY				LIKE VARIABLE	DI8C01_P1_DUMMY
{
}

/*******************************************************************************/
/*****	Variables Kanal7	****************************************************/
/*******************************************************************************/

DI8C01_P7_Slot7				LIKE VARIABLE	P0_Slot0
{
}

DI8C01_P7_Index7			LIKE VARIABLE	DI8C01_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 7;
	}
}

DI8C01_P7_Tag				LIKE VARIABLE	DI8C01_P1_Tag
{
}

DI8C01_P7_State				LIKE VARIABLE	DI8C01_P1_State
{
}

DI8C01_P7_ErrMode			LIKE VARIABLE	DI8C01_P1_ErrMode
{
}

DI8C01_P7_SimVal_Data		LIKE VARIABLE	DI8C01_P1_SimVal_Data
{
}

DI8C01_P7_SimVal_State		LIKE VARIABLE	DI8C01_P1_SimVal_State
{
}

DI8C01_P7_SimVal_Bit2_7		LIKE VARIABLE	DI8C01_P1_SimVal_Bit2_7
{
}

DI8C01_P7_ErrVal_Data		LIKE VARIABLE	DI8C01_P1_ErrVal_Data
{
}

DI8C01_P7_ErrVal_State		LIKE VARIABLE	DI8C01_P1_ErrVal_State
{
}

DI8C01_P7_ErrVal_Bit2_7		LIKE VARIABLE	DI8C01_P1_ErrVal_Bit2_7
{
}

DI8C01_P7_Option_Invert		LIKE VARIABLE	DI8C01_P1_Option_Invert
{
}

DI8C01_P7_Option_Leitung	LIKE VARIABLE	DI8C01_P1_Option_Leitung
{
}

DI8C01_P7_Option_Bit2_14	LIKE VARIABLE	DI8C01_P1_Option_Bit2_14
{
}

DI8C01_P7_Option_Kanal		LIKE VARIABLE	DI8C01_P1_Option_Kanal
{
}

DI8C01_P7_OnDelay			LIKE VARIABLE	DI8C01_P1_OnDelay
{
}

DI8C01_P7_OffDelay			LIKE VARIABLE	DI8C01_P1_OffDelay
{
}

DI8C01_P7_Map				LIKE VARIABLE	DI8C01_P1_Map
{
}

DI8C01_P7_Mode				LIKE VARIABLE	DI8C01_P1_Mode
{
}

DI8C01_P7_Mode_NAMUR		LIKE VARIABLE	DI8C01_P1_Mode_NAMUR
{
}

DI8C01_P7_DUMMY				LIKE VARIABLE	DI8C01_P1_DUMMY
{
}

/*******************************************************************************/
/*****	Variables Kanal8	****************************************************/
/*******************************************************************************/

DI8C01_P8_Slot8				LIKE VARIABLE	P0_Slot0
{
}

DI8C01_P8_Index8			LIKE VARIABLE	DI8C01_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 8;
	}
}

DI8C01_P8_Tag				LIKE VARIABLE	DI8C01_P1_Tag
{
}

DI8C01_P8_State				LIKE VARIABLE	DI8C01_P1_State
{
}

DI8C01_P8_ErrMode			LIKE VARIABLE	DI8C01_P1_ErrMode
{
}

DI8C01_P8_SimVal_Data		LIKE VARIABLE	DI8C01_P1_SimVal_Data
{
}

DI8C01_P8_SimVal_State		LIKE VARIABLE	DI8C01_P1_SimVal_State
{
}

DI8C01_P8_SimVal_Bit2_7		LIKE VARIABLE	DI8C01_P1_SimVal_Bit2_7
{
}

DI8C01_P8_ErrVal_Data		LIKE VARIABLE	DI8C01_P1_ErrVal_Data
{
}

DI8C01_P8_ErrVal_State		LIKE VARIABLE	DI8C01_P1_ErrVal_State
{
}

DI8C01_P8_ErrVal_Bit2_7		LIKE VARIABLE	DI8C01_P1_ErrVal_Bit2_7
{
}

DI8C01_P8_Option_Invert		LIKE VARIABLE	DI8C01_P1_Option_Invert
{
}

DI8C01_P8_Option_Leitung	LIKE VARIABLE	DI8C01_P1_Option_Leitung
{
}

DI8C01_P8_Option_Bit2_14	LIKE VARIABLE	DI8C01_P1_Option_Bit2_14
{
}

DI8C01_P8_Option_Kanal		LIKE VARIABLE	DI8C01_P1_Option_Kanal
{
}

DI8C01_P8_OnDelay			LIKE VARIABLE	DI8C01_P1_OnDelay
{
}

DI8C01_P8_OffDelay			LIKE VARIABLE	DI8C01_P1_OffDelay
{
}

DI8C01_P8_Map				LIKE VARIABLE	DI8C01_P1_Map
{
}

DI8C01_P8_Mode				LIKE VARIABLE	DI8C01_P1_Mode
{
}

DI8C01_P8_Mode_NAMUR		LIKE VARIABLE	DI8C01_P1_Mode_NAMUR
{
}

DI8C01_P8_DUMMY				LIKE VARIABLE	DI8C01_P1_DUMMY
{
}

/*******************************************************************************/
/*****	COMMAND				*****************************************************/
/*******************************************************************************/

#define DOWNLOAD_DI8C01					\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
			P0_Revision,				\
			P0_Size,					\
			P0_CfgMode,					\
			DI8C01_P1_Slot1,			\
			DI8C01_P1_Index1,			\
			DI8C01_P1_Tag,				\
			DI8C01_P1_State,			\
			DI8C01_P1_ErrMode,			\
			DI8C01_P1_SimVal_Data,		\
			DI8C01_P1_SimVal_State,		\
			DI8C01_P1_ErrVal_State,		\
			DI8C01_P1_ErrVal_Data,		\
			DI8C01_P1_Option_Invert,	\
			DI8C01_P1_Option_Leitung,	\
			DI8C01_P1_Option_Kanal,		\
			DI8C01_P1_OnDelay,			\
			DI8C01_P1_OffDelay,			\
			DI8C01_P1_Mode,				\
			DI8C01_P2_Slot2,			\
			DI8C01_P2_Index2,			\
			DI8C01_P2_Tag,				\
			DI8C01_P2_State,			\
			DI8C01_P2_ErrMode,			\
			DI8C01_P2_SimVal_Data,		\
			DI8C01_P2_SimVal_State,		\
			DI8C01_P2_ErrVal_State,		\
			DI8C01_P2_ErrVal_Data,		\
			DI8C01_P2_Option_Invert,	\
			DI8C01_P2_Option_Leitung,	\
			DI8C01_P2_Option_Kanal,		\
			DI8C01_P2_OnDelay, 			\
			DI8C01_P2_OffDelay,			\
			DI8C01_P2_Mode,				\
			DI8C01_P3_Slot3,			\
			DI8C01_P3_Index3,			\
			DI8C01_P3_Tag,				\
			DI8C01_P3_State,			\
			DI8C01_P3_ErrMode,			\
			DI8C01_P3_SimVal_Data,		\
			DI8C01_P3_SimVal_State,		\
			DI8C01_P3_ErrVal_State,		\
			DI8C01_P3_ErrVal_Data,		\
			DI8C01_P3_Option_Invert,	\
			DI8C01_P3_Option_Leitung,	\
			DI8C01_P3_Option_Kanal,		\
			DI8C01_P3_OnDelay, 			\
			DI8C01_P3_OffDelay,			\
			DI8C01_P3_Mode,				\
			DI8C01_P4_Slot4,			\
			DI8C01_P4_Index4,			\
			DI8C01_P4_Tag,				\
			DI8C01_P4_State,			\
			DI8C01_P4_ErrMode,			\
			DI8C01_P4_SimVal_Data,		\
			DI8C01_P4_SimVal_State,		\
			DI8C01_P4_ErrVal_State,		\
			DI8C01_P4_ErrVal_Data,		\
			DI8C01_P4_Option_Invert,	\
			DI8C01_P4_Option_Leitung,	\
			DI8C01_P4_Option_Kanal,		\
			DI8C01_P4_OnDelay, 			\
			DI8C01_P4_OffDelay,			\
			DI8C01_P4_Mode,				\
			DI8C01_P5_Slot5,			\
			DI8C01_P5_Index5,			\
			DI8C01_P5_Tag,				\
			DI8C01_P5_State,			\
			DI8C01_P5_ErrMode,			\
			DI8C01_P5_SimVal_Data,		\
			DI8C01_P5_SimVal_State,		\
			DI8C01_P5_ErrVal_State,		\
			DI8C01_P5_ErrVal_Data,		\
			DI8C01_P5_Option_Leitung,	\
			DI8C01_P5_Option_Kanal,		\
			DI8C01_P5_Option_Invert,	\
			DI8C01_P5_OnDelay, 			\
			DI8C01_P5_OffDelay,			\
			DI8C01_P5_Mode,				\
			DI8C01_P6_Slot6,			\
			DI8C01_P6_Index6,			\
			DI8C01_P6_Tag,				\
			DI8C01_P6_State,			\
			DI8C01_P6_ErrMode,			\
			DI8C01_P6_SimVal_Data,		\
			DI8C01_P6_SimVal_State,		\
			DI8C01_P6_ErrVal_State,		\
			DI8C01_P6_ErrVal_Data,		\
			DI8C01_P6_Option_Invert,	\
			DI8C01_P6_Option_Leitung,	\
			DI8C01_P6_Option_Kanal,		\
			DI8C01_P6_OnDelay, 			\
			DI8C01_P6_OffDelay,			\
			DI8C01_P6_Mode,				\
			DI8C01_P7_Slot7,			\
			DI8C01_P7_Index7,			\
			DI8C01_P7_Tag,				\
			DI8C01_P7_State,			\
			DI8C01_P7_ErrMode,			\
			DI8C01_P7_SimVal_Data,		\
			DI8C01_P7_SimVal_State,		\
			DI8C01_P7_ErrVal_State,		\
			DI8C01_P7_ErrVal_Data,		\
			DI8C01_P7_Option_Invert,	\
			DI8C01_P7_Option_Leitung,	\
			DI8C01_P7_Option_Kanal,		\
			DI8C01_P7_OnDelay, 			\
			DI8C01_P7_OffDelay,			\
			DI8C01_P7_Mode,				\
			DI8C01_P8_Slot8,			\
			DI8C01_P8_Index8,			\
			DI8C01_P8_Tag,				\
			DI8C01_P8_State,			\
			DI8C01_P8_ErrMode,			\
			DI8C01_P8_SimVal_Data,		\
			DI8C01_P8_SimVal_State,		\
			DI8C01_P8_ErrVal_State,		\
			DI8C01_P8_ErrVal_Data,		\
			DI8C01_P8_Option_Invert,	\
			DI8C01_P8_Option_Leitung,	\
			DI8C01_P8_Option_Kanal,		\
			DI8C01_P8_OnDelay, 			\
			DI8C01_P8_OffDelay,			\
			DI8C01_P8_Mode

#define UPLOAD_DI8C01					\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
			P0_Size,					\
			P0_CfgMode,					\
			DI8C01_P1_Slot1,			\
			DI8C01_P1_Index1,			\
			DI8C01_P1_Tag,				\
			DI8C01_P1_State,			\
			DI8C01_P1_ErrMode,			\
			DI8C01_P1_SimVal_Data,		\
			DI8C01_P1_SimVal_State,		\
			DI8C01_P1_ErrVal_State,		\
			DI8C01_P1_ErrVal_Data,		\
			DI8C01_P1_Option_Invert,	\
			DI8C01_P1_Option_Leitung,	\
			DI8C01_P1_OnDelay,			\
			DI8C01_P1_OffDelay,			\
			DI8C01_P1_Mode,				\
			DI8C01_P2_Slot2,			\
			DI8C01_P2_Index2,			\
			DI8C01_P2_Tag,				\
			DI8C01_P2_State,			\
			DI8C01_P2_ErrMode,			\
			DI8C01_P2_SimVal_Data,		\
			DI8C01_P2_SimVal_State,		\
			DI8C01_P2_ErrVal_State,		\
			DI8C01_P2_ErrVal_Data,		\
			DI8C01_P2_Option_Invert,	\
			DI8C01_P2_Option_Leitung,	\
			DI8C01_P2_OnDelay, 			\
			DI8C01_P2_OffDelay,			\
			DI8C01_P2_Mode,				\
			DI8C01_P3_Slot3,			\
			DI8C01_P3_Index3,			\
			DI8C01_P3_Tag,				\
			DI8C01_P3_State,			\
			DI8C01_P3_ErrMode,			\
			DI8C01_P3_SimVal_Data,		\
			DI8C01_P3_SimVal_State,		\
			DI8C01_P3_ErrVal_State,		\
			DI8C01_P3_ErrVal_Data,		\
			DI8C01_P3_Option_Invert,	\
			DI8C01_P3_Option_Leitung,	\
			DI8C01_P3_OnDelay, 			\
			DI8C01_P3_OffDelay,			\
			DI8C01_P3_Mode,				\
			DI8C01_P4_Slot4,			\
			DI8C01_P4_Index4,			\
			DI8C01_P4_Tag,				\
			DI8C01_P4_State,			\
			DI8C01_P4_ErrMode,			\
			DI8C01_P4_SimVal_Data,		\
			DI8C01_P4_SimVal_State,		\
			DI8C01_P4_ErrVal_State,		\
			DI8C01_P4_ErrVal_Data,		\
			DI8C01_P4_Option_Invert,	\
			DI8C01_P4_Option_Leitung,	\
			DI8C01_P4_OnDelay, 			\
			DI8C01_P4_OffDelay,			\
			DI8C01_P4_Mode,				\
			DI8C01_P5_Slot5,			\
			DI8C01_P5_Index5,			\
			DI8C01_P5_Tag,				\
			DI8C01_P5_State,			\
			DI8C01_P5_ErrMode,			\
			DI8C01_P5_SimVal_Data,		\
			DI8C01_P5_SimVal_State,		\
			DI8C01_P5_ErrVal_State,		\
			DI8C01_P5_ErrVal_Data,		\
			DI8C01_P5_Option_Leitung,	\
			DI8C01_P5_Option_Invert,	\
			DI8C01_P5_OnDelay, 			\
			DI8C01_P5_OffDelay,			\
			DI8C01_P5_Mode,				\
			DI8C01_P6_Slot6,			\
			DI8C01_P6_Index6,			\
			DI8C01_P6_Tag,				\
			DI8C01_P6_State,			\
			DI8C01_P6_ErrMode,			\
			DI8C01_P6_SimVal_Data,		\
			DI8C01_P6_SimVal_State,		\
			DI8C01_P6_ErrVal_State,		\
			DI8C01_P6_ErrVal_Data,		\
			DI8C01_P6_Option_Invert,	\
			DI8C01_P6_Option_Leitung,	\
			DI8C01_P6_OnDelay, 			\
			DI8C01_P6_OffDelay,			\
			DI8C01_P6_Mode,				\
			DI8C01_P7_Slot7,			\
			DI8C01_P7_Index7,			\
			DI8C01_P7_Tag,				\
			DI8C01_P7_State,			\
			DI8C01_P7_ErrMode,			\
			DI8C01_P7_SimVal_Data,		\
			DI8C01_P7_SimVal_State,		\
			DI8C01_P7_ErrVal_State,		\
			DI8C01_P7_ErrVal_Data,		\
			DI8C01_P7_Option_Invert,	\
			DI8C01_P7_Option_Leitung,	\
			DI8C01_P7_OnDelay, 			\
			DI8C01_P7_OffDelay,			\
			DI8C01_P7_Mode,				\
			DI8C01_P8_Slot8,			\
			DI8C01_P8_Index8,			\
			DI8C01_P8_Tag,				\
			DI8C01_P8_State,			\
			DI8C01_P8_ErrMode,			\
			DI8C01_P8_SimVal_Data,		\
			DI8C01_P8_SimVal_State,		\
			DI8C01_P8_ErrVal_State,		\
			DI8C01_P8_ErrVal_Data,		\
			DI8C01_P8_Option_Invert,	\
			DI8C01_P8_Option_Leitung,	\
			DI8C01_P8_OnDelay, 			\
			DI8C01_P8_OffDelay,			\
			DI8C01_P8_Mode

#define DOWNLOAD_DI8C01_NAMUR			\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
			P0_Revision,				\
			P0_Size,					\
			P0_CfgMode,					\
			DI8C01_P1_Slot1,			\
			DI8C01_P1_Index1,			\
			DI8C01_P1_Tag,				\
			DI8C01_P1_State,			\
			DI8C01_P1_ErrMode,			\
			DI8C01_P1_SimVal_Data,		\
			DI8C01_P1_SimVal_State,		\
			DI8C01_P1_ErrVal_State,		\
			DI8C01_P1_ErrVal_Data,		\
			DI8C01_P1_Option_Invert,	\
			DI8C01_P1_Option_Leitung,	\
			DI8C01_P1_Option_Kanal,		\
			DI8C01_P1_OnDelay,			\
			DI8C01_P1_OffDelay,			\
			DI8C01_P1_Mode_NAMUR,		\
			DI8C01_P2_Slot2,			\
			DI8C01_P2_Index2,			\
			DI8C01_P2_Tag,				\
			DI8C01_P2_State,			\
			DI8C01_P2_ErrMode,			\
			DI8C01_P2_SimVal_Data,		\
			DI8C01_P2_SimVal_State,		\
			DI8C01_P2_ErrVal_State,		\
			DI8C01_P2_ErrVal_Data,		\
			DI8C01_P2_Option_Invert,	\
			DI8C01_P2_Option_Leitung,	\
			DI8C01_P2_Option_Kanal,		\
			DI8C01_P2_OnDelay, 			\
			DI8C01_P2_OffDelay,			\
			DI8C01_P2_Mode_NAMUR,		\
			DI8C01_P3_Slot3,			\
			DI8C01_P3_Index3,			\
			DI8C01_P3_Tag,				\
			DI8C01_P3_State,			\
			DI8C01_P3_ErrMode,			\
			DI8C01_P3_SimVal_Data,		\
			DI8C01_P3_SimVal_State,		\
			DI8C01_P3_ErrVal_State,		\
			DI8C01_P3_ErrVal_Data,		\
			DI8C01_P3_Option_Invert,	\
			DI8C01_P3_Option_Leitung,	\
			DI8C01_P3_Option_Kanal,		\
			DI8C01_P3_OnDelay, 			\
			DI8C01_P3_OffDelay,			\
			DI8C01_P3_Mode_NAMUR,		\
			DI8C01_P4_Slot4,			\
			DI8C01_P4_Index4,			\
			DI8C01_P4_Tag,				\
			DI8C01_P4_State,			\
			DI8C01_P4_ErrMode,			\
			DI8C01_P4_SimVal_Data,		\
			DI8C01_P4_SimVal_State,		\
			DI8C01_P4_ErrVal_State,		\
			DI8C01_P4_ErrVal_Data,		\
			DI8C01_P4_Option_Invert,	\
			DI8C01_P4_Option_Leitung,	\
			DI8C01_P4_Option_Kanal,		\
			DI8C01_P4_OnDelay, 			\
			DI8C01_P4_OffDelay,			\
			DI8C01_P4_Mode_NAMUR,		\
			DI8C01_P5_Slot5,			\
			DI8C01_P5_Index5,			\
			DI8C01_P5_Tag,				\
			DI8C01_P5_State,			\
			DI8C01_P5_ErrMode,			\
			DI8C01_P5_SimVal_Data,		\
			DI8C01_P5_SimVal_State,		\
			DI8C01_P5_ErrVal_State,		\
			DI8C01_P5_ErrVal_Data,		\
			DI8C01_P5_Option_Leitung,	\
			DI8C01_P5_Option_Kanal,		\
			DI8C01_P5_Option_Invert,	\
			DI8C01_P5_OnDelay, 			\
			DI8C01_P5_OffDelay,			\
			DI8C01_P5_Mode_NAMUR,		\
			DI8C01_P6_Slot6			\
			DI8C01_P6_Index6,			\
			DI8C01_P6_Tag,				\
			DI8C01_P6_State,			\
			DI8C01_P6_ErrMode,			\
			DI8C01_P6_SimVal_Data,		\
			DI8C01_P6_SimVal_State,		\
			DI8C01_P6_ErrVal_State,		\
			DI8C01_P6_ErrVal_Data,		\
			DI8C01_P6_Option_Invert,	\
			DI8C01_P6_Option_Leitung,	\
			DI8C01_P6_Option_Kanal,		\
			DI8C01_P6_OnDelay, 			\
			DI8C01_P6_OffDelay,			\
			DI8C01_P6_Mode_NAMUR,		\
			DI8C01_P7_Slot7,			\
			DI8C01_P7_Index7,			\
			DI8C01_P7_Tag,				\
			DI8C01_P7_State,			\
			DI8C01_P7_ErrMode,			\
			DI8C01_P7_SimVal_Data,		\
			DI8C01_P7_SimVal_State,		\
			DI8C01_P7_ErrVal_State,		\
			DI8C01_P7_ErrVal_Data,		\
			DI8C01_P7_Option_Invert,	\
			DI8C01_P7_Option_Leitung,	\
			DI8C01_P7_Option_Kanal,		\
			DI8C01_P7_OnDelay, 			\
			DI8C01_P7_OffDelay,			\
			DI8C01_P7_Mode_NAMUR,		\
			DI8C01_P8_Slot8,			\
			DI8C01_P8_Index8,			\
			DI8C01_P8_Tag,				\
			DI8C01_P8_State,			\
			DI8C01_P8_ErrMode,			\
			DI8C01_P8_SimVal_Data,		\
			DI8C01_P8_SimVal_State,		\
			DI8C01_P8_ErrVal_State,		\
			DI8C01_P8_ErrVal_Data,		\
			DI8C01_P8_Option_Invert,	\
			DI8C01_P8_Option_Leitung,	\
			DI8C01_P8_Option_Kanal,		\
			DI8C01_P8_OnDelay, 			\
			DI8C01_P8_OffDelay,			\
			DI8C01_P8_Mode_NAMUR

#define UPLOAD_DI8C01_NAMUR			\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
			P0_Size,					\
			P0_CfgMode,					\
			DI8C01_P1_Slot1,			\
			DI8C01_P1_Index1,			\
			DI8C01_P1_Tag,				\
			DI8C01_P1_State,			\
			DI8C01_P1_ErrMode,			\
			DI8C01_P1_SimVal_Data,		\
			DI8C01_P1_SimVal_State,		\
			DI8C01_P1_ErrVal_State,		\
			DI8C01_P1_ErrVal_Data,		\
			DI8C01_P1_Option_Invert,	\
			DI8C01_P1_Option_Leitung,	\
			DI8C01_P1_OnDelay,			\
			DI8C01_P1_OffDelay,			\
			DI8C01_P1_Mode_NAMUR,		\
			DI8C01_P2_Slot2,			\
			DI8C01_P2_Index2,			\
			DI8C01_P2_Tag,				\
			DI8C01_P2_State,			\
			DI8C01_P2_ErrMode,			\
			DI8C01_P2_SimVal_Data,		\
			DI8C01_P2_SimVal_State,		\
			DI8C01_P2_ErrVal_State,		\
			DI8C01_P2_ErrVal_Data,		\
			DI8C01_P2_Option_Invert,	\
			DI8C01_P2_Option_Leitung,	\
			DI8C01_P2_OnDelay, 			\
			DI8C01_P2_OffDelay,			\
			DI8C01_P2_Mode_NAMUR,		\
			DI8C01_P3_Slot3,			\
			DI8C01_P3_Index3,			\
			DI8C01_P3_Tag,				\
			DI8C01_P3_State,			\
			DI8C01_P3_ErrMode,			\
			DI8C01_P3_SimVal_Data,		\
			DI8C01_P3_SimVal_State,		\
			DI8C01_P3_ErrVal_State,		\
			DI8C01_P3_ErrVal_Data,		\
			DI8C01_P3_Option_Invert,	\
			DI8C01_P3_Option_Leitung,	\
			DI8C01_P3_OnDelay, 			\
			DI8C01_P3_OffDelay,			\
			DI8C01_P3_Mode_NAMUR,		\
			DI8C01_P4_Slot4,			\
			DI8C01_P4_Index4,			\
			DI8C01_P4_Tag,				\
			DI8C01_P4_State,			\
			DI8C01_P4_ErrMode,			\
			DI8C01_P4_SimVal_Data,		\
			DI8C01_P4_SimVal_State,		\
			DI8C01_P4_ErrVal_State,		\
			DI8C01_P4_ErrVal_Data,		\
			DI8C01_P4_Option_Invert,	\
			DI8C01_P4_Option_Leitung,	\
			DI8C01_P4_OnDelay, 			\
			DI8C01_P4_OffDelay,			\
			DI8C01_P4_Mode_NAMUR,		\
			DI8C01_P5_Slot5,			\
			DI8C01_P5_Index5,			\
			DI8C01_P5_Tag,				\
			DI8C01_P5_State,			\
			DI8C01_P5_ErrMode,			\
			DI8C01_P5_SimVal_Data,		\
			DI8C01_P5_SimVal_State,		\
			DI8C01_P5_ErrVal_State,		\
			DI8C01_P5_ErrVal_Data,		\
			DI8C01_P5_Option_Leitung,	\
			DI8C01_P5_Option_Invert,	\
			DI8C01_P5_OnDelay, 			\
			DI8C01_P5_OffDelay,			\
			DI8C01_P5_Mode_NAMUR,		\
			DI8C01_P6_Slot6,			\
			DI8C01_P6_Index6,			\
			DI8C01_P6_Tag,				\
			DI8C01_P6_State,			\
			DI8C01_P6_ErrMode,			\
			DI8C01_P6_SimVal_Data,		\
			DI8C01_P6_SimVal_State,		\
			DI8C01_P6_ErrVal_State,		\
			DI8C01_P6_ErrVal_Data,		\
			DI8C01_P6_Option_Invert,	\
			DI8C01_P6_Option_Leitung,	\
			DI8C01_P6_OnDelay, 			\
			DI8C01_P6_OffDelay,			\
			DI8C01_P6_Mode_NAMUR,		\
			DI8C01_P7_Slot7,			\
			DI8C01_P7_Index7,			\
			DI8C01_P7_Tag,				\
			DI8C01_P7_State,			\
			DI8C01_P7_ErrMode,			\
			DI8C01_P7_SimVal_Data,		\
			DI8C01_P7_SimVal_State,		\
			DI8C01_P7_ErrVal_State,		\
			DI8C01_P7_ErrVal_Data,		\
			DI8C01_P7_Option_Invert,	\
			DI8C01_P7_Option_Leitung,	\
			DI8C01_P7_OnDelay, 			\
			DI8C01_P7_OffDelay,			\
			DI8C01_P7_Mode_NAMUR,		\
			DI8C01_P8_Slot8,			\
			DI8C01_P8_Index8,			\
			DI8C01_P8_Tag,				\
			DI8C01_P8_State,			\
			DI8C01_P8_ErrMode,			\
			DI8C01_P8_SimVal_Data,		\
			DI8C01_P8_SimVal_State,		\
			DI8C01_P8_ErrVal_State,		\
			DI8C01_P8_ErrVal_Data,		\
			DI8C01_P8_Option_Invert,	\
			DI8C01_P8_Option_Leitung,	\
			DI8C01_P8_OnDelay, 			\
			DI8C01_P8_OffDelay,			\
			DI8C01_P8_Mode_NAMUR

COMMAND read_DI8C01_index1
{
	SLOT		Loc_P0_Slot0;
	INDEX		1;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI8C01_P1_Slot1,
			DI8C01_P1_Index1,
			DI8C01_P1_Tag,
			DI8C01_P1_State,
			DI8C01_P1_ErrMode,
			DI8C01_P1_SimVal_Bit2_7		<0xFC>,
			DI8C01_P1_SimVal_State		<0x02>,
			DI8C01_P1_SimVal_Data		<0x01>,
			DI8C01_P1_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P1_ErrVal_State		<0x02>,
			DI8C01_P1_ErrVal_Data		<0x01>,
			DI8C01_P1_Option_Kanal		<0x8000>,
			DI8C01_P1_Option_Bit2_14	<0x7FFC>,
			DI8C01_P1_Option_Leitung	<0x0002>,
			DI8C01_P1_Option_Invert		<0x0001>,
			DI8C01_P1_OnDelay,
			DI8C01_P1_OffDelay,
			DI8C01_P1_Mode,	
			DI8C01_P1_DUMMY,
			DI8C01_P1_Map
		}
	}
}

COMMAND read_DI8C01_NAMUR_index1
{
	SLOT		Loc_P0_Slot0;
	INDEX		1;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI8C01_P1_Slot1,
			DI8C01_P1_Index1,
			DI8C01_P1_Tag,
			DI8C01_P1_State,
			DI8C01_P1_ErrMode,
			DI8C01_P1_SimVal_Bit2_7		<0xFC>,
			DI8C01_P1_SimVal_State		<0x02>,
			DI8C01_P1_SimVal_Data		<0x01>,
			DI8C01_P1_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P1_ErrVal_State		<0x02>,
			DI8C01_P1_ErrVal_Data		<0x01>,
			DI8C01_P1_Option_Kanal		<0x8000>,
			DI8C01_P1_Option_Bit2_14	<0x7FFC>,
			DI8C01_P1_Option_Leitung	<0x0002>,
			DI8C01_P1_Option_Invert		<0x0001>,
			DI8C01_P1_OnDelay,
			DI8C01_P1_OffDelay,
			DI8C01_P1_Mode_NAMUR,	
			DI8C01_P1_DUMMY,
			DI8C01_P1_Map
		}
	}
}

COMMAND write_DI8C01_index1
{
	SLOT		Loc_P0_Slot0;
	INDEX		1;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI8C01_P1_Slot1,
			DI8C01_P1_Index1,
			DI8C01_P1_Tag,
			DI8C01_P1_State,
			DI8C01_P1_ErrMode,
			DI8C01_P1_SimVal_Bit2_7		<0xFC>,
			DI8C01_P1_SimVal_State		<0x02>,
			DI8C01_P1_SimVal_Data		<0x01>,
			DI8C01_P1_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P1_ErrVal_State		<0x02>,
			DI8C01_P1_ErrVal_Data		<0x01>,
//			DI8C01_P1_Option_Kanal		<0x8000>,
			DI8C01_P1_Option_Bit2_14	<0xFFFC>,
			DI8C01_P1_Option_Leitung	<0x0002>,
			DI8C01_P1_Option_Invert		<0x0001>,
			DI8C01_P1_OnDelay,
			DI8C01_P1_OffDelay,
			DI8C01_P1_Mode,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
		REPLY
		{
		}
	}
}

COMMAND write_DI8C01_NAMUR_index1
{
	SLOT		Loc_P0_Slot0;
	INDEX		1;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI8C01_P1_Slot1,
			DI8C01_P1_Index1,
			DI8C01_P1_Tag,
			DI8C01_P1_State,
			DI8C01_P1_ErrMode,
			DI8C01_P1_SimVal_Bit2_7		<0xFC>,
			DI8C01_P1_SimVal_State		<0x02>,
			DI8C01_P1_SimVal_Data		<0x01>,
			DI8C01_P1_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P1_ErrVal_State		<0x02>,
			DI8C01_P1_ErrVal_Data		<0x01>,
//			DI8C01_P1_Option_Kanal		<0x8000>,
			DI8C01_P1_Option_Bit2_14	<0xFFFC>,
			DI8C01_P1_Option_Leitung	<0x0002>,
			DI8C01_P1_Option_Invert		<0x0001>,
			DI8C01_P1_OnDelay,
			DI8C01_P1_OffDelay,
			DI8C01_P1_Mode_NAMUR,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
		REPLY
		{
		}
	}
}

COMMAND read_DI8C01_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI8C01_P2_Slot2,
			DI8C01_P2_Index2,
			DI8C01_P2_Tag,
			DI8C01_P2_State,
			DI8C01_P2_ErrMode,
			DI8C01_P2_SimVal_Bit2_7		<0xFC>,
			DI8C01_P2_SimVal_State		<0x02>,
			DI8C01_P2_SimVal_Data		<0x01>,
			DI8C01_P2_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P2_ErrVal_State		<0x02>,
			DI8C01_P2_ErrVal_Data		<0x01>,
			DI8C01_P2_Option_Kanal		<0x8000>,
			DI8C01_P2_Option_Bit2_14	<0x7FFC>,
			DI8C01_P2_Option_Leitung	<0x0002>,
			DI8C01_P2_Option_Invert		<0x0001>,
			DI8C01_P2_OnDelay, 
			DI8C01_P2_OffDelay,
			DI8C01_P2_Mode,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
	}
}

COMMAND read_DI8C01_NAMUR_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI8C01_P2_Slot2,
			DI8C01_P2_Index2,
			DI8C01_P2_Tag,
			DI8C01_P2_State,
			DI8C01_P2_ErrMode,
			DI8C01_P2_SimVal_Bit2_7		<0xFC>,
			DI8C01_P2_SimVal_State		<0x02>,
			DI8C01_P2_SimVal_Data		<0x01>,
			DI8C01_P2_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P2_ErrVal_State		<0x02>,
			DI8C01_P2_ErrVal_Data		<0x01>,
			DI8C01_P2_Option_Kanal		<0x8000>,
			DI8C01_P2_Option_Bit2_14	<0x7FFC>,
			DI8C01_P2_Option_Leitung	<0x0002>,
			DI8C01_P2_Option_Invert		<0x0001>,
			DI8C01_P2_OnDelay, 
			DI8C01_P2_OffDelay,
			DI8C01_P2_Mode_NAMUR,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
	}
}

COMMAND write_DI8C01_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI8C01_P2_Slot2,
			DI8C01_P2_Index2,
			DI8C01_P2_Tag,
			DI8C01_P2_State,
			DI8C01_P2_ErrMode,
			DI8C01_P2_SimVal_Bit2_7		<0xFC>,
			DI8C01_P2_SimVal_State		<0x02>,
			DI8C01_P2_SimVal_Data		<0x01>,
			DI8C01_P2_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P2_ErrVal_State		<0x02>,
			DI8C01_P2_ErrVal_Data		<0x01>,
//			DI8C01_P2_Option_Kanal		<0x8000>,
			DI8C01_P2_Option_Bit2_14	<0xFFFC>,
			DI8C01_P2_Option_Leitung	<0x0002>,
			DI8C01_P2_Option_Invert		<0x0001>,
			DI8C01_P2_OnDelay, 
			DI8C01_P2_OffDelay,
			DI8C01_P2_Mode,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
		REPLY
		{
		}
	}
}

COMMAND write_DI8C01_NAMUR_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI8C01_P2_Slot2,
			DI8C01_P2_Index2,
			DI8C01_P2_Tag,
			DI8C01_P2_State,
			DI8C01_P2_ErrMode,
			DI8C01_P2_SimVal_Bit2_7		<0xFC>,
			DI8C01_P2_SimVal_State		<0x02>,
			DI8C01_P2_SimVal_Data		<0x01>,
			DI8C01_P2_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P2_ErrVal_State		<0x02>,
			DI8C01_P2_ErrVal_Data		<0x01>,
//			DI8C01_P2_Option_Kanal		<0x8000>,
			DI8C01_P2_Option_Bit2_14	<0xFFFC>,
			DI8C01_P2_Option_Leitung	<0x0002>,
			DI8C01_P2_Option_Invert		<0x0001>,
			DI8C01_P2_OnDelay, 
			DI8C01_P2_OffDelay,
			DI8C01_P2_Mode_NAMUR,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
		REPLY
		{
		}
	}
}

COMMAND read_DI8C01_index3
{
	SLOT		Loc_P0_Slot0;
	INDEX		3;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI8C01_P3_Slot3,
			DI8C01_P3_Index3,
			DI8C01_P3_Tag,
			DI8C01_P3_State,
			DI8C01_P3_ErrMode,
			DI8C01_P3_SimVal_Bit2_7		<0xFC>,
			DI8C01_P3_SimVal_State		<0x02>,
			DI8C01_P3_SimVal_Data		<0x01>,
			DI8C01_P3_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P3_ErrVal_State		<0x02>,
			DI8C01_P3_ErrVal_Data		<0x01>,
			DI8C01_P3_Option_Kanal		<0x8000>,
			DI8C01_P3_Option_Bit2_14	<0x7FFC>,
			DI8C01_P3_Option_Leitung	<0x0002>,
			DI8C01_P3_Option_Invert		<0x0001>,
			DI8C01_P3_OnDelay, 
			DI8C01_P3_OffDelay,
			DI8C01_P3_Mode,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
	}
}

COMMAND read_DI8C01_NAMUR_index3
{
	SLOT		Loc_P0_Slot0;
	INDEX		3;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI8C01_P3_Slot3,
			DI8C01_P3_Index3,
			DI8C01_P3_Tag,
			DI8C01_P3_State,
			DI8C01_P3_ErrMode,
			DI8C01_P3_SimVal_Bit2_7		<0xFC>,
			DI8C01_P3_SimVal_State		<0x02>,
			DI8C01_P3_SimVal_Data		<0x01>,
			DI8C01_P3_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P3_ErrVal_State		<0x02>,
			DI8C01_P3_ErrVal_Data		<0x01>,
			DI8C01_P3_Option_Kanal		<0x8000>,
			DI8C01_P3_Option_Bit2_14	<0x7FFC>,
			DI8C01_P3_Option_Leitung	<0x0002>,
			DI8C01_P3_Option_Invert		<0x0001>,
			DI8C01_P3_OnDelay, 
			DI8C01_P3_OffDelay,
			DI8C01_P3_Mode_NAMUR,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
	}
}


COMMAND write_DI8C01_index3
{
	SLOT		Loc_P0_Slot0;
	INDEX		3;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI8C01_P3_Slot3,
			DI8C01_P3_Index3,
			DI8C01_P3_Tag,
			DI8C01_P3_State,
			DI8C01_P3_ErrMode,
			DI8C01_P3_SimVal_Bit2_7		<0xFC>,
			DI8C01_P3_SimVal_State		<0x02>,
			DI8C01_P3_SimVal_Data		<0x01>,
			DI8C01_P3_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P3_ErrVal_State		<0x02>,
			DI8C01_P3_ErrVal_Data		<0x01>,
//			DI8C01_P3_Option_Kanal		<0x8000>,
			DI8C01_P3_Option_Bit2_14	<0xFFFC>,
			DI8C01_P3_Option_Leitung	<0x0002>,
			DI8C01_P3_Option_Invert		<0x0001>,
			DI8C01_P3_OnDelay, 
			DI8C01_P3_OffDelay,
			DI8C01_P3_Mode,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
		REPLY
		{
		}
	}
}

COMMAND write_DI8C01_NAMUR_index3
{
	SLOT		Loc_P0_Slot0;
	INDEX		3;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI8C01_P3_Slot3,
			DI8C01_P3_Index3,
			DI8C01_P3_Tag,
			DI8C01_P3_State,
			DI8C01_P3_ErrMode,
			DI8C01_P3_SimVal_Bit2_7		<0xFC>,
			DI8C01_P3_SimVal_State		<0x02>,
			DI8C01_P3_SimVal_Data		<0x01>,
			DI8C01_P3_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P3_ErrVal_State		<0x02>,
			DI8C01_P3_ErrVal_Data		<0x01>,
//			DI8C01_P3_Option_Kanal		<0x8000>,
			DI8C01_P3_Option_Bit2_14	<0xFFFC>,
			DI8C01_P3_Option_Leitung	<0x0002>,
			DI8C01_P3_Option_Invert		<0x0001>,
			DI8C01_P3_OnDelay, 
			DI8C01_P3_OffDelay,
			DI8C01_P3_Mode_NAMUR,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
		REPLY
		{
		}
	}
}

COMMAND read_DI8C01_index4
{
	SLOT		Loc_P0_Slot0;
	INDEX		4;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI8C01_P4_Slot4,
			DI8C01_P4_Index4,
			DI8C01_P4_Tag,
			DI8C01_P4_State,
			DI8C01_P4_ErrMode,
			DI8C01_P4_SimVal_Bit2_7		<0xFC>,
			DI8C01_P4_SimVal_State		<0x02>,
			DI8C01_P4_SimVal_Data		<0x01>,
			DI8C01_P4_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P4_ErrVal_State		<0x02>,
			DI8C01_P4_ErrVal_Data		<0x01>,
			DI8C01_P4_Option_Kanal		<0x8000>,
			DI8C01_P4_Option_Bit2_14	<0x7FFC>,
			DI8C01_P4_Option_Leitung	<0x0002>,
			DI8C01_P4_Option_Invert		<0x0001>,
			DI8C01_P4_OnDelay, 
			DI8C01_P4_OffDelay,
			DI8C01_P4_Mode,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
	}
}

COMMAND read_DI8C01_NAMUR_index4
{
	SLOT		Loc_P0_Slot0;
	INDEX		4;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI8C01_P4_Slot4,
			DI8C01_P4_Index4,
			DI8C01_P4_Tag,
			DI8C01_P4_State,
			DI8C01_P4_ErrMode,
			DI8C01_P4_SimVal_Bit2_7		<0xFC>,
			DI8C01_P4_SimVal_State		<0x02>,
			DI8C01_P4_SimVal_Data		<0x01>,
			DI8C01_P4_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P4_ErrVal_State		<0x02>,
			DI8C01_P4_ErrVal_Data		<0x01>,
			DI8C01_P4_Option_Kanal		<0x8000>,
			DI8C01_P4_Option_Bit2_14	<0x7FFC>,
			DI8C01_P4_Option_Leitung	<0x0002>,
			DI8C01_P4_Option_Invert		<0x0001>,
			DI8C01_P4_OnDelay, 
			DI8C01_P4_OffDelay,
			DI8C01_P4_Mode_NAMUR,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
	}
}

COMMAND write_DI8C01_index4
{
	SLOT		Loc_P0_Slot0;
	INDEX		4;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI8C01_P4_Slot4,
			DI8C01_P4_Index4,
			DI8C01_P4_Tag,
			DI8C01_P4_State,
			DI8C01_P4_ErrMode,
			DI8C01_P4_SimVal_Bit2_7		<0xFC>,
			DI8C01_P4_SimVal_State		<0x02>,
			DI8C01_P4_SimVal_Data		<0x01>,
			DI8C01_P4_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P4_ErrVal_State		<0x02>,
			DI8C01_P4_ErrVal_Data		<0x01>,
//			DI8C01_P4_Option_Kanal		<0x8000>,
			DI8C01_P4_Option_Bit2_14	<0xFFFC>,
			DI8C01_P4_Option_Leitung	<0x0002>,
			DI8C01_P4_Option_Invert		<0x0001>,
			DI8C01_P4_OnDelay, 
			DI8C01_P4_OffDelay,
			DI8C01_P4_Mode,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
		REPLY
		{
		}
	}
}

COMMAND write_DI8C01_NAMUR_index4
{
	SLOT		Loc_P0_Slot0;
	INDEX		4;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI8C01_P4_Slot4,
			DI8C01_P4_Index4,
			DI8C01_P4_Tag,
			DI8C01_P4_State,
			DI8C01_P4_ErrMode,
			DI8C01_P4_SimVal_Bit2_7		<0xFC>,
			DI8C01_P4_SimVal_State		<0x02>,
			DI8C01_P4_SimVal_Data		<0x01>,
			DI8C01_P4_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P4_ErrVal_State		<0x02>,
			DI8C01_P4_ErrVal_Data		<0x01>,
//			DI8C01_P4_Option_Kanal		<0x8000>,
			DI8C01_P4_Option_Bit2_14	<0xFFFC>,
			DI8C01_P4_Option_Leitung	<0x0002>,
			DI8C01_P4_Option_Invert		<0x0001>,
			DI8C01_P4_OnDelay, 
			DI8C01_P4_OffDelay,
			DI8C01_P4_Mode_NAMUR,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
		REPLY
		{
		}
	}
}

COMMAND read_DI8C01_index5
{
	SLOT		Loc_P0_Slot0;
	INDEX		5;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI8C01_P5_Slot5,
			DI8C01_P5_Index5,
			DI8C01_P5_Tag,
			DI8C01_P5_State,
			DI8C01_P5_ErrMode,
			DI8C01_P5_SimVal_Bit2_7		<0xFC>,
			DI8C01_P5_SimVal_State		<0x02>,
			DI8C01_P5_SimVal_Data		<0x01>,
			DI8C01_P5_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P5_ErrVal_State		<0x02>,
			DI8C01_P5_ErrVal_Data		<0x01>,
			DI8C01_P5_Option_Kanal		<0x8000>,
			DI8C01_P5_Option_Bit2_14	<0x7FFC>,
			DI8C01_P5_Option_Leitung	<0x0002>,
			DI8C01_P5_Option_Invert		<0x0001>,
			DI8C01_P5_OnDelay, 
			DI8C01_P5_OffDelay,
			DI8C01_P5_Mode,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
	}
}

COMMAND read_DI8C01_NAMUR_index5
{
	SLOT		Loc_P0_Slot0;
	INDEX		5;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI8C01_P5_Slot5,
			DI8C01_P5_Index5,
			DI8C01_P5_Tag,
			DI8C01_P5_State,
			DI8C01_P5_ErrMode,
			DI8C01_P5_SimVal_Bit2_7		<0xFC>,
			DI8C01_P5_SimVal_State		<0x02>,
			DI8C01_P5_SimVal_Data		<0x01>,
			DI8C01_P5_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P5_ErrVal_State		<0x02>,
			DI8C01_P5_ErrVal_Data		<0x01>,
			DI8C01_P5_Option_Kanal		<0x8000>,
			DI8C01_P5_Option_Bit2_14	<0x7FFC>,
			DI8C01_P5_Option_Leitung	<0x0002>,
			DI8C01_P5_Option_Invert		<0x0001>,
			DI8C01_P5_OnDelay, 
			DI8C01_P5_OffDelay,
			DI8C01_P5_Mode_NAMUR,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0											
		}
	}
}

COMMAND write_DI8C01_index5
{
	SLOT		Loc_P0_Slot0;
	INDEX		5;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI8C01_P5_Slot5,
			DI8C01_P5_Index5,
			DI8C01_P5_Tag,
			DI8C01_P5_State,
			DI8C01_P5_ErrMode,
			DI8C01_P5_SimVal_Bit2_7		<0xFC>,
			DI8C01_P5_SimVal_State		<0x02>,
			DI8C01_P5_SimVal_Data		<0x01>,
			DI8C01_P5_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P5_ErrVal_State		<0x02>,
			DI8C01_P5_ErrVal_Data		<0x01>,
//			DI8C01_P5_Option_Kanal		<0x8000>,
			DI8C01_P5_Option_Bit2_14	<0xFFFC>,
			DI8C01_P5_Option_Leitung	<0x0002>,
			DI8C01_P5_Option_Invert		<0x0001>,
			DI8C01_P5_OnDelay, 
			DI8C01_P5_OffDelay,
			DI8C01_P5_Mode,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
		REPLY
		{
		}
	}
}

COMMAND write_DI8C01_NAMUR_index5
{
	SLOT		Loc_P0_Slot0;
	INDEX		5;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI8C01_P5_Slot5,
			DI8C01_P5_Index5,
			DI8C01_P5_Tag,
			DI8C01_P5_State,
			DI8C01_P5_ErrMode,
			DI8C01_P5_SimVal_Bit2_7		<0xFC>,
			DI8C01_P5_SimVal_State		<0x02>,
			DI8C01_P5_SimVal_Data		<0x01>,
			DI8C01_P5_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P5_ErrVal_State		<0x02>,
			DI8C01_P5_ErrVal_Data		<0x01>,
//			DI8C01_P5_Option_Kanal		<0x8000>,
			DI8C01_P5_Option_Bit2_14	<0xFFFC>,
			DI8C01_P5_Option_Leitung	<0x0002>,
			DI8C01_P5_Option_Invert		<0x0001>,
			DI8C01_P5_OnDelay, 
			DI8C01_P5_OffDelay,
			DI8C01_P5_Mode_NAMUR,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
		REPLY
		{
		}
	}
}

COMMAND read_DI8C01_index6
{
	SLOT		Loc_P0_Slot0;
	INDEX		6;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI8C01_P6_Slot6,
			DI8C01_P6_Index6,
			DI8C01_P6_Tag,
			DI8C01_P6_State,
			DI8C01_P6_ErrMode,
			DI8C01_P6_SimVal_Bit2_7		<0xFC>,
			DI8C01_P6_SimVal_State		<0x02>,
			DI8C01_P6_SimVal_Data		<0x01>,
			DI8C01_P6_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P6_ErrVal_State		<0x02>,
			DI8C01_P6_ErrVal_Data		<0x01>,
			DI8C01_P6_Option_Kanal		<0x8000>,
			DI8C01_P6_Option_Bit2_14	<0x7FFC>,
			DI8C01_P6_Option_Leitung	<0x0002>,
			DI8C01_P6_Option_Invert		<0x0001>,
			DI8C01_P6_OnDelay, 
			DI8C01_P6_OffDelay,
			DI8C01_P6_Mode,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
	}
}

COMMAND read_DI8C01_NAMUR_index6
{
	SLOT		Loc_P0_Slot0;
	INDEX		6;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI8C01_P6_Slot6,
			DI8C01_P6_Index6,
			DI8C01_P6_Tag,
			DI8C01_P6_State,
			DI8C01_P6_ErrMode,
			DI8C01_P6_SimVal_Bit2_7		<0xFC>,
			DI8C01_P6_SimVal_State		<0x02>,
			DI8C01_P6_SimVal_Data		<0x01>,
			DI8C01_P6_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P6_ErrVal_State		<0x02>,
			DI8C01_P6_ErrVal_Data		<0x01>,
			DI8C01_P6_Option_Kanal		<0x8000>,
			DI8C01_P6_Option_Bit2_14	<0x7FFC>,
			DI8C01_P6_Option_Leitung	<0x0002>,
			DI8C01_P6_Option_Invert		<0x0001>,
			DI8C01_P6_OnDelay, 
			DI8C01_P6_OffDelay,
			DI8C01_P6_Mode_NAMUR,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
	}
}

COMMAND write_DI8C01_index6
{
	SLOT		Loc_P0_Slot0;
	INDEX		6;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI8C01_P6_Slot6,
			DI8C01_P6_Index6,
			DI8C01_P6_Tag,
			DI8C01_P6_State,
			DI8C01_P6_ErrMode,
			DI8C01_P6_SimVal_Bit2_7		<0xFC>,
			DI8C01_P6_SimVal_State		<0x02>,
			DI8C01_P6_SimVal_Data		<0x01>,
			DI8C01_P6_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P6_ErrVal_State		<0x02>,
			DI8C01_P6_ErrVal_Data		<0x01>,
//			DI8C01_P6_Option_Kanal		<0x8000>,
			DI8C01_P6_Option_Bit2_14	<0xFFFC>,
			DI8C01_P6_Option_Leitung	<0x0002>,
			DI8C01_P6_Option_Invert		<0x0001>,
			DI8C01_P6_OnDelay, 
			DI8C01_P6_OffDelay,
			DI8C01_P6_Mode,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
		REPLY
		{
		}
	}
}

COMMAND write_DI8C01_NAMUR_index6
{
	SLOT		Loc_P0_Slot0;
	INDEX		6;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI8C01_P6_Slot6,
			DI8C01_P6_Index6,
			DI8C01_P6_Tag,
			DI8C01_P6_State,
			DI8C01_P6_ErrMode,
			DI8C01_P6_SimVal_Bit2_7		<0xFC>,
			DI8C01_P6_SimVal_State		<0x02>,
			DI8C01_P6_SimVal_Data		<0x01>,
			DI8C01_P6_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P6_ErrVal_State		<0x02>,
			DI8C01_P6_ErrVal_Data		<0x01>,
//			DI8C01_P6_Option_Kanal		<0x8000>,
			DI8C01_P6_Option_Bit2_14	<0xFFFC>,
			DI8C01_P6_Option_Leitung	<0x0002>,
			DI8C01_P6_Option_Invert		<0x0001>,
			DI8C01_P6_OnDelay, 
			DI8C01_P6_OffDelay,
			DI8C01_P6_Mode_NAMUR,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
		REPLY
		{
		}
	}
}

COMMAND read_DI8C01_index7
{
	SLOT		Loc_P0_Slot0;
	INDEX		7;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI8C01_P7_Slot7,
			DI8C01_P7_Index7,
			DI8C01_P7_Tag,
			DI8C01_P7_State,
			DI8C01_P7_ErrMode,
			DI8C01_P7_SimVal_Bit2_7		<0xFC>,
			DI8C01_P7_SimVal_State		<0x02>,
			DI8C01_P7_SimVal_Data		<0x01>,
			DI8C01_P7_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P7_ErrVal_State		<0x02>,
			DI8C01_P7_ErrVal_Data		<0x01>,
			DI8C01_P7_Option_Kanal		<0x8000>,
			DI8C01_P7_Option_Bit2_14	<0x7FFC>,
			DI8C01_P7_Option_Leitung	<0x0002>,
			DI8C01_P7_Option_Invert		<0x0001>,
			DI8C01_P7_OnDelay, 
			DI8C01_P7_OffDelay,
			DI8C01_P7_Mode,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
	}
}

COMMAND read_DI8C01_NAMUR_index7
{
	SLOT		Loc_P0_Slot0;
	INDEX		7;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI8C01_P7_Slot7,
			DI8C01_P7_Index7,
			DI8C01_P7_Tag,
			DI8C01_P7_State,
			DI8C01_P7_ErrMode,
			DI8C01_P7_SimVal_Bit2_7		<0xFC>,
			DI8C01_P7_SimVal_State		<0x02>,
			DI8C01_P7_SimVal_Data		<0x01>,
			DI8C01_P7_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P7_ErrVal_State		<0x02>,
			DI8C01_P7_ErrVal_Data		<0x01>,
			DI8C01_P7_Option_Kanal		<0x8000>,
			DI8C01_P7_Option_Bit2_14	<0x7FFC>,
			DI8C01_P7_Option_Leitung	<0x0002>,
			DI8C01_P7_Option_Invert		<0x0001>,
			DI8C01_P7_OnDelay, 
			DI8C01_P7_OffDelay,
			DI8C01_P7_Mode_NAMUR,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
	}
}

COMMAND write_DI8C01_index7
{
	SLOT		Loc_P0_Slot0;
	INDEX		7;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI8C01_P7_Slot7,
			DI8C01_P7_Index7,
			DI8C01_P7_Tag,
			DI8C01_P7_State,
			DI8C01_P7_ErrMode,
			DI8C01_P7_SimVal_Bit2_7		<0xFC>,
			DI8C01_P7_SimVal_State		<0x02>,
			DI8C01_P7_SimVal_Data		<0x01>,
			DI8C01_P7_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P7_ErrVal_State		<0x02>,
			DI8C01_P7_ErrVal_Data		<0x01>,
//			DI8C01_P7_Option_Kanal		<0x8000>,
			DI8C01_P7_Option_Bit2_14	<0xFFFC>,
			DI8C01_P7_Option_Leitung	<0x0002>,
			DI8C01_P7_Option_Invert		<0x0001>,
			DI8C01_P7_OnDelay, 
			DI8C01_P7_OffDelay,
			DI8C01_P7_Mode,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
		REPLY
		{
		}
	}
}

COMMAND write_DI8C01_NAMUR_index7
{
	SLOT		Loc_P0_Slot0;
	INDEX		7;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI8C01_P7_Slot7,
			DI8C01_P7_Index7,
			DI8C01_P7_Tag,
			DI8C01_P7_State,
			DI8C01_P7_ErrMode,
			DI8C01_P7_SimVal_Bit2_7		<0xFC>,
			DI8C01_P7_SimVal_State		<0x02>,
			DI8C01_P7_SimVal_Data		<0x01>,
			DI8C01_P7_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P7_ErrVal_State		<0x02>,
			DI8C01_P7_ErrVal_Data		<0x01>,
//			DI8C01_P7_Option_Kanal		<0x8000>,
			DI8C01_P7_Option_Bit2_14	<0xFFFC>,
			DI8C01_P7_Option_Leitung	<0x0002>,
			DI8C01_P7_Option_Invert		<0x0001>,
			DI8C01_P7_OnDelay, 
			DI8C01_P7_OffDelay,
			DI8C01_P7_Mode_NAMUR,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
		REPLY
		{
		}
	}
}

COMMAND read_DI8C01_index8
{
	SLOT		Loc_P0_Slot0;
	INDEX		8;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI8C01_P8_Slot8,
			DI8C01_P8_Index8,
			DI8C01_P8_Tag,
			DI8C01_P8_State,
			DI8C01_P8_ErrMode,
			DI8C01_P8_SimVal_Bit2_7		<0xFC>,
			DI8C01_P8_SimVal_State		<0x02>,
			DI8C01_P8_SimVal_Data		<0x01>,
			DI8C01_P8_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P8_ErrVal_State		<0x02>,
			DI8C01_P8_ErrVal_Data		<0x01>,
			DI8C01_P8_Option_Kanal		<0x8000>,
			DI8C01_P8_Option_Bit2_14	<0x7FFC>,
			DI8C01_P8_Option_Leitung	<0x0002>,
			DI8C01_P8_Option_Invert		<0x0001>,
			DI8C01_P8_OnDelay, 
			DI8C01_P8_OffDelay,
			DI8C01_P8_Mode,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
	}
}

COMMAND read_DI8C01_NAMUR_index8
{
	SLOT		Loc_P0_Slot0;
	INDEX		8;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DI8C01_P8_Slot8,
			DI8C01_P8_Index8,
			DI8C01_P8_Tag,
			DI8C01_P8_State,
			DI8C01_P8_ErrMode,
			DI8C01_P8_SimVal_Bit2_7		<0xFC>,
			DI8C01_P8_SimVal_State		<0x02>,
			DI8C01_P8_SimVal_Data		<0x01>,
			DI8C01_P8_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P8_ErrVal_State		<0x02>,
			DI8C01_P8_ErrVal_Data		<0x01>,
			DI8C01_P8_Option_Kanal		<0x8000>,
			DI8C01_P8_Option_Bit2_14	<0x7FFC>,
			DI8C01_P8_Option_Leitung	<0x0002>,
			DI8C01_P8_Option_Invert		<0x0001>,
			DI8C01_P8_OnDelay, 
			DI8C01_P8_OffDelay,
			DI8C01_P8_Mode_NAMUR,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
	}
}

COMMAND write_DI8C01_index8
{
	SLOT		Loc_P0_Slot0;
	INDEX		8;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI8C01_P8_Slot8,
			DI8C01_P8_Index8,
			DI8C01_P8_Tag,
			DI8C01_P8_State,
			DI8C01_P8_ErrMode,
			DI8C01_P8_SimVal_Bit2_7		<0xFC>,
			DI8C01_P8_SimVal_State		<0x02>,
			DI8C01_P8_SimVal_Data		<0x01>,
			DI8C01_P8_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P8_ErrVal_State		<0x02>,
			DI8C01_P8_ErrVal_Data		<0x01>,
//			DI8C01_P8_Option_Kanal		<0x8000>,
			DI8C01_P8_Option_Bit2_14	<0xFFFC>,
			DI8C01_P8_Option_Leitung	<0x0002>,
			DI8C01_P8_Option_Invert		<0x0001>,
			DI8C01_P8_OnDelay, 
			DI8C01_P8_OffDelay,
			DI8C01_P8_Mode,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
		REPLY
		{
		}
	}
}

COMMAND write_DI8C01_NAMUR_index8
{
	SLOT		Loc_P0_Slot0;
	INDEX		8;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DI8C01_P8_Slot8,
			DI8C01_P8_Index8,
			DI8C01_P8_Tag,
			DI8C01_P8_State,
			DI8C01_P8_ErrMode,
			DI8C01_P8_SimVal_Bit2_7		<0xFC>,
			DI8C01_P8_SimVal_State		<0x02>,
			DI8C01_P8_SimVal_Data		<0x01>,
			DI8C01_P8_ErrVal_Bit2_7		<0xFC>,
			DI8C01_P8_ErrVal_State		<0x02>,
			DI8C01_P8_ErrVal_Data		<0x01>,
//			DI8C01_P8_Option_Kanal		<0x8000>,
			DI8C01_P8_Option_Bit2_14	<0xFFFC>,
			DI8C01_P8_Option_Leitung	<0x0002>,
			DI8C01_P8_Option_Invert		<0x0001>,
			DI8C01_P8_OnDelay, 
			DI8C01_P8_OffDelay,
			DI8C01_P8_Mode_NAMUR,	
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 18 Byte
			0, 0												
		}
		REPLY
		{
		}
	}
}

/*******************************************************************************/
/*****	Table: Specialist  *****************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	 Kanal1	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI8C01_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI8C01_ident_k1,
		Tab_s_DI8C01_input_k1
	}
}

MENU Tab_s_DI8C01_kanal1_NAMUR
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI8C01_ident_k1,
		Tab_s_DI8C01_input_k1_NAMUR
	}
}

MENU Tab_s_DI8C01_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P1_Tag,
		DI8C01_P1_Option_Kanal
	}
}

MENU Tab_s_DI8C01_input_k1
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P1_State,
		DI8C01_P1_ErrMode,
		DI8C01_P1_Option_Invert,
		DI8C01_P1_Option_Leitung,
		DI8C01_P1_Mode,
		Tab_s_DI8C01_input_verzoegerung_k1,
		Tab_s_DI8C01_input_simulation_k1,
		Tab_s_DI8C01_input_ersatzwert_k1
	}
}

MENU Tab_s_DI8C01_input_k1_NAMUR
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P1_State,
		DI8C01_P1_ErrMode,
		DI8C01_P1_Option_Invert,
		DI8C01_P1_Option_Leitung,
		DI8C01_P1_Mode_NAMUR,
		Tab_s_DI8C01_input_verzoegerung_k1,
		Tab_s_DI8C01_input_simulation_k1,
		Tab_s_DI8C01_input_ersatzwert_k1
	}
}

MENU Tab_s_DI8C01_input_verzoegerung_k1
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P1_OnDelay,
		DI8C01_P1_OffDelay
	}
}

MENU Tab_s_DI8C01_input_simulation_k1
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P1_SimVal_Data,
		DI8C01_P1_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P1_State == 1)
}

MENU Tab_s_DI8C01_input_ersatzwert_k1
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P1_ErrVal_Data,
		DI8C01_P1_ErrVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P1_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal2	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI8C01_kanal2
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI8C01_ident_k2,
		Tab_s_DI8C01_input_k2
	}
}

MENU Tab_s_DI8C01_kanal2_NAMUR
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI8C01_ident_k2,
		Tab_s_DI8C01_input_k2_NAMUR
	}
}

MENU Tab_s_DI8C01_ident_k2
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P2_Tag,
		DI8C01_P2_Option_Kanal
	}
}

MENU Tab_s_DI8C01_input_k2
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P2_State,
		DI8C01_P2_ErrMode,
		DI8C01_P2_Option_Invert,
		DI8C01_P2_Option_Leitung,
		DI8C01_P2_Mode,
		Tab_s_DI8C01_input_verzoegerung_k2,
		Tab_s_DI8C01_input_simulation_k2,
		Tab_s_DI8C01_input_ersatzwert_k2
	}
}

MENU Tab_s_DI8C01_input_k2_NAMUR
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P2_State,
		DI8C01_P2_ErrMode,
		DI8C01_P2_Option_Invert,
		DI8C01_P2_Option_Leitung,
		DI8C01_P2_Mode_NAMUR,
		Tab_s_DI8C01_input_verzoegerung_k2,
		Tab_s_DI8C01_input_simulation_k2,
		Tab_s_DI8C01_input_ersatzwert_k2
	}
}

MENU Tab_s_DI8C01_input_verzoegerung_k2
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P2_OnDelay,
		DI8C01_P2_OffDelay
	}
}

MENU Tab_s_DI8C01_input_simulation_k2
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P2_SimVal_Data,
		DI8C01_P2_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P2_State == 1)
}

MENU Tab_s_DI8C01_input_ersatzwert_k2
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P2_ErrVal_Data,
		DI8C01_P2_ErrVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P2_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal3	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI8C01_kanal3
{
	LABEL		[menu_kanal3];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI8C01_ident_k3,
		Tab_s_DI8C01_input_k3
	}
}

MENU Tab_s_DI8C01_kanal3_NAMUR
{
	LABEL		[menu_kanal3];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI8C01_ident_k3,
		Tab_s_DI8C01_input_k3_NAMUR
	}
}

MENU Tab_s_DI8C01_ident_k3
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P3_Tag,
		DI8C01_P3_Option_Kanal
	}
}

MENU Tab_s_DI8C01_input_k3
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P3_State,
		DI8C01_P3_ErrMode,
		DI8C01_P3_Option_Invert,
		DI8C01_P3_Option_Leitung,
		DI8C01_P3_Mode,
		Tab_s_DI8C01_input_verzoegerung_k3,
		Tab_s_DI8C01_input_simulation_k3,
		Tab_s_DI8C01_input_ersatzwert_k3
	}
}

MENU Tab_s_DI8C01_input_k3_NAMUR
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P3_State,
		DI8C01_P3_ErrMode,
		DI8C01_P3_Option_Invert,
		DI8C01_P3_Option_Leitung,
		DI8C01_P3_Mode_NAMUR,
		Tab_s_DI8C01_input_verzoegerung_k3,
		Tab_s_DI8C01_input_simulation_k3,
		Tab_s_DI8C01_input_ersatzwert_k3
	}
}

MENU Tab_s_DI8C01_input_verzoegerung_k3
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P3_OnDelay,
		DI8C01_P3_OffDelay
	}
}

MENU Tab_s_DI8C01_input_simulation_k3
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P3_SimVal_Data,
		DI8C01_P3_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P3_State == 1)
}

MENU Tab_s_DI8C01_input_ersatzwert_k3
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P3_ErrVal_Data,
		DI8C01_P3_ErrVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P3_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal4	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI8C01_kanal4
{
	LABEL		[menu_kanal4];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI8C01_ident_k4,
		Tab_s_DI8C01_input_k4
	}
}

MENU Tab_s_DI8C01_kanal4_NAMUR
{
	LABEL		[menu_kanal4];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI8C01_ident_k4,
		Tab_s_DI8C01_input_k4_NAMUR
	}
}

MENU Tab_s_DI8C01_ident_k4
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P4_Tag,
		DI8C01_P4_Option_Kanal
	}
}

MENU Tab_s_DI8C01_input_k4
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P4_State,
		DI8C01_P4_ErrMode,
		DI8C01_P4_Option_Invert,
		DI8C01_P4_Option_Leitung,
		DI8C01_P4_Mode,
		Tab_s_DI8C01_input_verzoegerung_k4,
		Tab_s_DI8C01_input_simulation_k4,
		Tab_s_DI8C01_input_ersatzwert_k4
	}
}

MENU Tab_s_DI8C01_input_k4_NAMUR
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P4_State,
		DI8C01_P4_ErrMode,
		DI8C01_P4_Option_Invert,
		DI8C01_P4_Option_Leitung,
		DI8C01_P4_Mode_NAMUR,
		Tab_s_DI8C01_input_verzoegerung_k4,
		Tab_s_DI8C01_input_simulation_k4,
		Tab_s_DI8C01_input_ersatzwert_k4
	}
}

MENU Tab_s_DI8C01_input_verzoegerung_k4
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P4_OnDelay,
		DI8C01_P4_OffDelay
	}
}

MENU Tab_s_DI8C01_input_simulation_k4
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P4_SimVal_Data,
		DI8C01_P4_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P4_State == 1)
}

MENU Tab_s_DI8C01_input_ersatzwert_k4
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P4_ErrVal_Data,
		DI8C01_P4_ErrVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P4_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal5	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI8C01_kanal5
{
	LABEL		[menu_kanal5];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI8C01_ident_k5,
		Tab_s_DI8C01_input_k5
	}
}

MENU Tab_s_DI8C01_kanal5_NAMUR
{
	LABEL		[menu_kanal5];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI8C01_ident_k5,
		Tab_s_DI8C01_input_k5_NAMUR
	}
}

MENU Tab_s_DI8C01_ident_k5
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P5_Tag,
		DI8C01_P5_Option_Kanal
	}
}

MENU Tab_s_DI8C01_input_k5
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P5_State,
		DI8C01_P5_ErrMode,
		DI8C01_P5_Option_Invert,
		DI8C01_P5_Option_Leitung,
		DI8C01_P5_Mode,
		Tab_s_DI8C01_input_verzoegerung_k5,
		Tab_s_DI8C01_input_simulation_k5,
		Tab_s_DI8C01_input_ersatzwert_k5
	}
}

MENU Tab_s_DI8C01_input_k5_NAMUR
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P5_State,
		DI8C01_P5_ErrMode,
		DI8C01_P5_Option_Invert,
		DI8C01_P5_Option_Leitung,
		DI8C01_P5_Mode_NAMUR,
		Tab_s_DI8C01_input_verzoegerung_k5,
		Tab_s_DI8C01_input_simulation_k5,
		Tab_s_DI8C01_input_ersatzwert_k5
	}
}

MENU Tab_s_DI8C01_input_verzoegerung_k5
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P5_OnDelay,
		DI8C01_P5_OffDelay
	}
}

MENU Tab_s_DI8C01_input_simulation_k5
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P5_SimVal_Data,
		DI8C01_P5_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P5_State == 1)
}

MENU Tab_s_DI8C01_input_ersatzwert_k5
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P5_ErrVal_Data,						//fbi 26.06.2006
//		DI8C01_P1_ErrVal_Data,						//fbi 26.06.2006
		DI8C01_P5_ErrVal_State						//fbi 26.06.2006
//		DI8C01_P1_ErrVal_State						//fbi 26.06.2006
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P5_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal6	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI8C01_kanal6
{
	LABEL		[menu_kanal6];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI8C01_ident_k6,
		Tab_s_DI8C01_input_k6
	}
}

MENU Tab_s_DI8C01_kanal6_NAMUR
{
	LABEL		[menu_kanal6];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI8C01_ident_k6,
		Tab_s_DI8C01_input_k6_NAMUR
	}
}

MENU Tab_s_DI8C01_ident_k6
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P6_Tag,
		DI8C01_P6_Option_Kanal
	}
}

MENU Tab_s_DI8C01_input_k6
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P6_State,
		DI8C01_P6_ErrMode,
		DI8C01_P6_Option_Invert,
		DI8C01_P6_Option_Leitung,
		DI8C01_P6_Mode,
		Tab_s_DI8C01_input_verzoegerung_k6,
		Tab_s_DI8C01_input_simulation_k6,
		Tab_s_DI8C01_input_ersatzwert_k6
	}
}

MENU Tab_s_DI8C01_input_k6_NAMUR
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P6_State,
		DI8C01_P6_ErrMode,
		DI8C01_P6_Option_Invert,
		DI8C01_P6_Option_Leitung,
		DI8C01_P6_Mode_NAMUR,
		Tab_s_DI8C01_input_verzoegerung_k6,
		Tab_s_DI8C01_input_simulation_k6,
		Tab_s_DI8C01_input_ersatzwert_k6
	}
}

MENU Tab_s_DI8C01_input_verzoegerung_k6
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P6_OnDelay,
		DI8C01_P6_OffDelay
	}
}

MENU Tab_s_DI8C01_input_simulation_k6
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P6_SimVal_Data,
		DI8C01_P6_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P6_State == 1)
}

MENU Tab_s_DI8C01_input_ersatzwert_k6
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P6_ErrVal_Data,
		DI8C01_P6_ErrVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P6_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal7	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI8C01_kanal7
{
	LABEL		[menu_kanal7];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI8C01_ident_k7,
		Tab_s_DI8C01_input_k7
	}
}

MENU Tab_s_DI8C01_kanal7_NAMUR
{
	LABEL		[menu_kanal7];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI8C01_ident_k7,
		Tab_s_DI8C01_input_k7_NAMUR
	}
}

MENU Tab_s_DI8C01_ident_k7
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P7_Tag,
		DI8C01_P7_Option_Kanal
	}
}

MENU Tab_s_DI8C01_input_k7
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P7_State,
		DI8C01_P7_ErrMode,
		DI8C01_P7_Option_Invert,
		DI8C01_P7_Option_Leitung,
		DI8C01_P7_Mode,
		Tab_s_DI8C01_input_verzoegerung_k7,
		Tab_s_DI8C01_input_simulation_k7,
		Tab_s_DI8C01_input_ersatzwert_k7
	}
}

MENU Tab_s_DI8C01_input_k7_NAMUR
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P7_State,
		DI8C01_P7_ErrMode,
		DI8C01_P7_Option_Invert,
		DI8C01_P7_Option_Leitung,
		DI8C01_P7_Mode_NAMUR,
		Tab_s_DI8C01_input_verzoegerung_k7,
		Tab_s_DI8C01_input_simulation_k7,
		Tab_s_DI8C01_input_ersatzwert_k7
	}
}

MENU Tab_s_DI8C01_input_verzoegerung_k7
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P7_OnDelay,
		DI8C01_P7_OffDelay
	}
}

MENU Tab_s_DI8C01_input_simulation_k7
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P7_SimVal_Data,
		DI8C01_P7_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P7_State == 1)
}

MENU Tab_s_DI8C01_input_ersatzwert_k7
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P7_ErrVal_Data,
		DI8C01_P7_ErrVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P7_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal8	****************************************************************/
/*******************************************************************************/

MENU Tab_s_DI8C01_kanal8
{
	LABEL		[menu_kanal8];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI8C01_ident_k8,
		Tab_s_DI8C01_input_k8
	}
}

MENU Tab_s_DI8C01_kanal8_NAMUR
{
	LABEL		[menu_kanal8];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DI8C01_ident_k8,
		Tab_s_DI8C01_input_k8_NAMUR
	}
}

MENU Tab_s_DI8C01_ident_k8
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P8_Tag,
		DI8C01_P8_Option_Kanal
	}
}

MENU Tab_s_DI8C01_input_k8
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P8_State,
		DI8C01_P8_ErrMode,
		DI8C01_P8_Option_Invert,
		DI8C01_P8_Option_Leitung,
		DI8C01_P8_Mode,
		Tab_s_DI8C01_input_verzoegerung_k8,
		Tab_s_DI8C01_input_simulation_k8,
		Tab_s_DI8C01_input_ersatzwert_k8
	}
}

MENU Tab_s_DI8C01_input_k8_NAMUR
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P8_State,
		DI8C01_P8_ErrMode,
		DI8C01_P8_Option_Invert,
		DI8C01_P8_Option_Leitung,
		DI8C01_P8_Mode_NAMUR,
		Tab_s_DI8C01_input_verzoegerung_k8,
		Tab_s_DI8C01_input_simulation_k8,
		Tab_s_DI8C01_input_ersatzwert_k8
	}
}

MENU Tab_s_DI8C01_input_verzoegerung_k8
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P8_OnDelay,
		DI8C01_P8_OffDelay
	}
}

MENU Tab_s_DI8C01_input_simulation_k8
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P8_SimVal_Data,
		DI8C01_P8_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P8_State == 1)
}

MENU Tab_s_DI8C01_input_ersatzwert_k8
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P8_ErrVal_Data,
		DI8C01_P8_ErrVal_State
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P8_ErrMode == 1)
}

/*******************************************************************************/
/*****	Table: Maintenance  ****************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	 Kanal1	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI8C01_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI8C01_ident_k1,
		Tab_m_DI8C01_input_k1
	}
}

MENU Tab_m_DI8C01_kanal1_NAMUR
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI8C01_ident_k1,
		Tab_m_DI8C01_input_k1_NAMUR
	}
}

MENU Tab_m_DI8C01_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P1_Tag,
		DI8C01_P1_Option_Kanal				(READ_ONLY)
	}
}

MENU Tab_m_DI8C01_input_k1
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P1_State						(READ_ONLY),
		DI8C01_P1_ErrMode					(READ_ONLY),
		DI8C01_P1_Option_Invert				(READ_ONLY),
		DI8C01_P1_Option_Leitung			(READ_ONLY),
		DI8C01_P1_Mode						(READ_ONLY),
		Tab_m_DI8C01_input_verzoegerung_k1,
		Tab_m_DI8C01_input_simulation_k1,
		Tab_m_DI8C01_input_ersatzwert_k1
	}
}

MENU Tab_m_DI8C01_input_k1_NAMUR
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P1_State						(READ_ONLY),
		DI8C01_P1_ErrMode					(READ_ONLY),
		DI8C01_P1_Option_Invert				(READ_ONLY),
		DI8C01_P1_Option_Leitung			(READ_ONLY),
		DI8C01_P1_Mode_NAMUR				(READ_ONLY),
		Tab_m_DI8C01_input_verzoegerung_k1,
		Tab_m_DI8C01_input_simulation_k1,
		Tab_m_DI8C01_input_ersatzwert_k1
	}
}

MENU Tab_m_DI8C01_input_verzoegerung_k1
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P1_OnDelay					(READ_ONLY),
		DI8C01_P1_OffDelay					(READ_ONLY)
	}
}

MENU Tab_m_DI8C01_input_simulation_k1
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P1_SimVal_Data				(READ_ONLY),
		DI8C01_P1_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P2_State == 1)
}

MENU Tab_m_DI8C01_input_ersatzwert_k1
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P1_ErrVal_Data				(READ_ONLY),
		DI8C01_P1_ErrVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P1_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal2	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI8C01_kanal2
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI8C01_ident_k2,
		Tab_m_DI8C01_input_k2
	}
}

MENU Tab_m_DI8C01_kanal2_NAMUR
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI8C01_ident_k2,
		Tab_m_DI8C01_input_k2_NAMUR
	}
}

MENU Tab_m_DI8C01_ident_k2
{
	LABEL		[menu_ident];
	ITEMS
	{
		DI8C01_P2_Tag,
		DI8C01_P2_Option_Kanal				(READ_ONLY)
	}
}

MENU Tab_m_DI8C01_input_k2
{
	LABEL		[menu_input];
	ITEMS
	{
		DI8C01_P2_State						(READ_ONLY),
		DI8C01_P2_ErrMode					(READ_ONLY),
		DI8C01_P2_Option_Invert				(READ_ONLY),
		DI8C01_P2_Option_Leitung			(READ_ONLY),
		DI8C01_P2_Mode						(READ_ONLY),
		Tab_m_DI8C01_input_verzoegerung_k2,
		Tab_m_DI8C01_input_simulation_k2,
		Tab_m_DI8C01_input_ersatzwert_k2
	}
}

MENU Tab_m_DI8C01_input_k2_NAMUR
{
	LABEL		[menu_input];
	ITEMS
	{
		DI8C01_P2_State						(READ_ONLY),
		DI8C01_P2_ErrMode					(READ_ONLY),
		DI8C01_P2_Option_Invert				(READ_ONLY),
		DI8C01_P2_Option_Leitung			(READ_ONLY),
		DI8C01_P2_Mode_NAMUR				(READ_ONLY),
		Tab_m_DI8C01_input_verzoegerung_k2,
		Tab_m_DI8C01_input_simulation_k2,
		Tab_m_DI8C01_input_ersatzwert_k2
	}
}

MENU Tab_m_DI8C01_input_verzoegerung_k2
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P2_OnDelay					(READ_ONLY),
		DI8C01_P2_OffDelay					(READ_ONLY)
	}
}

MENU Tab_m_DI8C01_input_simulation_k2
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P2_SimVal_Data				(READ_ONLY),
		DI8C01_P2_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P2_State == 1)
}

MENU Tab_m_DI8C01_input_ersatzwert_k2
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P2_ErrVal_Data				(READ_ONLY),
		DI8C01_P2_ErrVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P2_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal3	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI8C01_kanal3
{
	LABEL		[menu_kanal3];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI8C01_ident_k3,
		Tab_m_DI8C01_input_k3
	}
}

MENU Tab_m_DI8C01_kanal3_NAMUR
{
	LABEL		[menu_kanal3];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI8C01_ident_k3,
		Tab_m_DI8C01_input_k3_NAMUR
	}
}

MENU Tab_m_DI8C01_ident_k3
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P3_Tag,
		DI8C01_P3_Option_Kanal				(READ_ONLY)
	}
}

MENU Tab_m_DI8C01_input_k3
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P3_State						(READ_ONLY),
		DI8C01_P3_ErrMode					(READ_ONLY),
		DI8C01_P3_Option_Invert				(READ_ONLY),
		DI8C01_P3_Option_Leitung			(READ_ONLY),
		DI8C01_P3_Mode						(READ_ONLY),		
		Tab_m_DI8C01_input_verzoegerung_k3,
		Tab_m_DI8C01_input_simulation_k3,
		Tab_m_DI8C01_input_ersatzwert_k3
	}
}

MENU Tab_m_DI8C01_input_k3_NAMUR
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P3_State						(READ_ONLY),
		DI8C01_P3_ErrMode					(READ_ONLY),
		DI8C01_P3_Option_Invert				(READ_ONLY),
		DI8C01_P3_Option_Leitung			(READ_ONLY),
		DI8C01_P3_Mode_NAMUR				(READ_ONLY),		
		Tab_m_DI8C01_input_verzoegerung_k3,
		Tab_m_DI8C01_input_simulation_k3,
		Tab_m_DI8C01_input_ersatzwert_k3
	}
}

MENU Tab_m_DI8C01_input_verzoegerung_k3
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P3_OnDelay					(READ_ONLY),
		DI8C01_P3_OffDelay					(READ_ONLY)
	}
}

MENU Tab_m_DI8C01_input_simulation_k3
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P3_SimVal_Data				(READ_ONLY),
		DI8C01_P3_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P3_State == 1)
}

MENU Tab_m_DI8C01_input_ersatzwert_k3
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P3_ErrVal_Data				(READ_ONLY),
		DI8C01_P3_ErrVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P3_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal4	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI8C01_kanal4
{
	LABEL		[menu_kanal4];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI8C01_ident_k4,
		Tab_m_DI8C01_input_k4
	}
}

MENU Tab_m_DI8C01_kanal4_NAMUR
{
	LABEL		[menu_kanal4];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI8C01_ident_k4,
		Tab_m_DI8C01_input_k4_NAMUR
	}
}

MENU Tab_m_DI8C01_ident_k4
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P4_Tag,
		DI8C01_P4_Option_Kanal				(READ_ONLY)
	}
}

MENU Tab_m_DI8C01_input_k4
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P4_State						(READ_ONLY),
		DI8C01_P4_ErrMode					(READ_ONLY),
		DI8C01_P4_Option_Invert				(READ_ONLY),
		DI8C01_P4_Option_Leitung			(READ_ONLY),
		DI8C01_P4_Mode						(READ_ONLY),
		Tab_m_DI8C01_input_verzoegerung_k4,
		Tab_m_DI8C01_input_simulation_k4,
		Tab_m_DI8C01_input_ersatzwert_k4
	}
}

MENU Tab_m_DI8C01_input_k4_NAMUR
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P4_State						(READ_ONLY),
		DI8C01_P4_ErrMode					(READ_ONLY),
		DI8C01_P4_Option_Invert				(READ_ONLY),
		DI8C01_P4_Option_Leitung			(READ_ONLY),
		DI8C01_P4_Mode_NAMUR				(READ_ONLY),
		Tab_m_DI8C01_input_verzoegerung_k4,
		Tab_m_DI8C01_input_simulation_k4,
		Tab_m_DI8C01_input_ersatzwert_k4
	}
}

MENU Tab_m_DI8C01_input_verzoegerung_k4
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P4_OnDelay					(READ_ONLY),
		DI8C01_P4_OffDelay					(READ_ONLY)
	}
}

MENU Tab_m_DI8C01_input_simulation_k4
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P4_SimVal_Data				(READ_ONLY),
		DI8C01_P4_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P4_State == 1)
}

MENU Tab_m_DI8C01_input_ersatzwert_k4
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P4_ErrVal_Data				(READ_ONLY),
		DI8C01_P4_ErrVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P4_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal5	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI8C01_kanal5
{
	LABEL		[menu_kanal5];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI8C01_ident_k5,
		Tab_m_DI8C01_input_k5
	}
}

MENU Tab_m_DI8C01_kanal5_NAMUR
{
	LABEL		[menu_kanal5];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI8C01_ident_k5,
		Tab_m_DI8C01_input_k5_NAMUR
	}
}

MENU Tab_m_DI8C01_ident_k5
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P5_Tag,
		DI8C01_P5_Option_Kanal				(READ_ONLY)
	}
}

MENU Tab_m_DI8C01_input_k5
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P5_State						(READ_ONLY),
		DI8C01_P5_ErrMode					(READ_ONLY),
		DI8C01_P5_Option_Invert				(READ_ONLY),
		DI8C01_P5_Option_Leitung			(READ_ONLY),
		DI8C01_P5_Mode						(READ_ONLY),
		Tab_m_DI8C01_input_verzoegerung_k5,
		Tab_m_DI8C01_input_simulation_k5,
		Tab_m_DI8C01_input_ersatzwert_k5
	}
}

MENU Tab_m_DI8C01_input_k5_NAMUR
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P5_State						(READ_ONLY),
		DI8C01_P5_ErrMode					(READ_ONLY),
		DI8C01_P5_Option_Invert				(READ_ONLY),
		DI8C01_P5_Option_Leitung			(READ_ONLY),
		DI8C01_P5_Mode_NAMUR				(READ_ONLY),
		Tab_m_DI8C01_input_verzoegerung_k5,
		Tab_m_DI8C01_input_simulation_k5,
		Tab_m_DI8C01_input_ersatzwert_k5
	}
}

MENU Tab_m_DI8C01_input_verzoegerung_k5
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P5_OnDelay,
		DI8C01_P5_OffDelay
	}
}

MENU Tab_m_DI8C01_input_simulation_k5
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P5_SimVal_Data				(READ_ONLY),
		DI8C01_P5_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P5_State == 1)
}

MENU Tab_m_DI8C01_input_ersatzwert_k5
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
//		DI8C01_P1_ErrVal_Data				(READ_ONLY),		//26.06.2006 fbi
//		DI8C01_P1_ErrVal_State				(READ_ONLY)			//26.06.2006 fbi
		DI8C01_P5_ErrVal_Data				(READ_ONLY),		//26.06.2006 fbi
		DI8C01_P5_ErrVal_State				(READ_ONLY)			//26.06.2006 fbi
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P5_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal6	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI8C01_kanal6
{
	LABEL		[menu_kanal6];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI8C01_ident_k6,
		Tab_m_DI8C01_input_k6
	}
}

MENU Tab_m_DI8C01_kanal6_NAMUR
{
	LABEL		[menu_kanal6];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI8C01_ident_k6,
		Tab_m_DI8C01_input_k6_NAMUR
	}
}

MENU Tab_m_DI8C01_ident_k6
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P6_Tag,
		DI8C01_P6_Option_Kanal				(READ_ONLY)
	}
}

MENU Tab_m_DI8C01_input_k6
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P6_State						(READ_ONLY),
		DI8C01_P6_ErrMode					(READ_ONLY),
		DI8C01_P6_Option_Invert				(READ_ONLY),
		DI8C01_P6_Option_Leitung			(READ_ONLY),
		DI8C01_P6_Mode						(READ_ONLY),
		Tab_m_DI8C01_input_verzoegerung_k6,
		Tab_m_DI8C01_input_simulation_k6,
		Tab_m_DI8C01_input_ersatzwert_k6
	}
}

MENU Tab_m_DI8C01_input_k6_NAMUR
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P6_State						(READ_ONLY),
		DI8C01_P6_ErrMode					(READ_ONLY),
		DI8C01_P6_Option_Invert				(READ_ONLY),
		DI8C01_P6_Option_Leitung			(READ_ONLY),
		DI8C01_P6_Mode_NAMUR				(READ_ONLY),
		Tab_m_DI8C01_input_verzoegerung_k6,
		Tab_m_DI8C01_input_simulation_k6,
		Tab_m_DI8C01_input_ersatzwert_k6
	}
}

MENU Tab_m_DI8C01_input_verzoegerung_k6
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P6_OnDelay					(READ_ONLY),
		DI8C01_P6_OffDelay					(READ_ONLY)
	}
}

MENU Tab_m_DI8C01_input_simulation_k6
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P6_SimVal_Data				(READ_ONLY),
		DI8C01_P6_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P6_State == 1)
}

MENU Tab_m_DI8C01_input_ersatzwert_k6
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P6_ErrVal_Data				(READ_ONLY),
		DI8C01_P6_ErrVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P6_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal7	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI8C01_kanal7
{
	LABEL		[menu_kanal7];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI8C01_ident_k7,
		Tab_m_DI8C01_input_k7
	}
}

MENU Tab_m_DI8C01_kanal7_NAMUR
{
	LABEL		[menu_kanal7];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI8C01_ident_k7,
		Tab_m_DI8C01_input_k7_NAMUR
	}
}

MENU Tab_m_DI8C01_ident_k7
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P7_Tag,
		DI8C01_P7_Option_Kanal				(READ_ONLY)
	}
}

MENU Tab_m_DI8C01_input_k7
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P7_State						(READ_ONLY),
		DI8C01_P7_ErrMode					(READ_ONLY),
		DI8C01_P7_Option_Invert				(READ_ONLY),
		DI8C01_P7_Option_Leitung			(READ_ONLY),
		DI8C01_P7_Mode						(READ_ONLY),
		Tab_m_DI8C01_input_verzoegerung_k7,
		Tab_m_DI8C01_input_simulation_k7,
		Tab_m_DI8C01_input_ersatzwert_k7
	}
}

MENU Tab_m_DI8C01_input_k7_NAMUR
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P7_State						(READ_ONLY),
		DI8C01_P7_ErrMode					(READ_ONLY),
		DI8C01_P7_Option_Invert				(READ_ONLY),
		DI8C01_P7_Option_Leitung			(READ_ONLY),
		DI8C01_P7_Mode_NAMUR				(READ_ONLY),
		Tab_m_DI8C01_input_verzoegerung_k7,
		Tab_m_DI8C01_input_simulation_k7,
		Tab_m_DI8C01_input_ersatzwert_k7
	}
}

MENU Tab_m_DI8C01_input_verzoegerung_k7
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P7_OnDelay					(READ_ONLY),
		DI8C01_P7_OffDelay					(READ_ONLY)
	}
}

MENU Tab_m_DI8C01_input_simulation_k7
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P7_SimVal_Data				(READ_ONLY),
		DI8C01_P7_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P7_State == 1)
}

MENU Tab_m_DI8C01_input_ersatzwert_k7
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P7_ErrVal_Data				(READ_ONLY),
		DI8C01_P7_ErrVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P7_ErrMode == 1)
}

/*******************************************************************************/
/*****	 Kanal8	****************************************************************/
/*******************************************************************************/

MENU Tab_m_DI8C01_kanal8
{
	LABEL		[menu_kanal8];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI8C01_ident_k8,
		Tab_m_DI8C01_input_k8
	}
}

MENU Tab_m_DI8C01_kanal8_NAMUR
{
	LABEL		[menu_kanal8];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DI8C01_ident_k8,
		Tab_m_DI8C01_input_k8_NAMUR
	}
}

MENU Tab_m_DI8C01_ident_k8
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P8_Tag,
		DI8C01_P8_Option_Kanal				(READ_ONLY)

	}
}

MENU Tab_m_DI8C01_input_k8
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P8_State						(READ_ONLY),
		DI8C01_P8_ErrMode					(READ_ONLY),
		DI8C01_P8_Option_Invert				(READ_ONLY),
		DI8C01_P8_Option_Leitung			(READ_ONLY),
		DI8C01_P8_Mode						(READ_ONLY),
		Tab_m_DI8C01_input_verzoegerung_k8,
		Tab_m_DI8C01_input_simulation_k8,
		Tab_m_DI8C01_input_ersatzwert_k8
	}
}

MENU Tab_m_DI8C01_input_k8_NAMUR
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P8_State						(READ_ONLY),
		DI8C01_P8_ErrMode					(READ_ONLY),
		DI8C01_P8_Option_Invert				(READ_ONLY),
		DI8C01_P8_Option_Leitung			(READ_ONLY),
		DI8C01_P8_Mode_NAMUR				(READ_ONLY),
		Tab_m_DI8C01_input_verzoegerung_k8,
		Tab_m_DI8C01_input_simulation_k8,
		Tab_m_DI8C01_input_ersatzwert_k8
	}
}

MENU Tab_m_DI8C01_input_verzoegerung_k8
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P8_OnDelay					(READ_ONLY),
		DI8C01_P8_OffDelay					(READ_ONLY)
	}
}

MENU Tab_m_DI8C01_input_simulation_k8
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P8_SimVal_Data				(READ_ONLY),
		DI8C01_P8_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P8_State == 1)
}

MENU Tab_m_DI8C01_input_ersatzwert_k8
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DI8C01_P8_ErrVal_Data				(READ_ONLY),
		DI8C01_P8_ErrVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DI8C01_P8_ErrMode == 1)
}
