/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved  */
/*    Product:          SIMATIC PDM                         */
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      Binrausgang Venitltreiber          */
/*                      Binreingang 2 Kanle Namur			*/
/*                      LB2016, 2116, 2017, 2117/FB2216, 2217			*/
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.19  $                                    */
/*  $Date:   16 Mar 2000 13:41:26  $                        */
/*----------------------------------------------------------*/


/*******************************************************************************/
/*****  Variables Kanal1    ****************************************************/
/*******************************************************************************/

DIDO05_P1_Slot1   LIKE VARIABLE   P0_Slot0
{
}

DIDO05_P1_Index1  LIKE VARIABLE   P0_Index0
{
    REDEFINE TYPE   UNSIGNED_INTEGER
    {
            DEFAULT_VALUE 1;
    }
}

DIDO05_P1_Tag     LIKE VARIABLE   P0_Tag
{
    REDEFINE HELP   [P1_Tag_help];
}

VARIABLE    DIDO05_P1_State
{
    LABEL       [P1_State];
    HELP        [P1_State_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        { 0,    [automatic]     },
        { 1,    [simulation]    }

    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO05_P1_ErrMode
{
    LABEL       [P1_ErrMode];
    HELP        [P1_ErrMode_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        { 0,    [aktuellen_wert]    },
        { 1,    [ersatzwert]        },
        { 2,    [letzten_wert]      }

    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO05_P1_SimVal_Data
{
    LABEL       [P1_SimVal];
    HELP        [P1_SimVal_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        {   0x00,   "0" },
        {   0x01,   "1" }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO05_P1_SimVal_State
{
    LABEL       [P1_SimVal_State];
    HELP        [P1_SimVal_State_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 1;
        {   0x00,   [no_error]      },
        {   0x01,   [line_fault]    }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO05_P1_SimVal_Bit2_7
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER;
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO05_P1_ErrVal_Data
{
    LABEL       [P1_ErrVal];
    HELP        [P1_ErrVal_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        {   0x00,   "0" },
        {   0x01,   "1" }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO05_P1_ErrVal_State
{
    LABEL       [P1_ErrVal_State];
    HELP        [P1_ErrVal_State1_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;                //dr. maug
        {   0x00,   [no_error]      },
        {   0x01,   [line_fault]    }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO05_P1_ErrVal_Bit2_7
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER;
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO05_P1_Option_Invert
{
    LABEL       [P1_Option_Invert];
    HELP        [P1_Option_Invert_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0x0000, [inv_normal]    },
        {   0x0001, [inv_invers]    }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO05_P1_Option_Leitung
{
    LABEL       [P1_Option_Leitung];
    HELP        [P1_Option_Leitung_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 1;
        { 0,    [no]        },
        { 1,    [yes]       }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO05_P1_Option_LFD
{
    LABEL       [P1_Option_LFD];
    HELP        [P1_Option_LFD_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 1;
        { 0,    [Test_Impuls_0]        },
        { 1,    [Test_Impuls_1]       }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE	DIDO05_P1_Option_Bit3_14
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER(2);
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DIDO05_P1_Option_Kanal
{
	LABEL		[P1_Option_Kanal];
	HELP		[P1_Option_Kanal_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{ 0,	[kanal_aktiv]		},
		{ 1,	[kanal_inaktiv]		}
	}
	CLASS		CONTAINED;
//	HANDLING	READ & WRITE;
	HANDLING	READ;
}

VARIABLE    DIDO05_P1_OnDelay
{
    LABEL       [P1_OnDelay];
    HELP        [P1_OnDelay_help];
    TYPE        UNSIGNED_INTEGER (2)
    {
        MIN_VALUE 0;
        MAX_VALUE 60000;
        DEFAULT_VALUE 10;
    }
    CONSTANT_UNIT   [msec];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO05_P1_OffDelay
{
    LABEL       [P1_OffDelay];
    HELP        [P1_OffDelay_help];
    TYPE        UNSIGNED_INTEGER (2)
    {
        MIN_VALUE 0;
        MAX_VALUE 60000;
        DEFAULT_VALUE 10;
    }
    CONSTANT_UNIT   [msec];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO05_P1_TestImp
{
    LABEL       [P1_TestImp];
    HELP        [P1_TestImp_help];
    TYPE        UNSIGNED_INTEGER (1)
    {
        MIN_VALUE 0;
        MAX_VALUE 5;
        DEFAULT_VALUE 5;
    }
    CONSTANT_UNIT   [msec];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO05_P1_TestImp_Intervall
{
    LABEL       [P1_TestImp_Intervall];
    HELP        [P1_TestImp_Intervall_help];
    TYPE        UNSIGNED_INTEGER (1)
    {
        MIN_VALUE 0;
        MAX_VALUE 25;
        DEFAULT_VALUE 25;
    }
    CONSTANT_UNIT   [unit_100_msec];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO05_P1_Valve_on_Voltage
{
    LABEL       [P1_Valve_on_Voltage];
    HELP        [P1_Valve_on_Voltage_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 23000,	[enum_2x16_23_0V]		},
		{ 16500,	[enum_2x17_16_5V]		}
        DEFAULT_VALUE 23000;
	}
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO05_P1_Valve_on_Current
{
    LABEL       [P1_Valve_on_Current];
    HELP        [P1_Valve_on_Current_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 4000,	[enum_2x16_40mA]		},
		{ 5000,	[enum_2x17_50_mA]	}
        DEFAULT_VALUE 4000;
	}
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO05_P1_Valve_off_Voltage
{
    LABEL       [P1_Valve_off_Voltage];
    HELP        [P1_Valve_off_Voltage_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 5000,	[enum_2x1x_5V]		}
	}
    CLASS       CONTAINED;
    DEFAULT_VALUE 5000;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO05_P1_Valve_off_Current
{
    LABEL       [P1_Valve_off_Current];
    HELP        [P1_Valve_off_Current_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 200,	[enum_2x1x_2mA]		}
	}
    CLASS       CONTAINED;
    DEFAULT_VALUE 200;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO05_P1_low_limit_R 
{
    LABEL       [P1_low_limit_R];
    HELP        [P1_low_limit_R_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 30,	[Standard_30_Ohm]		}
	}
    CLASS       CONTAINED;
    DEFAULT_VALUE 30;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO05_P1_high_limit_R  
{
    LABEL       [P1_high_limit_R];
    HELP        [P1_high_limit_R_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 15000,	[Standard_15_kOhm]		}
	}
    CLASS       CONTAINED;
    DEFAULT_VALUE 15000;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO05_P1_low_limit_R_hyst 
{
    LABEL       [P1_low_limit_R_hyst];
    HELP        [P1_low_limit_R_hyst_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 10,	[Standard_10_Ohm]		}
	}
    CLASS       CONTAINED;
    DEFAULT_VALUE 10;
    HANDLING    READ & WRITE;
}

VARIABLE    DIDO05_P1_high_limit_R_hyst  
{
    LABEL       [P1_high_limit_R_hyst];
    HELP        [P1_high_limit_R_hyst_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 1000,	[Standard_1_kOhm]		}
	}
    CLASS       CONTAINED;
    DEFAULT_VALUE 1000;
    HANDLING    READ & WRITE;
}

/*******************************************************************************/
/*****  Variables Kanal2    ****************************************************/
/*******************************************************************************/

/*COMMAND check_HResult_Status
{
    SLOT        0;
    INDEX       48;//43;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            var_drv_write_Status2
        }
    }
}
*/
DIDO05_P2_Slot2           LIKE VARIABLE   P0_Slot0
{
}

DIDO05_P2_Index2          LIKE VARIABLE   DIDO05_P1_Index1
{
    REDEFINE TYPE   UNSIGNED_INTEGER
    {
            DEFAULT_VALUE 2;
    }
}

DIDO05_P2_Tag             LIKE VARIABLE   DIDO05_P1_Tag
{
}

DIDO05_P2_State           LIKE VARIABLE   DIDO05_P1_State
{
}

DIDO05_P2_ErrMode         LIKE VARIABLE   DIDO05_P1_ErrMode
{
}

DIDO05_P2_SimVal_Data     LIKE VARIABLE   DIDO05_P1_SimVal_Data 
{
}

DIDO05_P2_SimVal_State    LIKE VARIABLE   DIDO05_P1_SimVal_State    
{
}

DIDO05_P2_SimVal_Bit2_7   LIKE VARIABLE   DIDO05_P1_SimVal_Bit2_7   
{
}

DIDO05_P2_ErrVal_Data     LIKE VARIABLE   DIDO05_P1_ErrVal_Data 
{
}

DIDO05_P2_ErrVal_State    LIKE VARIABLE   DIDO05_P1_ErrVal_State    
{
}

DIDO05_P2_ErrVal_Bit2_7   LIKE VARIABLE   DIDO05_P1_ErrVal_Bit2_7   
{
}

DIDO05_P2_Option_Invert   LIKE VARIABLE   DIDO05_P1_Option_Invert
{
}

DIDO05_P2_Option_Leitung  LIKE VARIABLE   DIDO05_P1_Option_Leitung
{
}

VARIABLE	DIDO05_P2_Option_Bit2_14
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER(2);
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

/*
DIDO05_P2_Option_Bit3_14  LIKE VARIABLE   DIDO05_P1_Option_Bit3_14  
{
}
*/
DIDO05_P2_Option_Kanal	LIKE VARIABLE	DIDO05_P1_Option_Kanal
{
}

DIDO05_P2_OnDelay         LIKE VARIABLE   DIDO05_P1_OnDelay     
{
}

DIDO05_P2_OffDelay        LIKE VARIABLE   DIDO05_P1_OffDelay        
{
}


VARIABLE    DIDO05_P2_DUMMY
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (18);
    CLASS       CONTAINED;
    HANDLING    READ;
}

/*******************************************************************************/
/*****  Variables Kanal3    ****************************************************/
/*******************************************************************************/

/*COMMAND check_HResult_Status
{
    SLOT        0;
    INDEX       48;//43;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {
        }
        REPLY
        {
            var_drv_write_Status3
        }
    }
}
*/
DIDO05_P3_Slot3           LIKE VARIABLE   P0_Slot0
{
}

DIDO05_P3_Index3          LIKE VARIABLE   DIDO05_P1_Index1
{
    REDEFINE TYPE   UNSIGNED_INTEGER
    {
            DEFAULT_VALUE 3;
    }
}

DIDO05_P3_Tag             LIKE VARIABLE   DIDO05_P1_Tag
{
}

DIDO05_P3_State           LIKE VARIABLE   DIDO05_P1_State
{
}

DIDO05_P3_ErrMode         LIKE VARIABLE   DIDO05_P1_ErrMode
{
}

DIDO05_P3_SimVal_Data     LIKE VARIABLE   DIDO05_P1_SimVal_Data 
{
}

DIDO05_P3_SimVal_State    LIKE VARIABLE   DIDO05_P1_SimVal_State    
{
}

DIDO05_P3_SimVal_Bit2_7   LIKE VARIABLE   DIDO05_P1_SimVal_Bit2_7   
{
}

DIDO05_P3_ErrVal_Data     LIKE VARIABLE   DIDO05_P1_ErrVal_Data 
{
}

DIDO05_P3_ErrVal_State    LIKE VARIABLE   DIDO05_P1_ErrVal_State    
{
}

DIDO05_P3_ErrVal_Bit2_7   LIKE VARIABLE   DIDO05_P1_ErrVal_Bit2_7   
{
}

DIDO05_P3_Option_Invert   LIKE VARIABLE   DIDO05_P1_Option_Invert
{
}

DIDO05_P3_Option_Leitung  LIKE VARIABLE   DIDO05_P1_Option_Leitung
{
}

DIDO05_P3_Option_Bit2_14  LIKE VARIABLE   DIDO05_P2_Option_Bit2_14  
{
}

DIDO05_P3_Option_Kanal	LIKE VARIABLE	DIDO05_P1_Option_Kanal
{
}

DIDO05_P3_OnDelay         LIKE VARIABLE   DIDO05_P1_OnDelay     
{
}

DIDO05_P3_OffDelay        LIKE VARIABLE   DIDO05_P1_OffDelay        
{
}

DIDO05_P3_DUMMY           LIKE VARIABLE   DIDO05_P2_DUMMY       
{
}

/*******************************************************************************/
/*****  COMMAND             *****************************************************/
/*******************************************************************************/
//read
#define DOWNLOAD_DIDO05                   \
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
			P0_Revision,				\
			P0_Size,					\
			DIDO05_P1_Slot1,              \
            DIDO05_P1_Index1,             \
            DIDO05_P1_Tag,                \
            DIDO05_P1_State,              \
            DIDO05_P1_ErrMode,            \
            DIDO05_P1_SimVal_Data,        \
            DIDO05_P1_ErrVal_Data,        \
            DIDO05_P1_Option_Leitung,     \
            DIDO05_P1_Option_Kanal,	    \
			DIDO05_P1_Option_LFD,		\
            DIDO05_P1_Option_Invert,      \
            DIDO05_P1_OnDelay,            \
            DIDO05_P1_OffDelay,           \
            DIDO05_P1_TestImp,            \
			DIDO05_P1_TestImp_Intervall,		\
			DIDO05_P1_Valve_on_Voltage,			\
			DIDO05_P1_Valve_on_Current,			\
			DIDO05_P1_Valve_off_Voltage,		\
			DIDO05_P1_Valve_off_Current,		\
			DIDO05_P1_low_limit_R,				\
			DIDO05_P1_high_limit_R,				\
			DIDO05_P1_low_limit_R_hyst,			\
			DIDO05_P1_high_limit_R_hyst,	\
            DIDO05_P2_Slot2,              \
            DIDO05_P2_Index2,             \
            DIDO05_P2_Tag,                \
            DIDO05_P2_State,              \
            DIDO05_P2_ErrMode,            \
            DIDO05_P2_SimVal_Data,        \
            DIDO05_P2_SimVal_State,       \
            DIDO05_P2_ErrVal_Data,        \
            DIDO05_P2_Option_Leitung,     \
            DIDO05_P2_Option_Kanal,	    \
            DIDO05_P2_Option_Invert,      \
            DIDO05_P2_OnDelay,            \
            DIDO05_P2_OffDelay,           \
            DIDO05_P3_Slot3,              \
            DIDO05_P3_Index3,             \
            DIDO05_P3_Tag,                \
            DIDO05_P3_State,              \
            DIDO05_P3_ErrMode,            \
            DIDO05_P3_SimVal_Data,        \
            DIDO05_P3_SimVal_State,       \
            DIDO05_P3_ErrVal_Data,        \
            DIDO05_P3_Option_Invert,      \
            DIDO05_P3_Option_Leitung,     \
            DIDO05_P3_Option_Kanal,	    \
            DIDO05_P3_OnDelay,            \
            DIDO05_P3_OffDelay

//write
#define UPLOAD_DIDO05                   \
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
            P0_Channel,                 \
            P0_Sector,                  \
            P0_Option,                  \
			P0_Size,					\
			DIDO05_P1_Slot1,              \
            DIDO05_P1_Index1,             \
            DIDO05_P1_Tag,                \
            DIDO05_P1_State,              \
            DIDO05_P1_ErrMode,            \
            DIDO05_P1_SimVal_Data,        \
            DIDO05_P1_ErrVal_Data,        \
            DIDO05_P1_Option_Leitung,     \
			DIDO05_P1_Option_LFD,			\
            DIDO05_P1_Option_Invert,      \
            DIDO05_P1_OnDelay,            \
            DIDO05_P1_OffDelay,           \
            DIDO05_P1_TestImp,            \
			DIDO05_P1_TestImp_Intervall,		\
			DIDO05_P1_Valve_on_Voltage,			\
			DIDO05_P1_Valve_on_Current,			\
			DIDO05_P1_Valve_off_Voltage,		\
			DIDO05_P1_Valve_off_Current,		\
			DIDO05_P1_low_limit_R,				\
			DIDO05_P1_high_limit_R,				\
			DIDO05_P1_low_limit_R_hyst,			\
			DIDO05_P1_high_limit_R_hyst,	\
            DIDO05_P2_Slot2,              \
            DIDO05_P2_Index2,             \
            DIDO05_P2_Tag,                \
            DIDO05_P2_State,              \
            DIDO05_P2_ErrMode,            \
            DIDO05_P2_SimVal_Data,        \
            DIDO05_P2_ErrVal_Data,        \
            DIDO05_P2_Option_Leitung,     \
            DIDO05_P2_Option_Invert,      \
            DIDO05_P2_OnDelay,            \
            DIDO05_P2_OffDelay,           \
            DIDO05_P3_Slot3,              \
            DIDO05_P3_Index3,             \
            DIDO05_P3_Tag,                \
            DIDO05_P3_State,              \
            DIDO05_P3_ErrMode,            \
            DIDO05_P3_SimVal_Data,        \
            DIDO05_P3_ErrVal_Data,        \
            DIDO05_P3_Option_Invert,      \
            DIDO05_P3_Option_Leitung,     \
            DIDO05_P3_OnDelay,            \
            DIDO05_P3_OffDelay


COMMAND read_DIDO05_index1
{
    SLOT        Loc_P0_Slot0;
    INDEX       1;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            DIDO05_P1_Slot1,
            DIDO05_P1_Index1,
            DIDO05_P1_Tag,
            DIDO05_P1_State,
            DIDO05_P1_ErrMode,
            DIDO05_P1_SimVal_Bit2_7       <0xFC>,
            DIDO05_P1_SimVal_State        <0x02>,
            DIDO05_P1_SimVal_Data         <0x01>,
            DIDO05_P1_ErrVal_Bit2_7       <0xFC>,
            DIDO05_P1_ErrVal_State        <0x02>,
            DIDO05_P1_ErrVal_Data         <0x01>,
			DIDO05_P1_Option_Kanal		  <0x8000>,
            DIDO05_P1_Option_Bit3_14      <0x7FF8>,
            DIDO05_P1_Option_LFD	      <0x0004>,
            DIDO05_P1_Option_Leitung      <0x0002>,
            DIDO05_P1_Option_Invert       <0x0001>,
            DIDO05_P1_OnDelay,
            DIDO05_P1_OffDelay,
            DIDO05_P1_TestImp,
			DIDO05_P1_TestImp_Intervall,			//0, 
			DIDO05_P1_Valve_on_Voltage,				//0, 0, 
			DIDO05_P1_Valve_on_Current,				//0, 0, 
			DIDO05_P1_Valve_off_Voltage,			//0, 0, 
			DIDO05_P1_Valve_off_Current,			//0, 0, 
			DIDO05_P1_low_limit_R,					//0, 0, 
			DIDO05_P1_high_limit_R,					//0, 0, 
			DIDO05_P1_low_limit_R_hyst,				//0, 0, 
			DIDO05_P1_high_limit_R_hyst,			//0, 0,  	
			0, 0												
        }
    }
}

COMMAND write_DIDO05_index1
{
    SLOT        Loc_P0_Slot0;
    INDEX       1;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            DIDO05_P1_Slot1,
            DIDO05_P1_Index1,
            DIDO05_P1_Tag,
            DIDO05_P1_State,
            DIDO05_P1_ErrMode,
            DIDO05_P1_SimVal_Bit2_7       <0xFC>,
            DIDO05_P1_SimVal_State        <0x02>,
            DIDO05_P1_SimVal_Data         <0x01>,
            DIDO05_P1_ErrVal_Bit2_7       <0xFC>,
            DIDO05_P1_ErrVal_State        <0x02>,
            DIDO05_P1_ErrVal_Data         <0x01>,
			DIDO05_P1_Option_Kanal		  <0x8000>,
            DIDO05_P1_Option_Bit3_14      <0x7FF8>,
            DIDO05_P1_Option_LFD	      <0x0004>,
            DIDO05_P1_Option_Leitung      <0x0002>,
            DIDO05_P1_Option_Invert       <0x0001>,
            DIDO05_P1_OnDelay,
            DIDO05_P1_OffDelay,
            DIDO05_P1_TestImp,
			DIDO05_P1_TestImp_Intervall,			//0, 
			DIDO05_P1_Valve_on_Voltage,				//0, 0, 
			DIDO05_P1_Valve_on_Current,				//0, 0, 
			DIDO05_P1_Valve_off_Voltage,			//0, 0, 
			DIDO05_P1_Valve_off_Current,			//0, 0, 
			DIDO05_P1_low_limit_R,					//0, 0, 
			DIDO05_P1_high_limit_R,					//0, 0, 
			DIDO05_P1_low_limit_R_hyst,				//0, 0, 
			DIDO05_P1_high_limit_R_hyst,			//0, 0,  	
			0, 0												
        }
        REPLY
        {
        }
    }
}

COMMAND read_DIDO05_index2
{
    SLOT        Loc_P0_Slot0;
    INDEX       2;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            DIDO05_P2_Slot2,
            DIDO05_P2_Index2,
            DIDO05_P2_Tag,
            DIDO05_P2_State,
            DIDO05_P2_ErrMode,
            DIDO05_P2_SimVal_Bit2_7       <0xFC>,
            DIDO05_P2_SimVal_State        <0x02>,
            DIDO05_P2_SimVal_Data         <0x01>,
            DIDO05_P2_ErrVal_Bit2_7       <0xFC>,
            DIDO05_P2_ErrVal_State        <0x02>,
            DIDO05_P2_ErrVal_Data         <0x01>,
			DIDO05_P2_Option_Kanal		  <0x8000>,
            DIDO05_P2_Option_Bit2_14      <0x7FFC>,
            DIDO05_P2_Option_Leitung      <0x0002>,
            DIDO05_P2_Option_Invert       <0x0001>,
	        DIDO05_P2_OnDelay,
            DIDO05_P2_OffDelay,
            0, 0, 0, 0, 0, 0, 0, 0,			0, 0, 0, 0, 0, 0, 0, 0,		//	20 Byte
			0, 0, 0, 0
        }
    }
}

COMMAND write_DIDO05_index2
{
    SLOT        Loc_P0_Slot0;
    INDEX       2;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            DIDO05_P2_Slot2,
            DIDO05_P2_Index2,
            DIDO05_P2_Tag,
            DIDO05_P2_State,
            DIDO05_P2_ErrMode,
            DIDO05_P2_SimVal_Bit2_7       <0xFC>,
            DIDO05_P2_SimVal_State        <0x02>,
            DIDO05_P2_SimVal_Data         <0x01>,
            DIDO05_P2_ErrVal_Bit2_7       <0xFC>,
            DIDO05_P2_ErrVal_State        <0x02>,
            DIDO05_P2_ErrVal_Data         <0x01>,
			DIDO05_P2_Option_Kanal		  <0x8000>,
            DIDO05_P2_Option_Bit2_14      <0x7FFC>,
            DIDO05_P2_Option_Leitung      <0x0002>,
            DIDO05_P2_Option_Invert       <0x0001>,
	        DIDO05_P2_OnDelay,
            DIDO05_P2_OffDelay,
            0, 0, 0, 0, 0, 0, 0, 0,			0, 0, 0, 0, 0, 0, 0, 0,		//	20 Byte
			0, 0, 0, 0
        }
        REPLY
        {
        }
    }
}

COMMAND read_DIDO05_index3
{
    SLOT        Loc_P0_Slot0;
    INDEX       3;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            DIDO05_P3_Slot3,
            DIDO05_P3_Index3,
            DIDO05_P3_Tag,
            DIDO05_P3_State,
            DIDO05_P3_ErrMode,
            DIDO05_P3_SimVal_Bit2_7       <0xFC>,
            DIDO05_P3_SimVal_State        <0x02>,
            DIDO05_P3_SimVal_Data         <0x01>,
            DIDO05_P3_ErrVal_Bit2_7       <0xFC>,
            DIDO05_P3_ErrVal_State        <0x02>,
            DIDO05_P3_ErrVal_Data         <0x01>,
			DIDO05_P3_Option_Kanal		  <0x8000>,
            DIDO05_P3_Option_Bit2_14      <0x7FFC>,
            DIDO05_P3_Option_Leitung      <0x0002>,
            DIDO05_P3_Option_Invert       <0x0001>,
            DIDO05_P3_OnDelay,
            DIDO05_P3_OffDelay,
            0, 0, 0, 0, 0, 0, 0, 0,			0, 0, 0, 0, 0, 0, 0, 0,		//	20 Byte
			0, 0, 0, 0
        }
    }
}

COMMAND write_DIDO05_index3
{
    SLOT        Loc_P0_Slot0;
    INDEX       3;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            DIDO05_P3_Slot3,
            DIDO05_P3_Index3,
            DIDO05_P3_Tag,
            DIDO05_P3_State,
            DIDO05_P3_ErrMode,
            DIDO05_P3_SimVal_Bit2_7       <0xFC>,
            DIDO05_P3_SimVal_State        <0x02>,
            DIDO05_P3_SimVal_Data         <0x01>,
            DIDO05_P3_ErrVal_Bit2_7       <0xFC>,
            DIDO05_P3_ErrVal_State        <0x02>,
            DIDO05_P3_ErrVal_Data         <0x01>,
			DIDO05_P3_Option_Kanal		  <0x8000>,
            DIDO05_P3_Option_Bit2_14      <0x7FFC>,
            DIDO05_P3_Option_Leitung      <0x0002>,
            DIDO05_P3_Option_Invert       <0x0001>,
            DIDO05_P3_OnDelay,
            DIDO05_P3_OffDelay,
            0, 0, 0, 0, 0, 0, 0, 0,			0, 0, 0, 0, 0, 0, 0, 0,		//	20 Byte
			0, 0, 0, 0
        }
        REPLY
        {
        }
    }
}


/*******************************************************************************/
/*****  Table: Specialist  *****************************************************/
/*******************************************************************************/

MENU Tab_s_DIDO05_kanal1
{
    LABEL       [ventil];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_DIDO05_ident_k1,
        Tab_s_DIDO05_output_k1
    }
}

MENU Tab_s_DIDO05_ident_k1
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P1_Tag
    }
}

MENU Tab_s_DIDO05_output_k1
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P1_State,
        DIDO05_P1_ErrMode,
        DIDO05_P1_Option_Leitung,
        DIDO05_P1_Option_Invert,
		DIDO05_P1_Option_Kanal				  (READ_ONLY),
        Tab_s_DIDO05_output_verzoegerung_k1,
        Tab_s_DIDO05_output_simulation_k1,
        Tab_s_DIDO05_output_ersatzwert_k1
    }
}

MENU Tab_s_DIDO05_output_verzoegerung_k1
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P1_OnDelay,
        DIDO05_P1_OffDelay,
        DIDO05_P1_TestImp						(READ_ONLY),
		DIDO05_P1_TestImp_Intervall				(READ_ONLY),
		DIDO05_P1_Valve_on_Voltage				(READ_ONLY),
		DIDO05_P1_Valve_on_Current				(READ_ONLY),
		DIDO05_P1_Valve_off_Voltage				(READ_ONLY),
		DIDO05_P1_Valve_off_Current				(READ_ONLY),
		DIDO05_P1_low_limit_R					(READ_ONLY),
		DIDO05_P1_high_limit_R					(READ_ONLY),
		DIDO05_P1_low_limit_R_hyst				(READ_ONLY),
		DIDO05_P1_high_limit_R_hyst				(READ_ONLY)
    }
}

MENU Tab_s_DIDO05_output_simulation_k1
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P1_SimVal_Data//2017-03-06,
//2017-03-06        DIDO05_P1_SimVal_State
    }
    VALIDITY    VALID_IF_TRUE (DIDO05_P1_State == 1)
}

MENU Tab_s_DIDO05_output_ersatzwert_k1
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P1_ErrVal_Data//,
//        DIDO05_P1_ErrVal_State
    }
    VALIDITY    VALID_IF_TRUE (DIDO05_P1_ErrMode == 1)
}

MENU Tab_s_DIDO05_kanal2
{
    LABEL       [menu_input1];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_DIDO05_ident_k2,
        Tab_s_DIDO05_input_k2
    }
}

MENU Tab_s_DIDO05_ident_k2
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P2_Tag
    }
}

MENU Tab_s_DIDO05_input_k2
{
    LABEL       [menu_input];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P2_State,
        DIDO05_P2_ErrMode,
        DIDO05_P2_Option_Leitung,
        DIDO05_P2_Option_Invert,
		DIDO05_P2_Option_Kanal				  (READ_ONLY),
        Tab_s_DIDO05_input_verzoegerung_k2,
        Tab_s_DIDO05_input_simulation_k2,
        Tab_s_DIDO05_input_ersatzwert_k2
    }
}

MENU Tab_s_DIDO05_input_verzoegerung_k2
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P2_OnDelay,
        DIDO05_P2_OffDelay
    }
}

MENU Tab_s_DIDO05_input_simulation_k2
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P2_SimVal_Data,
        DIDO05_P2_SimVal_State	(READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO05_P2_State == 1)
}

MENU Tab_s_DIDO05_input_ersatzwert_k2
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P2_ErrVal_Data//2017-03-06, //               (READ_ONLY),		//26.06.2006 fbi
//2017-03-06        DIDO05_P2_ErrVal_State //               (READ_ONLY)		//26.06.2006 fbi
    }   
    VALIDITY    VALID_IF_TRUE (DIDO05_P2_ErrMode == 1)
}

MENU Tab_s_DIDO05_kanal3
{
    LABEL       [menu_input2];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_DIDO05_ident_k3,
        Tab_s_DIDO05_input_k3
    }
}

MENU Tab_s_DIDO05_ident_k3
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P3_Tag
    }
}

MENU Tab_s_DIDO05_input_k3
{
    LABEL       [menu_input];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P3_State,
        DIDO05_P3_ErrMode,
        DIDO05_P3_Option_Leitung,
        DIDO05_P3_Option_Invert,
		DIDO05_P3_Option_Kanal				  (READ_ONLY),
        Tab_s_DIDO05_input_verzoegerung_k3,
        Tab_s_DIDO05_input_simulation_k3,
        Tab_s_DIDO05_input_ersatzwert_k3
    }
}

MENU Tab_s_DIDO05_input_verzoegerung_k3
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P3_OnDelay,
        DIDO05_P3_OffDelay
    }
}

MENU Tab_s_DIDO05_input_simulation_k3
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P3_SimVal_Data,
        DIDO05_P3_SimVal_State		(READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO05_P3_State == 1)
}

MENU Tab_s_DIDO05_input_ersatzwert_k3
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P3_ErrVal_Data//2017-03-06, //               (READ_ONLY),		//26.06.2006 fbi
//2017-03-06        DIDO05_P3_ErrVal_State //               (READ_ONLY)		//26.06.2006 fbi
    }
    VALIDITY    VALID_IF_TRUE (DIDO05_P3_ErrMode == 1)
}


/*******************************************************************************/
/*****  Table: Maintenance  *****************************************************/
/*******************************************************************************/

MENU Tab_m_DIDO05_kanal1
{
    LABEL       [ventil];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_DIDO05_ident_k1,
        Tab_m_DIDO05_output_k1
    }
}

MENU Tab_m_DIDO05_ident_k1
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P1_Tag
    }
}

MENU Tab_m_DIDO05_output_k1
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P1_State                       (READ_ONLY),
        DIDO05_P1_ErrMode                     (READ_ONLY),
        DIDO05_P1_Option_Leitung              (READ_ONLY),
        DIDO05_P1_Option_Invert               (READ_ONLY),
		DIDO05_P1_Option_Kanal				  (READ_ONLY),
        Tab_m_DIDO05_output_verzoegerung_k1,
        Tab_m_DIDO05_output_simulation_k1,
        Tab_m_DIDO05_output_ersatzwert_k1
    }
}

MENU Tab_m_DIDO05_output_verzoegerung_k1
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P1_OnDelay						(READ_ONLY),
        DIDO05_P1_OffDelay						(READ_ONLY),
        DIDO05_P1_TestImp						(READ_ONLY),
		DIDO05_P1_TestImp_Intervall				(READ_ONLY),
		DIDO05_P1_Valve_on_Voltage				(READ_ONLY),
		DIDO05_P1_Valve_on_Current				(READ_ONLY),
		DIDO05_P1_Valve_off_Voltage				(READ_ONLY),
		DIDO05_P1_Valve_off_Current				(READ_ONLY),
		DIDO05_P1_low_limit_R					(READ_ONLY),
		DIDO05_P1_high_limit_R					(READ_ONLY),
		DIDO05_P1_low_limit_R_hyst				(READ_ONLY),
		DIDO05_P1_high_limit_R_hyst				(READ_ONLY)
		
    }
}

MENU Tab_m_DIDO05_output_simulation_k1
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P1_SimVal_Data                 (READ_ONLY)//2017-03-06,
// 2017-03-06       DIDO05_P1_SimVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO05_P1_State == 1)
}

MENU Tab_m_DIDO05_output_ersatzwert_k1
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P1_ErrVal_Data                 (READ_ONLY)//,
 //       DIDO05_P1_ErrVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO05_P1_ErrMode == 1)
}

MENU Tab_m_DIDO05_kanal2
{
    LABEL       [menu_rueckmeldung1];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_DIDO05_ident_k2,
        Tab_m_DIDO05_input_k2
    }
}

MENU Tab_m_DIDO05_ident_k2
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P2_Tag
    }
}

MENU Tab_m_DIDO05_input_k2
{
    LABEL       [menu_input];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P2_State                       (READ_ONLY),
        DIDO05_P2_ErrMode                     (READ_ONLY),
        DIDO05_P2_Option_Leitung              (READ_ONLY),
        DIDO05_P2_Option_Invert               (READ_ONLY),
        Tab_m_DIDO05_input_verzoegerung_k2,
        Tab_m_DIDO05_input_simulation_k2,
        Tab_m_DIDO05_input_ersatzwert_k2
    }
}

MENU Tab_m_DIDO05_input_verzoegerung_k2
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P2_OnDelay                     (READ_ONLY),
        DIDO05_P2_OffDelay                    (READ_ONLY)
    }
}

MENU Tab_m_DIDO05_input_simulation_k2
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P2_SimVal_Data                 (READ_ONLY),
        DIDO05_P2_SimVal_State                (READ_ONLY)
    }
	VALIDITY    VALID_IF_TRUE (DIDO05_P2_State == 1)
}

MENU Tab_m_DIDO05_input_ersatzwert_k2
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P2_ErrVal_Data                 (READ_ONLY)//2017-03-06,
//2017-03-06        DIDO05_P2_ErrVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO05_P2_ErrMode == 1)
}

MENU Tab_m_DIDO05_kanal3
{
    LABEL       [menu_rueckmeldung2];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_DIDO05_ident_k3,
        Tab_m_DIDO05_input_k3
    }
}

MENU Tab_m_DIDO05_ident_k3
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P3_Tag
    }
}

MENU Tab_m_DIDO05_input_k3
{
    LABEL       [menu_input];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P3_State                       (READ_ONLY),
        DIDO05_P3_ErrMode                     (READ_ONLY),
        DIDO05_P3_Option_Leitung              (READ_ONLY),
        DIDO05_P3_Option_Invert               (READ_ONLY),
		DIDO05_P3_Option_Kanal				  (READ_ONLY),
        Tab_m_DIDO05_input_verzoegerung_k3,
        Tab_m_DIDO05_input_simulation_k3,
        Tab_m_DIDO05_input_ersatzwert_k3
    }
}

MENU Tab_m_DIDO05_input_verzoegerung_k3
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P3_OnDelay                     (READ_ONLY),
        DIDO05_P3_OffDelay                    (READ_ONLY)
    }
}

MENU Tab_m_DIDO05_input_simulation_k3
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P3_SimVal_Data                 (READ_ONLY),
        DIDO05_P3_SimVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO05_P3_State == 1)
}

MENU Tab_m_DIDO05_input_ersatzwert_k3
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DIDO05_P3_ErrVal_Data                 (READ_ONLY)//2017-03-06,
//2017-03-06        DIDO05_P3_ErrVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DIDO05_P3_ErrMode == 1)
}
