/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved	*/
/*    Product:          SIMATIC PDM							*/
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Communication:    Net configuration                   */
/*    Description:      Frequenzmessung/Impulszhler        */
/*                          				                */
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.22  $                                    */
/*  $Date:   16 Mar 2000 13:41:28  $                        */
/*----------------------------------------------------------*/

#define		DIFR_MODE_PURE_COUNT((DIFR_P1_Mode == 2) || (DIFR_P1_Mode == 3) || (DIFR_P1_Mode == 4) || (DIFR_P1_Mode == 5))
										
#define		DIFR_MODE_COUNT((DIFR_P1_Mode != 0) || (DIFR_P1_Mode != 1))

#define		DIFR_MODE_COUNT_32BIT((DIFR_P1_Mode == 2) || (DIFR_P1_Mode == 3))

#define		DIFR_MODE_COUNT_12BIT((DIFR_P1_Mode == 4) || (DIFR_P1_Mode == 5))

#define		DIFR_MODE_PURE_FREQ((DIFR_P1_Mode == 0) || (DIFR_P1_Mode == 1))
										
#define		DIFR_MODE_FREQ((DIFR_P1_Mode == 0) || (DIFR_P1_Mode == 1) || (DIFR_P1_Mode == 8) || (DIFR_P1_Mode == 9))

//#define		DIFR_MODE_FREQ((DIFR_P1_Mode != 2) || (DIFR_P1_Mode != 3) || (DIFR_P1_Mode != 4) || (DIFR_P1_Mode != 5))

#define		DIFR_MODE_FREQ_AND_COUNT((DIFR_P1_Mode == 8) || (DIFR_P1_Mode == 9))

/*******************************************************************************/
/*****	Variables Kanal1 Index1 ************************************************/
/*******************************************************************************/

DIFR_P1_Slot1	LIKE VARIABLE	P0_Slot0
{
}

DIFR_P1_Index1	LIKE VARIABLE	P0_Index0
{
	REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 1;
			}
}

DIFR_P1_Tag	LIKE VARIABLE	P0_Tag
{
	REDEFINE HELP	[P1_Tag_help];
}


VARIABLE	DIFR_P1_State
{
	LABEL		[P1_State];
	HELP		[P1_State_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{ 0,	[automatic]		},
		{ 1,	[simulation] 	}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DIFR_P1_ErrMode
{
	LABEL		[P1_ErrMode];
	HELP		[P1_ErrMode_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{ 0,	[aktuellen_wert]	},
		{ 1,	[ersatzwert]		},
		{ 2,	[letzten_wert]		}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

/********** SIMULATION *****************/

VARIABLE	DIFR_P1_ImpSimVal
{
	LABEL		[P1_ImpSimVal];
	HELP		[P1_ImpSimVal_help];
	TYPE		UNSIGNED_INTEGER (4)
	{
		MIN_VALUE 0x0;
		MAX_VALUE 0xFFFFFFFF;
		DEFAULT_VALUE 0x0;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (DIFR_MODE_COUNT)
}

VARIABLE	DIFR_P1_FrqSimVal
{
	LABEL		[P1_FrqSimVal];
	HELP		[P1_FrqSimVal_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float	(DIFR_P1_FrqSimVal, Loc_DIFR_P1_FrqSimVal)
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE	(DIFR_MODE_FREQ)
}

VARIABLE	Loc_DIFR_P1_FrqSimVal
{
	LABEL		[P1_FrqSimVal];
	HELP		[P1_FrqSimVal_help];
	TYPE		FLOAT
	{
		MIN_VALUE -25.00;
		MAX_VALUE 125.00;
		DEFAULT_VALUE 0.00;
		DISPLAY_FORMAT ".2f";
	}	
	CONSTANT_UNIT	[Percent];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float (DIFR_P1_FrqSimVal, Loc_DIFR_P1_FrqSimVal)
	}
	HANDLING		READ & WRITE;
	VALIDITY	VALID_IF_TRUE	(DIFR_MODE_FREQ)
}

VARIABLE	DIFR_P1_SimState_Input
{
	LABEL		[P1_SimState_Input];
	HELP		[P1_SimState_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"		},
		{	0x01,	"1"		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_NOT_0(DIFR_P1_SimOption);
}

VARIABLE	DIFR_P1_SimState_Data
{
	LABEL		[P1_SimState_Data];
	HELP		[P1_SimState_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x00,	[no_error]		},
		{	0x01,	[line_fault]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_NOT_0(DIFR_P1_SimOption);
}

VARIABLE	DIFR_P1_SimState_Area
{
	LABEL		[P1_SimState_Area];
	HELP		[P1_SimState_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"		},
		{	0x01,	"1"		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_NOT_0(DIFR_P1_SimOption);
}

VARIABLE	DIFR_P1_SimState_Direction
{
	LABEL		[P1_SimState_Direction];
	HELP		[P1_SimState_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
        {0x00,		[reverse]},
        {0x01,		[forward]} 
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_NOT_0(DIFR_P1_SimOption);
}

VARIABLE	DIFR_P1_SimState_Bit4_7
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER;
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DIFR_P1_SimOption
{
	LABEL		[P1_SimOption];
	HELP		[P1_SimOption_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x00,	[ohne_status]	},
		{	0x01,	[mit_status]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

/********** Ersatzwerte *****************/

VARIABLE	DIFR_P1_ImpErrVal
{
	LABEL		[P1_ImpErrVal];
	HELP		[P1_ImpErrVal_help];
	TYPE		UNSIGNED_INTEGER (4)
	{
		MIN_VALUE 0x0;
		MAX_VALUE 0xFFFFFFFF;
		DEFAULT_VALUE 0x0;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE	(DIFR_MODE_COUNT)
}

VARIABLE	DIFR_P1_FrqErrVal
{
	LABEL		[P1_FrqErrVal];
	HELP		[P1_FrqErrVal_help];
	TYPE		INTEGER (2)
	{
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale100_int_float	(DIFR_P1_FrqErrVal, Loc_DIFR_P1_FrqErrVal)
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE	(DIFR_MODE_FREQ)
}

VARIABLE	Loc_DIFR_P1_FrqErrVal
{
	LABEL		[P1_FrqErrVal];
	HELP		[P1_FrqErrVal_help];
	TYPE		FLOAT
		{
			MIN_VALUE -25.00;
			MAX_VALUE 125.00;
			DEFAULT_VALUE 0.00;
			DISPLAY_FORMAT ".2f";
		}
	CONSTANT_UNIT	[Percent];	
	CLASS			LOCAL;
	HANDLING		READ & WRITE;
	POST_EDIT_ACTIONS
	{
		method_rescale100_int_float (DIFR_P1_FrqErrVal, Loc_DIFR_P1_FrqErrVal)
	}
	VALIDITY		VALID_IF_TRUE	(DIFR_MODE_FREQ)
}

VARIABLE	DIFR_P1_ErrState_Input
{
	LABEL		[P1_ErrState_Input];
	HELP		[P1_ErrState_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"		},
		{	0x01,	"1"		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_NOT_0(DIFR_P1_ErrOption);
}

VARIABLE	DIFR_P1_ErrState_Data
{
	LABEL		[P1_ErrState_Data];
	HELP		[P1_ErrState_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x00,	[no_error]		},
		{	0x01,	[line_fault]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_NOT_0(DIFR_P1_ErrOption);
}

VARIABLE	DIFR_P1_ErrState_Area
{
	LABEL		[P1_ErrState_Area];
	HELP		[P1_ErrState_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"		},
		{	0x01,	"1"		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_NOT_0(DIFR_P1_ErrOption);
}

VARIABLE	DIFR_P1_ErrState_Direction
{
	LABEL		[P1_ErrState_Direction];
	HELP		[P1_ErrState_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
        {0x00,		[reverse]},
        {0x01,		[forward]} 
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_NOT_0(DIFR_P1_ErrOption);
}

VARIABLE	DIFR_P1_ErrState_Bit4_7
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER;
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DIFR_P1_ErrOption
{
	LABEL		[P1_ErrOption];
	HELP		[P1_ErrOption_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{	0x00,	[ohne_status]		},
		{	0x01,	[mit_status]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DIFR_P1_Map
{
	LABEL		[P1_Map];
	HELP		[P1_Map_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	DIFR_P1_DUMMY
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ASCII (10);
	CLASS		CONTAINED;
	HANDLING	READ;
}

/*******************************************************************************/
/*****	Variables Kanal1 Index2	***************************************************/
/*******************************************************************************/
DIFR_P1_Slot2	LIKE VARIABLE	P0_Slot0
{
}

DIFR_P1_Index2	LIKE VARIABLE	P0_Index0
{
	REDEFINE TYPE	UNSIGNED_INTEGER
			{
				DEFAULT_VALUE 2;
			}
}

VARIABLE	DIFR_P1_Mode
{
	LABEL		[P1_Mode];
	HELP		[P1_Mode_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 2;
		{ 0,	[frequenz]						},
		{ 1,	[frequenz_richtung]				},
		{ 2,	[zaehler_32bit]					},
		{ 3,	[zaehler_32bit_richtung]		},
		{ 4,	[zaehler_12bit]					},
		{ 5,	[zaehler_12bit_richtung]		},
		{ 8,	[frequenz_zaehler]				},
		{ 9,	[frequenz_zaehler_richtung]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DIFR_P1_Option_Leitung
{
	LABEL		[P1_Option_Leitung];
	HELP		[P1_Option_Leitung_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 1;
		{ 0,	[no]		},
		{ 1,	[yes]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

/********** Skalierung *****************/

VARIABLE	DIFR_P1_FrqScalMb
{
	LABEL		[P1_ScalMb];
	HELP		[P1_ScalMb_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
//		DEFAULT_VALUE 10000;
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(DIFR_P1_FrqScalMb, DIFR_P1_FrqScalMe)
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE	(DIFR_MODE_FREQ)
}

VARIABLE	DIFR_P1_FrqScalMe
{
	LABEL		[P1_ScalMe];
	HELP		[P1_ScalMe_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 50000;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(DIFR_P1_FrqScalMb, DIFR_P1_FrqScalMe)
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE	(DIFR_MODE_FREQ)
}

VARIABLE	DIFR_P1_FrqScalOption
{
	LABEL		[P1_ScalOption];
	HELP		[P1_ScalOption_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{	0x00,	[ohne_status]		},
		{	0x01,	[mit_status]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE	(DIFR_MODE_FREQ)
}

VARIABLE	DIFR_P1_FrqLimLow
{
	LABEL		[P1_FrqLimLow];
	HELP		[P1_FrqLimLow_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(DIFR_P1_FrqLimLow, DIFR_P1_FrqLimHigh)
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE	(DIFR_MODE_FREQ)
}

VARIABLE	DIFR_P1_FrqLimHigh
{
	LABEL		[P1_FrqLimHigh];
	HELP		[P1_FrqLimHigh_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 65535;
		DEFAULT_VALUE 60000;
	}
	CLASS		CONTAINED;
	POST_EDIT_ACTIONS
	{
		method_check_MbMe_int(DIFR_P1_FrqLimLow, DIFR_P1_FrqLimHigh)
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE	(DIFR_MODE_FREQ)
}

VARIABLE	DIFR_P1_FrqFilter
{
	LABEL		[P1_Filter];
	HELP		[P1_Filter_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 1000;
		DEFAULT_VALUE 0;
	}	
	CONSTANT_UNIT	[Percent_Second];
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE	(DIFR_MODE_FREQ)
}

/********** Erweitert *****************/

VARIABLE	DIFR_P1_FrqMb
{
	LABEL		[P1_FrqMb];
	HELP		[P1_FrqMb_help];
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale1000_int_float	(DIFR_P1_FrqMb, Loc_DIFR_P1_FrqMb)
	}
	HANDLING	READ & WRITE;
}

VARIABLE	Loc_DIFR_P1_FrqMb
{
	LABEL		[P1_FrqMb];
	HELP		[P1_FrqMb_help];
	TYPE		FLOAT
	{
		MIN_VALUE 0.000;
		MAX_VALUE 15000.000;
		DEFAULT_VALUE 0.000;
		DISPLAY_FORMAT ".3f";
	}	
	CONSTANT_UNIT	[Hz];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale1000_int_float (DIFR_P1_FrqMb, Loc_DIFR_P1_FrqMb)
		method_check_MbMe_float(Loc_DIFR_P1_FrqMb, Loc_DIFR_P1_FrqMe)
	}
	HANDLING		READ & WRITE;
	VALIDITY	VALID_IF_TRUE	(DIFR_MODE_FREQ)
}

VARIABLE	DIFR_P1_FrqMe
{
	LABEL		[P1_FrqMe];
	HELP		[P1_FrqMe_help];
	TYPE		UNSIGNED_INTEGER (4)
	{
		DEFAULT_VALUE 10000000;
	}
	CLASS		CONTAINED;
	POST_READ_ACTIONS
	{
		method_scale1000_int_float	(DIFR_P1_FrqMe, Loc_DIFR_P1_FrqMe)
	}
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE	(DIFR_MODE_FREQ)
}

VARIABLE	Loc_DIFR_P1_FrqMe
{
	LABEL		[P1_FrqMe];
	HELP		[P1_FrqMe_help];
	TYPE		FLOAT
	{
		MIN_VALUE 0.000;
		MAX_VALUE 15000.000;
		DEFAULT_VALUE 10000.000;
		DISPLAY_FORMAT ".3f";
	}	
	CONSTANT_UNIT	[Hz];
	CLASS			LOCAL;
	POST_EDIT_ACTIONS
	{
		method_rescale1000_int_float (DIFR_P1_FrqMe, Loc_DIFR_P1_FrqMe)
		method_check_MbMe_float(Loc_DIFR_P1_FrqMb, Loc_DIFR_P1_FrqMe)
	}
	HANDLING		READ & WRITE;
	VALIDITY	VALID_IF_TRUE	(DIFR_MODE_FREQ)
}

VARIABLE	DIFR_P1_FrqPt1
{
	LABEL		[P1_FrqPt1];
	HELP		[P1_FrqPt1_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{ 1,	[off]				},
		{ 2,	[filter_aktiv1] 	},
		{ 3,	[filter_aktiv2] 	},
		{ 4,	[filter_aktiv3] 	},
		{ 5,	[filter_aktiv4]		}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE	(DIFR_MODE_FREQ)
}

VARIABLE	DIFR_P1_Val
{
	LABEL		[P1_Val];
	HELP		[P1_Val_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 3;
		{ 0,	"0"				},
		{ 1,	"0%" 			},
		{ 2,	"100%" 			},
		{ 3,	[letzten_wert1]	}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DIFR_P1_Tim
{
	LABEL		[P1_Tim];
	HELP		[P1_Tim_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 1;
		MAX_VALUE 250;
		DEFAULT_VALUE 10;
	}
	CONSTANT_UNIT	[cycles];
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE (DIFR_P1_Option_Leitung == 1)
}

VARIABLE	DIFR_P1_ImpVt
{
	LABEL		[P1_ImpVt];
	HELP		[P1_ImpVt_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 1;
		MAX_VALUE 65535;
		DEFAULT_VALUE 1;
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
	VALIDITY	VALID_IF_TRUE	(DIFR_MODE_PURE_COUNT)
}

VARIABLE	DIFR_P1_DUMMY2
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ASCII (32);
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	DIFR_P1_Richtung
{
	LABEL		[P1_Richtung];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{ 0,	"0"	},
		{ 1,	"1"	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DIFR_P1_Zustand
{
	LABEL		[P1_Zustand];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{ 0,	"0"	},
		{ 1,	"1"	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

/*******************************************************************************/
/*****	COMMAND				*****************************************************/
/*******************************************************************************/

#define DOWNLOAD_DIFR					\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
			P0_Revision,				\
			P0_Size,					\
			P0_CfgMode,					\
			DIFR_P1_Slot1,				\
			DIFR_P1_Index1,				\
			DIFR_P1_Tag,				\
			DIFR_P1_State,				\
			DIFR_P1_ErrMode,			\
			DIFR_P1_ImpSimVal,			\
			DIFR_P1_FrqSimVal,			\
			DIFR_P1_SimState_Input,		\
			DIFR_P1_SimState_Data,		\
			DIFR_P1_SimState_Area,		\
			DIFR_P1_SimState_Direction,	\
			DIFR_P1_SimOption,			\
			DIFR_P1_ImpErrVal,			\
			DIFR_P1_ErrState_Input,		\
			DIFR_P1_ErrState_Data,		\
			DIFR_P1_ErrState_Area,		\
			DIFR_P1_ErrState_Direction,	\
			DIFR_P1_ErrOption,			\
			DIFR_P1_Slot2,				\
			DIFR_P1_Index2,				\
			DIFR_P1_Mode,				\
			DIFR_P1_Option_Leitung,		\
			DIFR_P1_FrqScalMb,			\
			DIFR_P1_FrqScalMe,			\
			DIFR_P1_FrqScalOption,		\
			DIFR_P1_FrqLimLow,			\
			DIFR_P1_FrqLimHigh, 		\
			DIFR_P1_FrqFilter,			\
			DIFR_P1_FrqMb,				\
			DIFR_P1_FrqMe,				\
			DIFR_P1_FrqPt1,				\
			DIFR_P1_Val,				\
			DIFR_P1_Tim,				\
			DIFR_P1_ImpVt

#define UPLOAD_DIFR					\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
			P0_Size,					\
			P0_CfgMode,					\
			DIFR_P1_Slot1,				\
			DIFR_P1_Index1,				\
			DIFR_P1_Tag,				\
			DIFR_P1_State,				\
			DIFR_P1_ErrMode,			\
			DIFR_P1_ImpSimVal,			\
			DIFR_P1_FrqSimVal,			\
			DIFR_P1_SimState_Input,		\
			DIFR_P1_SimState_Data,		\
			DIFR_P1_SimState_Area,		\
			DIFR_P1_SimState_Direction,	\
			DIFR_P1_SimOption,			\
			DIFR_P1_ImpErrVal,			\
			DIFR_P1_ErrState_Input,		\
			DIFR_P1_ErrState_Data,		\
			DIFR_P1_ErrState_Area,		\
			DIFR_P1_ErrState_Direction,	\
			DIFR_P1_ErrOption,			\
			DIFR_P1_Slot2,				\
			DIFR_P1_Index2,				\
			DIFR_P1_Mode,				\
			DIFR_P1_Option_Leitung,		\
			DIFR_P1_FrqScalMb,			\
			DIFR_P1_FrqScalMe,			\
			DIFR_P1_FrqScalOption,		\
			DIFR_P1_FrqLimLow,			\
			DIFR_P1_FrqLimHigh, 		\
			DIFR_P1_FrqFilter,			\
			DIFR_P1_FrqMb,				\
			DIFR_P1_FrqMe,				\
			DIFR_P1_FrqPt1,				\
			DIFR_P1_Val,				\
			DIFR_P1_Tim,				\
			DIFR_P1_ImpVt

COMMAND read_DIFR_index1
{
	SLOT		Loc_P0_Slot0;
	INDEX		1;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DIFR_P1_Slot1,
			DIFR_P1_Index1,
			DIFR_P1_Tag,
			DIFR_P1_State,
			DIFR_P1_ErrMode,
			DIFR_P1_ImpSimVal,
			DIFR_P1_FrqSimVal,
			DIFR_P1_SimState_Bit4_7			<0xF0>,
			DIFR_P1_SimState_Direction		<0x08>,
			DIFR_P1_SimState_Area			<0x04>,
			DIFR_P1_SimState_Data			<0x02>,
			DIFR_P1_SimState_Input			<0x01>,
			Bit1_7							<0xFE>,
			DIFR_P1_SimOption				<0x01>,
			DIFR_P1_ImpErrVal,
			DIFR_P1_FrqErrVal,
			DIFR_P1_ErrState_Bit4_7			<0xF0>,
			DIFR_P1_ErrState_Direction		<0x08>,
			DIFR_P1_ErrState_Area			<0x04>,
			DIFR_P1_ErrState_Data			<0x02>,
			DIFR_P1_ErrState_Input			<0x01>,
			Bit1_7							<0xFE>,
			DIFR_P1_ErrOption				<0x01>,
			0, 0, 0, 0, 0, 0, 0, 0,								// 10 Byte
			0, 0, 0, 0											// 
		}
	}
}

COMMAND write_DIFR_index1
{
	SLOT		Loc_P0_Slot0;
	INDEX		1;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DIFR_P1_Slot1,
			DIFR_P1_Index1,
			DIFR_P1_Tag,
			DIFR_P1_State,
			DIFR_P1_ErrMode,
			DIFR_P1_ImpSimVal,
			DIFR_P1_FrqSimVal,
			DIFR_P1_SimState_Bit4_7			<0xF0>,
			DIFR_P1_SimState_Direction		<0x08>,
			DIFR_P1_SimState_Area			<0x04>,
			DIFR_P1_SimState_Data			<0x02>,
			DIFR_P1_SimState_Input			<0x01>,
			Bit1_7							<0xFE>,
			DIFR_P1_SimOption				<0x01>,
			DIFR_P1_ImpErrVal,
			DIFR_P1_FrqErrVal,
			DIFR_P1_ErrState_Bit4_7			<0xF0>,
			DIFR_P1_ErrState_Direction		<0x08>,
			DIFR_P1_ErrState_Area			<0x04>,
			DIFR_P1_ErrState_Data			<0x02>,
			DIFR_P1_ErrState_Input			<0x01>,
			Bit1_7							<0xFE>,
			DIFR_P1_ErrOption				<0x01>,
			0, 0, 0, 0, 0, 0, 0, 0,								// 10 Byte
			0, 0, 0, 0											// 
		}
		REPLY
		{
		}
	}
}

COMMAND read_DIFR_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			DIFR_P1_Slot2,
			DIFR_P1_Index2,
			DIFR_P1_Mode,
			Bit1_15							<0xFFFE>,
			DIFR_P1_Option_Leitung			<0x0001>,
			DIFR_P1_FrqScalMb,
			DIFR_P1_FrqScalMe,
			Bit1_15							<0xFFFE>,
			DIFR_P1_FrqScalOption			<0x0001>,
			DIFR_P1_FrqLimLow,
			DIFR_P1_FrqLimHigh,
			DIFR_P1_FrqFilter,
			DIFR_P1_FrqMb,
			DIFR_P1_FrqMe,
			DIFR_P1_FrqPt1,
			DIFR_P1_Val,
			DIFR_P1_Tim,
			DIFR_P1_ImpVt,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,		// DIFR_P1_DUMMY2   
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0		
		}
	}
}

COMMAND write_DIFR_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			DIFR_P1_Slot2,
			DIFR_P1_Index2,
			DIFR_P1_Mode,
			Bit1_15							<0xFFFE>,
			DIFR_P1_Option_Leitung			<0x0001>,
			DIFR_P1_FrqScalMb,
			DIFR_P1_FrqScalMe,
			Bit1_15							<0xFFFE>,
			DIFR_P1_FrqScalOption			<0x0001>,
			DIFR_P1_FrqLimLow,
			DIFR_P1_FrqLimHigh,
			DIFR_P1_FrqFilter,
			DIFR_P1_FrqMb,
			DIFR_P1_FrqMe,
			DIFR_P1_FrqPt1,
			DIFR_P1_Val,
			DIFR_P1_Tim,
			DIFR_P1_ImpVt,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,		// DIFR_P1_DUMMY2   
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0		
		}
		REPLY
		{
		}
	}
}


/*******************************************************************************/
/*****	Table: Specialist  *****************************************************/
/*******************************************************************************/

MENU Tab_s_DIFR_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_DIFR_ident_k1,
		Tab_s_DIFR_input_k1
	}
}

MENU Tab_s_DIFR_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DIFR_P1_Tag
	}
}

MENU Tab_s_DIFR_input_k1
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DIFR_P1_State,
		DIFR_P1_ErrMode,
		DIFR_P1_FrqPt1,
		DIFR_P1_FrqFilter					(READ_ONLY),
		DIFR_P1_FrqLimLow					(READ_ONLY),
		DIFR_P1_FrqLimHigh					(READ_ONLY),
		Tab_s_DIFR_input_simulation,
		Tab_s_DIFR_input_ersatzwert,
		Tab_s_DIFR_input_skal,
		Tab_s_DIFR_input_lfd,
		Tab_s_DIFR_input_messumformer
	}
}

MENU Tab_s_DIFR_input_simulation
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DIFR_P1_ImpSimVal,
		Loc_DIFR_P1_FrqSimVal
		IF (DIFR_MODE_COUNT_32BIT)	
		{
			DIFR_P1_SimOption				(READ_ONLY),
			DIFR_P1_SimState_Input			(READ_ONLY),	
			DIFR_P1_SimState_Data			(READ_ONLY),
			DIFR_P1_SimState_Direction		(READ_ONLY)
		}
		ELSE
		{
			DIFR_P1_SimOption,
			DIFR_P1_SimState_Input,	
			DIFR_P1_SimState_Data,
			DIFR_P1_SimState_Direction
		}
	}
	VALIDITY	VALID_IF_TRUE (DIFR_P1_State == 1)
}

MENU Tab_s_DIFR_input_ersatzwert
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
//		DIFR_P1_ImpErrVal						(READ_ONLY),		//26.06.2006 fbi
//		Loc_DIFR_P1_FrqErrVal					(READ_ONLY),		//26.06.2006 fbi
		DIFR_P1_ImpErrVal, //					(READ_ONLY),		//26.06.2006 fbi
		Loc_DIFR_P1_FrqErrVal, //               (READ_ONLY),		//26.06.2006 fbi
		DIFR_P1_Val,						
		DIFR_P1_ErrOption					(READ_ONLY),
		DIFR_P1_ErrState_Input				(READ_ONLY),
		DIFR_P1_ErrState_Data				(READ_ONLY),
		DIFR_P1_ErrState_Direction			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DIFR_P1_ErrMode == 1)
}

MENU Tab_s_DIFR_input_skal
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		DIFR_P1_FrqScalOption				(READ_ONLY),
		DIFR_P1_FrqScalMb,
		DIFR_P1_FrqScalMe
	}
}

MENU Tab_s_DIFR_input_lfd
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		DIFR_P1_Option_Leitung,
		DIFR_P1_Tim
	}
}

MENU Tab_s_DIFR_input_messumformer
{
	LABEL		[messumformer];
	ACCESS		OFFLINE;
	ITEMS
	{
		DIFR_P1_Mode,
		Loc_DIFR_P1_FrqMb,
		Loc_DIFR_P1_FrqMe,
		DIFR_P1_ImpVt
	}
}


/*******************************************************************************/
/*****	Table: Maintenance  *****************************************************/
/*******************************************************************************/

MENU Tab_m_DIFR_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_DIFR_ident_k1,
		Tab_m_DIFR_input_k1
	}
}

MENU Tab_m_DIFR_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		DIFR_P1_Tag
	}
}

MENU Tab_m_DIFR_input_k1
{
	LABEL		[menu_input];
	ACCESS		OFFLINE;
	ITEMS
	{
		DIFR_P1_State						(READ_ONLY),
		DIFR_P1_ErrMode						(READ_ONLY),
		DIFR_P1_FrqPt1						(READ_ONLY),
		DIFR_P1_FrqFilter					(READ_ONLY),
		DIFR_P1_FrqLimLow					(READ_ONLY),
		DIFR_P1_FrqLimHigh					(READ_ONLY),
		Tab_m_DIFR_input_simulation,
		Tab_m_DIFR_input_ersatzwert,
		Tab_m_DIFR_input_skal,
		Tab_m_DIFR_input_lfd,
		Tab_m_DIFR_input_messumformer
	}
}

MENU Tab_m_DIFR_input_simulation
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		DIFR_P1_ImpSimVal					(READ_ONLY),
		Loc_DIFR_P1_FrqSimVal				(READ_ONLY),
		DIFR_P1_SimOption					(READ_ONLY),
		DIFR_P1_SimState_Input				(READ_ONLY),
		DIFR_P1_SimState_Data				(READ_ONLY),
		DIFR_P1_SimState_Direction			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DIFR_P1_State == 1)
}

MENU Tab_m_DIFR_input_ersatzwert
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		DIFR_P1_ImpErrVal					(READ_ONLY),
		Loc_DIFR_P1_FrqErrVal				(READ_ONLY),
		DIFR_P1_Val							(READ_ONLY),
		DIFR_P1_ErrOption					(READ_ONLY),
		DIFR_P1_ErrState_Input				(READ_ONLY),
		DIFR_P1_ErrState_Data				(READ_ONLY),
		DIFR_P1_ErrState_Direction			(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (DIFR_P1_ErrMode == 1)
}

MENU Tab_m_DIFR_input_skal
{
	LABEL		[skalierung_in_bit_0_65535];
	ACCESS		OFFLINE;
	ITEMS
	{
		DIFR_P1_FrqScalOption			(READ_ONLY),
		DIFR_P1_FrqScalMb				(READ_ONLY),
		DIFR_P1_FrqScalMe				(READ_ONLY)
	}
}

MENU Tab_m_DIFR_input_lfd
{
	LABEL		[leitungsueberwachung];
	ACCESS		OFFLINE;
	ITEMS
	{
		DIFR_P1_Option_Leitung			(READ_ONLY),
		DIFR_P1_Tim						(READ_ONLY)
	}
}

MENU Tab_m_DIFR_input_messumformer
{
	LABEL		[messumformer];
	ACCESS		OFFLINE;
	ITEMS
	{
		DIFR_P1_Mode					(READ_ONLY),
		Loc_DIFR_P1_FrqMb				(READ_ONLY),
		Loc_DIFR_P1_FrqMe				(READ_ONLY),
		DIFR_P1_ImpVt					(READ_ONLY)
	}
}


METHOD method_set_zaehler_0
{
    LABEL       [rueck_counter];       
    ACCESS      OFFLINE;
    DEFINITION
    { 
        int slot;
		int result;

        slot = ivar_value(Loc_P0_Slot0);    

        iassign(P0_Slot0, slot);
        iassign(DIFR_P1_Slot1, slot);
        iassign(DIFR_P1_Slot2, slot); 

		const_slot = slot;

		result = SELECT_FROM_LIST([rueck_counter],"Reset counter from slot?;Reset all counter?|de|Nur Zhler vom eigenem Slot rcksetzen?;Alle Zhler rcksetzen?");
//fbi	2017-09-12		result = SELECT_FROM_LIST([rueck_counter],[yes_no_puf]);
//		result = SELECT_FROM_LIST([rueck_counter],[yes_no]);
		if (result == 0)
		{
			WriteCommand(reset_counter);
		}
		else
		{
			WriteCommand(reset_counter_all);
		}
    }
}
