/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved  */
/*    Product:          SIMATIC PDM                         */
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      Binrausgang 2 Ventile	            */
/*                      Binreingang 2 Ventile              */
/*                      LB6016, 6116, 6017, 6117/FB6216, 6217	*/
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.19  $                                    */
/*  $Date:   16 Mar 2000 13:41:26  $                        */
/*----------------------------------------------------------*/


/*******************************************************************************/
/*****  Variables Kanal1    ****************************************************/
/*******************************************************************************/

DO06_P1_Slot1   LIKE VARIABLE   P0_Slot0
{
}

DO06_P1_Index1  LIKE VARIABLE   P0_Index0
{
    REDEFINE TYPE   UNSIGNED_INTEGER
    {
            DEFAULT_VALUE 1;
    }
}

DO06_P1_Tag     LIKE VARIABLE   P0_Tag
{
    REDEFINE HELP   [P1_Tag_help];
}

VARIABLE    DO06_P1_State
{
    LABEL       [P1_State];
    HELP        [P1_State_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        { 0,    [automatic]     },
        { 1,    [simulation]    }

    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P1_ErrMode
{
    LABEL       [P1_ErrMode];
    HELP        [P1_ErrMode_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        { 0,    [aktuellen_wert]    },
        { 1,    [ersatzwert]        },
        { 2,    [letzten_wert]      }

    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P1_SimVal_Data
{
    LABEL       [P1_SimVal];
    HELP        [P1_SimVal_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        {   0x00,   "0" },
        {   0x01,   "1" }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P1_SimVal_State
{
    LABEL       [P1_SimVal_State];
    HELP        [P1_SimVal_State_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 1;
        {   0x00,   [no_error]      },
        {   0x01,   [line_fault]    }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P1_SimVal_Bit2_7
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER;
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P1_ErrVal_Data
{
    LABEL       [P1_ErrVal];
    HELP        [P1_ErrVal_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        {   0x00,   "0" },
        {   0x01,   "1" }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P1_ErrVal_State
{
    LABEL       [P1_ErrVal_State];
    HELP        [P1_ErrVal_State1_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;                //dr. maug
        {   0x00,   [no_error]      },
        {   0x01,   [line_fault]    }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P1_ErrVal_Bit2_7
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER;
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P1_Option_Invert
{
    LABEL       [P1_Option_Invert];
    HELP        [P1_Option_Invert_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0x0000, [inv_normal]    },
        {   0x0001, [inv_invers]    }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P1_Option_Leitung
{
    LABEL       [P1_Option_Leitung];
    HELP        [P1_Option_Leitung_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 1;
        { 0,    [no]        },
        { 1,    [yes]       }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P1_Option_LFD
{
    LABEL       [P1_Option_LFD];
    HELP        [P1_Option_LFD_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 1;
        { 0,    [Test_Impuls_0]        },
        { 1,    [Test_Impuls_1]       }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P1_Option_LFD_mode
{
    LABEL       [P1_Option_LFD_mode];
    HELP        [P1_Option_LFD_mode_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 1;
        { 0,    [Test_Impuls_0]        },
        { 1,    [Test_Impuls_1]       }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE	DO06_P1_Option_Bit3_14
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER(2);
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DO06_P1_Option_Kanal
{
	LABEL		[P1_Option_Kanal];
	HELP		[P1_Option_Kanal_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{ 0,	[kanal_aktiv]		},
		{ 1,	[kanal_inaktiv]		}
	}
	CLASS		CONTAINED;
//	HANDLING	READ & WRITE;
	HANDLING	READ;
}

VARIABLE    DO06_P1_OnDelay
{
    LABEL       [P1_OnDelay];
    HELP        [P1_OnDelay_help];
    TYPE        UNSIGNED_INTEGER (2)
    {
        MIN_VALUE 0;
        MAX_VALUE 60000;
        DEFAULT_VALUE 10;
    }
    CONSTANT_UNIT   [msec];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P1_OffDelay
{
    LABEL       [P1_OffDelay];
    HELP        [P1_OffDelay_help];
    TYPE        UNSIGNED_INTEGER (2)
    {
        MIN_VALUE 0;
        MAX_VALUE 60000;
        DEFAULT_VALUE 10;
    }
    CONSTANT_UNIT   [msec];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P1_TestImp
{
    LABEL       [P1_TestImp];
    HELP        [P1_TestImp_help];
    TYPE        UNSIGNED_INTEGER (1)
    {
        MIN_VALUE 0;
        MAX_VALUE 5;
        DEFAULT_VALUE 5;
    }
    CONSTANT_UNIT   [msec];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P1_TestImp_Intervall
{
    LABEL       [P1_TestImp_Intervall];
    HELP        [P1_TestImp_Intervall_help];
    TYPE        UNSIGNED_INTEGER (1)
    {
        MIN_VALUE 0;
        MAX_VALUE 25;
        DEFAULT_VALUE 25;
    }
    CONSTANT_UNIT   [unit_100_msec];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P1_Valve_on_Voltage
{
    LABEL       [P1_Valve_on_Voltage];
    HELP        [P1_Valve_on_Voltage_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 23000,	[enum_6x16_23_0V]		},
		{ 16500,	[enum_6x17_16_5V]		}
	}
    CONSTANT_UNIT   [mV];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P1_Valve_on_Current
{
    LABEL       [P1_Valve_on_Current];
    HELP        [P1_Valve_on_Current_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 4000,	[enum_6x16_40mA]		},
		{ 5000,	[enum_6x17_50_mA]	}
	}
    CONSTANT_UNIT   [unit_10mikroA];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P1_Valve_off_Voltage
{
    LABEL       [P1_Valve_off_Voltage];
    HELP        [P1_Valve_off_Voltage_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 5000,	[enum_6x1x_5V]		}
	}
    CONSTANT_UNIT   [mV];
    CLASS       CONTAINED;
    DEFAULT_VALUE 5000;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P1_Valve_off_Current
{
    LABEL       [P1_Valve_off_Current];
    HELP        [P1_Valve_off_Current_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 200,	[enum_6x1x_2mA]		}
	}
    CONSTANT_UNIT   [unit_10mikroA];
    CLASS       CONTAINED;
    DEFAULT_VALUE 200;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P1_low_limit_R 
{
    LABEL       [P1_low_limit_R];
    HELP        [P1_low_limit_R_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 30,	[Standard_30_Ohm]		}
	}
    CONSTANT_UNIT   [Ohm];
    CLASS       CONTAINED;
    DEFAULT_VALUE 30;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P1_high_limit_R  
{
    LABEL       [P1_high_limit_R];
    HELP        [P1_high_limit_R_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 15000,	[Standard_15_kOhm]		}
	}
    CONSTANT_UNIT   [Ohm];
    CLASS       CONTAINED;
    DEFAULT_VALUE 15000;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P1_low_limit_R_hyst 
{
    LABEL       [P1_low_limit_R_hyst];
    HELP        [P1_low_limit_R_hyst_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 10,	[Standard_10_Ohm]		}
	}
    CONSTANT_UNIT   [Ohm];
    CLASS       CONTAINED;
    DEFAULT_VALUE 10;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P1_high_limit_R_hyst  
{
    LABEL       [P1_high_limit_R_hyst];
    HELP        [P1_high_limit_R_hyst_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 1000,	[Standard_1_kOhm]		}
	}
    CONSTANT_UNIT   [Ohm];
    CLASS       CONTAINED;
    DEFAULT_VALUE 1000;
    HANDLING    READ & WRITE;
}

/*******************************************************************************/
/*****  Variables Kanal2    ****************************************************/
/*******************************************************************************/

DO06_P2_Slot1   LIKE VARIABLE   P0_Slot0
{
}

DO06_P2_Index1  LIKE VARIABLE   P0_Index0
{
    REDEFINE TYPE   UNSIGNED_INTEGER
    {
            DEFAULT_VALUE 2;
    }
}

DO06_P2_Tag     LIKE VARIABLE   P0_Tag
{
    REDEFINE HELP   [P1_Tag_help];
}

VARIABLE    DO06_P2_State
{
    LABEL       [P1_State];
    HELP        [P1_State_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        { 0,    [automatic]     },
        { 1,    [simulation]    }

    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P2_ErrMode
{
    LABEL       [P1_ErrMode];
    HELP        [P1_ErrMode_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        { 0,    [aktuellen_wert]    },
        { 1,    [ersatzwert]        },
        { 2,    [letzten_wert]      }

    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P2_SimVal_Data
{
    LABEL       [P1_SimVal];
    HELP        [P1_SimVal_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        {   0x00,   "0" },
        {   0x01,   "1" }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P2_SimVal_State
{
    LABEL       [P1_SimVal_State];
    HELP        [P1_SimVal_State_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 1;
        {   0x00,   [no_error]      },
        {   0x01,   [line_fault]    }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P2_SimVal_Bit2_7
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER;
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P2_ErrVal_Data
{
    LABEL       [P1_ErrVal];
    HELP        [P1_ErrVal_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;
        {   0x00,   "0" },
        {   0x01,   "1" }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P2_ErrVal_State
{
    LABEL       [P1_ErrVal_State];
    HELP        [P1_ErrVal_State1_help];
    TYPE        ENUMERATED (1)
    {
        DEFAULT_VALUE 0;                //dr. maug
        {   0x00,   [no_error]      },
        {   0x01,   [line_fault]    }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P2_ErrVal_Bit2_7
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        UNSIGNED_INTEGER;
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P2_Option_Invert
{
    LABEL       [P1_Option_Invert];
    HELP        [P1_Option_Invert_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 0;
        {   0x0000, [inv_normal]    },
        {   0x0001, [inv_invers]    }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P2_Option_Leitung
{
    LABEL       [P1_Option_Leitung];
    HELP        [P1_Option_Leitung_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 1;
        { 0,    [no]        },
        { 1,    [yes]       }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P2_Option_LFD
{
    LABEL       [P1_Option_LFD];
    HELP        [P1_Option_LFD_help];
    TYPE        ENUMERATED (2)
    {
        DEFAULT_VALUE 1;
        { 0,    [Test_Impuls_0]        },
        { 1,    [Test_Impuls_1]       }
    }
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE	DO06_P2_Option_Bit3_14
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER(2);
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	DO06_P2_Option_Kanal
{
	LABEL		[P1_Option_Kanal];
	HELP		[P1_Option_Kanal_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{ 0,	[kanal_aktiv]		},
		{ 1,	[kanal_inaktiv]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
//	HANDLING	READ;
}

VARIABLE    DO06_P2_OnDelay
{
    LABEL       [P1_OnDelay];
    HELP        [P1_OnDelay_help];
    TYPE        UNSIGNED_INTEGER (2)
    {
        MIN_VALUE 0;
        MAX_VALUE 60000;
        DEFAULT_VALUE 10;
    }
    CONSTANT_UNIT   [msec];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P2_OffDelay
{
    LABEL       [P1_OffDelay];
    HELP        [P1_OffDelay_help];
    TYPE        UNSIGNED_INTEGER (2)
    {
        MIN_VALUE 0;
        MAX_VALUE 60000;
        DEFAULT_VALUE 10;
    }
    CONSTANT_UNIT   [msec];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P2_TestImp
{
    LABEL       [P1_TestImp];
    HELP        [P1_TestImp_help];
    TYPE        UNSIGNED_INTEGER (1)
    {
        MIN_VALUE 0;
        MAX_VALUE 5;
        DEFAULT_VALUE 5;
    }
    CONSTANT_UNIT   [msec];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P2_TestImp_Intervall
{
    LABEL       [P1_TestImp_Intervall];
    HELP        [P1_TestImp_Intervall_help];
    TYPE        UNSIGNED_INTEGER (1)
    {
        MIN_VALUE 0;
        MAX_VALUE 25;
        DEFAULT_VALUE 25;
    }
    CONSTANT_UNIT   [unit_100_msec];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P2_Valve_on_Voltage
{
    LABEL       [P1_Valve_on_Voltage];
    HELP        [P1_Valve_on_Voltage_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 23000,	[enum_6x16_23_0V]		},
		{ 16500,	[enum_6x17_16_5V]		}
	}
    CONSTANT_UNIT   [mV];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P2_Valve_on_Current
{
    LABEL       [P1_Valve_on_Current];
    HELP        [P1_Valve_on_Current_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 4000,	[enum_6x16_40mA]		},
		{ 5000,	[enum_6x17_50_mA]	}
	}
    CONSTANT_UNIT   [unit_10mikroA];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P2_Valve_off_Voltage
{
    LABEL       [P1_Valve_off_Voltage];
    HELP        [P1_Valve_off_Voltage_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 5000,	[enum_6x1x_5V]		}
	}
    CONSTANT_UNIT   [mV];
    CLASS       CONTAINED;
    DEFAULT_VALUE 5000;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P2_Valve_off_Current
{
    LABEL       [P1_Valve_off_Current];
    HELP        [P1_Valve_off_Current_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 200,	[enum_6x1x_2mA]		}
	}
    CONSTANT_UNIT   [unit_10mikroA];
    CLASS       CONTAINED;
    DEFAULT_VALUE 200;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P2_low_limit_R 
{
    LABEL       [P1_low_limit_R];
    HELP        [P1_low_limit_R_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 30,	[Standard_30_Ohm]		}
	}
    CONSTANT_UNIT   [Ohm];
    CLASS       CONTAINED;
    DEFAULT_VALUE 30;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P2_high_limit_R  
{
    LABEL       [P1_high_limit_R];
    HELP        [P1_high_limit_R_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 15000,	[Standard_15_kOhm]		}
	}
    CONSTANT_UNIT   [Ohm];
    CLASS       CONTAINED;
    DEFAULT_VALUE 15000;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P2_low_limit_R_hyst 
{
    LABEL       [P1_low_limit_R_hyst];
    HELP        [P1_low_limit_R_hyst_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 10,	[Standard_10_Ohm]		}
	}
    CONSTANT_UNIT   [Ohm];
    CLASS       CONTAINED;
    DEFAULT_VALUE 10;
    HANDLING    READ & WRITE;
}

VARIABLE    DO06_P2_high_limit_R_hyst  
{
    LABEL       [P1_high_limit_R_hyst];
    HELP        [P1_high_limit_R_hyst_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		{ 1000,	[Standard_1_kOhm]		}
	}
    CONSTANT_UNIT   [Ohm];
    CLASS       CONTAINED;
    DEFAULT_VALUE 1000;
    HANDLING    READ & WRITE;
}


/*******************************************************************************/
/*****  COMMAND             *****************************************************/
/*******************************************************************************/
//read
#define DOWNLOAD_DO06                   \
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option					\
			P0_Option_buendel			\
			P0_Revision,				\
			P0_Size,					\
			P0_CfgMode,					\
			DO06_P1_Slot1,              \
            DO06_P1_Index1,             \
            DO06_P1_Tag,                \
            DO06_P1_State,              \
            DO06_P1_ErrMode,            \
            DO06_P1_SimVal_Data,        \
            DO06_P1_ErrVal_Data,        \
            DO06_P1_Option_Leitung,     \
            DO06_P1_Option_Kanal,	    \
			DO06_P1_Option_LFD,		\
            DO06_P1_Option_Invert,      \
            DO06_P1_OnDelay,            \
            DO06_P1_OffDelay,           \
            DO06_P1_TestImp,            \
			DO06_P1_TestImp_Intervall,		\
			DO06_P1_Valve_on_Voltage,			\
			DO06_P1_Valve_on_Current,			\
			DO06_P1_Valve_off_Voltage,		\
			DO06_P1_Valve_off_Current,		\
			DO06_P1_low_limit_R,				\
			DO06_P1_high_limit_R,				\
			DO06_P1_low_limit_R_hyst,			\
			DO06_P1_high_limit_R_hyst,	\
			DO06_P2_Slot1,              \
            DO06_P2_Index1,             \
            DO06_P2_Tag,                \
            DO06_P2_State,              \
            DO06_P2_ErrMode,            \
            DO06_P2_SimVal_Data,        \
            DO06_P2_ErrVal_Data,        \
            DO06_P2_Option_Leitung,     \
            DO06_P2_Option_Kanal,	    \
			DO06_P2_Option_LFD,		\
            DO06_P2_Option_Invert,      \
            DO06_P2_OnDelay,            \
            DO06_P2_OffDelay,           \
            DO06_P2_TestImp,            \
			DO06_P2_TestImp_Intervall,		\
			DO06_P2_Valve_on_Voltage,			\
			DO06_P2_Valve_on_Current,			\
			DO06_P2_Valve_off_Voltage,		\
			DO06_P2_Valve_off_Current,		\
			DO06_P2_low_limit_R,				\
			DO06_P2_high_limit_R,				\
			DO06_P2_low_limit_R_hyst,			\
			DO06_P2_high_limit_R_hyst

//write
#define UPLOAD_DO06                   \
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
            P0_Channel,                 \
            P0_Sector,                  \
			P0_Option					\
			P0_Option_buendel			\
            P0_Option,                  \
			P0_Size,					\
			P0_CfgMode,					\
			DO06_P1_Slot1,              \
            DO06_P1_Index1,             \
            DO06_P1_Tag,                \
            DO06_P1_State,              \
            DO06_P1_ErrMode,            \
            DO06_P1_SimVal_Data,        \
            DO06_P1_ErrVal_Data,        \
            DO06_P1_Option_Leitung,     \
            DO06_P1_Option_Kanal,	    \
			DO06_P1_Option_LFD,			\
            DO06_P1_Option_Invert,      \
            DO06_P1_OnDelay,            \
            DO06_P1_OffDelay,           \
            DO06_P1_TestImp,            \
			DO06_P1_TestImp_Intervall,		\
			DO06_P1_Valve_on_Voltage,			\
			DO06_P1_Valve_on_Current,			\
			DO06_P1_Valve_off_Voltage,		\
			DO06_P1_Valve_off_Current,		\
			DO06_P1_low_limit_R,				\
			DO06_P1_high_limit_R,				\
			DO06_P1_low_limit_R_hyst,			\
			DO06_P1_high_limit_R_hyst,	\
			DO06_P2_Slot1,              \
            DO06_P2_Index1,             \
            DO06_P2_Tag,                \
            DO06_P2_State,              \
            DO06_P2_ErrMode,            \
            DO06_P2_SimVal_Data,        \
            DO06_P2_ErrVal_Data,        \
            DO06_P2_Option_Leitung,     \
			DO06_P2_Option_Kanal,		\
			DO06_P2_Option_LFD,			\
            DO06_P2_Option_Invert,      \
            DO06_P2_OnDelay,            \
            DO06_P2_OffDelay			\
            DO06_P2_TestImp,            \
			DO06_P2_TestImp_Intervall,		\
			DO06_P2_Valve_on_Voltage,			\
			DO06_P2_Valve_on_Current,			\
			DO06_P2_Valve_off_Voltage,		\
			DO06_P2_Valve_off_Current,		\
			DO06_P2_low_limit_R,				\
			DO06_P2_high_limit_R,				\
			DO06_P2_low_limit_R_hyst,			\
			DO06_P2_high_limit_R_hyst



COMMAND read_DO06_index1
{
    SLOT        Loc_P0_Slot0;
    INDEX       1;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            DO06_P1_Slot1,
            DO06_P1_Index1,
            DO06_P1_Tag,
            DO06_P1_State,
            DO06_P1_ErrMode,
            DO06_P1_SimVal_Bit2_7       <0xFC>,
            DO06_P1_SimVal_State        <0x02>,
            DO06_P1_SimVal_Data         <0x01>,
            DO06_P1_ErrVal_Bit2_7       <0xFC>,
            DO06_P1_ErrVal_State        <0x02>,
            DO06_P1_ErrVal_Data         <0x01>,
			DO06_P1_Option_Kanal		  <0x8000>,
            DO06_P1_Option_Bit3_14      <0x7FF8>,
            DO06_P1_Option_LFD	      <0x0004>,
            DO06_P1_Option_Leitung      <0x0002>,
            DO06_P1_Option_Invert       <0x0001>,
            DO06_P1_OnDelay,
            DO06_P1_OffDelay,
            DO06_P1_TestImp,
			DO06_P1_TestImp_Intervall,			//0, 
			DO06_P1_Valve_on_Voltage,				//0, 0, 
			DO06_P1_Valve_on_Current,				//0, 0, 
			DO06_P1_Valve_off_Voltage,			//0, 0, 
			DO06_P1_Valve_off_Current,			//0, 0, 
			DO06_P1_low_limit_R,					//0, 0, 
			DO06_P1_high_limit_R,					//0, 0, 
			DO06_P1_low_limit_R_hyst,				//0, 0, 
			DO06_P1_high_limit_R_hyst,			//0, 0,  	
			0, 0												
        }
    }
}

COMMAND write_DO06_index1
{
    SLOT        Loc_P0_Slot0;
    INDEX       1;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            DO06_P1_Slot1,
            DO06_P1_Index1,
            DO06_P1_Tag,
            DO06_P1_State,
            DO06_P1_ErrMode,
            DO06_P1_SimVal_Bit2_7       <0xFC>,
            DO06_P1_SimVal_State        <0x02>,
            DO06_P1_SimVal_Data         <0x01>,
            DO06_P1_ErrVal_Bit2_7       <0xFC>,
            DO06_P1_ErrVal_State        <0x02>,
            DO06_P1_ErrVal_Data         <0x01>,
			DO06_P1_Option_Kanal		  <0x8000>,
            DO06_P1_Option_Bit3_14      <0x7FF8>,
            DO06_P1_Option_LFD	      <0x0004>,
            DO06_P1_Option_Leitung      <0x0002>,
            DO06_P1_Option_Invert       <0x0001>,
            DO06_P1_OnDelay,
            DO06_P1_OffDelay,
            DO06_P1_TestImp,
			DO06_P1_TestImp_Intervall,			//0, 
			DO06_P1_Valve_on_Voltage,				//0, 0, 
			DO06_P1_Valve_on_Current,				//0, 0, 
			DO06_P1_Valve_off_Voltage,			//0, 0, 
			DO06_P1_Valve_off_Current,			//0, 0, 
			DO06_P1_low_limit_R,					//0, 0, 
			DO06_P1_high_limit_R,					//0, 0, 
			DO06_P1_low_limit_R_hyst,				//0, 0, 
			DO06_P1_high_limit_R_hyst,			//0, 0,  	
			0, 0												
        }
        REPLY
        {
        }
    }
}

COMMAND read_DO06_index2
{
    SLOT        Loc_P0_Slot0;
    INDEX       2;
    OPERATION   READ;
    TRANSACTION
    {
        REQUEST
        {           
        }
        REPLY
        {
            DO06_P2_Slot1,
            DO06_P2_Index1,
            DO06_P2_Tag,
            DO06_P2_State,
            DO06_P2_ErrMode,
            DO06_P2_SimVal_Bit2_7       <0xFC>,
            DO06_P2_SimVal_State        <0x02>,
            DO06_P2_SimVal_Data         <0x01>,
            DO06_P2_ErrVal_Bit2_7       <0xFC>,
            DO06_P2_ErrVal_State        <0x02>,
            DO06_P2_ErrVal_Data         <0x01>,
			DO06_P2_Option_Kanal		<0x8000>,
            DO06_P2_Option_Bit3_14      <0x7FF8>,
            DO06_P2_Option_LFD	        <0x0004>,
            DO06_P2_Option_Leitung      <0x0002>,
            DO06_P2_Option_Invert       <0x0001>,
            DO06_P2_OnDelay,
            DO06_P2_OffDelay,
            DO06_P2_TestImp,
			DO06_P2_TestImp_Intervall,			//0, 
			DO06_P2_Valve_on_Voltage,				//0, 0, 
			DO06_P2_Valve_on_Current,				//0, 0, 
			DO06_P2_Valve_off_Voltage,			//0, 0, 
			DO06_P2_Valve_off_Current,			//0, 0, 
			DO06_P2_low_limit_R,					//0, 0, 
			DO06_P2_high_limit_R,					//0, 0, 
			DO06_P2_low_limit_R_hyst,				//0, 0, 
			DO06_P2_high_limit_R_hyst,			//0, 0,  	
			0, 0												
        }
    }
}

COMMAND write_DO06_index2
{
    SLOT        Loc_P0_Slot0;
    INDEX       2;
    OPERATION   WRITE;
    TRANSACTION
    {
        REQUEST
        {
            DO06_P2_Slot1,
            DO06_P2_Index1,
            DO06_P2_Tag,
            DO06_P2_State,
            DO06_P2_ErrMode,
            DO06_P2_SimVal_Bit2_7       <0xFC>,
            DO06_P2_SimVal_State        <0x02>,
            DO06_P2_SimVal_Data         <0x01>,
            DO06_P2_ErrVal_Bit2_7       <0xFC>,
            DO06_P2_ErrVal_State        <0x02>,
            DO06_P2_ErrVal_Data         <0x01>,
			DO06_P2_Option_Kanal		<0x8000>,
            DO06_P2_Option_Bit3_14      <0x7FF8>,
            DO06_P2_Option_LFD	        <0x0004>,
            DO06_P2_Option_Leitung      <0x0002>,
            DO06_P2_Option_Invert       <0x0001>,
            DO06_P2_OnDelay,
            DO06_P2_OffDelay,
            DO06_P2_TestImp,
			DO06_P2_TestImp_Intervall,			//0, 
			DO06_P2_Valve_on_Voltage,				//0, 0, 
			DO06_P2_Valve_on_Current,				//0, 0, 
			DO06_P2_Valve_off_Voltage,			//0, 0, 
			DO06_P2_Valve_off_Current,			//0, 0, 
			DO06_P2_low_limit_R,					//0, 0, 
			DO06_P2_high_limit_R,					//0, 0, 
			DO06_P2_low_limit_R_hyst,				//0, 0, 
			DO06_P2_high_limit_R_hyst,			//0, 0,  	
			0, 0												
        }
        REPLY
        {
        }
    }
}



/*******************************************************************************/
/*****  Table: Specialist  *****************************************************/
/*******************************************************************************/

//	kanal1

MENU Tab_s_DO06_kanal1
{
    LABEL       [ventil1];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_DO06_ident_k1,
        Tab_s_DO06_output_k1
    }
}

MENU Tab_s_DO06_ident_k1
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DO06_P1_Tag
    }
}

MENU Tab_s_DO06_output_k1
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DO06_P1_State,
        DO06_P1_ErrMode,
        DO06_P1_Option_Leitung,
        DO06_P1_Option_Invert,
		DO06_P1_Option_LFD						(READ_ONLY),
		DO06_P1_Option_Kanal					(READ_ONLY),
        Tab_s_DO06_output_verzoegerung_k1,
        Tab_s_DO06_output_simulation_k1,
        Tab_s_DO06_output_ersatzwert_k1
    }
}

MENU Tab_s_DO06_output_verzoegerung_k1
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DO06_P1_OnDelay,
        DO06_P1_OffDelay,
        DO06_P1_TestImp							(READ_ONLY),
		DO06_P1_TestImp_Intervall				(READ_ONLY),
		DO06_P1_Valve_on_Voltage				(READ_ONLY),
		DO06_P1_Valve_on_Current				(READ_ONLY),
		DO06_P1_Valve_off_Voltage				(READ_ONLY),
		DO06_P1_Valve_off_Current				(READ_ONLY),
		DO06_P1_low_limit_R					(READ_ONLY),
		DO06_P1_high_limit_R					(READ_ONLY),
		DO06_P1_low_limit_R_hyst				(READ_ONLY),
		DO06_P1_high_limit_R_hyst				(READ_ONLY)
    }
}

MENU Tab_s_DO06_output_simulation_k1
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DO06_P1_SimVal_Data//	2017-03-07	fbi,
//	2017-03-07	fbi        DO06_P1_SimVal_State
    }
    VALIDITY    VALID_IF_TRUE (DO06_P1_State == 1)
}

MENU Tab_s_DO06_output_ersatzwert_k1
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DO06_P1_ErrVal_Data//,
//        DO06_P1_ErrVal_State
    }
    VALIDITY    VALID_IF_TRUE (DO06_P1_ErrMode == 1)
}

//	kanal2

MENU Tab_s_DO06_kanal2
{
    LABEL       [ventil2];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_DO06_ident_k2,
        Tab_s_DO06_output_k2
    }
}

MENU Tab_s_DO06_ident_k2
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DO06_P2_Tag
    }
}

MENU Tab_s_DO06_output_k2
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DO06_P2_State,
        DO06_P2_ErrMode,
        DO06_P2_Option_Leitung,
        DO06_P2_Option_Invert,
        DO06_P2_Option_LFD		            (READ_ONLY),		
		DO06_P2_Option_Kanal				(READ_ONLY),
        Tab_s_DO06_output_verzoegerung_k2,
        Tab_s_DO06_output_simulation_k2,
        Tab_s_DO06_output_ersatzwert_k2
    }
}

MENU Tab_s_DO06_output_verzoegerung_k2
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DO06_P2_OnDelay,
        DO06_P2_OffDelay,
        DO06_P2_TestImp							(READ_ONLY),
		DO06_P2_TestImp_Intervall				(READ_ONLY),
		DO06_P2_Valve_on_Voltage				(READ_ONLY),
		DO06_P2_Valve_on_Current				(READ_ONLY),
		DO06_P2_Valve_off_Voltage				(READ_ONLY),
		DO06_P2_Valve_off_Current				(READ_ONLY),
		DO06_P2_low_limit_R						(READ_ONLY),
		DO06_P2_high_limit_R					(READ_ONLY),
		DO06_P2_low_limit_R_hyst				(READ_ONLY),
		DO06_P2_high_limit_R_hyst				(READ_ONLY)
    }
}

MENU Tab_s_DO06_output_simulation_k2
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DO06_P2_SimVal_Data//	2017-03-07	fbi,
//	2017-03-07	fbi        DO06_P2_SimVal_State
    }
    VALIDITY    VALID_IF_TRUE (DO06_P2_State == 1)
}

MENU Tab_s_DO06_output_ersatzwert_k2
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DO06_P2_ErrVal_Data//,
//        DO06_P2_ErrVal_State
    }
    VALIDITY    VALID_IF_TRUE (DO06_P2_ErrMode == 1)
}


/*******************************************************************************/
/*****  Table: Maintenance  *****************************************************/
/*******************************************************************************/

MENU Tab_m_DO06_kanal1
{
    LABEL       [ventil1];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_DO06_ident_k1,
        Tab_m_DO06_output_k1
    }
}

MENU Tab_m_DO06_ident_k1
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DO06_P1_Tag
    }
}

MENU Tab_m_DO06_output_k1
{
    LABEL       [menu_output];
    ACCESS      OFFLINE;
    ITEMS
    {
        DO06_P1_State                       (READ_ONLY),
        DO06_P1_ErrMode                     (READ_ONLY),
        DO06_P1_Option_Leitung              (READ_ONLY),
        DO06_P1_Option_Invert               (READ_ONLY),
		DO06_P1_Option_LFD					(READ_ONLY),
		DO06_P1_Option_Kanal				(READ_ONLY),
        Tab_m_DO06_output_verzoegerung_k1,
        Tab_m_DO06_output_simulation_k1,
        Tab_m_DO06_output_ersatzwert_k1
    }
}

MENU Tab_m_DO06_output_verzoegerung_k1
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DO06_P1_OnDelay						(READ_ONLY),
        DO06_P1_OffDelay						(READ_ONLY),
        DO06_P1_TestImp						(READ_ONLY),
		DO06_P1_TestImp_Intervall				(READ_ONLY),
		DO06_P1_Valve_on_Voltage				(READ_ONLY),
		DO06_P1_Valve_on_Current				(READ_ONLY),
		DO06_P1_Valve_off_Voltage				(READ_ONLY),
		DO06_P1_Valve_off_Current				(READ_ONLY),
		DO06_P1_low_limit_R					(READ_ONLY),
		DO06_P1_high_limit_R					(READ_ONLY),
		DO06_P1_low_limit_R_hyst				(READ_ONLY),
		DO06_P1_high_limit_R_hyst				(READ_ONLY)
		
    }
}

MENU Tab_m_DO06_output_simulation_k1
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DO06_P1_SimVal_Data                 (READ_ONLY)//	2017-03-07	fbi,
//	2017-03-07	fbi        DO06_P1_SimVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DO06_P1_State == 1)
}

MENU Tab_m_DO06_output_ersatzwert_k1
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DO06_P1_ErrVal_Data                 (READ_ONLY)//,
 //       DO06_P1_ErrVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DO06_P1_ErrMode == 1)
}

MENU Tab_m_DO06_kanal2
{
    LABEL       [ventil2];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_DO06_ident_k2,
        Tab_m_DO06_input_k2
    }
}

MENU Tab_m_DO06_ident_k2
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        DO06_P2_Tag
    }
}

MENU Tab_m_DO06_input_k2
{
    LABEL       [menu_input];
    ACCESS      OFFLINE;
    ITEMS
    {
        DO06_P2_State                       (READ_ONLY),
        DO06_P2_ErrMode                     (READ_ONLY),
        DO06_P2_Option_Leitung              (READ_ONLY),
        DO06_P2_Option_Invert               (READ_ONLY),
        DO06_P2_Option_LFD		            (READ_ONLY),		
		DO06_P2_Option_Kanal				(READ_ONLY),
        Tab_m_DO06_input_verzoegerung_k2,
        Tab_m_DO06_input_simulation_k2,
        Tab_m_DO06_input_ersatzwert_k2
    }
}

MENU Tab_m_DO06_input_verzoegerung_k2
{
    LABEL       [verzoegerungszeiten];
    ACCESS      OFFLINE;
    ITEMS
    {
        DO06_P2_OnDelay                     (READ_ONLY),
        DO06_P2_OffDelay                    (READ_ONLY)
    }
}

MENU Tab_m_DO06_input_simulation_k2
{
    LABEL       [simulation];
    ACCESS      OFFLINE;
    ITEMS
    {
        DO06_P2_SimVal_Data                 (READ_ONLY)//	2017-03-07	fbi,
 //	2017-03-07	fbi       DO06_P2_SimVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DO06_P2_State == 1)
}

MENU Tab_m_DO06_input_ersatzwert_k2
{
    LABEL       [ersatzwert];
    ACCESS      OFFLINE;
    ITEMS
    {
        DO06_P2_ErrVal_Data                 (READ_ONLY) //	2017-03-07	fbi,
 //	2017-03-07	fbi        DO06_P2_ErrVal_State                (READ_ONLY)
    }
    VALIDITY    VALID_IF_TRUE (DO06_P2_ErrMode == 1)
}

