/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved  */
/*    Product:          SIMATIC PDM                         */
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      Menu Bar for Modules                */
/*                                                          */
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.16  $                                    */
/*  $Date:   Mar 03 2000 16:33:44  $                        */
/*----------------------------------------------------------*/


MENU Menu_Main_Specialist
{
    LABEL       [main_menu];
    ITEMS
    {
        Menu_File,
        Menu_Device,
        Menu_View,
        Menu_Options,
        Menu_Help
    }
}

MENU Menu_Main_Maintenance
{
    LABEL       [main_menu];
    ITEMS
    {
        Menu_File,
        Menu_Device,
        Menu_View,
        Menu_Options,
        Menu_Help
    }
}


/*---------------------------------------------------------------------*/
/*    Menu: Device                                                     */
/*---------------------------------------------------------------------*/

MENU Menu_Device
{
    LABEL       [menu_Device];
    ITEMS
    {
        std_LoadinDevice,                                       
        std_LoadinPC,
        SEPARATOR,
        Menu_HCIR,
        IF
		( 
			(P0_Type == MODUL_3002) || 	(P0_Type == MODUL_3102) ||	(P0_Type == MODUL_3202) ||	
			(P0_Type == MODUL_3302) ||	(P0_Type == MODUL_3103) ||	(P0_Type == MODUL_3203) ||	
			(P0_Type == MODUL_3005) ||	(P0_Type == MODUL_3105) || 	(P0_Type == MODUL_3205) ||
			(P0_Type == MODUL_3006) ||	(P0_Type == MODUL_3106) || 	(P0_Type == MODUL_3206) || (P0_Type == MODUL_3305) ||
			(P0_Type == MODUL_3007) ||	(P0_Type == MODUL_3107) || 	(P0_Type == MODUL_3207) || (P0_Type == MODUL_3307) ||
			(P0_Type == MODUL_4002) ||	(P0_Type == MODUL_4102) ||	(P0_Type == MODUL_4202) || (P0_Type == MODUL_4302) ||	
			(P0_Type == MODUL_4005) || 	(P0_Type == MODUL_4105) ||  (P0_Type == MODUL_4205) ||
			(P0_Type == MODUL_4006) || 	(P0_Type == MODUL_4106) ||  (P0_Type == MODUL_4206) || (P0_Type == MODUL_4305)
		)			
        {
            SEPARATOR,
            OnlineWindow_PNO_Profile_DP_HART
        }
    }
}

METHOD std_LoadinDevice
{
    LABEL       [menu_Device_LoadinDevice];
    DEFINITION
    {
    }
}

METHOD std_LoadinPC
{
    LABEL       [menu_Device_LoadinPC];
    DEFINITION
    {
    }
}

MENU Menu_HCIR
{
    LABEL       [menu_HCIR];
    ITEMS
    {
        method_LoadinDevice_HCIR,
		method_Device_Exit_HCIR,
		method_Device_Aboard_HCIR
	}
}

/*---------------------------------------------------------------------*/
/*    Menu: View                                                       */
/*---------------------------------------------------------------------*/

MENU Menu_View
{
    LABEL       [menu_View];
    ITEMS
    {
        OnlineWindow_display,
        SEPARATOR,
        std_Funktionsleiste,
        std_Statuszeile,
        SEPARATOR,
        std_Update
    }
}

METHOD std_Funktionsleiste
{
    LABEL       [menu_View_Toolbar];
    DEFINITION
    {
    }
}

METHOD std_Statuszeile
{
    LABEL       [menu_View_Statusbar];
    DEFINITION
    {
    }
}

METHOD std_Update
{
    LABEL       [menu_View_Update];
    DEFINITION
    {
    }
}

/*******************************************************************************/
/*****  Table: Specialist  *****************************************************/
/*******************************************************************************/

MENU Tab_s_ident
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_s_ident_opunit,
        Tab_s_ident_device
	}
}

MENU Tab_s_ident_opunit
{
    LABEL       [menu_ident_opunit];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_Tag
    }
}

MENU Tab_s_ident_device
{
    LABEL       [menu_ident_device];
    ACCESS      OFFLINE;
    ITEMS
    {
        Loc_P0_Slot0,
        Loc_P0_Type_Klasse,
//		P0_Type,
		P0_Type_loc,
//		P0_Type_loc_2,
        P0_Option

		IF 	((P0_Type == MODUL_6116) || (P0_Type == MODUL_6117) || (P0_Type == MODUL_6016) || (P0_Type == MODUL_6017) || (P0_Type == MODUL_6216) || (P0_Type == MODUL_6217) || (P0_Type == MODUL_6116_2) || (P0_Type == MODUL_6117_2) || (P0_Type == MODUL_6016_2) || (P0_Type == MODUL_6017_2) || (P0_Type == MODUL_6216_2) || (P0_Type == MODUL_6217_2))
		{
			P0_Option_buendel
		}

        P0_Size
		IF 	(P0_Type != MODUL_1007)
		{
			P0_CfgMode
		}
        P0_Revision
    }
}
MENU Tab_s_certificates
{
    LABEL       [menu_certificates];
    ACCESS      OFFLINE;
    ITEMS
    {
        Loc_P0_Station_Ex 
    }
}

/*******************************************************************************/
/*****  Table: Maintenance  *****************************************************/
/*******************************************************************************/

MENU Tab_m_ident
{
    LABEL       [menu_ident];
    ACCESS      OFFLINE;
    ITEMS
    {
        Tab_m_ident_opunit,
        Tab_m_ident_device
    }
}

MENU Tab_m_ident_opunit
{
    LABEL       [menu_ident_opunit];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_Tag
    }
}

MENU Tab_m_ident_device
{
    LABEL       [menu_ident_device];
    ACCESS      OFFLINE;
    ITEMS
    {
        P0_Slot0            (READ_ONLY),
        Loc_P0_Type_Klasse,
        P0_Type             (READ_ONLY),
        P0_Option           (READ_ONLY),
		P0_Size				(READ_ONLY),
		P0_CfgMode			(READ_ONLY),
        P0_Revision			(READ_ONLY)
    }
}

MENU Tab_m_certificates
{
    LABEL       [menu_certificates];
    ACCESS      OFFLINE;
    ITEMS
    {
        Loc_P0_Station_Ex 
    }
}



