/*----------------------------------------------------------*/
/*  Copyright (C) Siemens AG (1999). All Rights Reserved	*/
/*  Product:        SIMATIC PDM								*/
/*                                                          */
/*	Device:			P&F LB/FB-REMOTE IO						*/
/*	Description:	INCLUDE Ident-Check for P&F Modules		*/
/*  Dictionary:     PFDP_DC_V6.dct						    */
/*                                                          */
/*  $Revision:   1.6  $                                     */
/*  $Date:   06 Apr 2000 12:47:46  $                        */
/*----------------------------------------------------------*/

#define	ID_CHECK_ABORT			0
#define	ID_CHECK_SUCCESS		1

#define	ID_FC_ERROR				3000

/***********************************************************************/
/*    ID - Checking Variables										   */
/***********************************************************************/

VARIABLE	ret_CheckDeviceIdentification
{
	LABEL		"ret_CheckDeviceIdentification";
	CLASS		LOCAL;
	TYPE		UNSIGNED_INTEGER (1)
	{
		DEFAULT_VALUE	ID_CHECK_ABORT;
	}
	HANDLING	READ;
}

VARIABLE	id_firstCheck
{
	LABEL		"id_firstCheck";
	CLASS		LOCAL;
	TYPE		UNSIGNED_INTEGER (1)
	{
		DEFAULT_VALUE	1;
	}
	HANDLING	READ;
}

VARIABLE	id_status
{
	LABEL		"";
	CLASS		LOCAL;
	TYPE		UNSIGNED_INTEGER (1)
	{
		DEFAULT_VALUE	ID_CHECK_ABORT;
	}
	HANDLING	READ;
}


/***********************************************************************/
/*    Device Variables												   */
/***********************************************************************/

id_P0_Slot0			LIKE VARIABLE	P0_Slot0
{
	REDEFINE	CLASS		LOCAL;
}

id_P0_Index0		LIKE VARIABLE	P0_Index0
{
	REDEFINE	CLASS		LOCAL;
}

id_P0_Tag			LIKE VARIABLE	P0_Tag
{
	REDEFINE	CLASS		LOCAL;
}

id_P0_Type			LIKE VARIABLE	P0_Type
{
	REDEFINE	CLASS		LOCAL;
}

id_P0_Channel		LIKE VARIABLE	P0_Channel
{
	REDEFINE	CLASS		LOCAL;
}

id_P0_Sector		LIKE VARIABLE	P0_Sector
{
	REDEFINE	CLASS		LOCAL;
}

VARIABLE		id_P0_Type_real
{
	LABEL		[P0_Type];
	HELP		[P0_Type_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE MODUL_LEER;
			{ MODUL_LEER,   "---"				},
			{ MODUL_1y01,   [conf_modul_1y01]	},
			{ MODUL_1y02,	[conf_modul_1y02]	},	
			{ MODUL_1y03,	[conf_modul_1y03]	},	
			{ MODUL_1y07,	[conf_modul_1y07]	},	
			{ MODUL_1y08,	[conf_modul_1y08]	},	
			{ MODUL_1y09,	[conf_modul_1y09]	},	
			{ MODUL_2y01,	[conf_modul_2y01]	},	
			{ MODUL_2y02,	[conf_modul_2y02]	},	
			{ MODUL_2y03,	[conf_modul_2y03]	},	
			{ MODUL_2y04,	[conf_modul_2y04]	},	
			{ MODUL_2y05,	[conf_modul_2y05]	},	
			{ MODUL_2y06,	[conf_modul_2y06]	},	
			{ MODUL_2y07,	[conf_modul_2y07]	},	
			{ MODUL_2y08,	[conf_modul_2y08]	},	
			{ MODUL_2y09,	[conf_modul_2y09]	},	
			{ MODUL_2y10,	[conf_modul_2y10]	},	
			{ MODUL_2y11,	[conf_modul_2y11]	},	
			{ MODUL_2y12,	[conf_modul_2y12]	},	
			{ MODUL_2y13,	[conf_modul_2y13]	},	
			{ MODUL_2y14,	[conf_modul_2y14]	},	
			{ MODUL_2y15,	[conf_modul_2y15]	},	
			{ MODUL_2y16,	[conf_modul_2y16]	},	
			{ MODUL_2y17,	[conf_modul_2y17]	},	
//			{ MODUL_Ay03,	[conf_modul_Ay03]	},	
//			{ MODUL_Ay04,	[conf_modul_Ay04]	},	
			{ MODUL_3y01,	[conf_modul_3y01]	},	
			{ MODUL_3y02,	[conf_modul_3y02]	},	
			{ MODUL_3y03,	[conf_modul_3y03]	},	
			{ MODUL_3y04,	[conf_modul_3y04]	},	
			{ MODUL_3y05,	[conf_modul_3y05]	},	
			{ MODUL_3y06,	[conf_modul_3y06]	},	
			{ MODUL_3y07,	[conf_modul_3y07]	},	
			{ MODUL_4y01,	[conf_modul_4y01]	},	
			{ MODUL_4y02,	[conf_modul_4y02]	},	
			{ MODUL_4y03,	[conf_modul_4y03]	},	
			{ MODUL_4y04,	[conf_modul_4y04]	},	
			{ MODUL_4y05,	[conf_modul_4y05]	},	
			{ MODUL_4y06,	[conf_modul_4y06]	},	
			{ MODUL_5y01,	[conf_modul_5y01]	},	
			{ MODUL_5y02,	[conf_modul_5y02]	},	
			{ MODUL_5y04,	[conf_modul_5y04]	},	
			{ MODUL_5y05,	[conf_modul_5y05]	},	
			{ MODUL_5y06,	[conf_modul_5y06]	},	
			{ MODUL_6y01,	[conf_modul_6y01]	},	
			{ MODUL_6y02,	[conf_modul_6y02]	},	
			{ MODUL_6y05,	[conf_modul_6y05]	},	
			{ MODUL_6y06,	[conf_modul_6y06]	},	
			{ MODUL_6y08,	[conf_modul_6y08]	},
			{ MODUL_6y10,	[conf_modul_6y10]	},
			{ MODUL_6y11,	[conf_modul_6y11]	},
			{ MODUL_6y12,	[conf_modul_6y12]	},
			{ MODUL_6y13,	[conf_modul_6y13]	},
			{ MODUL_6y14,	[conf_modul_6y14]	},
			{ MODUL_6y15,	[conf_modul_6y15]	},
			{ MODUL_6y16,	[conf_modul_6y16]	},
			{ MODUL_6y17,	[conf_modul_6y17]	},
//			{ MODUL_Ay01,	[conf_modul_Ay01]	},
//			{ MODUL_Ay02,	[conf_modul_Ay02]	},
            { MODUL_7y04,   [conf_modul_7y04]   }
	}
//fbi	2017-09-07	CLASS		LOCAL;
	CLASS		DEVICE;
	SCALE_ACTIONS
	{
// fbi:        method_scale_modul_type(id_P0_Type_real)
        DEFINITION
        {
			int		subType_0;
			int		subType_1;
			int		subType_2;
									
//fbi	2017-02-02			subType_0 = id_P0_Type_real.DEVICE & 0x00FF;
			subType_0 = id_P0_Type_real.DEVICE & 0x00FF;
			subType_1 = subType_0 / 0x10;
			subType_2 = subType_0 & 0x0F;

			id_P0_Type_real.DISPLAY = 0x1000*subType_1 + subType_2;
        }
// end fbi
	}
	HANDLING	READ;
}

VARIABLE		id_P0_Dummy
{
	CLASS		LOCAL;
	TYPE		ASCII (26);
	HANDLING	READ;
}

/*******************************************************************************/
/*****	Methods		************************************************************/
/*******************************************************************************/

// Identification Check for modules deleted


/*******************************************************************************/
/*****	Commands  **************************************************************/
/*******************************************************************************/

COMMAND id_read_para_index0
{
	SLOT		Loc_P0_Slot0;
	INDEX		0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			id_P0_Slot0,
			id_P0_Index0,
			id_P0_Tag,
			id_P0_Type,
			id_P0_Channel,
			id_P0_Sector,
			id_P0_Dummy
		}
	}
}

COMMAND id_read_P0_Type_real
{
	SLOT		101;
	INDEX		Loc_P0_Slot0;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			id_P0_Type_real
		}
	}
}

