/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved	*/
/*    Product:          SIMATIC PDM							*/
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      Relaiskarte 2-Kanalig				*/
/*												            */
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.17  $                                    */
/*  $Date:   16 Mar 2000 13:41:36  $                        */
/*----------------------------------------------------------*/


RL2C_P1_Slot1	LIKE VARIABLE	P0_Slot0
{
}

RL2C_P1_Index1	LIKE VARIABLE	P0_Index0
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 1;
	}
}

RL2C_P1_Tag		LIKE VARIABLE	P0_Tag
{
	REDEFINE HELP	[P1_Tag_help];
}

VARIABLE	RL2C_P1_State
{
	LABEL		[P1_State];
	HELP		[P1_State_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{ 0,	[automatic]		},
		{ 1,	[simulation]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL2C_P1_ErrMode
{
	LABEL		[P1_ErrMode];
	HELP		[P1_ErrMode_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{ 0,	[aktuellen_wert]	},
		{ 1,	[ersatzwert]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL2C_P1_SimVal_Data
{
	LABEL		[P1_SimVal];
	HELP		[P1_SimVal_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"	},
		{	0x01,	"1"	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL2C_P1_SimVal_Bit1_7
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER;
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL2C_P1_ErrVal_Data
{
	LABEL		[P1_ErrVal];
	HELP		[P1_ErrVal_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"	},
		{	0x01,	"1"	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL2C_P1_ErrVal_Bit1_7
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER;
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL2C_P1_Option_Invert
{
	LABEL		[P1_Option_Invert];
	HELP		[P1_Option_Invert_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{	0x0000,	[inv_normal]	},
		{	0x0001,	[inv_invers]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL2C_P1_Option_Bit1_14
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER (2);
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL2C_P1_Option_Kanal
{
	LABEL		[P1_Option_Kanal];
	HELP		[P1_Option_Leitung_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{ 0,	[kanal_aktiv]		},
		{ 1,	[kanal_inaktiv]		}
	}
	CLASS		CONTAINED;
//	HANDLING	READ & WRITE;
	HANDLING	READ;
}

VARIABLE	RL2C_P1_OnDelay
{
	LABEL		[P1_OnDelay];
	HELP		[P1_OnDelay_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 60000;
		DEFAULT_VALUE 0;
	}
	CONSTANT_UNIT	[msec];
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL2C_P1_OffDelay
{
	LABEL		[P1_OffDelay];
	HELP		[P1_OffDelay_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 60000;
		DEFAULT_VALUE 0;
	}
	CONSTANT_UNIT	[msec];
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL2C_P1_Map
{
	LABEL		[P1_Map];
	HELP		[P1_Map_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

VARIABLE	RL2C_P1_DUMMY
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		ASCII (18);
	CLASS		CONTAINED;
	HANDLING	READ;
}

/*******************************************************************************/
/*****	Variables Kanal2	****************************************************/
/*******************************************************************************/

RL2C_P2_Slot2			LIKE VARIABLE	P0_Slot0
{
}

RL2C_P2_Index2			LIKE VARIABLE	RL2C_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 2;
	}
}

RL2C_P2_Tag				LIKE VARIABLE	RL2C_P1_Tag
{
}

RL2C_P2_State			LIKE VARIABLE	RL2C_P1_State
{
}

RL2C_P2_ErrMode			LIKE VARIABLE	RL2C_P1_ErrMode
{
}

RL2C_P2_SimVal_Data		LIKE VARIABLE	RL2C_P1_SimVal_Data
{
}

RL2C_P2_SimVal_Bit1_7	LIKE VARIABLE	RL2C_P1_SimVal_Bit1_7
{
}

RL2C_P2_ErrVal_Data		LIKE VARIABLE	RL2C_P1_ErrVal_Data
{
}

RL2C_P2_ErrVal_Bit1_7	LIKE VARIABLE	RL2C_P1_ErrVal_Bit1_7
{
}

RL2C_P2_Option_Invert	LIKE VARIABLE	RL2C_P1_Option_Invert
{
}

RL2C_P2_Option_Bit1_14	LIKE VARIABLE	RL2C_P1_Option_Bit1_14
{
}

RL2C_P2_Option_Kanal	LIKE VARIABLE	RL2C_P1_Option_Kanal
{
}

RL2C_P2_OnDelay			LIKE VARIABLE	RL2C_P1_OnDelay
{
}

RL2C_P2_OffDelay		LIKE VARIABLE	RL2C_P1_OffDelay
{
}

RL2C_P2_Map				LIKE VARIABLE	RL2C_P1_Map
{
}

RL2C_P2_DUMMY			LIKE VARIABLE	RL2C_P1_DUMMY
{
}

/*******************************************************************************/
/*****	COMMAND				*****************************************************/
/*******************************************************************************/

#define DOWNLOAD_RL2C					\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
			P0_Revision,				\
			P0_Size,					\
			P0_CfgMode,					\
			RL2C_P1_Slot1,				\
			RL2C_P1_Index1,				\
			RL2C_P1_Tag,				\
			RL2C_P1_State,				\
			RL2C_P1_ErrMode,			\
			RL2C_P1_SimVal_Data,		\
			RL2C_P1_ErrVal_Data,		\
			RL2C_P1_Option_Invert,		\
			RL2C_P1_Option_Kanal,		\
			RL2C_P1_OnDelay,			\
			RL2C_P1_OffDelay,			\
			RL2C_P2_Slot2,				\
			RL2C_P2_Index2,				\
			RL2C_P2_Tag,				\
			RL2C_P2_State,				\
			RL2C_P2_ErrMode,			\
			RL2C_P2_SimVal_Data,		\
			RL2C_P2_ErrVal_Data,		\
			RL2C_P2_Option_Invert,		\
			RL2C_P2_Option_Kanal,		\
			RL2C_P2_OnDelay,			\
			RL2C_P2_OffDelay

#define UPLOAD_RL2C					\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
			P0_Size,					\
			P0_CfgMode,					\
			RL2C_P1_Slot1,				\
			RL2C_P1_Index1,				\
			RL2C_P1_Tag,				\
			RL2C_P1_State,				\
			RL2C_P1_ErrMode,			\
			RL2C_P1_SimVal_Data,		\
			RL2C_P1_ErrVal_Data,		\
			RL2C_P1_Option_Invert,		\
			RL2C_P1_OnDelay,			\
			RL2C_P1_OffDelay,			\
			RL2C_P2_Slot2,				\
			RL2C_P2_Index2,				\
			RL2C_P2_Tag,				\
			RL2C_P2_State,				\
			RL2C_P2_ErrMode,			\
			RL2C_P2_SimVal_Data,		\
			RL2C_P2_ErrVal_Data,		\
			RL2C_P2_Option_Invert,		\
			RL2C_P2_OnDelay,			\
			RL2C_P2_OffDelay


COMMAND read_RL2C_index1
{
	SLOT		Loc_P0_Slot0;
	INDEX		1;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			RL2C_P1_Slot1,
			RL2C_P1_Index1,
			RL2C_P1_Tag,
			RL2C_P1_State,
			RL2C_P1_ErrMode,
			RL2C_P1_SimVal_Bit1_7		<0xFE>,
			RL2C_P1_SimVal_Data			<0x01>,
			RL2C_P1_ErrVal_Bit1_7		<0xFE>,
			RL2C_P1_ErrVal_Data			<0x01>,
			RL2C_P1_Option_Kanal		<0x8000>,
			RL2C_P1_Option_Bit1_14		<0x7FFE>,
			RL2C_P1_Option_Invert		<0x0001>,
			RL2C_P1_OnDelay,
			RL2C_P1_OffDelay,
			RL2C_P1_DUMMY,
			RL2C_P1_Map
		}
	}
}

COMMAND write_RL2C_index1
{
	SLOT		Loc_P0_Slot0;
	INDEX		1;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			RL2C_P1_Slot1,
			RL2C_P1_Index1,
			RL2C_P1_Tag,
			RL2C_P1_State,
			RL2C_P1_ErrMode,
			RL2C_P1_SimVal_Bit1_7		<0xFE>,
			RL2C_P1_SimVal_Data			<0x01>,
			RL2C_P1_ErrVal_Bit1_7		<0xFE>,
			RL2C_P1_ErrVal_Data			<0x01>,
//			RL2C_P1_Option_Kanal		<0x8000>,
			RL2C_P1_Option_Bit1_14		<0xFFFE>,
			RL2C_P1_Option_Invert		<0x0001>,
			RL2C_P1_OnDelay,
			RL2C_P1_OffDelay,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 20 Byte
			0, 0, 0, 0												
		}
		REPLY
		{
		}
	}
}

COMMAND read_RL2C_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			RL2C_P2_Slot2,
			RL2C_P2_Index2,
			RL2C_P2_Tag,
			RL2C_P2_State,
			RL2C_P2_ErrMode,
			RL2C_P2_SimVal_Bit1_7		<0xFE>,
			RL2C_P2_SimVal_Data			<0x01>,
			RL2C_P2_ErrVal_Bit1_7		<0xFE>,
			RL2C_P2_ErrVal_Data			<0x01>,
			RL2C_P2_Option_Kanal		<0x8000>,
			RL2C_P2_Option_Bit1_14		<0x7FFE>,
			RL2C_P2_Option_Invert		<0x0001>,
			RL2C_P2_OnDelay,
			RL2C_P2_OffDelay,
			RL2C_P2_DUMMY,
			RL2C_P2_Map
		}
	}
}

COMMAND write_RL2C_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			RL2C_P2_Slot2,
			RL2C_P2_Index2,
			RL2C_P2_Tag,
			RL2C_P2_State,
			RL2C_P2_ErrMode,
			RL2C_P2_SimVal_Bit1_7		<0xFE>,
			RL2C_P2_SimVal_Data			<0x01>,
			RL2C_P2_ErrVal_Bit1_7		<0xFE>,
			RL2C_P2_ErrVal_Data			<0x01>,
//			RL2C_P2_Option_Kanal		<0x8000>,
			RL2C_P2_Option_Bit1_14		<0xFFFE>,
			RL2C_P2_Option_Invert		<0x0001>,
			RL2C_P2_OnDelay,
			RL2C_P2_OffDelay,
			0, 0, 0, 0, 0, 0, 0, 0,   0, 0, 0, 0, 0, 0, 0, 0,   	// 20 Byte
			0, 0, 0, 0												
		}
		REPLY
		{
		}
	}
}


/*******************************************************************************/
/*****	Table: Specialist  *****************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	Kanal1			   *****************************************************/
/*******************************************************************************/

MENU Tab_s_RL2C_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_RL2C_ident_k1,
		Tab_s_RL2C_output_k1
	}
}

MENU Tab_s_RL2C_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL2C_P1_Tag,
		RL2C_P1_Option_Kanal
	}
}

MENU Tab_s_RL2C_output_k1
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL2C_P1_State,
		RL2C_P1_ErrMode,
		RL2C_P1_Option_Invert,
		Tab_s_RL2C_output_verzoegerung_k1,
		Tab_s_RL2C_output_simulation_k1,
		Tab_s_RL2C_output_ersatzwert_k1
	}
}

MENU Tab_s_RL2C_output_verzoegerung_k1
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL2C_P1_OnDelay						(READ_ONLY),
		RL2C_P1_OffDelay					(READ_ONLY)
	}
}

MENU Tab_s_RL2C_output_simulation_k1
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL2C_P1_SimVal_Data
	}
	VALIDITY	VALID_IF_TRUE (RL2C_P1_State == 1)
}

MENU Tab_s_RL2C_output_ersatzwert_k1
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL2C_P1_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (RL2C_P1_ErrMode == 1)
}

/*******************************************************************************/
/*****	Kanal2			   *****************************************************/
/*******************************************************************************/

MENU Tab_s_RL2C_kanal2
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_RL2C_ident_k2,
		Tab_s_RL2C_output_k2
	}
}

MENU Tab_s_RL2C_ident_k2
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL2C_P2_Tag,
		RL2C_P2_Option_Kanal
	}
}

MENU Tab_s_RL2C_output_k2
{
	LABEL		[menu_output];
	ITEMS
	{
		RL2C_P2_State,
		RL2C_P2_ErrMode,
		RL2C_P2_Option_Invert,
		Tab_s_RL2C_output_verzoegerung_k2,
		Tab_s_RL2C_output_simulation_k2,
		Tab_s_RL2C_output_ersatzwert_k2
	}
}

MENU Tab_s_RL2C_output_verzoegerung_k2
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL2C_P2_OnDelay						(READ_ONLY),
		RL2C_P2_OffDelay					(READ_ONLY)
	}
}

MENU Tab_s_RL2C_output_simulation_k2
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL2C_P2_SimVal_Data
	}
	VALIDITY	VALID_IF_TRUE (RL2C_P2_State == 1)
}

MENU Tab_s_RL2C_output_ersatzwert_k2
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL2C_P2_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (RL2C_P2_ErrMode == 1)
}


/*******************************************************************************/
/*****	Table: Maintenance  ****************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	Kanal1			   *****************************************************/
/*******************************************************************************/

MENU Tab_m_RL2C_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_RL2C_ident_k1,
		Tab_m_RL2C_output_k1
	}
}

MENU Tab_m_RL2C_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL2C_P1_Tag,
		RL2C_P1_Option_Kanal
	}
}

MENU Tab_m_RL2C_output_k1
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL2C_P1_State						(READ_ONLY),
		RL2C_P1_ErrMode						(READ_ONLY),
		RL2C_P1_Option_Invert				(READ_ONLY),
		Tab_m_RL2C_output_verzoegerung_k1,
		Tab_m_RL2C_output_simulation_k1,
		Tab_m_RL2C_output_ersatzwert_k1
	}
}

MENU Tab_m_RL2C_output_verzoegerung_k1
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL2C_P1_OnDelay						(READ_ONLY),
		RL2C_P1_OffDelay					(READ_ONLY)
	}
}

MENU Tab_m_RL2C_output_simulation_k1
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL2C_P1_SimVal_Data					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL2C_P1_State == 1)
}

MENU Tab_m_RL2C_output_ersatzwert_k1
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL2C_P1_ErrVal_Data					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL2C_P1_ErrMode == 1)
}

/*******************************************************************************/
/*****	Kanal2			   *****************************************************/
/*******************************************************************************/

MENU Tab_m_RL2C_kanal2
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_RL2C_ident_k2,
		Tab_m_RL2C_output_k2
	}
}

MENU Tab_m_RL2C_ident_k2
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL2C_P2_Tag,
		RL2C_P2_Option_Kanal
	}
}

MENU Tab_m_RL2C_output_k2
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL2C_P2_State						(READ_ONLY),
		RL2C_P2_ErrMode						(READ_ONLY),
		RL2C_P2_Option_Invert				(READ_ONLY),
		Tab_m_RL2C_output_verzoegerung_k2,
		Tab_m_RL2C_output_simulation_k2,
		Tab_m_RL2C_output_ersatzwert_k2
	}
}

MENU Tab_m_RL2C_output_verzoegerung_k2
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL2C_P2_OnDelay						(READ_ONLY),
		RL2C_P2_OffDelay					(READ_ONLY)
	}	
}

MENU Tab_m_RL2C_output_simulation_k2
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL2C_P2_SimVal_Data					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL2C_P2_State == 1)
}

MENU Tab_m_RL2C_output_ersatzwert_k2
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL2C_P2_ErrVal_Data					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL2C_P2_ErrMode == 1)
}

