/*----------------------------------------------------------*/
/*    Copyright (C) Siemens AG (1999). All Rights Reserved	*/
/*    Product:          SIMATIC PDM							*/
/*                                                          */
/*    Device:           P&F LB/FB-REMOTE IO                 */
/*    Description:      Relaiskarte 4-Kanalig				*/
/*												            */
/*    Dictionary:       PFDP_DC_V6.dct                      */
/*                                                          */
/*  $Revision:   1.17  $                                    */
/*  $Date:   16 Mar 2000 13:41:36  $                        */
/*----------------------------------------------------------*/


RL4C_P1_Slot1	LIKE VARIABLE	P0_Slot0
{
}

RL4C_P1_Index1	LIKE VARIABLE	P0_Index0
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 1;
	}
}

RL4C_P1_Tag		LIKE VARIABLE	P0_Tag
{
	REDEFINE HELP	[P1_Tag_help];
}

VARIABLE	RL4C_P1_State
{
	LABEL		[P1_State];
	HELP		[P1_State_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{ 0,	[automatic]		},
		{ 1,	[simulation]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL4C_P1_ErrMode
{
	LABEL		[P1_ErrMode];
	HELP		[P1_ErrMode_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 1;
		{ 0,	[aktuellen_wert]	},
		{ 1,	[ersatzwert]		},
		{ 2,	[letzten_wert]		}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL4C_P1_SimVal_Data
{
	LABEL		[P1_SimVal];
	HELP		[P1_SimVal_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"	},
		{	0x01,	"1"	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL4C_P1_SimVal_State
{
	LABEL		[P1_SimVal_State];
	HELP		[P1_SimVal_State_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	[daten_ok]			},
		{	0x01,	[daten_ungueltig]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL4C_P1_SimVal_Bit2_7
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER;
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL4C_P1_ErrVal_Data
{
	LABEL		[P1_ErrVal];
	HELP		[P1_ErrVal_help];
	TYPE		ENUMERATED (1)
	{
		DEFAULT_VALUE 0;
		{	0x00,	"0"	},
		{	0x01,	"1"	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL4C_P1_ErrVal_Bit1_7
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER;
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL4C_P1_Option_Invert
{
	LABEL		[P1_Option_Invert];
	HELP		[P1_Option_Invert_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{	0x0000,	[inv_normal]	},
		{	0x0001,	[inv_invers]	}
	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL4C_P1_Option_Bit1_14
{
	LABEL		[P0_DUMMY];
	HELP		[P0_DUMMY_help];
	TYPE		UNSIGNED_INTEGER(2);
//	TYPE        ASCII (14);
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL4C_P1_Option_Kanal
{
	LABEL		[P1_Option_Kanal];
	HELP		[P1_Option_Leitung_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0;
		{ 0,	[kanal_aktiv]		},
		{ 1,	[kanal_inaktiv]		}
	}
	CLASS		CONTAINED;
//	HANDLING	READ & WRITE;
	HANDLING	READ;
}

VARIABLE	RL4C_P1_OnDelay
{
	LABEL		[P1_OnDelay];
	HELP		[P1_OnDelay_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 60000;
		DEFAULT_VALUE 0;
	}
	CONSTANT_UNIT	[msec];
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL4C_P1_OffDelay
{
	LABEL		[P1_OffDelay];
	HELP		[P1_OffDelay_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		MIN_VALUE 0;
		MAX_VALUE 60000;
		DEFAULT_VALUE 0;
	}
	CONSTANT_UNIT	[msec];
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}
/*
VARIABLE    RL4C_P1_TestImp
{
    LABEL       [P1_TestImp];
    HELP        [P1_TestImp_help];
    TYPE        UNSIGNED_INTEGER (2)
    {
        MIN_VALUE 0;
        MAX_VALUE 60000;
        DEFAULT_VALUE 0;
    }
    CONSTANT_UNIT   [msec];
    CLASS       CONTAINED;
    HANDLING    READ & WRITE;
}

VARIABLE	RL4C_P1_Lfd_1
{
	LABEL		[Ventil_ein_Bruch];
	HELP		[P1_Lfd_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0x03c0;
		{0x0000, [RL4C_Px_Lfd_Off]},
		{0x03c0, [RL4C_Px_Lfd_On]}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL4C_P1_Lfd_2
{
	LABEL		[Ventil_ein_Kurzschluss];
	HELP		[P1_Lfd_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0x0100;
		{0x0000, [RL4C_Px_Lfd_Off]},
		{0x0100, [RL4C_Px_Lfd_On]}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL4C_P1_Lfd_3
{
	LABEL		[Ventil_aus_Bruch];
	HELP		[P1_Lfd_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0x01ff;
		{0x0000, [RL4C_Px_Lfd_Off]},
		{0x01ff, [RL4C_Px_Lfd_On]}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}

VARIABLE	RL4C_P1_Lfd_4
{
	LABEL		[Ventil_aus_Kurzschluss];
	HELP		[P1_Lfd_help];
	TYPE		ENUMERATED (2)
	{
		DEFAULT_VALUE 0x03d0;
		{0x0000, [RL4C_Px_Lfd_Off]},
		{0x03d0, [RL4C_Px_Lfd_On]}

	}
	CLASS		CONTAINED;
	HANDLING	READ & WRITE;
}
*/
VARIABLE    RL4C_P1_DUMMY
{
    LABEL       [P0_DUMMY];
    HELP        [P0_DUMMY_help];
    TYPE        ASCII (8);
    CLASS       CONTAINED;
    HANDLING    READ;
}

VARIABLE	RL4C_P1_Map
{
	LABEL		[P1_Map];
	HELP		[P1_Map_help];
	TYPE		UNSIGNED_INTEGER (2)
	{
		DEFAULT_VALUE 0;
	}
	CLASS		CONTAINED;
	HANDLING	READ;
}

/*******************************************************************************/
/*****	Variables Kanal2	****************************************************/
/*******************************************************************************/

RL4C_P2_Slot2			LIKE VARIABLE	P0_Slot0
{
}

RL4C_P2_Index2			LIKE VARIABLE	RL4C_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 2;
	}
}

RL4C_P2_Tag				LIKE VARIABLE	RL4C_P1_Tag
{
}

RL4C_P2_State			LIKE VARIABLE	RL4C_P1_State
{
}

RL4C_P2_ErrMode			LIKE VARIABLE	RL4C_P1_ErrMode
{
}

RL4C_P2_SimVal_Data		LIKE VARIABLE	RL4C_P1_SimVal_Data
{
}

RL4C_P2_SimVal_State	LIKE VARIABLE	RL4C_P1_SimVal_State
{
}

RL4C_P2_SimVal_Bit2_7	LIKE VARIABLE	RL4C_P1_SimVal_Bit2_7
{
}

RL4C_P2_ErrVal_Data		LIKE VARIABLE	RL4C_P1_ErrVal_Data
{
}

RL4C_P2_ErrVal_Bit1_7	LIKE VARIABLE	RL4C_P1_ErrVal_Bit1_7
{
}

RL4C_P2_Option_Invert	LIKE VARIABLE	RL4C_P1_Option_Invert
{
}

RL4C_P2_Option_Bit1_14	LIKE VARIABLE	RL4C_P1_Option_Bit1_14
{
}

RL4C_P2_Option_Kanal	LIKE VARIABLE	RL4C_P1_Option_Kanal
{
}

RL4C_P2_OnDelay			LIKE VARIABLE	RL4C_P1_OnDelay
{
}

RL4C_P2_OffDelay		LIKE VARIABLE	RL4C_P1_OffDelay
{
}
/*
RL4C_P2_TestImp         LIKE VARIABLE   RL4C_P1_TestImp       
{
}

RL4C_P2_Lfd_1           LIKE VARIABLE   RL4C_P1_Lfd_1 
{
}

RL4C_P2_Lfd_2           LIKE VARIABLE   RL4C_P1_Lfd_2 
{
}

RL4C_P2_Lfd_3           LIKE VARIABLE   RL4C_P1_Lfd_3 
{
}

RL4C_P2_Lfd_4           LIKE VARIABLE   RL4C_P1_Lfd_4
{
}
*/
RL4C_P2_DUMMY           LIKE VARIABLE   RL4C_P1_DUMMY       
{
}

RL4C_P2_Map				LIKE VARIABLE	RL4C_P1_Map
{
}

/*******************************************************************************/
/*****	Variables Kanal3	****************************************************/
/*******************************************************************************/

RL4C_P3_Slot3			LIKE VARIABLE	P0_Slot0
{
}

RL4C_P3_Index3			LIKE VARIABLE	RL4C_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 3;
	}
}

RL4C_P3_Tag				LIKE VARIABLE	RL4C_P1_Tag
{
}

RL4C_P3_State			LIKE VARIABLE	RL4C_P1_State
{
}

RL4C_P3_ErrMode			LIKE VARIABLE	RL4C_P1_ErrMode
{
}

RL4C_P3_SimVal_Data		LIKE VARIABLE	RL4C_P1_SimVal_Data
{
}

RL4C_P3_SimVal_State	LIKE VARIABLE	RL4C_P1_SimVal_State
{
}

RL4C_P3_SimVal_Bit2_7	LIKE VARIABLE	RL4C_P1_SimVal_Bit2_7
{
}

RL4C_P3_ErrVal_Data		LIKE VARIABLE	RL4C_P1_ErrVal_Data
{
}

RL4C_P3_ErrVal_Bit1_7	LIKE VARIABLE	RL4C_P1_ErrVal_Bit1_7
{
}

RL4C_P3_Option_Invert	LIKE VARIABLE	RL4C_P1_Option_Invert
{
}

RL4C_P3_Option_Bit1_14	LIKE VARIABLE	RL4C_P1_Option_Bit1_14
{
}

RL4C_P3_Option_Kanal	LIKE VARIABLE	RL4C_P1_Option_Kanal
{
}

RL4C_P3_OnDelay			LIKE VARIABLE	RL4C_P1_OnDelay
{
}

RL4C_P3_OffDelay		LIKE VARIABLE	RL4C_P1_OffDelay
{
}
/*
RL4C_P3_TestImp         LIKE VARIABLE   RL4C_P1_TestImp       
{
}

RL4C_P3_Lfd_1           LIKE VARIABLE   RL4C_P1_Lfd_1 
{
}

RL4C_P3_Lfd_2           LIKE VARIABLE   RL4C_P1_Lfd_2 
{
}

RL4C_P3_Lfd_3           LIKE VARIABLE   RL4C_P1_Lfd_3 
{
}

RL4C_P3_Lfd_4           LIKE VARIABLE   RL4C_P1_Lfd_4
{
}
*/
RL4C_P3_DUMMY           LIKE VARIABLE   RL4C_P1_DUMMY       
{
}

RL4C_P3_Map				LIKE VARIABLE	RL4C_P1_Map
{
}

/*******************************************************************************/
/*****	Variables Kanal4	****************************************************/
/*******************************************************************************/

RL4C_P4_Slot4			LIKE VARIABLE	P0_Slot0
{
}

RL4C_P4_Index4			LIKE VARIABLE	RL4C_P1_Index1
{
	REDEFINE TYPE	UNSIGNED_INTEGER
	{
			DEFAULT_VALUE 4;
	}
}

RL4C_P4_Tag				LIKE VARIABLE	RL4C_P1_Tag
{
}

RL4C_P4_State			LIKE VARIABLE	RL4C_P1_State
{
}

RL4C_P4_ErrMode			LIKE VARIABLE	RL4C_P1_ErrMode
{
}

RL4C_P4_SimVal_Data		LIKE VARIABLE	RL4C_P1_SimVal_Data
{
}

RL4C_P4_SimVal_State	LIKE VARIABLE	RL4C_P1_SimVal_State
{
}

RL4C_P4_SimVal_Bit2_7	LIKE VARIABLE	RL4C_P1_SimVal_Bit2_7
{
}

RL4C_P4_ErrVal_Data		LIKE VARIABLE	RL4C_P1_ErrVal_Data
{
}

RL4C_P4_ErrVal_Bit1_7	LIKE VARIABLE	RL4C_P1_ErrVal_Bit1_7
{
}

RL4C_P4_Option_Invert	LIKE VARIABLE	RL4C_P1_Option_Invert
{
}

RL4C_P4_Option_Bit1_14	LIKE VARIABLE	RL4C_P1_Option_Bit1_14
{
}

RL4C_P4_Option_Kanal	LIKE VARIABLE	RL4C_P1_Option_Kanal
{
}

RL4C_P4_OnDelay			LIKE VARIABLE	RL4C_P1_OnDelay
{
}

RL4C_P4_OffDelay		LIKE VARIABLE	RL4C_P1_OffDelay
{
}
/*
RL4C_P4_TestImp         LIKE VARIABLE   RL4C_P1_TestImp       
{
}

RL4C_P4_Lfd_1           LIKE VARIABLE   RL4C_P1_Lfd_1 
{
}

RL4C_P4_Lfd_2           LIKE VARIABLE   RL4C_P1_Lfd_2 
{
}

RL4C_P4_Lfd_3           LIKE VARIABLE   RL4C_P1_Lfd_3 
{
}

RL4C_P4_Lfd_4           LIKE VARIABLE   RL4C_P1_Lfd_4
{
}
*/
RL4C_P4_DUMMY           LIKE VARIABLE   RL4C_P1_DUMMY       
{
}

RL4C_P4_Map				LIKE VARIABLE	RL4C_P1_Map
{
}


/*******************************************************************************/
/*****	COMMAND				*****************************************************/
/*******************************************************************************/

#define DOWNLOAD_RL4C					\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
			P0_Revision,				\
			P0_Size,					\
			P0_CfgMode,					\
			RL4C_P1_Slot1,				\
			RL4C_P1_Index1,				\
			RL4C_P1_Tag,				\
			RL4C_P1_State,				\
			RL4C_P1_ErrMode,			\
			RL4C_P1_SimVal_Data,		\
			RL4C_P1_SimVal_State,		\
			RL4C_P1_ErrVal_Data,		\
			RL4C_P1_Option_Invert,		\
			RL4C_P1_Option_Kanal,		\
			RL4C_P1_OnDelay,			\
			RL4C_P1_OffDelay,			\
			RL4C_P2_Slot2,				\
			RL4C_P2_Index2,				\
			RL4C_P2_Tag,				\
			RL4C_P2_State,				\
			RL4C_P2_ErrMode,			\
			RL4C_P2_SimVal_Data,		\
			RL4C_P2_SimVal_State,		\
			RL4C_P2_ErrVal_Data,		\
			RL4C_P2_Option_Invert,		\
			RL4C_P2_Option_Kanal,		\
			RL4C_P2_OnDelay,			\
			RL4C_P2_OffDelay,			\
			RL4C_P3_Slot3,				\
			RL4C_P3_Index3,				\
			RL4C_P3_Tag,				\
			RL4C_P3_State,				\
			RL4C_P3_ErrMode,			\
			RL4C_P3_SimVal_Data,		\
			RL4C_P3_SimVal_State,		\
			RL4C_P3_ErrVal_Data,		\
			RL4C_P3_Option_Invert,		\
			RL4C_P3_Option_Kanal,		\
			RL4C_P3_OnDelay,			\
			RL4C_P3_OffDelay,			\
			RL4C_P4_Slot4,				\
			RL4C_P4_Index4,				\
			RL4C_P4_Tag,				\
			RL4C_P4_State,				\
			RL4C_P4_ErrMode,			\
			RL4C_P4_SimVal_Data,		\
			RL4C_P4_SimVal_State,		\
			RL4C_P4_ErrVal_Data,		\
			RL4C_P4_Option_Invert,		\
			RL4C_P4_Option_Kanal,		\
			RL4C_P4_OnDelay,			\
			RL4C_P4_OffDelay

#define UPLOAD_RL4C					\
			P0_Slot0,					\
			P0_Index0,					\
			P0_Tag,						\
			P0_Type,					\
			P0_Channel,					\
			P0_Sector,					\
			P0_Option,					\
			P0_Size,					\
			P0_CfgMode,					\
			RL4C_P1_Slot1,				\
			RL4C_P1_Index1,				\
			RL4C_P1_Tag,				\
			RL4C_P1_State,				\
			RL4C_P1_ErrMode,			\
			RL4C_P1_SimVal_Data,		\
			RL4C_P1_SimVal_State,		\
			RL4C_P1_ErrVal_Data,		\
			RL4C_P1_Option_Invert,		\
			RL4C_P1_OnDelay,			\
			RL4C_P1_OffDelay,			\
			RL4C_P2_Slot2,				\
			RL4C_P2_Index2,				\
			RL4C_P2_Tag,				\
			RL4C_P2_State,				\
			RL4C_P2_ErrMode,			\
			RL4C_P2_SimVal_Data,		\
			RL4C_P2_SimVal_State,		\
			RL4C_P2_ErrVal_Data,		\
			RL4C_P2_Option_Invert,		\
			RL4C_P2_OnDelay,			\
			RL4C_P2_OffDelay,			\
			RL4C_P3_Slot3,				\
			RL4C_P3_Index3,				\
			RL4C_P3_Tag,				\
			RL4C_P3_State,				\
			RL4C_P3_ErrMode,			\
			RL4C_P3_SimVal_Data,		\
			RL4C_P3_SimVal_State,		\
			RL4C_P3_ErrVal_Data,		\
			RL4C_P3_Option_Invert,		\
			RL4C_P3_OnDelay,			\
			RL4C_P3_OffDelay,			\
			RL4C_P4_Slot4,				\
			RL4C_P4_Index4,				\
			RL4C_P4_Tag,				\
			RL4C_P4_State,				\
			RL4C_P4_ErrMode,			\
			RL4C_P4_SimVal_Data,		\
			RL4C_P4_SimVal_State,		\
			RL4C_P4_ErrVal_Data,		\
			RL4C_P4_Option_Invert,		\
			RL4C_P4_OnDelay,			\
			RL4C_P4_OffDelay

COMMAND read_RL4C_index1
{
	SLOT		Loc_P0_Slot0;
	INDEX		1;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			RL4C_P1_Slot1,
			RL4C_P1_Index1,
			RL4C_P1_Tag,
			RL4C_P1_State,
			RL4C_P1_ErrMode,
			RL4C_P1_SimVal_Bit2_7		<0xFC>,
			RL4C_P1_SimVal_State		<0x02>,
			RL4C_P1_SimVal_Data			<0x01>,
			RL4C_P1_ErrVal_Bit1_7		<0xFE>,
			RL4C_P1_ErrVal_Data			<0x01>,
			RL4C_P1_Option_Kanal		<0x8000>,
			RL4C_P1_Option_Bit1_14		<0x7FFE>,
			RL4C_P1_Option_Invert		<0x0001>,
			RL4C_P1_OnDelay,
			RL4C_P1_OffDelay,
			0, 0,														// RL4C_P1_TestImp,
			0, 0,														// RL4C_P1_Lfd_1,
			0, 0,														// RL4C_P1_Lfd_2,
			0, 0,														// RL4C_P1_Lfd_3,
			0, 0,														// RL4C_P1_Lfd_4,
			0, 0, 0, 0, 0, 0, 0, 0,										// 	RL4C_P1_DUMMY,
			RL4C_P1_Map
		}
	}
}

COMMAND write_RL4C_index1
{
	SLOT		Loc_P0_Slot0;
	INDEX		1;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			RL4C_P1_Slot1,
			RL4C_P1_Index1,
			RL4C_P1_Tag,
			RL4C_P1_State,
			RL4C_P1_ErrMode,
			RL4C_P1_SimVal_Bit2_7		<0xFC>,
			RL4C_P1_SimVal_State		<0x02>,
			RL4C_P1_SimVal_Data			<0x01>,
			RL4C_P1_ErrVal_Bit1_7		<0xFE>,
			RL4C_P1_ErrVal_Data			<0x01>,
//			RL4C_P1_Option_Kanal		<0x8000>,
			RL4C_P1_Option_Bit1_14		<0xFFFE>,
			RL4C_P1_Option_Invert		<0x0001>,
			RL4C_P1_OnDelay,
			RL4C_P1_OffDelay,
			0, 0,												// RL4C_P1_TestImp,
			0x0003,	0x00c0,										// RL4C_P1_Lfd_1,
			0x0001, 0x0000,										// RL4C_P1_Lfd_2,
			0x0001, 0x00ff,										// RL4C_P1_Lfd_3,
			0x0003, 0x00d0,										// RL4C_P1_Lfd_4,
			0, 0, 0, 0, 0, 0, 0, 0,								// RL4C_P1_DUMMY,
			0, 0												// RL4C_P1_Map
		}
		REPLY
		{
		}
	}
}

COMMAND read_RL4C_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			RL4C_P2_Slot2,
			RL4C_P2_Index2,
			RL4C_P2_Tag,
			RL4C_P2_State,
			RL4C_P2_ErrMode,
			RL4C_P2_SimVal_Bit2_7		<0xFC>,
			RL4C_P2_SimVal_State		<0x02>,
			RL4C_P2_SimVal_Data			<0x01>,
			RL4C_P2_ErrVal_Bit1_7		<0xFE>,
			RL4C_P2_ErrVal_Data			<0x01>,
			RL4C_P2_Option_Kanal		<0x8000>,
			RL4C_P2_Option_Bit1_14		<0x7FFE>,
			RL4C_P2_Option_Invert		<0x0001>,
			RL4C_P2_OnDelay,
			RL4C_P2_OffDelay,
			0, 0,														// RL4C_P2_TestImp,
			0, 0,														// RL4C_P2_Lfd_1,														// RL4C_P2_Lfd_1,
			0, 0,														// RL4C_P2_Lfd_2,
			0, 0,														// RL4C_P2_Lfd_3,
			0, 0,														// RL4C_P2_Lfd_4,
			0, 0, 0, 0, 0, 0, 0, 0,										// RL4C_P2_DUMMY,
			RL4C_P2_Map
		}
	}
}

COMMAND write_RL4C_index2
{
	SLOT		Loc_P0_Slot0;
	INDEX		2;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			RL4C_P2_Slot2,
			RL4C_P2_Index2,
			RL4C_P2_Tag,
			RL4C_P2_State,
			RL4C_P2_ErrMode,
			RL4C_P2_SimVal_Bit2_7		<0xFC>,
			RL4C_P2_SimVal_State		<0x02>,
			RL4C_P2_SimVal_Data			<0x01>,
			RL4C_P2_ErrVal_Bit1_7		<0xFE>,
			RL4C_P2_ErrVal_Data			<0x01>,
//			RL4C_P2_Option_Kanal		<0x8000>,
			RL4C_P2_Option_Bit1_14		<0xFFFE>,
			RL4C_P2_Option_Invert		<0x0001>,
			RL4C_P2_OnDelay,
			RL4C_P2_OffDelay,
			0, 0,												// RL4C_P2_TestImp,
			0x0003,	0x00c0,										// RL4C_P2_Lfd_1,
			0x0001, 0x0000,										// RL4C_P2_Lfd_2,
			0x0001, 0x00ff,										// RL4C_P2_Lfd_3,
			0x0003, 0x00d0,										// RL4C_P2_Lfd_4,
			0, 0, 0, 0, 0, 0, 0, 0,								// RL4C_P2_DUMMY,
			0, 0												// RL4C_P2_Map
		}
		REPLY
		{
		}
	}
}

COMMAND read_RL4C_index3
{
	SLOT		Loc_P0_Slot0;
	INDEX		3;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			RL4C_P3_Slot3,
			RL4C_P3_Index3,
			RL4C_P3_Tag,
			RL4C_P3_State,
			RL4C_P3_ErrMode,
			RL4C_P3_SimVal_Bit2_7		<0xFC>,
			RL4C_P3_SimVal_State		<0x02>,
			RL4C_P3_SimVal_Data			<0x01>,
			RL4C_P3_ErrVal_Bit1_7		<0xFE>,
			RL4C_P3_ErrVal_Data			<0x01>,
			RL4C_P3_Option_Kanal		<0x8000>,
			RL4C_P3_Option_Bit1_14		<0x7FFE>,
			RL4C_P3_Option_Invert		<0x0001>,
			RL4C_P3_OnDelay,
			RL4C_P3_OffDelay,
			0, 0,														// RL4C_P3_TestImp,
			0, 0,														// RL4C_P3_Lfd_1,
			0, 0,														// RL4C_P3_Lfd_2,
			0, 0,														// RL4C_P3_Lfd_3,
			0, 0,														// RL4C_P3_Lfd_4,
			0, 0, 0, 0, 0, 0, 0, 0,										// RL4C_P3_DUMMY,
			RL4C_P3_Map
		}
	}
}

COMMAND write_RL4C_index3
{
	SLOT		Loc_P0_Slot0;
	INDEX		3;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			RL4C_P3_Slot3,
			RL4C_P3_Index3,
			RL4C_P3_Tag,
			RL4C_P3_State,
			RL4C_P3_ErrMode,
			RL4C_P3_SimVal_Bit2_7		<0xFC>,
			RL4C_P3_SimVal_State		<0x02>,
			RL4C_P3_SimVal_Data			<0x01>,
			RL4C_P3_ErrVal_Bit1_7		<0xFE>,
			RL4C_P3_ErrVal_Data			<0x01>,
//			RL4C_P3_Option_Kanal		<0x8000>,
			RL4C_P3_Option_Bit1_14		<0xFFFE>,
			RL4C_P3_Option_Invert		<0x0001>,
			RL4C_P3_OnDelay,
			RL4C_P3_OffDelay,
			0, 0,												// RL4C_P3_TestImp,
			0x0003,	0x00c0,										// RL4C_P3_Lfd_1,
			0x0001, 0x0000,										// RL4C_P3_Lfd_2,
			0x0001, 0x00ff,										// RL4C_P3_Lfd_3,
			0x0003, 0x00d0,										// RL4C_P3_Lfd_4,
			0, 0, 0, 0, 0, 0, 0, 0,								// RL4C_P3_DUMMY,
			0, 0												// RL4C_P3_Map
		}
		REPLY
		{
		}
	}
}

COMMAND read_RL4C_index4
{
	SLOT		Loc_P0_Slot0;
	INDEX		4;
	OPERATION	READ;
	TRANSACTION
	{
		REQUEST
		{			
		}
		REPLY
		{
			RL4C_P4_Slot4,
			RL4C_P4_Index4,
			RL4C_P4_Tag,
			RL4C_P4_State,
			RL4C_P4_ErrMode,
			RL4C_P4_SimVal_Bit2_7		<0xFC>,
			RL4C_P4_SimVal_State		<0x02>,
			RL4C_P4_SimVal_Data			<0x01>,
			RL4C_P4_ErrVal_Bit1_7		<0xFE>,
			RL4C_P4_ErrVal_Data			<0x01>,
			RL4C_P4_Option_Kanal		<0x8000>,
			RL4C_P4_Option_Bit1_14		<0x7FFE>,
			RL4C_P4_Option_Invert		<0x0001>,
			RL4C_P4_OnDelay,
			RL4C_P4_OffDelay,
			0, 0,														// RL4C_P4_TestImp,
			0, 0,														// RL4C_P4_Lfd_1,
			0, 0,														// RL4C_P4_Lfd_2,
			0, 0,														// RL4C_P4_Lfd_3,
			0, 0,														// RL4C_P4_Lfd_4,
			0, 0, 0, 0, 0, 0, 0, 0,										// RL4C_P4_DUMMY,
			RL4C_P4_Map
		}
	}
}

COMMAND write_RL4C_index4
{
	SLOT		Loc_P0_Slot0;
	INDEX		4;
	OPERATION	WRITE;
	TRANSACTION
	{
		REQUEST
		{
			RL4C_P4_Slot4,
			RL4C_P4_Index4,
			RL4C_P4_Tag,
			RL4C_P4_State,
			RL4C_P4_ErrMode,
			RL4C_P4_SimVal_Bit2_7		<0xFC>,
			RL4C_P4_SimVal_State		<0x02>,
			RL4C_P4_SimVal_Data			<0x01>,
			RL4C_P4_ErrVal_Bit1_7		<0xFE>,
			RL4C_P4_ErrVal_Data			<0x01>,
//			RL4C_P4_Option_Kanal		<0x8000>,
			RL4C_P4_Option_Bit1_14		<0xFFFE>,
			RL4C_P4_Option_Invert		<0x0001>,
			RL4C_P4_OnDelay,
			RL4C_P4_OffDelay,
			0, 0,												// RL4C_P4_TestImp,
			0x0003,	0x00c0,										// RL4C_P4_Lfd_1,
			0x0001, 0x0000,										// RL4C_P4_Lfd_2,
			0x0001, 0x00ff,										// RL4C_P4_Lfd_3,
			0x0003, 0x00d0,										// RL4C_P4_Lfd_4,
			0, 0, 0, 0, 0, 0, 0, 0,								// RL4C_P4_DUMMY,
			0, 0												// RL4C_P4_Map
		}
		REPLY
		{
		}
	}
}


/*******************************************************************************/
/*****	Table: Specialist  *****************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	Kanal1			   *****************************************************/
/*******************************************************************************/

MENU Tab_s_RL4C_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_RL4C_ident_k1,
		Tab_s_RL4C_output_k1
	}
}

MENU Tab_s_RL4C_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P1_Tag,
		RL4C_P1_Option_Kanal
	}
}

MENU Tab_s_RL4C_output_k1
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P1_State,
		RL4C_P1_ErrMode,
		RL4C_P1_Option_Invert,
		Tab_s_RL4C_output_verzoegerung_k1,
		Tab_s_RL4C_output_simulation_k1,
		Tab_s_RL4C_output_ersatzwert_k1
	}
}

MENU Tab_s_RL4C_output_verzoegerung_k1
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P1_OnDelay,
		RL4C_P1_OffDelay//,
//		RL4C_P1_TestImp,
//		RL4C_P1_Lfd_1,
//		RL4C_P1_Lfd_2,
//		RL4C_P1_Lfd_3,
//		RL4C_P1_Lfd_4
	}
}

MENU Tab_s_RL4C_output_simulation_k1
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P1_SimVal_Data,
		RL4C_P1_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (RL4C_P1_State == 1)
}

MENU Tab_s_RL4C_output_ersatzwert_k1
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P1_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (RL4C_P1_ErrMode == 1)
}

/*******************************************************************************/
/*****	Kanal2			   *****************************************************/
/*******************************************************************************/

MENU Tab_s_RL4C_kanal2
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_RL4C_ident_k2,
		Tab_s_RL4C_output_k2
	}
}

MENU Tab_s_RL4C_ident_k2
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P2_Tag,
		RL4C_P2_Option_Kanal
	}
}

MENU Tab_s_RL4C_output_k2
{
	LABEL		[menu_output];
	ITEMS
	{
		RL4C_P2_State,
		RL4C_P2_ErrMode,
		RL4C_P2_Option_Invert,
		Tab_s_RL4C_output_verzoegerung_k2,
		Tab_s_RL4C_output_simulation_k2,
		Tab_s_RL4C_output_ersatzwert_k2
	}
}

MENU Tab_s_RL4C_output_verzoegerung_k2
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P2_OnDelay,
		RL4C_P2_OffDelay//,
//		RL4C_P2_TestImp,
//		RL4C_P2_Lfd_1,
//		RL4C_P2_Lfd_2,
//		RL4C_P2_Lfd_3,
//		RL4C_P2_Lfd_4
	}
}

MENU Tab_s_RL4C_output_simulation_k2
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P2_SimVal_Data,
		RL4C_P2_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (RL4C_P2_State == 1)
}

MENU Tab_s_RL4C_output_ersatzwert_k2
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P2_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (RL4C_P2_ErrMode == 1)
}

/*******************************************************************************/
/*****	Kanal3			   *****************************************************/
/*******************************************************************************/

MENU Tab_s_RL4C_kanal3
{
	LABEL		[menu_kanal3];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_RL4C_ident_k3,
		Tab_s_RL4C_output_k3
	}
}

MENU Tab_s_RL4C_ident_k3
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P3_Tag,
		RL4C_P3_Option_Kanal
	}
}

MENU Tab_s_RL4C_output_k3
{
	LABEL		[menu_output];
	ITEMS
	{
		RL4C_P3_State,
		RL4C_P3_ErrMode,
		RL4C_P3_Option_Invert,
		Tab_s_RL4C_output_verzoegerung_k3,
		Tab_s_RL4C_output_simulation_k3,
		Tab_s_RL4C_output_ersatzwert_k3
	}
}

MENU Tab_s_RL4C_output_verzoegerung_k3
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P3_OnDelay,
		RL4C_P3_OffDelay//,
//		RL4C_P3_TestImp,
//		RL4C_P3_Lfd_1,
//		RL4C_P3_Lfd_2,
//		RL4C_P3_Lfd_3,
//		RL4C_P3_Lfd_4
	}
}

MENU Tab_s_RL4C_output_simulation_k3
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P3_SimVal_Data,
		RL4C_P3_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (RL4C_P3_State == 1)
}

MENU Tab_s_RL4C_output_ersatzwert_k3
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P3_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (RL4C_P3_ErrMode == 1)
}

/*******************************************************************************/
/*****	Kanal4			   *****************************************************/
/*******************************************************************************/

MENU Tab_s_RL4C_kanal4
{
	LABEL		[menu_kanal4];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_s_RL4C_ident_k4,
		Tab_s_RL4C_output_k4
	}
}

MENU Tab_s_RL4C_ident_k4
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P4_Tag,
		RL4C_P4_Option_Kanal
	}
}

MENU Tab_s_RL4C_output_k4
{
	LABEL		[menu_output];
	ITEMS
	{
		RL4C_P4_State,
		RL4C_P4_ErrMode,
		RL4C_P4_Option_Invert,
		Tab_s_RL4C_output_verzoegerung_k4,
		Tab_s_RL4C_output_simulation_k4,
		Tab_s_RL4C_output_ersatzwert_k4
	}
}

MENU Tab_s_RL4C_output_verzoegerung_k4
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P4_OnDelay,
		RL4C_P4_OffDelay//,
//		RL4C_P1_TestImp,
//		RL4C_P4_Lfd_1,
//		RL4C_P4_Lfd_2,
//		RL4C_P4_Lfd_3,
//		RL4C_P4_Lfd_4
	}
}

MENU Tab_s_RL4C_output_simulation_k4
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P4_SimVal_Data,
		RL4C_P4_SimVal_State
	}
	VALIDITY	VALID_IF_TRUE (RL4C_P4_State == 1)
}

MENU Tab_s_RL4C_output_ersatzwert_k4
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P4_ErrVal_Data
	}
	VALIDITY	VALID_IF_TRUE (RL4C_P4_ErrMode == 1)
}


/*******************************************************************************/
/*****	Table: Maintenance  ****************************************************/
/*******************************************************************************/

/*******************************************************************************/
/*****	Kanal1			   *****************************************************/
/*******************************************************************************/


MENU Tab_m_RL4C_kanal1
{
	LABEL		[menu_kanal1];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_RL4C_ident_k1,
		Tab_m_RL4C_output_k1
	}
}

MENU Tab_m_RL4C_ident_k1
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P1_Tag,
		RL4C_P1_Option_Kanal
	}
}

MENU Tab_m_RL4C_output_k1
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P1_State						(READ_ONLY),
		RL4C_P1_ErrMode						(READ_ONLY),
		RL4C_P1_Option_Invert				(READ_ONLY),
		Tab_m_RL4C_output_verzoegerung_k1,
		Tab_m_RL4C_output_simulation_k1,
		Tab_m_RL4C_output_ersatzwert_k1
	}
}

MENU Tab_m_RL4C_output_verzoegerung_k1
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P1_OnDelay						(READ_ONLY),
		RL4C_P1_OffDelay					(READ_ONLY)//,
//		RL4C_P1_TestImp						(READ_ONLY),
//		RL4C_P1_Lfd_1						(READ_ONLY),
//		RL4C_P1_Lfd_2						(READ_ONLY),
//		RL4C_P1_Lfd_3						(READ_ONLY),
//		RL4C_P1_Lfd_4						(READ_ONLY)
	}
}

MENU Tab_m_RL4C_output_simulation_k1
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P1_SimVal_Data					(READ_ONLY),
		RL4C_P1_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL4C_P1_State == 1)
}

MENU Tab_m_RL4C_output_ersatzwert_k1
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P1_ErrVal_Data					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL4C_P1_ErrMode == 1)
}

/*******************************************************************************/
/*****	Kanal2			   *****************************************************/
/*******************************************************************************/

MENU Tab_m_RL4C_kanal2
{
	LABEL		[menu_kanal2];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_RL4C_ident_k2,
		Tab_m_RL4C_output_k2
	}
}

MENU Tab_m_RL4C_ident_k2
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P2_Tag,
		RL4C_P2_Option_Kanal
	}
}

MENU Tab_m_RL4C_output_k2
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P2_State						(READ_ONLY),
		RL4C_P2_ErrMode						(READ_ONLY),
		RL4C_P2_Option_Invert				(READ_ONLY),
		Tab_m_RL4C_output_verzoegerung_k2,
		Tab_m_RL4C_output_simulation_k2,
		Tab_m_RL4C_output_ersatzwert_k2
	}
}

MENU Tab_m_RL4C_output_verzoegerung_k2
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P2_OnDelay						(READ_ONLY),
		RL4C_P2_OffDelay					(READ_ONLY)//,
//		RL4C_P2_TestImp						(READ_ONLY),
//		RL4C_P2_Lfd_1						(READ_ONLY),
//		RL4C_P2_Lfd_2						(READ_ONLY),
//		RL4C_P2_Lfd_3						(READ_ONLY),
//		RL4C_P2_Lfd_4						(READ_ONLY)
	}	
}

MENU Tab_m_RL4C_output_simulation_k2
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P2_SimVal_Data					(READ_ONLY),
		RL4C_P2_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL4C_P2_State == 1)
}

MENU Tab_m_RL4C_output_ersatzwert_k2
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P2_ErrVal_Data					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL4C_P2_ErrMode == 1)
}

/*******************************************************************************/
/*****	Kanal3			   *****************************************************/
/*******************************************************************************/

MENU Tab_m_RL4C_kanal3
{
	LABEL		[menu_kanal3];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_RL4C_ident_k3,
		Tab_m_RL4C_output_k3
	}
}

MENU Tab_m_RL4C_ident_k3
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P3_Tag,
		RL4C_P3_Option_Kanal
	}
}

MENU Tab_m_RL4C_output_k3
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P3_State						(READ_ONLY),
		RL4C_P3_ErrMode						(READ_ONLY),
		RL4C_P3_Option_Invert				(READ_ONLY),
		Tab_m_RL4C_output_verzoegerung_k3,
		Tab_m_RL4C_output_simulation_k3,
		Tab_m_RL4C_output_ersatzwert_k3
	}
}

MENU Tab_m_RL4C_output_verzoegerung_k3
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P3_OnDelay						(READ_ONLY),
		RL4C_P3_OffDelay					(READ_ONLY)//,
//		RL4C_P3_TestImp						(READ_ONLY),
//		RL4C_P3_Lfd_1						(READ_ONLY),
//		RL4C_P3_Lfd_2						(READ_ONLY),
//		RL4C_P3_Lfd_3						(READ_ONLY),
//		RL4C_P3_Lfd_4						(READ_ONLY)
	}	
}

MENU Tab_m_RL4C_output_simulation_k3
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P3_SimVal_Data					(READ_ONLY),
		RL4C_P3_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL4C_P3_State == 1)
}

MENU Tab_m_RL4C_output_ersatzwert_k3
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P3_ErrVal_Data					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL4C_P3_ErrMode == 1)
}

/*******************************************************************************/
/*****	Kanal4			   *****************************************************/
/*******************************************************************************/

MENU Tab_m_RL4C_kanal4
{
	LABEL		[menu_kanal4];
	ACCESS		OFFLINE;
	ITEMS
	{
		Tab_m_RL4C_ident_k4,
		Tab_m_RL4C_output_k4
	}
}

MENU Tab_m_RL4C_ident_k4
{
	LABEL		[menu_ident];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P4_Tag,
		RL4C_P4_Option_Kanal
	}
}

MENU Tab_m_RL4C_output_k4
{
	LABEL		[menu_output];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P4_State						(READ_ONLY),
		RL4C_P4_ErrMode						(READ_ONLY),
		RL4C_P4_Option_Invert				(READ_ONLY),
		Tab_m_RL4C_output_verzoegerung_k4,
		Tab_m_RL4C_output_simulation_k4,
		Tab_m_RL4C_output_ersatzwert_k4
	}
}

MENU Tab_m_RL4C_output_verzoegerung_k4
{
	LABEL		[verzoegerungszeiten];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P4_OnDelay						(READ_ONLY),
		RL4C_P4_OffDelay					(READ_ONLY)//,
//		RL4C_P4_TestImp						(READ_ONLY),
//		RL4C_P4_Lfd_1						(READ_ONLY),
//		RL4C_P4_Lfd_2						(READ_ONLY),
//		RL4C_P4_Lfd_3						(READ_ONLY),
//		RL4C_P4_Lfd_4						(READ_ONLY)
	}	
}

MENU Tab_m_RL4C_output_simulation_k4
{
	LABEL		[simulation];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P4_SimVal_Data					(READ_ONLY),
		RL4C_P4_SimVal_State				(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL4C_P4_State == 1)
}

MENU Tab_m_RL4C_output_ersatzwert_k4
{
	LABEL		[ersatzwert];
	ACCESS		OFFLINE;
	ITEMS
	{
		RL4C_P4_ErrVal_Data					(READ_ONLY)
	}
	VALIDITY	VALID_IF_TRUE (RL4C_P4_ErrMode == 1)
}

